#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2809
#define LARGE_STATE_COUNT 190
#define SYMBOL_COUNT 273
#define ALIAS_COUNT 2
#define TOKEN_COUNT 108
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 142

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_type = 43,
  anon_sym_EQ = 44,
  anon_sym_class = 45,
  anon_sym_LBRACK = 46,
  anon_sym_RBRACK = 47,
  anon_sym_AT = 48,
  anon_sym_DASH = 49,
  anon_sym__ = 50,
  anon_sym_PIPE = 51,
  anon_sym_LBRACE = 52,
  anon_sym_RBRACE = 53,
  anon_sym_PLUS = 54,
  anon_sym_not = 55,
  anon_sym_and = 56,
  anon_sym_or = 57,
  anon_sym_SLASH = 58,
  anon_sym_PERCENT = 59,
  anon_sym_SLASH_SLASH = 60,
  anon_sym_AMP = 61,
  anon_sym_CARET = 62,
  anon_sym_LT_LT = 63,
  anon_sym_TILDE = 64,
  anon_sym_is = 65,
  anon_sym_LT = 66,
  anon_sym_LT_EQ = 67,
  anon_sym_EQ_EQ = 68,
  anon_sym_BANG_EQ = 69,
  anon_sym_GT_EQ = 70,
  anon_sym_GT = 71,
  anon_sym_LT_GT = 72,
  anon_sym_lambda = 73,
  anon_sym_PLUS_EQ = 74,
  anon_sym_DASH_EQ = 75,
  anon_sym_STAR_EQ = 76,
  anon_sym_SLASH_EQ = 77,
  anon_sym_AT_EQ = 78,
  anon_sym_SLASH_SLASH_EQ = 79,
  anon_sym_PERCENT_EQ = 80,
  anon_sym_STAR_STAR_EQ = 81,
  anon_sym_GT_GT_EQ = 82,
  anon_sym_LT_LT_EQ = 83,
  anon_sym_AMP_EQ = 84,
  anon_sym_CARET_EQ = 85,
  anon_sym_PIPE_EQ = 86,
  anon_sym_yield = 87,
  sym_ellipsis = 88,
  sym_escape_sequence = 89,
  anon_sym_BSLASH = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym_line_continuation = 100,
  sym__newline = 101,
  sym__indent = 102,
  sym__dedent = 103,
  sym_string_start = 104,
  sym__string_content = 105,
  sym_escape_interpolation = 106,
  sym_string_end = 107,
  sym_module = 108,
  sym__statement = 109,
  sym__simple_statements = 110,
  sym_import_statement = 111,
  sym_import_prefix = 112,
  sym_relative_import = 113,
  sym_future_import_statement = 114,
  sym_import_from_statement = 115,
  sym__import_list = 116,
  sym_aliased_import = 117,
  sym_wildcard_import = 118,
  sym_print_statement = 119,
  sym_chevron = 120,
  sym_assert_statement = 121,
  sym_expression_statement = 122,
  sym_named_expression = 123,
  sym__named_expression_lhs = 124,
  sym_return_statement = 125,
  sym_delete_statement = 126,
  sym_raise_statement = 127,
  sym_pass_statement = 128,
  sym_break_statement = 129,
  sym_continue_statement = 130,
  sym_if_statement = 131,
  sym_elif_clause = 132,
  sym_else_clause = 133,
  sym_match_statement = 134,
  sym__match_block = 135,
  sym_case_clause = 136,
  sym_for_statement = 137,
  sym_while_statement = 138,
  sym_try_statement = 139,
  sym_except_clause = 140,
  sym_except_group_clause = 141,
  sym_finally_clause = 142,
  sym_with_statement = 143,
  sym_with_clause = 144,
  sym_with_item = 145,
  sym_function_definition = 146,
  sym_parameters = 147,
  sym_lambda_parameters = 148,
  sym_list_splat = 149,
  sym_dictionary_splat = 150,
  sym_global_statement = 151,
  sym_nonlocal_statement = 152,
  sym_exec_statement = 153,
  sym_type_alias_statement = 154,
  sym_class_definition = 155,
  sym_type_parameter = 156,
  sym_parenthesized_list_splat = 157,
  sym_argument_list = 158,
  sym_decorated_definition = 159,
  sym_decorator = 160,
  sym_block = 161,
  sym_expression_list = 162,
  sym_dotted_name = 163,
  sym_case_pattern = 164,
  sym__simple_pattern = 165,
  sym__as_pattern = 166,
  sym_union_pattern = 167,
  sym__list_pattern = 168,
  sym__tuple_pattern = 169,
  sym_dict_pattern = 170,
  sym__key_value_pattern = 171,
  sym_keyword_pattern = 172,
  sym_splat_pattern = 173,
  sym_class_pattern = 174,
  sym_complex_pattern = 175,
  sym__parameters = 176,
  sym__patterns = 177,
  sym_parameter = 178,
  sym_pattern = 179,
  sym_tuple_pattern = 180,
  sym_list_pattern = 181,
  sym_default_parameter = 182,
  sym_typed_default_parameter = 183,
  sym_list_splat_pattern = 184,
  sym_dictionary_splat_pattern = 185,
  sym_as_pattern = 186,
  sym__expression_within_for_in_clause = 187,
  sym_expression = 188,
  sym_primary_expression = 189,
  sym_not_operator = 190,
  sym_boolean_operator = 191,
  sym_binary_operator = 192,
  sym_unary_operator = 193,
  sym__not_in = 194,
  sym__is_not = 195,
  sym_comparison_operator = 196,
  sym_lambda = 197,
  sym_lambda_within_for_in_clause = 198,
  sym_assignment = 199,
  sym_augmented_assignment = 200,
  sym_pattern_list = 201,
  sym__right_hand_side = 202,
  sym_yield = 203,
  sym_attribute = 204,
  sym_subscript = 205,
  sym_slice = 206,
  sym_call = 207,
  sym_typed_parameter = 208,
  sym_type = 209,
  sym_splat_type = 210,
  sym_generic_type = 211,
  sym_union_type = 212,
  sym_constrained_type = 213,
  sym_member_type = 214,
  sym_keyword_argument = 215,
  sym_list = 216,
  sym_set = 217,
  sym_tuple = 218,
  sym_dictionary = 219,
  sym_pair = 220,
  sym_list_comprehension = 221,
  sym_dictionary_comprehension = 222,
  sym_set_comprehension = 223,
  sym_generator_expression = 224,
  sym__comprehension_clauses = 225,
  sym_parenthesized_expression = 226,
  sym__collection_elements = 227,
  sym_for_in_clause = 228,
  sym_if_clause = 229,
  sym_conditional_expression = 230,
  sym_concatenated_string = 231,
  sym_string = 232,
  sym_string_content = 233,
  sym_interpolation = 234,
  sym__f_expression = 235,
  sym__not_escape_sequence = 236,
  sym_format_specifier = 237,
  sym_await = 238,
  sym_positional_separator = 239,
  sym_keyword_separator = 240,
  aux_sym_module_repeat1 = 241,
  aux_sym__simple_statements_repeat1 = 242,
  aux_sym_import_prefix_repeat1 = 243,
  aux_sym__import_list_repeat1 = 244,
  aux_sym_print_statement_repeat1 = 245,
  aux_sym_assert_statement_repeat1 = 246,
  aux_sym_if_statement_repeat1 = 247,
  aux_sym_match_statement_repeat1 = 248,
  aux_sym__match_block_repeat1 = 249,
  aux_sym_case_clause_repeat1 = 250,
  aux_sym_try_statement_repeat1 = 251,
  aux_sym_try_statement_repeat2 = 252,
  aux_sym_with_clause_repeat1 = 253,
  aux_sym_global_statement_repeat1 = 254,
  aux_sym_type_parameter_repeat1 = 255,
  aux_sym_argument_list_repeat1 = 256,
  aux_sym_decorated_definition_repeat1 = 257,
  aux_sym_dotted_name_repeat1 = 258,
  aux_sym_union_pattern_repeat1 = 259,
  aux_sym_dict_pattern_repeat1 = 260,
  aux_sym__parameters_repeat1 = 261,
  aux_sym__patterns_repeat1 = 262,
  aux_sym_comparison_operator_repeat1 = 263,
  aux_sym_subscript_repeat1 = 264,
  aux_sym_dictionary_repeat1 = 265,
  aux_sym__comprehension_clauses_repeat1 = 266,
  aux_sym__collection_elements_repeat1 = 267,
  aux_sym_for_in_clause_repeat1 = 268,
  aux_sym_concatenated_string_repeat1 = 269,
  aux_sym_string_repeat1 = 270,
  aux_sym_string_content_repeat1 = 271,
  aux_sym_format_specifier_repeat1 = 272,
  alias_sym_as_pattern_target = 273,
  alias_sym_format_expression = 274,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_is] = "is",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_alias_statement] = "type_alias_statement",
  [sym_class_definition] = "class_definition",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym__not_in] = "not in",
  [sym__is_not] = "is not",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_alias_statement] = sym_type_alias_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym__not_in] = sym__not_in,
  [sym__is_not] = sym__is_not,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__not_in] = {
    .visible = true,
    .named = false,
  },
  [sym__is_not] = {
    .visible = true,
    .named = false,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_return_type = 24,
  field_right = 25,
  field_subject = 26,
  field_subscript = 27,
  field_superclasses = 28,
  field_type = 29,
  field_type_conversion = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 3},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 1},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 1},
  [35] = {.index = 44, .length = 2},
  [36] = {.index = 46, .length = 1},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 2},
  [42] = {.index = 17, .length = 1},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 2},
  [45] = {.index = 60, .length = 2},
  [46] = {.index = 62, .length = 2},
  [47] = {.index = 64, .length = 1},
  [48] = {.index = 65, .length = 2},
  [49] = {.index = 67, .length = 2},
  [51] = {.index = 69, .length = 2},
  [52] = {.index = 71, .length = 2},
  [53] = {.index = 73, .length = 1},
  [54] = {.index = 74, .length = 3},
  [55] = {.index = 77, .length = 3},
  [56] = {.index = 80, .length = 3},
  [57] = {.index = 83, .length = 3},
  [58] = {.index = 86, .length = 4},
  [59] = {.index = 90, .length = 1},
  [60] = {.index = 91, .length = 3},
  [61] = {.index = 94, .length = 3},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 2},
  [64] = {.index = 101, .length = 3},
  [65] = {.index = 104, .length = 3},
  [66] = {.index = 107, .length = 3},
  [67] = {.index = 110, .length = 3},
  [68] = {.index = 113, .length = 3},
  [69] = {.index = 18, .length = 2},
  [70] = {.index = 116, .length = 1},
  [71] = {.index = 117, .length = 3},
  [72] = {.index = 120, .length = 2},
  [73] = {.index = 122, .length = 2},
  [74] = {.index = 124, .length = 2},
  [75] = {.index = 126, .length = 3},
  [76] = {.index = 129, .length = 1},
  [77] = {.index = 130, .length = 2},
  [78] = {.index = 132, .length = 4},
  [79] = {.index = 136, .length = 2},
  [80] = {.index = 138, .length = 4},
  [81] = {.index = 142, .length = 4},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 4},
  [84] = {.index = 151, .length = 2},
  [85] = {.index = 153, .length = 3},
  [86] = {.index = 156, .length = 3},
  [87] = {.index = 159, .length = 4},
  [89] = {.index = 163, .length = 4},
  [90] = {.index = 167, .length = 4},
  [91] = {.index = 171, .length = 4},
  [92] = {.index = 175, .length = 4},
  [93] = {.index = 179, .length = 4},
  [94] = {.index = 183, .length = 3},
  [95] = {.index = 186, .length = 3},
  [96] = {.index = 189, .length = 2},
  [97] = {.index = 191, .length = 3},
  [98] = {.index = 194, .length = 5},
  [99] = {.index = 199, .length = 3},
  [100] = {.index = 202, .length = 4},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [104] = {.index = 218, .length = 1},
  [106] = {.index = 219, .length = 4},
  [107] = {.index = 223, .length = 5},
  [108] = {.index = 228, .length = 5},
  [109] = {.index = 233, .length = 3},
  [110] = {.index = 236, .length = 2},
  [111] = {.index = 238, .length = 1},
  [112] = {.index = 239, .length = 4},
  [113] = {.index = 243, .length = 4},
  [114] = {.index = 247, .length = 4},
  [115] = {.index = 251, .length = 5},
  [116] = {.index = 256, .length = 5},
  [117] = {.index = 218, .length = 1},
  [118] = {.index = 261, .length = 5},
  [119] = {.index = 266, .length = 5},
  [120] = {.index = 271, .length = 4},
  [121] = {.index = 275, .length = 4},
  [122] = {.index = 279, .length = 2},
  [123] = {.index = 281, .length = 1},
  [124] = {.index = 282, .length = 2},
  [125] = {.index = 284, .length = 2},
  [126] = {.index = 286, .length = 5},
  [127] = {.index = 291, .length = 5},
  [128] = {.index = 296, .length = 5},
  [129] = {.index = 301, .length = 2},
  [131] = {.index = 303, .length = 6},
  [132] = {.index = 309, .length = 2},
  [133] = {.index = 311, .length = 2},
  [134] = {.index = 313, .length = 3},
  [135] = {.index = 316, .length = 1},
  [136] = {.index = 317, .length = 6},
  [137] = {.index = 301, .length = 2},
  [138] = {.index = 323, .length = 3},
  [139] = {.index = 326, .length = 2},
  [140] = {.index = 328, .length = 2},
  [141] = {.index = 330, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_type, 2},
  [22] =
    {field_left, 0},
    {field_right, 2},
  [24] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [27] =
    {field_alias, 2},
  [28] =
    {field_attribute, 2},
    {field_object, 0},
  [30] =
    {field_operators, 0},
  [31] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [33] =
    {field_expression, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_cause, 3},
  [47] =
    {field_condition, 1},
    {field_consequence, 3},
  [49] =
    {field_subject, 1},
  [50] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [53] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_condition, 1},
  [57] =
    {field_body, 3},
  [58] =
    {field_left, 1},
    {field_right, 3},
  [60] =
    {field_body, 3},
    {field_name, 1},
  [62] =
    {field_key, 0},
    {field_value, 2},
  [64] =
    {field_type, 2},
  [65] =
    {field_body, 3},
    {field_parameters, 1},
  [67] =
    {field_subscript, 2},
    {field_value, 0},
  [69] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [71] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [73] =
    {field_alternative, 0},
  [74] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [77] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [80] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [83] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [86] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [90] =
    {field_body, 4},
  [91] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [94] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [97] =
    {field_body, 2},
    {field_body, 3},
  [99] =
    {field_body, 3},
    {field_body, 4},
  [101] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [104] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [107] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [110] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [113] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [116] =
    {field_subscript, 1},
  [117] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [120] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [122] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [124] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [126] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [129] =
    {field_name, 4, .inherited = true},
  [130] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [132] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [136] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [138] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [142] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_alternative, 1, .inherited = true},
  [147] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [151] =
    {field_body, 4},
    {field_body, 5},
  [153] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [156] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [163] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [167] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [171] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [175] =
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [179] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [183] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [186] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [189] =
    {field_left, 2},
    {field_right, 4},
  [191] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [194] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [199] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [202] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [206] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [210] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [214] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [218] =
    {field_value, 1},
  [219] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [223] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [228] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [233] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [236] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [238] =
    {field_consequence, 3},
  [239] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [243] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [247] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [251] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [256] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [261] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [266] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [271] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [275] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [279] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [281] =
    {field_consequence, 4},
  [282] =
    {field_consequence, 3},
    {field_consequence, 4},
  [284] =
    {field_consequence, 4},
    {field_guard, 2},
  [286] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [291] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [296] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [301] =
    {field_alias, 3},
    {field_value, 1},
  [303] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [309] =
    {field_consequence, 4},
    {field_consequence, 5},
  [311] =
    {field_consequence, 5},
    {field_guard, 3},
  [313] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [316] =
    {field_consequence, 5},
  [317] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [323] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [326] =
    {field_consequence, 5},
    {field_consequence, 6},
  [328] =
    {field_consequence, 6},
    {field_guard, 4},
  [330] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [33] = {
    [1] = sym_parenthesized_expression,
  },
  [37] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [45] = {
    [3] = sym_block,
  },
  [50] = {
    [0] = alias_sym_format_expression,
  },
  [54] = {
    [3] = sym_block,
  },
  [55] = {
    [3] = sym_block,
  },
  [59] = {
    [4] = sym_block,
  },
  [60] = {
    [3] = sym_block,
  },
  [64] = {
    [4] = sym_block,
  },
  [66] = {
    [4] = sym_block,
  },
  [67] = {
    [4] = sym_block,
  },
  [69] = {
    [0] = sym_identifier,
  },
  [78] = {
    [3] = sym_block,
  },
  [85] = {
    [5] = sym_block,
  },
  [86] = {
    [5] = sym_block,
  },
  [88] = {
    [2] = sym_block,
  },
  [90] = {
    [5] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [99] = {
    [6] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [102] = {
    [5] = sym_block,
  },
  [104] = {
    [3] = sym_block,
  },
  [105] = {
    [3] = sym_block,
  },
  [106] = {
    [6] = sym_block,
  },
  [111] = {
    [3] = sym_block,
  },
  [112] = {
    [6] = sym_block,
  },
  [114] = {
    [7] = sym_block,
  },
  [119] = {
    [7] = sym_block,
  },
  [123] = {
    [4] = sym_block,
  },
  [125] = {
    [4] = sym_block,
  },
  [128] = {
    [8] = sym_block,
  },
  [129] = {
    [5] = sym_block,
  },
  [130] = {
    [5] = sym_block,
  },
  [133] = {
    [5] = sym_block,
  },
  [135] = {
    [5] = sym_block,
  },
  [140] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 2,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 3,
  [36] = 4,
  [37] = 5,
  [38] = 6,
  [39] = 7,
  [40] = 8,
  [41] = 9,
  [42] = 10,
  [43] = 11,
  [44] = 12,
  [45] = 13,
  [46] = 14,
  [47] = 15,
  [48] = 34,
  [49] = 17,
  [50] = 18,
  [51] = 19,
  [52] = 20,
  [53] = 21,
  [54] = 22,
  [55] = 24,
  [56] = 25,
  [57] = 28,
  [58] = 29,
  [59] = 59,
  [60] = 30,
  [61] = 59,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 62,
  [66] = 62,
  [67] = 63,
  [68] = 62,
  [69] = 62,
  [70] = 62,
  [71] = 62,
  [72] = 62,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 75,
  [78] = 78,
  [79] = 78,
  [80] = 80,
  [81] = 80,
  [82] = 76,
  [83] = 83,
  [84] = 83,
  [85] = 85,
  [86] = 85,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 97,
  [107] = 107,
  [108] = 92,
  [109] = 96,
  [110] = 88,
  [111] = 95,
  [112] = 99,
  [113] = 113,
  [114] = 114,
  [115] = 90,
  [116] = 116,
  [117] = 98,
  [118] = 91,
  [119] = 119,
  [120] = 102,
  [121] = 121,
  [122] = 113,
  [123] = 103,
  [124] = 121,
  [125] = 93,
  [126] = 126,
  [127] = 104,
  [128] = 94,
  [129] = 100,
  [130] = 87,
  [131] = 107,
  [132] = 126,
  [133] = 114,
  [134] = 134,
  [135] = 135,
  [136] = 89,
  [137] = 137,
  [138] = 138,
  [139] = 138,
  [140] = 137,
  [141] = 138,
  [142] = 137,
  [143] = 138,
  [144] = 137,
  [145] = 137,
  [146] = 138,
  [147] = 137,
  [148] = 138,
  [149] = 137,
  [150] = 138,
  [151] = 137,
  [152] = 138,
  [153] = 153,
  [154] = 154,
  [155] = 154,
  [156] = 156,
  [157] = 157,
  [158] = 154,
  [159] = 156,
  [160] = 156,
  [161] = 161,
  [162] = 157,
  [163] = 157,
  [164] = 164,
  [165] = 157,
  [166] = 164,
  [167] = 167,
  [168] = 156,
  [169] = 157,
  [170] = 157,
  [171] = 161,
  [172] = 167,
  [173] = 161,
  [174] = 154,
  [175] = 157,
  [176] = 161,
  [177] = 154,
  [178] = 156,
  [179] = 164,
  [180] = 180,
  [181] = 161,
  [182] = 156,
  [183] = 157,
  [184] = 161,
  [185] = 161,
  [186] = 161,
  [187] = 180,
  [188] = 156,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 190,
  [194] = 190,
  [195] = 191,
  [196] = 192,
  [197] = 190,
  [198] = 198,
  [199] = 198,
  [200] = 191,
  [201] = 192,
  [202] = 190,
  [203] = 191,
  [204] = 192,
  [205] = 190,
  [206] = 192,
  [207] = 191,
  [208] = 192,
  [209] = 190,
  [210] = 191,
  [211] = 191,
  [212] = 212,
  [213] = 191,
  [214] = 192,
  [215] = 190,
  [216] = 192,
  [217] = 217,
  [218] = 218,
  [219] = 191,
  [220] = 192,
  [221] = 192,
  [222] = 192,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 226,
  [228] = 228,
  [229] = 228,
  [230] = 228,
  [231] = 228,
  [232] = 225,
  [233] = 226,
  [234] = 226,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 235,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 237,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 244,
  [247] = 244,
  [248] = 248,
  [249] = 224,
  [250] = 244,
  [251] = 251,
  [252] = 244,
  [253] = 253,
  [254] = 237,
  [255] = 255,
  [256] = 244,
  [257] = 236,
  [258] = 237,
  [259] = 244,
  [260] = 260,
  [261] = 235,
  [262] = 262,
  [263] = 235,
  [264] = 244,
  [265] = 255,
  [266] = 255,
  [267] = 255,
  [268] = 223,
  [269] = 240,
  [270] = 253,
  [271] = 248,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 273,
  [277] = 274,
  [278] = 278,
  [279] = 279,
  [280] = 275,
  [281] = 281,
  [282] = 275,
  [283] = 281,
  [284] = 284,
  [285] = 273,
  [286] = 274,
  [287] = 281,
  [288] = 278,
  [289] = 278,
  [290] = 279,
  [291] = 275,
  [292] = 281,
  [293] = 279,
  [294] = 273,
  [295] = 284,
  [296] = 284,
  [297] = 273,
  [298] = 278,
  [299] = 279,
  [300] = 278,
  [301] = 279,
  [302] = 275,
  [303] = 281,
  [304] = 281,
  [305] = 284,
  [306] = 273,
  [307] = 284,
  [308] = 273,
  [309] = 274,
  [310] = 284,
  [311] = 278,
  [312] = 279,
  [313] = 275,
  [314] = 281,
  [315] = 273,
  [316] = 274,
  [317] = 274,
  [318] = 278,
  [319] = 279,
  [320] = 284,
  [321] = 278,
  [322] = 279,
  [323] = 275,
  [324] = 281,
  [325] = 284,
  [326] = 275,
  [327] = 327,
  [328] = 327,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 330,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 330,
  [337] = 337,
  [338] = 331,
  [339] = 327,
  [340] = 340,
  [341] = 337,
  [342] = 337,
  [343] = 331,
  [344] = 329,
  [345] = 334,
  [346] = 329,
  [347] = 180,
  [348] = 334,
  [349] = 349,
  [350] = 245,
  [351] = 351,
  [352] = 352,
  [353] = 351,
  [354] = 351,
  [355] = 352,
  [356] = 352,
  [357] = 351,
  [358] = 352,
  [359] = 351,
  [360] = 351,
  [361] = 352,
  [362] = 362,
  [363] = 245,
  [364] = 349,
  [365] = 351,
  [366] = 352,
  [367] = 245,
  [368] = 352,
  [369] = 351,
  [370] = 352,
  [371] = 349,
  [372] = 156,
  [373] = 373,
  [374] = 374,
  [375] = 373,
  [376] = 376,
  [377] = 377,
  [378] = 373,
  [379] = 377,
  [380] = 333,
  [381] = 373,
  [382] = 374,
  [383] = 377,
  [384] = 374,
  [385] = 377,
  [386] = 373,
  [387] = 377,
  [388] = 374,
  [389] = 374,
  [390] = 377,
  [391] = 373,
  [392] = 373,
  [393] = 374,
  [394] = 377,
  [395] = 373,
  [396] = 373,
  [397] = 340,
  [398] = 374,
  [399] = 399,
  [400] = 374,
  [401] = 374,
  [402] = 402,
  [403] = 403,
  [404] = 377,
  [405] = 373,
  [406] = 374,
  [407] = 407,
  [408] = 377,
  [409] = 377,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 333,
  [414] = 414,
  [415] = 340,
  [416] = 156,
  [417] = 180,
  [418] = 333,
  [419] = 340,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 410,
  [424] = 424,
  [425] = 414,
  [426] = 426,
  [427] = 427,
  [428] = 424,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 430,
  [434] = 434,
  [435] = 435,
  [436] = 407,
  [437] = 434,
  [438] = 414,
  [439] = 180,
  [440] = 440,
  [441] = 441,
  [442] = 424,
  [443] = 430,
  [444] = 441,
  [445] = 435,
  [446] = 446,
  [447] = 447,
  [448] = 435,
  [449] = 180,
  [450] = 450,
  [451] = 451,
  [452] = 421,
  [453] = 421,
  [454] = 421,
  [455] = 421,
  [456] = 421,
  [457] = 421,
  [458] = 421,
  [459] = 421,
  [460] = 421,
  [461] = 441,
  [462] = 462,
  [463] = 463,
  [464] = 333,
  [465] = 340,
  [466] = 466,
  [467] = 467,
  [468] = 466,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 467,
  [474] = 463,
  [475] = 475,
  [476] = 471,
  [477] = 462,
  [478] = 469,
  [479] = 475,
  [480] = 470,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 486,
  [491] = 482,
  [492] = 483,
  [493] = 485,
  [494] = 487,
  [495] = 495,
  [496] = 488,
  [497] = 489,
  [498] = 486,
  [499] = 482,
  [500] = 483,
  [501] = 485,
  [502] = 487,
  [503] = 503,
  [504] = 488,
  [505] = 489,
  [506] = 486,
  [507] = 482,
  [508] = 483,
  [509] = 485,
  [510] = 487,
  [511] = 482,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 481,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 483,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 513,
  [526] = 515,
  [527] = 527,
  [528] = 528,
  [529] = 483,
  [530] = 530,
  [531] = 485,
  [532] = 486,
  [533] = 487,
  [534] = 534,
  [535] = 488,
  [536] = 489,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 486,
  [541] = 541,
  [542] = 542,
  [543] = 523,
  [544] = 512,
  [545] = 513,
  [546] = 482,
  [547] = 517,
  [548] = 519,
  [549] = 485,
  [550] = 483,
  [551] = 551,
  [552] = 486,
  [553] = 482,
  [554] = 485,
  [555] = 542,
  [556] = 523,
  [557] = 512,
  [558] = 513,
  [559] = 559,
  [560] = 519,
  [561] = 519,
  [562] = 562,
  [563] = 512,
  [564] = 512,
  [565] = 513,
  [566] = 566,
  [567] = 514,
  [568] = 512,
  [569] = 513,
  [570] = 487,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 488,
  [575] = 542,
  [576] = 489,
  [577] = 486,
  [578] = 482,
  [579] = 483,
  [580] = 512,
  [581] = 488,
  [582] = 487,
  [583] = 523,
  [584] = 542,
  [585] = 512,
  [586] = 485,
  [587] = 489,
  [588] = 572,
  [589] = 573,
  [590] = 487,
  [591] = 551,
  [592] = 488,
  [593] = 551,
  [594] = 594,
  [595] = 551,
  [596] = 551,
  [597] = 551,
  [598] = 489,
  [599] = 551,
  [600] = 551,
  [601] = 488,
  [602] = 559,
  [603] = 518,
  [604] = 489,
  [605] = 571,
  [606] = 594,
  [607] = 495,
  [608] = 503,
  [609] = 527,
  [610] = 523,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 612,
  [618] = 615,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 619,
  [623] = 620,
  [624] = 621,
  [625] = 614,
  [626] = 626,
  [627] = 626,
  [628] = 613,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 630,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 629,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 640,
  [646] = 641,
  [647] = 644,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 224,
  [653] = 653,
  [654] = 654,
  [655] = 653,
  [656] = 656,
  [657] = 656,
  [658] = 656,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 650,
  [663] = 654,
  [664] = 654,
  [665] = 665,
  [666] = 653,
  [667] = 659,
  [668] = 659,
  [669] = 661,
  [670] = 654,
  [671] = 671,
  [672] = 653,
  [673] = 673,
  [674] = 659,
  [675] = 675,
  [676] = 676,
  [677] = 650,
  [678] = 675,
  [679] = 679,
  [680] = 660,
  [681] = 679,
  [682] = 650,
  [683] = 650,
  [684] = 651,
  [685] = 223,
  [686] = 676,
  [687] = 673,
  [688] = 653,
  [689] = 659,
  [690] = 665,
  [691] = 659,
  [692] = 656,
  [693] = 656,
  [694] = 654,
  [695] = 654,
  [696] = 653,
  [697] = 656,
  [698] = 671,
  [699] = 699,
  [700] = 650,
  [701] = 699,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 703,
  [706] = 706,
  [707] = 704,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 709,
  [712] = 708,
  [713] = 713,
  [714] = 706,
  [715] = 715,
  [716] = 702,
  [717] = 713,
  [718] = 715,
  [719] = 719,
  [720] = 720,
  [721] = 720,
  [722] = 719,
  [723] = 710,
  [724] = 724,
  [725] = 724,
  [726] = 726,
  [727] = 727,
  [728] = 727,
  [729] = 726,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 735,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 740,
  [746] = 743,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 744,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 747,
  [759] = 748,
  [760] = 749,
  [761] = 750,
  [762] = 762,
  [763] = 763,
  [764] = 752,
  [765] = 765,
  [766] = 731,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 732,
  [775] = 733,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 765,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 767,
  [787] = 787,
  [788] = 788,
  [789] = 768,
  [790] = 770,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 742,
  [796] = 796,
  [797] = 772,
  [798] = 773,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 780,
  [803] = 803,
  [804] = 804,
  [805] = 777,
  [806] = 778,
  [807] = 807,
  [808] = 223,
  [809] = 756,
  [810] = 769,
  [811] = 776,
  [812] = 730,
  [813] = 803,
  [814] = 792,
  [815] = 800,
  [816] = 807,
  [817] = 753,
  [818] = 781,
  [819] = 793,
  [820] = 784,
  [821] = 791,
  [822] = 794,
  [823] = 823,
  [824] = 824,
  [825] = 736,
  [826] = 734,
  [827] = 762,
  [828] = 828,
  [829] = 801,
  [830] = 779,
  [831] = 824,
  [832] = 737,
  [833] = 763,
  [834] = 785,
  [835] = 788,
  [836] = 741,
  [837] = 804,
  [838] = 739,
  [839] = 823,
  [840] = 840,
  [841] = 840,
  [842] = 771,
  [843] = 754,
  [844] = 783,
  [845] = 757,
  [846] = 755,
  [847] = 787,
  [848] = 796,
  [849] = 799,
  [850] = 840,
  [851] = 771,
  [852] = 828,
  [853] = 224,
  [854] = 854,
  [855] = 854,
  [856] = 854,
  [857] = 854,
  [858] = 854,
  [859] = 854,
  [860] = 860,
  [861] = 860,
  [862] = 862,
  [863] = 862,
  [864] = 862,
  [865] = 862,
  [866] = 862,
  [867] = 862,
  [868] = 862,
  [869] = 862,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 872,
  [879] = 879,
  [880] = 873,
  [881] = 881,
  [882] = 874,
  [883] = 879,
  [884] = 872,
  [885] = 879,
  [886] = 873,
  [887] = 873,
  [888] = 881,
  [889] = 889,
  [890] = 890,
  [891] = 881,
  [892] = 871,
  [893] = 875,
  [894] = 874,
  [895] = 875,
  [896] = 890,
  [897] = 876,
  [898] = 871,
  [899] = 890,
  [900] = 879,
  [901] = 877,
  [902] = 872,
  [903] = 871,
  [904] = 876,
  [905] = 877,
  [906] = 874,
  [907] = 872,
  [908] = 879,
  [909] = 873,
  [910] = 890,
  [911] = 875,
  [912] = 890,
  [913] = 890,
  [914] = 914,
  [915] = 890,
  [916] = 873,
  [917] = 871,
  [918] = 875,
  [919] = 879,
  [920] = 881,
  [921] = 872,
  [922] = 879,
  [923] = 881,
  [924] = 877,
  [925] = 889,
  [926] = 914,
  [927] = 870,
  [928] = 870,
  [929] = 881,
  [930] = 890,
  [931] = 871,
  [932] = 876,
  [933] = 871,
  [934] = 872,
  [935] = 873,
  [936] = 881,
  [937] = 874,
  [938] = 890,
  [939] = 875,
  [940] = 871,
  [941] = 874,
  [942] = 875,
  [943] = 874,
  [944] = 875,
  [945] = 876,
  [946] = 877,
  [947] = 914,
  [948] = 872,
  [949] = 879,
  [950] = 914,
  [951] = 873,
  [952] = 914,
  [953] = 881,
  [954] = 876,
  [955] = 877,
  [956] = 877,
  [957] = 876,
  [958] = 890,
  [959] = 890,
  [960] = 890,
  [961] = 877,
  [962] = 890,
  [963] = 874,
  [964] = 870,
  [965] = 876,
  [966] = 966,
  [967] = 870,
  [968] = 870,
  [969] = 969,
  [970] = 970,
  [971] = 870,
  [972] = 870,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 969,
  [978] = 970,
  [979] = 966,
  [980] = 969,
  [981] = 970,
  [982] = 966,
  [983] = 969,
  [984] = 970,
  [985] = 966,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 870,
  [993] = 973,
  [994] = 970,
  [995] = 966,
  [996] = 996,
  [997] = 997,
  [998] = 975,
  [999] = 976,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 986,
  [1003] = 987,
  [1004] = 988,
  [1005] = 973,
  [1006] = 989,
  [1007] = 990,
  [1008] = 991,
  [1009] = 974,
  [1010] = 975,
  [1011] = 976,
  [1012] = 1012,
  [1013] = 975,
  [1014] = 976,
  [1015] = 1015,
  [1016] = 648,
  [1017] = 974,
  [1018] = 987,
  [1019] = 988,
  [1020] = 966,
  [1021] = 989,
  [1022] = 990,
  [1023] = 991,
  [1024] = 974,
  [1025] = 969,
  [1026] = 1026,
  [1027] = 642,
  [1028] = 649,
  [1029] = 634,
  [1030] = 636,
  [1031] = 635,
  [1032] = 637,
  [1033] = 870,
  [1034] = 969,
  [1035] = 970,
  [1036] = 966,
  [1037] = 870,
  [1038] = 986,
  [1039] = 987,
  [1040] = 988,
  [1041] = 973,
  [1042] = 989,
  [1043] = 990,
  [1044] = 969,
  [1045] = 991,
  [1046] = 970,
  [1047] = 870,
  [1048] = 986,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1026,
  [1052] = 975,
  [1053] = 976,
  [1054] = 1015,
  [1055] = 989,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 648,
  [1060] = 986,
  [1061] = 987,
  [1062] = 988,
  [1063] = 973,
  [1064] = 989,
  [1065] = 1001,
  [1066] = 1000,
  [1067] = 1012,
  [1068] = 1026,
  [1069] = 990,
  [1070] = 991,
  [1071] = 988,
  [1072] = 974,
  [1073] = 1073,
  [1074] = 1015,
  [1075] = 642,
  [1076] = 649,
  [1077] = 634,
  [1078] = 636,
  [1079] = 635,
  [1080] = 637,
  [1081] = 1081,
  [1082] = 616,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 639,
  [1086] = 996,
  [1087] = 997,
  [1088] = 990,
  [1089] = 1089,
  [1090] = 991,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1001,
  [1095] = 1095,
  [1096] = 975,
  [1097] = 976,
  [1098] = 1098,
  [1099] = 1015,
  [1100] = 986,
  [1101] = 973,
  [1102] = 988,
  [1103] = 973,
  [1104] = 989,
  [1105] = 990,
  [1106] = 991,
  [1107] = 974,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 969,
  [1111] = 1000,
  [1112] = 1012,
  [1113] = 1026,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 970,
  [1117] = 966,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 974,
  [1126] = 1126,
  [1127] = 986,
  [1128] = 1128,
  [1129] = 612,
  [1130] = 621,
  [1131] = 631,
  [1132] = 1001,
  [1133] = 987,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 996,
  [1137] = 997,
  [1138] = 975,
  [1139] = 976,
  [1140] = 632,
  [1141] = 1056,
  [1142] = 1057,
  [1143] = 1143,
  [1144] = 1000,
  [1145] = 1145,
  [1146] = 1012,
  [1147] = 1147,
  [1148] = 987,
  [1149] = 621,
  [1150] = 1114,
  [1151] = 1115,
  [1152] = 1081,
  [1153] = 640,
  [1154] = 641,
  [1155] = 644,
  [1156] = 631,
  [1157] = 632,
  [1158] = 639,
  [1159] = 1000,
  [1160] = 1012,
  [1161] = 1026,
  [1162] = 630,
  [1163] = 1073,
  [1164] = 1083,
  [1165] = 1143,
  [1166] = 1089,
  [1167] = 1145,
  [1168] = 1056,
  [1169] = 1057,
  [1170] = 1058,
  [1171] = 1084,
  [1172] = 1049,
  [1173] = 1095,
  [1174] = 1118,
  [1175] = 1119,
  [1176] = 1120,
  [1177] = 648,
  [1178] = 1121,
  [1179] = 642,
  [1180] = 1147,
  [1181] = 1091,
  [1182] = 1093,
  [1183] = 1098,
  [1184] = 1108,
  [1185] = 1109,
  [1186] = 1126,
  [1187] = 642,
  [1188] = 1092,
  [1189] = 1134,
  [1190] = 1050,
  [1191] = 649,
  [1192] = 634,
  [1193] = 636,
  [1194] = 1114,
  [1195] = 1115,
  [1196] = 635,
  [1197] = 637,
  [1198] = 1081,
  [1199] = 639,
  [1200] = 1135,
  [1201] = 616,
  [1202] = 1073,
  [1203] = 1083,
  [1204] = 1089,
  [1205] = 1084,
  [1206] = 1049,
  [1207] = 1095,
  [1208] = 1143,
  [1209] = 1145,
  [1210] = 1118,
  [1211] = 1119,
  [1212] = 1120,
  [1213] = 1121,
  [1214] = 1001,
  [1215] = 649,
  [1216] = 1147,
  [1217] = 1091,
  [1218] = 1093,
  [1219] = 1098,
  [1220] = 1108,
  [1221] = 1109,
  [1222] = 1126,
  [1223] = 1092,
  [1224] = 1134,
  [1225] = 1050,
  [1226] = 1081,
  [1227] = 1114,
  [1228] = 1115,
  [1229] = 1135,
  [1230] = 634,
  [1231] = 636,
  [1232] = 1000,
  [1233] = 1050,
  [1234] = 1012,
  [1235] = 1026,
  [1236] = 1073,
  [1237] = 1083,
  [1238] = 996,
  [1239] = 642,
  [1240] = 649,
  [1241] = 634,
  [1242] = 636,
  [1243] = 635,
  [1244] = 637,
  [1245] = 1089,
  [1246] = 997,
  [1247] = 1001,
  [1248] = 639,
  [1249] = 1135,
  [1250] = 1084,
  [1251] = 975,
  [1252] = 976,
  [1253] = 1015,
  [1254] = 1143,
  [1255] = 1145,
  [1256] = 986,
  [1257] = 987,
  [1258] = 988,
  [1259] = 973,
  [1260] = 989,
  [1261] = 990,
  [1262] = 991,
  [1263] = 974,
  [1264] = 631,
  [1265] = 632,
  [1266] = 631,
  [1267] = 632,
  [1268] = 639,
  [1269] = 639,
  [1270] = 1049,
  [1271] = 1095,
  [1272] = 1118,
  [1273] = 1119,
  [1274] = 1120,
  [1275] = 1121,
  [1276] = 635,
  [1277] = 616,
  [1278] = 612,
  [1279] = 621,
  [1280] = 1001,
  [1281] = 612,
  [1282] = 637,
  [1283] = 1000,
  [1284] = 1012,
  [1285] = 1026,
  [1286] = 1015,
  [1287] = 1147,
  [1288] = 1091,
  [1289] = 1015,
  [1290] = 1093,
  [1291] = 1098,
  [1292] = 1058,
  [1293] = 1134,
  [1294] = 1108,
  [1295] = 1109,
  [1296] = 1126,
  [1297] = 996,
  [1298] = 997,
  [1299] = 1092,
  [1300] = 648,
  [1301] = 648,
  [1302] = 1049,
  [1303] = 644,
  [1304] = 631,
  [1305] = 632,
  [1306] = 1000,
  [1307] = 1012,
  [1308] = 1026,
  [1309] = 1073,
  [1310] = 1083,
  [1311] = 1081,
  [1312] = 1089,
  [1313] = 1143,
  [1314] = 1145,
  [1315] = 1084,
  [1316] = 1135,
  [1317] = 1049,
  [1318] = 1095,
  [1319] = 1118,
  [1320] = 1119,
  [1321] = 1120,
  [1322] = 631,
  [1323] = 1121,
  [1324] = 632,
  [1325] = 1135,
  [1326] = 630,
  [1327] = 635,
  [1328] = 1147,
  [1329] = 1147,
  [1330] = 1091,
  [1331] = 1093,
  [1332] = 1098,
  [1333] = 1108,
  [1334] = 1109,
  [1335] = 1126,
  [1336] = 1091,
  [1337] = 1092,
  [1338] = 1134,
  [1339] = 1050,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1093,
  [1343] = 1114,
  [1344] = 1115,
  [1345] = 1109,
  [1346] = 1121,
  [1347] = 1098,
  [1348] = 1126,
  [1349] = 1108,
  [1350] = 1109,
  [1351] = 1073,
  [1352] = 637,
  [1353] = 1083,
  [1354] = 1126,
  [1355] = 1108,
  [1356] = 648,
  [1357] = 1091,
  [1358] = 1093,
  [1359] = 1098,
  [1360] = 1124,
  [1361] = 642,
  [1362] = 649,
  [1363] = 634,
  [1364] = 636,
  [1365] = 635,
  [1366] = 637,
  [1367] = 1001,
  [1368] = 639,
  [1369] = 1015,
  [1370] = 640,
  [1371] = 641,
  [1372] = 644,
  [1373] = 1092,
  [1374] = 639,
  [1375] = 630,
  [1376] = 1134,
  [1377] = 1050,
  [1378] = 1092,
  [1379] = 1143,
  [1380] = 1145,
  [1381] = 643,
  [1382] = 1134,
  [1383] = 1114,
  [1384] = 1115,
  [1385] = 1115,
  [1386] = 648,
  [1387] = 1050,
  [1388] = 1089,
  [1389] = 1081,
  [1390] = 1135,
  [1391] = 640,
  [1392] = 636,
  [1393] = 641,
  [1394] = 1118,
  [1395] = 649,
  [1396] = 644,
  [1397] = 1084,
  [1398] = 631,
  [1399] = 632,
  [1400] = 639,
  [1401] = 1119,
  [1402] = 639,
  [1403] = 1120,
  [1404] = 630,
  [1405] = 1073,
  [1406] = 1083,
  [1407] = 1147,
  [1408] = 1089,
  [1409] = 1084,
  [1410] = 634,
  [1411] = 1049,
  [1412] = 1143,
  [1413] = 1095,
  [1414] = 1145,
  [1415] = 1095,
  [1416] = 640,
  [1417] = 642,
  [1418] = 1081,
  [1419] = 643,
  [1420] = 1118,
  [1421] = 1119,
  [1422] = 1120,
  [1423] = 641,
  [1424] = 1121,
  [1425] = 1122,
  [1426] = 1123,
  [1427] = 1114,
  [1428] = 1121,
  [1429] = 635,
  [1430] = 637,
  [1431] = 1073,
  [1432] = 1083,
  [1433] = 643,
  [1434] = 1089,
  [1435] = 639,
  [1436] = 1143,
  [1437] = 1145,
  [1438] = 643,
  [1439] = 1056,
  [1440] = 1084,
  [1441] = 1057,
  [1442] = 1049,
  [1443] = 1095,
  [1444] = 1118,
  [1445] = 1119,
  [1446] = 1120,
  [1447] = 634,
  [1448] = 1056,
  [1449] = 1057,
  [1450] = 1058,
  [1451] = 1135,
  [1452] = 1058,
  [1453] = 1147,
  [1454] = 1091,
  [1455] = 1056,
  [1456] = 1093,
  [1457] = 1098,
  [1458] = 1108,
  [1459] = 1109,
  [1460] = 1126,
  [1461] = 1057,
  [1462] = 1081,
  [1463] = 1058,
  [1464] = 1092,
  [1465] = 1134,
  [1466] = 1050,
  [1467] = 1114,
  [1468] = 1115,
  [1469] = 631,
  [1470] = 632,
  [1471] = 649,
  [1472] = 648,
  [1473] = 642,
  [1474] = 636,
  [1475] = 632,
  [1476] = 648,
  [1477] = 642,
  [1478] = 649,
  [1479] = 630,
  [1480] = 639,
  [1481] = 639,
  [1482] = 639,
  [1483] = 639,
  [1484] = 644,
  [1485] = 635,
  [1486] = 634,
  [1487] = 636,
  [1488] = 1341,
  [1489] = 640,
  [1490] = 1340,
  [1491] = 641,
  [1492] = 637,
  [1493] = 631,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1498,
  [1500] = 1496,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1497,
  [1508] = 1498,
  [1509] = 1501,
  [1510] = 1496,
  [1511] = 1501,
  [1512] = 1503,
  [1513] = 1504,
  [1514] = 1502,
  [1515] = 1503,
  [1516] = 1504,
  [1517] = 1502,
  [1518] = 1505,
  [1519] = 1506,
  [1520] = 1497,
  [1521] = 1498,
  [1522] = 1505,
  [1523] = 1506,
  [1524] = 1505,
  [1525] = 1496,
  [1526] = 1501,
  [1527] = 1497,
  [1528] = 1502,
  [1529] = 1503,
  [1530] = 1504,
  [1531] = 1506,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1533,
  [1535] = 1533,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1538,
  [1541] = 1541,
  [1542] = 1537,
  [1543] = 1541,
  [1544] = 1539,
  [1545] = 1538,
  [1546] = 1537,
  [1547] = 1537,
  [1548] = 1548,
  [1549] = 1548,
  [1550] = 1541,
  [1551] = 1548,
  [1552] = 1548,
  [1553] = 1539,
  [1554] = 1538,
  [1555] = 1539,
  [1556] = 1541,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1558,
  [1561] = 1558,
  [1562] = 1559,
  [1563] = 1559,
  [1564] = 1564,
  [1565] = 1559,
  [1566] = 1558,
  [1567] = 1567,
  [1568] = 1567,
  [1569] = 1564,
  [1570] = 1567,
  [1571] = 1567,
  [1572] = 1564,
  [1573] = 1564,
  [1574] = 1564,
  [1575] = 1567,
  [1576] = 1564,
  [1577] = 1567,
  [1578] = 1564,
  [1579] = 1567,
  [1580] = 1567,
  [1581] = 1581,
  [1582] = 1340,
  [1583] = 1341,
  [1584] = 640,
  [1585] = 641,
  [1586] = 644,
  [1587] = 630,
  [1588] = 1588,
  [1589] = 1564,
  [1590] = 1590,
  [1591] = 632,
  [1592] = 639,
  [1593] = 631,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 640,
  [1599] = 640,
  [1600] = 641,
  [1601] = 1340,
  [1602] = 1341,
  [1603] = 1596,
  [1604] = 1597,
  [1605] = 1594,
  [1606] = 640,
  [1607] = 641,
  [1608] = 644,
  [1609] = 630,
  [1610] = 641,
  [1611] = 631,
  [1612] = 632,
  [1613] = 644,
  [1614] = 1614,
  [1615] = 1341,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1340,
  [1619] = 1341,
  [1620] = 630,
  [1621] = 644,
  [1622] = 1616,
  [1623] = 1616,
  [1624] = 1616,
  [1625] = 1616,
  [1626] = 1616,
  [1627] = 1616,
  [1628] = 1628,
  [1629] = 1616,
  [1630] = 639,
  [1631] = 1616,
  [1632] = 1616,
  [1633] = 630,
  [1634] = 1634,
  [1635] = 1340,
  [1636] = 1636,
  [1637] = 1636,
  [1638] = 1634,
  [1639] = 1636,
  [1640] = 1614,
  [1641] = 1641,
  [1642] = 1636,
  [1643] = 1590,
  [1644] = 1636,
  [1645] = 1636,
  [1646] = 1617,
  [1647] = 1636,
  [1648] = 1648,
  [1649] = 1648,
  [1650] = 1628,
  [1651] = 1651,
  [1652] = 1651,
  [1653] = 1595,
  [1654] = 1636,
  [1655] = 1648,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1657,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1659,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1662,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1665,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1665,
  [1672] = 1672,
  [1673] = 1665,
  [1674] = 1665,
  [1675] = 1665,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1665,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1665,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1682,
  [1687] = 1684,
  [1688] = 1683,
  [1689] = 1689,
  [1690] = 1683,
  [1691] = 1684,
  [1692] = 1685,
  [1693] = 1693,
  [1694] = 1682,
  [1695] = 1679,
  [1696] = 1683,
  [1697] = 1684,
  [1698] = 1685,
  [1699] = 1682,
  [1700] = 1685,
  [1701] = 1683,
  [1702] = 1684,
  [1703] = 1685,
  [1704] = 1682,
  [1705] = 1668,
  [1706] = 1670,
  [1707] = 1684,
  [1708] = 1685,
  [1709] = 1709,
  [1710] = 1682,
  [1711] = 1683,
  [1712] = 1684,
  [1713] = 1685,
  [1714] = 1682,
  [1715] = 1683,
  [1716] = 1684,
  [1717] = 1685,
  [1718] = 1682,
  [1719] = 1683,
  [1720] = 1684,
  [1721] = 1721,
  [1722] = 1677,
  [1723] = 1721,
  [1724] = 1680,
  [1725] = 1721,
  [1726] = 1676,
  [1727] = 1721,
  [1728] = 1721,
  [1729] = 1672,
  [1730] = 1721,
  [1731] = 1721,
  [1732] = 1721,
  [1733] = 1666,
  [1734] = 1669,
  [1735] = 1683,
  [1736] = 1668,
  [1737] = 1737,
  [1738] = 1679,
  [1739] = 1676,
  [1740] = 1740,
  [1741] = 1680,
  [1742] = 1669,
  [1743] = 1670,
  [1744] = 1672,
  [1745] = 1669,
  [1746] = 1740,
  [1747] = 1668,
  [1748] = 1679,
  [1749] = 1670,
  [1750] = 1672,
  [1751] = 1666,
  [1752] = 1676,
  [1753] = 1677,
  [1754] = 1677,
  [1755] = 1680,
  [1756] = 1756,
  [1757] = 1666,
  [1758] = 1758,
  [1759] = 1672,
  [1760] = 1679,
  [1761] = 1668,
  [1762] = 1762,
  [1763] = 1680,
  [1764] = 1666,
  [1765] = 1680,
  [1766] = 1677,
  [1767] = 1740,
  [1768] = 1679,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1668,
  [1772] = 1677,
  [1773] = 1670,
  [1774] = 1774,
  [1775] = 1680,
  [1776] = 1677,
  [1777] = 1676,
  [1778] = 1676,
  [1779] = 1669,
  [1780] = 1669,
  [1781] = 1740,
  [1782] = 1669,
  [1783] = 1670,
  [1784] = 1670,
  [1785] = 1672,
  [1786] = 1672,
  [1787] = 1679,
  [1788] = 1666,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1668,
  [1792] = 1666,
  [1793] = 1676,
  [1794] = 1774,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1795,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1680,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1796,
  [1809] = 1806,
  [1810] = 1668,
  [1811] = 1795,
  [1812] = 1812,
  [1813] = 1796,
  [1814] = 1795,
  [1815] = 1774,
  [1816] = 1795,
  [1817] = 1795,
  [1818] = 1679,
  [1819] = 1795,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1821,
  [1824] = 1824,
  [1825] = 1666,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1828,
  [1829] = 1807,
  [1830] = 1795,
  [1831] = 1822,
  [1832] = 1806,
  [1833] = 1795,
  [1834] = 1756,
  [1835] = 1677,
  [1836] = 1798,
  [1837] = 1676,
  [1838] = 1774,
  [1839] = 1822,
  [1840] = 1669,
  [1841] = 1670,
  [1842] = 1672,
  [1843] = 1790,
  [1844] = 1795,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1756,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1851,
  [1853] = 1758,
  [1854] = 1845,
  [1855] = 1845,
  [1856] = 1856,
  [1857] = 1851,
  [1858] = 1820,
  [1859] = 1789,
  [1860] = 1846,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1756,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1762,
  [1867] = 1867,
  [1868] = 1789,
  [1869] = 1848,
  [1870] = 1851,
  [1871] = 1851,
  [1872] = 1850,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1758,
  [1876] = 1873,
  [1877] = 1820,
  [1878] = 1878,
  [1879] = 1851,
  [1880] = 1880,
  [1881] = 1873,
  [1882] = 1851,
  [1883] = 1758,
  [1884] = 1762,
  [1885] = 1762,
  [1886] = 1886,
  [1887] = 1880,
  [1888] = 1849,
  [1889] = 1851,
  [1890] = 1880,
  [1891] = 1891,
  [1892] = 1789,
  [1893] = 1846,
  [1894] = 1820,
  [1895] = 1895,
  [1896] = 1896,
  [1897] = 1897,
  [1898] = 1790,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1789,
  [1902] = 1902,
  [1903] = 1874,
  [1904] = 1904,
  [1905] = 1874,
  [1906] = 1906,
  [1907] = 1891,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1802,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1802,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1909,
  [1924] = 1924,
  [1925] = 1916,
  [1926] = 1926,
  [1927] = 1769,
  [1928] = 1928,
  [1929] = 1908,
  [1930] = 1802,
  [1931] = 1931,
  [1932] = 1904,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1917,
  [1936] = 1900,
  [1937] = 1891,
  [1938] = 1909,
  [1939] = 1939,
  [1940] = 1762,
  [1941] = 1931,
  [1942] = 1942,
  [1943] = 1911,
  [1944] = 1803,
  [1945] = 1945,
  [1946] = 1891,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1911,
  [1951] = 1908,
  [1952] = 1919,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1904,
  [1956] = 1947,
  [1957] = 1957,
  [1958] = 1947,
  [1959] = 1920,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1874,
  [1963] = 1595,
  [1964] = 1926,
  [1965] = 1758,
  [1966] = 1954,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1957,
  [1970] = 1970,
  [1971] = 1926,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 1931,
  [1975] = 1975,
  [1976] = 1916,
  [1977] = 1975,
  [1978] = 1954,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1769,
  [1982] = 1790,
  [1983] = 1967,
  [1984] = 1968,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1899,
  [1988] = 1970,
  [1989] = 1922,
  [1990] = 1917,
  [1991] = 1948,
  [1992] = 1992,
  [1993] = 1957,
  [1994] = 1590,
  [1995] = 1995,
  [1996] = 1949,
  [1997] = 1997,
  [1998] = 1911,
  [1999] = 1790,
  [2000] = 1769,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 1902,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 1617,
  [2008] = 1912,
  [2009] = 1914,
  [2010] = 2010,
  [2011] = 1922,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 1933,
  [2017] = 1979,
  [2018] = 2005,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 1933,
  [2024] = 1997,
  [2025] = 1802,
  [2026] = 2005,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 1967,
  [2031] = 1947,
  [2032] = 2032,
  [2033] = 2005,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2010,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2015,
  [2043] = 2043,
  [2044] = 2021,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 1634,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2006,
  [2052] = 2002,
  [2053] = 2028,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 1972,
  [2059] = 1895,
  [2060] = 1980,
  [2061] = 1967,
  [2062] = 1968,
  [2063] = 1972,
  [2064] = 1919,
  [2065] = 2065,
  [2066] = 1895,
  [2067] = 2067,
  [2068] = 2068,
  [2069] = 1912,
  [2070] = 2034,
  [2071] = 2067,
  [2072] = 1980,
  [2073] = 2073,
  [2074] = 2010,
  [2075] = 2075,
  [2076] = 1968,
  [2077] = 1970,
  [2078] = 1902,
  [2079] = 2079,
  [2080] = 2054,
  [2081] = 2015,
  [2082] = 2021,
  [2083] = 1922,
  [2084] = 1902,
  [2085] = 1912,
  [2086] = 2073,
  [2087] = 1914,
  [2088] = 1614,
  [2089] = 1873,
  [2090] = 1970,
  [2091] = 2005,
  [2092] = 1917,
  [2093] = 1914,
  [2094] = 2068,
  [2095] = 2073,
  [2096] = 2005,
  [2097] = 1909,
  [2098] = 1919,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 1920,
  [2102] = 2102,
  [2103] = 2005,
  [2104] = 2104,
  [2105] = 1972,
  [2106] = 1895,
  [2107] = 2107,
  [2108] = 2021,
  [2109] = 1920,
  [2110] = 2065,
  [2111] = 1933,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2041,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 1980,
  [2122] = 1628,
  [2123] = 2005,
  [2124] = 2119,
  [2125] = 2012,
  [2126] = 2020,
  [2127] = 2112,
  [2128] = 2128,
  [2129] = 2029,
  [2130] = 2035,
  [2131] = 2131,
  [2132] = 2040,
  [2133] = 2043,
  [2134] = 2050,
  [2135] = 2041,
  [2136] = 2055,
  [2137] = 2012,
  [2138] = 2102,
  [2139] = 2107,
  [2140] = 2004,
  [2141] = 2113,
  [2142] = 2115,
  [2143] = 2116,
  [2144] = 2119,
  [2145] = 2120,
  [2146] = 2014,
  [2147] = 2022,
  [2148] = 2027,
  [2149] = 2045,
  [2150] = 2047,
  [2151] = 2019,
  [2152] = 2020,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2032,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2160,
  [2164] = 2164,
  [2165] = 2112,
  [2166] = 2029,
  [2167] = 2035,
  [2168] = 2040,
  [2169] = 2043,
  [2170] = 2050,
  [2171] = 2041,
  [2172] = 2055,
  [2173] = 2173,
  [2174] = 2012,
  [2175] = 2175,
  [2176] = 2020,
  [2177] = 2102,
  [2178] = 2107,
  [2179] = 2004,
  [2180] = 2113,
  [2181] = 2115,
  [2182] = 2116,
  [2183] = 2119,
  [2184] = 2184,
  [2185] = 2120,
  [2186] = 2014,
  [2187] = 2022,
  [2188] = 2027,
  [2189] = 2045,
  [2190] = 2153,
  [2191] = 2154,
  [2192] = 2047,
  [2193] = 2019,
  [2194] = 2160,
  [2195] = 2195,
  [2196] = 2112,
  [2197] = 2197,
  [2198] = 2036,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2153,
  [2203] = 2154,
  [2204] = 2160,
  [2205] = 2104,
  [2206] = 2029,
  [2207] = 2131,
  [2208] = 2035,
  [2209] = 2209,
  [2210] = 2040,
  [2211] = 2043,
  [2212] = 2050,
  [2213] = 2055,
  [2214] = 2114,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2102,
  [2220] = 2107,
  [2221] = 2004,
  [2222] = 2113,
  [2223] = 2115,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2116,
  [2227] = 2227,
  [2228] = 2120,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2014,
  [2234] = 2234,
  [2235] = 2022,
  [2236] = 2027,
  [2237] = 2037,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2045,
  [2241] = 2153,
  [2242] = 2047,
  [2243] = 2019,
  [2244] = 2154,
  [2245] = 2245,
  [2246] = 2195,
  [2247] = 2201,
  [2248] = 2248,
  [2249] = 2224,
  [2250] = 2250,
  [2251] = 2215,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2261,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2258,
  [2270] = 2253,
  [2271] = 2259,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2229,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2280,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 2286,
  [2288] = 2273,
  [2289] = 2255,
  [2290] = 2266,
  [2291] = 2278,
  [2292] = 2282,
  [2293] = 2293,
  [2294] = 2285,
  [2295] = 1001,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 1979,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2162,
  [2303] = 2275,
  [2304] = 2304,
  [2305] = 2300,
  [2306] = 2254,
  [2307] = 2257,
  [2308] = 1961,
  [2309] = 2264,
  [2310] = 2261,
  [2311] = 2311,
  [2312] = 2264,
  [2313] = 2265,
  [2314] = 2267,
  [2315] = 2265,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2273,
  [2319] = 2275,
  [2320] = 2320,
  [2321] = 2276,
  [2322] = 2277,
  [2323] = 2002,
  [2324] = 2280,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 654,
  [2328] = 2286,
  [2329] = 2329,
  [2330] = 2317,
  [2331] = 2255,
  [2332] = 2311,
  [2333] = 2266,
  [2334] = 2278,
  [2335] = 2282,
  [2336] = 1973,
  [2337] = 1995,
  [2338] = 2338,
  [2339] = 653,
  [2340] = 2285,
  [2341] = 2255,
  [2342] = 1897,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2300,
  [2347] = 2254,
  [2348] = 2304,
  [2349] = 2254,
  [2350] = 2280,
  [2351] = 2266,
  [2352] = 2257,
  [2353] = 2267,
  [2354] = 2261,
  [2355] = 1979,
  [2356] = 2356,
  [2357] = 2264,
  [2358] = 2265,
  [2359] = 2267,
  [2360] = 2278,
  [2361] = 2282,
  [2362] = 2273,
  [2363] = 2363,
  [2364] = 2275,
  [2365] = 2276,
  [2366] = 2277,
  [2367] = 1015,
  [2368] = 2368,
  [2369] = 2227,
  [2370] = 2161,
  [2371] = 2162,
  [2372] = 2218,
  [2373] = 2164,
  [2374] = 2300,
  [2375] = 1979,
  [2376] = 2304,
  [2377] = 2368,
  [2378] = 2378,
  [2379] = 2254,
  [2380] = 1590,
  [2381] = 2257,
  [2382] = 2338,
  [2383] = 2230,
  [2384] = 2261,
  [2385] = 2264,
  [2386] = 2265,
  [2387] = 2387,
  [2388] = 2267,
  [2389] = 2002,
  [2390] = 2276,
  [2391] = 2273,
  [2392] = 2001,
  [2393] = 2275,
  [2394] = 2276,
  [2395] = 2277,
  [2396] = 2273,
  [2397] = 2397,
  [2398] = 1921,
  [2399] = 1942,
  [2400] = 2256,
  [2401] = 2275,
  [2402] = 659,
  [2403] = 2300,
  [2404] = 2304,
  [2405] = 2002,
  [2406] = 2254,
  [2407] = 2277,
  [2408] = 2257,
  [2409] = 2261,
  [2410] = 2285,
  [2411] = 2411,
  [2412] = 2264,
  [2413] = 2265,
  [2414] = 2267,
  [2415] = 2415,
  [2416] = 2273,
  [2417] = 2299,
  [2418] = 2275,
  [2419] = 2343,
  [2420] = 2276,
  [2421] = 2277,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2378,
  [2425] = 2425,
  [2426] = 2225,
  [2427] = 656,
  [2428] = 2304,
  [2429] = 2300,
  [2430] = 2304,
  [2431] = 2257,
  [2432] = 2432,
  [2433] = 2254,
  [2434] = 2257,
  [2435] = 2261,
  [2436] = 2436,
  [2437] = 2387,
  [2438] = 2264,
  [2439] = 2265,
  [2440] = 2267,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2273,
  [2444] = 2275,
  [2445] = 2276,
  [2446] = 2277,
  [2447] = 2276,
  [2448] = 2448,
  [2449] = 2449,
  [2450] = 2267,
  [2451] = 2276,
  [2452] = 2277,
  [2453] = 2216,
  [2454] = 2217,
  [2455] = 2161,
  [2456] = 2267,
  [2457] = 2300,
  [2458] = 2276,
  [2459] = 2277,
  [2460] = 2338,
  [2461] = 2162,
  [2462] = 2277,
  [2463] = 2300,
  [2464] = 1617,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2304,
  [2471] = 2293,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2356,
  [2475] = 2368,
  [2476] = 2320,
  [2477] = 2397,
  [2478] = 2286,
  [2479] = 2411,
  [2480] = 2254,
  [2481] = 2164,
  [2482] = 2425,
  [2483] = 2469,
  [2484] = 2293,
  [2485] = 2257,
  [2486] = 1595,
  [2487] = 1960,
  [2488] = 2258,
  [2489] = 2259,
  [2490] = 2449,
  [2491] = 2268,
  [2492] = 2261,
  [2493] = 2225,
  [2494] = 2363,
  [2495] = 2297,
  [2496] = 2225,
  [2497] = 1590,
  [2498] = 2469,
  [2499] = 2304,
  [2500] = 2264,
  [2501] = 2265,
  [2502] = 2415,
  [2503] = 2425,
  [2504] = 650,
  [2505] = 2267,
  [2506] = 1590,
  [2507] = 2468,
  [2508] = 2423,
  [2509] = 2329,
  [2510] = 2262,
  [2511] = 2279,
  [2512] = 2467,
  [2513] = 2513,
  [2514] = 2422,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2515,
  [2519] = 2049,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2436,
  [2524] = 2524,
  [2525] = 2049,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 656,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2531,
  [2535] = 2535,
  [2536] = 2533,
  [2537] = 2535,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2516,
  [2542] = 2542,
  [2543] = 2515,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2524,
  [2547] = 2547,
  [2548] = 2538,
  [2549] = 2049,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 1617,
  [2556] = 2524,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2547,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2531,
  [2564] = 2564,
  [2565] = 2551,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 650,
  [2570] = 2570,
  [2571] = 2535,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2533,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2538,
  [2580] = 2542,
  [2581] = 2531,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2542,
  [2585] = 2527,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2587,
  [2589] = 2572,
  [2590] = 2524,
  [2591] = 2591,
  [2592] = 2515,
  [2593] = 659,
  [2594] = 2533,
  [2595] = 2595,
  [2596] = 1628,
  [2597] = 1628,
  [2598] = 2598,
  [2599] = 1634,
  [2600] = 2586,
  [2601] = 1634,
  [2602] = 2602,
  [2603] = 654,
  [2604] = 2604,
  [2605] = 653,
  [2606] = 2432,
  [2607] = 2553,
  [2608] = 2608,
  [2609] = 2602,
  [2610] = 2545,
  [2611] = 1614,
  [2612] = 1614,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2620,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2616,
  [2634] = 2634,
  [2635] = 2628,
  [2636] = 2636,
  [2637] = 2623,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2632,
  [2642] = 2636,
  [2643] = 2615,
  [2644] = 2628,
  [2645] = 2630,
  [2646] = 2617,
  [2647] = 2618,
  [2648] = 2619,
  [2649] = 2630,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2622,
  [2655] = 2623,
  [2656] = 2622,
  [2657] = 2638,
  [2658] = 2615,
  [2659] = 2615,
  [2660] = 2620,
  [2661] = 2620,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2628,
  [2665] = 2652,
  [2666] = 2629,
  [2667] = 2618,
  [2668] = 2628,
  [2669] = 2669,
  [2670] = 2620,
  [2671] = 2619,
  [2672] = 2630,
  [2673] = 2650,
  [2674] = 2622,
  [2675] = 2623,
  [2676] = 2632,
  [2677] = 2616,
  [2678] = 2630,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2620,
  [2683] = 2636,
  [2684] = 2630,
  [2685] = 2618,
  [2686] = 2624,
  [2687] = 2628,
  [2688] = 2688,
  [2689] = 2629,
  [2690] = 2622,
  [2691] = 2615,
  [2692] = 2650,
  [2693] = 2651,
  [2694] = 2650,
  [2695] = 2629,
  [2696] = 2620,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2632,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2616,
  [2704] = 2615,
  [2705] = 2679,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2636,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2623,
  [2713] = 2652,
  [2714] = 2714,
  [2715] = 2636,
  [2716] = 2716,
  [2717] = 2716,
  [2718] = 2652,
  [2719] = 2652,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2629,
  [2723] = 2618,
  [2724] = 2618,
  [2725] = 2619,
  [2726] = 2638,
  [2727] = 2710,
  [2728] = 2728,
  [2729] = 2622,
  [2730] = 2730,
  [2731] = 2619,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2700,
  [2735] = 2614,
  [2736] = 2709,
  [2737] = 2623,
  [2738] = 2721,
  [2739] = 2632,
  [2740] = 2622,
  [2741] = 2716,
  [2742] = 2620,
  [2743] = 2623,
  [2744] = 2720,
  [2745] = 2614,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2616,
  [2749] = 2628,
  [2750] = 2638,
  [2751] = 2620,
  [2752] = 2622,
  [2753] = 2616,
  [2754] = 2620,
  [2755] = 2623,
  [2756] = 2756,
  [2757] = 2680,
  [2758] = 2663,
  [2759] = 2629,
  [2760] = 2702,
  [2761] = 2618,
  [2762] = 2629,
  [2763] = 2632,
  [2764] = 2616,
  [2765] = 2614,
  [2766] = 2628,
  [2767] = 2680,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2636,
  [2771] = 2746,
  [2772] = 2697,
  [2773] = 2650,
  [2774] = 2669,
  [2775] = 2700,
  [2776] = 2629,
  [2777] = 2711,
  [2778] = 2615,
  [2779] = 2619,
  [2780] = 2636,
  [2781] = 2630,
  [2782] = 2636,
  [2783] = 2709,
  [2784] = 2707,
  [2785] = 2619,
  [2786] = 2630,
  [2787] = 2721,
  [2788] = 2632,
  [2789] = 2632,
  [2790] = 2615,
  [2791] = 2616,
  [2792] = 2769,
  [2793] = 2680,
  [2794] = 2698,
  [2795] = 2795,
  [2796] = 2716,
  [2797] = 2688,
  [2798] = 2798,
  [2799] = 2618,
  [2800] = 2714,
  [2801] = 2681,
  [2802] = 2701,
  [2803] = 2803,
  [2804] = 2795,
  [2805] = 2701,
  [2806] = 2798,
  [2807] = 2619,
  [2808] = 2614,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(130);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(135);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(135);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(21);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(31);
      if (lookahead == '@') ADVANCE(23);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(24);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(25);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '|') ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '-') ADVANCE(30);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 10:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 11:
      if (lookahead == '\r') SKIP(11);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(12);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(13);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(14);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(129);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 18:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(110);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(29);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(50);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(130);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 38:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(36);
      END_STATE();
    case 51:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 52:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(52);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(112);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 53:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 54:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(54);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(75);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_except);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(117);
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        0, 168,
        '\n', 130,
        '\r', 2,
        'N', 35,
        'U', 49,
        'u', 45,
        'x', 43,
        '"', 130,
        '\'', 130,
        '\\', 130,
        'a', 130,
        'b', 130,
        'f', 130,
        'n', 130,
        'r', 130,
        't', 130,
        'v', 130,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(136);
      if (lookahead == '\r') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 135,
        '#', 136,
        '\\', 134,
        '\t', 135,
        0x0b, 135,
        '\f', 135,
        ' ', 135,
        0x200b, 135,
        0x2060, 135,
        0xfeff, 135,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'B', 32,
        'b', 32,
        'E', 37,
        'e', 37,
        'O', 33,
        'o', 33,
        'X', 34,
        'x', 34,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'E', 37,
        'e', 37,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(149);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(154);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(156);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(158);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(160);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(161);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(162);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(71);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(150);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(151);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(152);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(153);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 'y') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(61);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(79);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(83);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 52:
      if (lookahead == 'y') ADVANCE(87);
      END_STATE();
    case 53:
      if (lookahead == 'p') ADVANCE(88);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 63:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 71:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 76:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 'k') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(133);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(139);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(140);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(146);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(147);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 142:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 143:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 153:
      if (lookahead == '_') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 52, .external_lex_state = 2},
  [2] = {.lex_state = 52, .external_lex_state = 3},
  [3] = {.lex_state = 52, .external_lex_state = 3},
  [4] = {.lex_state = 52, .external_lex_state = 3},
  [5] = {.lex_state = 52, .external_lex_state = 3},
  [6] = {.lex_state = 52, .external_lex_state = 3},
  [7] = {.lex_state = 52, .external_lex_state = 3},
  [8] = {.lex_state = 52, .external_lex_state = 3},
  [9] = {.lex_state = 52, .external_lex_state = 3},
  [10] = {.lex_state = 52, .external_lex_state = 3},
  [11] = {.lex_state = 52, .external_lex_state = 3},
  [12] = {.lex_state = 52, .external_lex_state = 3},
  [13] = {.lex_state = 52, .external_lex_state = 3},
  [14] = {.lex_state = 52, .external_lex_state = 3},
  [15] = {.lex_state = 52, .external_lex_state = 3},
  [16] = {.lex_state = 52, .external_lex_state = 3},
  [17] = {.lex_state = 52, .external_lex_state = 3},
  [18] = {.lex_state = 52, .external_lex_state = 3},
  [19] = {.lex_state = 52, .external_lex_state = 3},
  [20] = {.lex_state = 52, .external_lex_state = 3},
  [21] = {.lex_state = 52, .external_lex_state = 3},
  [22] = {.lex_state = 52, .external_lex_state = 3},
  [23] = {.lex_state = 52, .external_lex_state = 3},
  [24] = {.lex_state = 52, .external_lex_state = 3},
  [25] = {.lex_state = 52, .external_lex_state = 3},
  [26] = {.lex_state = 52, .external_lex_state = 3},
  [27] = {.lex_state = 52, .external_lex_state = 3},
  [28] = {.lex_state = 52, .external_lex_state = 3},
  [29] = {.lex_state = 52, .external_lex_state = 3},
  [30] = {.lex_state = 52, .external_lex_state = 3},
  [31] = {.lex_state = 52, .external_lex_state = 3},
  [32] = {.lex_state = 52, .external_lex_state = 3},
  [33] = {.lex_state = 52, .external_lex_state = 3},
  [34] = {.lex_state = 52, .external_lex_state = 3},
  [35] = {.lex_state = 52, .external_lex_state = 3},
  [36] = {.lex_state = 52, .external_lex_state = 3},
  [37] = {.lex_state = 52, .external_lex_state = 3},
  [38] = {.lex_state = 52, .external_lex_state = 3},
  [39] = {.lex_state = 52, .external_lex_state = 3},
  [40] = {.lex_state = 52, .external_lex_state = 3},
  [41] = {.lex_state = 52, .external_lex_state = 3},
  [42] = {.lex_state = 52, .external_lex_state = 3},
  [43] = {.lex_state = 52, .external_lex_state = 3},
  [44] = {.lex_state = 52, .external_lex_state = 3},
  [45] = {.lex_state = 52, .external_lex_state = 3},
  [46] = {.lex_state = 52, .external_lex_state = 3},
  [47] = {.lex_state = 52, .external_lex_state = 3},
  [48] = {.lex_state = 52, .external_lex_state = 3},
  [49] = {.lex_state = 52, .external_lex_state = 3},
  [50] = {.lex_state = 52, .external_lex_state = 3},
  [51] = {.lex_state = 52, .external_lex_state = 3},
  [52] = {.lex_state = 52, .external_lex_state = 3},
  [53] = {.lex_state = 52, .external_lex_state = 3},
  [54] = {.lex_state = 52, .external_lex_state = 3},
  [55] = {.lex_state = 52, .external_lex_state = 3},
  [56] = {.lex_state = 52, .external_lex_state = 3},
  [57] = {.lex_state = 52, .external_lex_state = 3},
  [58] = {.lex_state = 52, .external_lex_state = 3},
  [59] = {.lex_state = 52, .external_lex_state = 3},
  [60] = {.lex_state = 52, .external_lex_state = 3},
  [61] = {.lex_state = 52, .external_lex_state = 3},
  [62] = {.lex_state = 52, .external_lex_state = 3},
  [63] = {.lex_state = 52, .external_lex_state = 3},
  [64] = {.lex_state = 52, .external_lex_state = 2},
  [65] = {.lex_state = 52, .external_lex_state = 3},
  [66] = {.lex_state = 52, .external_lex_state = 3},
  [67] = {.lex_state = 52, .external_lex_state = 2},
  [68] = {.lex_state = 52, .external_lex_state = 3},
  [69] = {.lex_state = 52, .external_lex_state = 3},
  [70] = {.lex_state = 52, .external_lex_state = 3},
  [71] = {.lex_state = 52, .external_lex_state = 3},
  [72] = {.lex_state = 52, .external_lex_state = 3},
  [73] = {.lex_state = 4, .external_lex_state = 4},
  [74] = {.lex_state = 4, .external_lex_state = 4},
  [75] = {.lex_state = 5, .external_lex_state = 5},
  [76] = {.lex_state = 5, .external_lex_state = 5},
  [77] = {.lex_state = 5, .external_lex_state = 5},
  [78] = {.lex_state = 5, .external_lex_state = 5},
  [79] = {.lex_state = 5, .external_lex_state = 5},
  [80] = {.lex_state = 5, .external_lex_state = 5},
  [81] = {.lex_state = 5, .external_lex_state = 5},
  [82] = {.lex_state = 5, .external_lex_state = 5},
  [83] = {.lex_state = 4, .external_lex_state = 4},
  [84] = {.lex_state = 4, .external_lex_state = 4},
  [85] = {.lex_state = 4, .external_lex_state = 4},
  [86] = {.lex_state = 4, .external_lex_state = 4},
  [87] = {.lex_state = 52, .external_lex_state = 5},
  [88] = {.lex_state = 52, .external_lex_state = 5},
  [89] = {.lex_state = 52, .external_lex_state = 5},
  [90] = {.lex_state = 52, .external_lex_state = 5},
  [91] = {.lex_state = 52, .external_lex_state = 5},
  [92] = {.lex_state = 52, .external_lex_state = 5},
  [93] = {.lex_state = 52, .external_lex_state = 5},
  [94] = {.lex_state = 52, .external_lex_state = 5},
  [95] = {.lex_state = 52, .external_lex_state = 5},
  [96] = {.lex_state = 52, .external_lex_state = 5},
  [97] = {.lex_state = 52, .external_lex_state = 5},
  [98] = {.lex_state = 52, .external_lex_state = 5},
  [99] = {.lex_state = 52, .external_lex_state = 5},
  [100] = {.lex_state = 52, .external_lex_state = 5},
  [101] = {.lex_state = 52, .external_lex_state = 5},
  [102] = {.lex_state = 52, .external_lex_state = 5},
  [103] = {.lex_state = 52, .external_lex_state = 5},
  [104] = {.lex_state = 52, .external_lex_state = 5},
  [105] = {.lex_state = 52, .external_lex_state = 5},
  [106] = {.lex_state = 52, .external_lex_state = 5},
  [107] = {.lex_state = 52, .external_lex_state = 5},
  [108] = {.lex_state = 52, .external_lex_state = 5},
  [109] = {.lex_state = 52, .external_lex_state = 5},
  [110] = {.lex_state = 52, .external_lex_state = 5},
  [111] = {.lex_state = 52, .external_lex_state = 5},
  [112] = {.lex_state = 52, .external_lex_state = 5},
  [113] = {.lex_state = 52, .external_lex_state = 5},
  [114] = {.lex_state = 52, .external_lex_state = 5},
  [115] = {.lex_state = 52, .external_lex_state = 5},
  [116] = {.lex_state = 52, .external_lex_state = 5},
  [117] = {.lex_state = 52, .external_lex_state = 5},
  [118] = {.lex_state = 52, .external_lex_state = 5},
  [119] = {.lex_state = 52, .external_lex_state = 5},
  [120] = {.lex_state = 52, .external_lex_state = 5},
  [121] = {.lex_state = 52, .external_lex_state = 5},
  [122] = {.lex_state = 52, .external_lex_state = 5},
  [123] = {.lex_state = 52, .external_lex_state = 5},
  [124] = {.lex_state = 52, .external_lex_state = 5},
  [125] = {.lex_state = 52, .external_lex_state = 5},
  [126] = {.lex_state = 52, .external_lex_state = 5},
  [127] = {.lex_state = 52, .external_lex_state = 5},
  [128] = {.lex_state = 52, .external_lex_state = 5},
  [129] = {.lex_state = 52, .external_lex_state = 5},
  [130] = {.lex_state = 52, .external_lex_state = 5},
  [131] = {.lex_state = 52, .external_lex_state = 5},
  [132] = {.lex_state = 52, .external_lex_state = 5},
  [133] = {.lex_state = 52, .external_lex_state = 5},
  [134] = {.lex_state = 52, .external_lex_state = 5},
  [135] = {.lex_state = 52, .external_lex_state = 5},
  [136] = {.lex_state = 52, .external_lex_state = 5},
  [137] = {.lex_state = 52, .external_lex_state = 4},
  [138] = {.lex_state = 52, .external_lex_state = 4},
  [139] = {.lex_state = 52, .external_lex_state = 4},
  [140] = {.lex_state = 52, .external_lex_state = 4},
  [141] = {.lex_state = 52, .external_lex_state = 4},
  [142] = {.lex_state = 52, .external_lex_state = 4},
  [143] = {.lex_state = 52, .external_lex_state = 4},
  [144] = {.lex_state = 52, .external_lex_state = 4},
  [145] = {.lex_state = 52, .external_lex_state = 4},
  [146] = {.lex_state = 52, .external_lex_state = 4},
  [147] = {.lex_state = 52, .external_lex_state = 4},
  [148] = {.lex_state = 52, .external_lex_state = 4},
  [149] = {.lex_state = 52, .external_lex_state = 4},
  [150] = {.lex_state = 52, .external_lex_state = 4},
  [151] = {.lex_state = 52, .external_lex_state = 4},
  [152] = {.lex_state = 52, .external_lex_state = 4},
  [153] = {.lex_state = 52, .external_lex_state = 2},
  [154] = {.lex_state = 4, .external_lex_state = 4},
  [155] = {.lex_state = 4, .external_lex_state = 4},
  [156] = {.lex_state = 11, .external_lex_state = 4},
  [157] = {.lex_state = 5, .external_lex_state = 4},
  [158] = {.lex_state = 5, .external_lex_state = 6},
  [159] = {.lex_state = 12, .external_lex_state = 4},
  [160] = {.lex_state = 12, .external_lex_state = 6},
  [161] = {.lex_state = 12, .external_lex_state = 4},
  [162] = {.lex_state = 5, .external_lex_state = 6},
  [163] = {.lex_state = 5, .external_lex_state = 2},
  [164] = {.lex_state = 5, .external_lex_state = 6},
  [165] = {.lex_state = 5, .external_lex_state = 6},
  [166] = {.lex_state = 5, .external_lex_state = 7},
  [167] = {.lex_state = 5, .external_lex_state = 8},
  [168] = {.lex_state = 12, .external_lex_state = 8},
  [169] = {.lex_state = 5, .external_lex_state = 8},
  [170] = {.lex_state = 5, .external_lex_state = 7},
  [171] = {.lex_state = 12, .external_lex_state = 6},
  [172] = {.lex_state = 5, .external_lex_state = 8},
  [173] = {.lex_state = 12, .external_lex_state = 2},
  [174] = {.lex_state = 5, .external_lex_state = 8},
  [175] = {.lex_state = 5, .external_lex_state = 8},
  [176] = {.lex_state = 12, .external_lex_state = 7},
  [177] = {.lex_state = 5, .external_lex_state = 7},
  [178] = {.lex_state = 12, .external_lex_state = 2},
  [179] = {.lex_state = 5, .external_lex_state = 8},
  [180] = {.lex_state = 11, .external_lex_state = 4},
  [181] = {.lex_state = 12, .external_lex_state = 6},
  [182] = {.lex_state = 12, .external_lex_state = 7},
  [183] = {.lex_state = 5, .external_lex_state = 7},
  [184] = {.lex_state = 12, .external_lex_state = 8},
  [185] = {.lex_state = 5, .external_lex_state = 8},
  [186] = {.lex_state = 12, .external_lex_state = 7},
  [187] = {.lex_state = 11, .external_lex_state = 2},
  [188] = {.lex_state = 11, .external_lex_state = 2},
  [189] = {.lex_state = 5, .external_lex_state = 7},
  [190] = {.lex_state = 5, .external_lex_state = 6},
  [191] = {.lex_state = 52, .external_lex_state = 8},
  [192] = {.lex_state = 52, .external_lex_state = 7},
  [193] = {.lex_state = 5, .external_lex_state = 6},
  [194] = {.lex_state = 5, .external_lex_state = 6},
  [195] = {.lex_state = 52, .external_lex_state = 8},
  [196] = {.lex_state = 52, .external_lex_state = 7},
  [197] = {.lex_state = 5, .external_lex_state = 6},
  [198] = {.lex_state = 52, .external_lex_state = 8},
  [199] = {.lex_state = 52, .external_lex_state = 8},
  [200] = {.lex_state = 52, .external_lex_state = 8},
  [201] = {.lex_state = 52, .external_lex_state = 7},
  [202] = {.lex_state = 5, .external_lex_state = 6},
  [203] = {.lex_state = 52, .external_lex_state = 8},
  [204] = {.lex_state = 52, .external_lex_state = 7},
  [205] = {.lex_state = 5, .external_lex_state = 6},
  [206] = {.lex_state = 52, .external_lex_state = 7},
  [207] = {.lex_state = 52, .external_lex_state = 8},
  [208] = {.lex_state = 52, .external_lex_state = 7},
  [209] = {.lex_state = 5, .external_lex_state = 6},
  [210] = {.lex_state = 52, .external_lex_state = 8},
  [211] = {.lex_state = 52, .external_lex_state = 8},
  [212] = {.lex_state = 52, .external_lex_state = 2},
  [213] = {.lex_state = 52, .external_lex_state = 8},
  [214] = {.lex_state = 52, .external_lex_state = 7},
  [215] = {.lex_state = 5, .external_lex_state = 6},
  [216] = {.lex_state = 52, .external_lex_state = 7},
  [217] = {.lex_state = 52, .external_lex_state = 2},
  [218] = {.lex_state = 52, .external_lex_state = 2},
  [219] = {.lex_state = 52, .external_lex_state = 8},
  [220] = {.lex_state = 52, .external_lex_state = 7},
  [221] = {.lex_state = 52, .external_lex_state = 7},
  [222] = {.lex_state = 52, .external_lex_state = 7},
  [223] = {.lex_state = 6, .external_lex_state = 4},
  [224] = {.lex_state = 6, .external_lex_state = 4},
  [225] = {.lex_state = 52, .external_lex_state = 2},
  [226] = {.lex_state = 5, .external_lex_state = 7},
  [227] = {.lex_state = 5, .external_lex_state = 7},
  [228] = {.lex_state = 5, .external_lex_state = 7},
  [229] = {.lex_state = 5, .external_lex_state = 7},
  [230] = {.lex_state = 5, .external_lex_state = 7},
  [231] = {.lex_state = 5, .external_lex_state = 7},
  [232] = {.lex_state = 52, .external_lex_state = 2},
  [233] = {.lex_state = 5, .external_lex_state = 7},
  [234] = {.lex_state = 5, .external_lex_state = 7},
  [235] = {.lex_state = 5, .external_lex_state = 2},
  [236] = {.lex_state = 5, .external_lex_state = 2},
  [237] = {.lex_state = 5, .external_lex_state = 2},
  [238] = {.lex_state = 5, .external_lex_state = 2},
  [239] = {.lex_state = 52, .external_lex_state = 8},
  [240] = {.lex_state = 5, .external_lex_state = 2},
  [241] = {.lex_state = 5, .external_lex_state = 2},
  [242] = {.lex_state = 5, .external_lex_state = 2},
  [243] = {.lex_state = 5, .external_lex_state = 2},
  [244] = {.lex_state = 5, .external_lex_state = 8},
  [245] = {.lex_state = 52, .external_lex_state = 6},
  [246] = {.lex_state = 5, .external_lex_state = 8},
  [247] = {.lex_state = 5, .external_lex_state = 8},
  [248] = {.lex_state = 5, .external_lex_state = 2},
  [249] = {.lex_state = 6, .external_lex_state = 2},
  [250] = {.lex_state = 5, .external_lex_state = 8},
  [251] = {.lex_state = 5, .external_lex_state = 2},
  [252] = {.lex_state = 5, .external_lex_state = 8},
  [253] = {.lex_state = 5, .external_lex_state = 2},
  [254] = {.lex_state = 5, .external_lex_state = 2},
  [255] = {.lex_state = 5, .external_lex_state = 2},
  [256] = {.lex_state = 5, .external_lex_state = 8},
  [257] = {.lex_state = 5, .external_lex_state = 2},
  [258] = {.lex_state = 5, .external_lex_state = 2},
  [259] = {.lex_state = 5, .external_lex_state = 8},
  [260] = {.lex_state = 5, .external_lex_state = 2},
  [261] = {.lex_state = 5, .external_lex_state = 2},
  [262] = {.lex_state = 5, .external_lex_state = 8},
  [263] = {.lex_state = 5, .external_lex_state = 2},
  [264] = {.lex_state = 5, .external_lex_state = 8},
  [265] = {.lex_state = 5, .external_lex_state = 2},
  [266] = {.lex_state = 5, .external_lex_state = 2},
  [267] = {.lex_state = 5, .external_lex_state = 2},
  [268] = {.lex_state = 6, .external_lex_state = 2},
  [269] = {.lex_state = 5, .external_lex_state = 2},
  [270] = {.lex_state = 5, .external_lex_state = 2},
  [271] = {.lex_state = 5, .external_lex_state = 2},
  [272] = {.lex_state = 5, .external_lex_state = 2},
  [273] = {.lex_state = 52, .external_lex_state = 7},
  [274] = {.lex_state = 52, .external_lex_state = 8},
  [275] = {.lex_state = 5, .external_lex_state = 8},
  [276] = {.lex_state = 52, .external_lex_state = 7},
  [277] = {.lex_state = 52, .external_lex_state = 8},
  [278] = {.lex_state = 5, .external_lex_state = 8},
  [279] = {.lex_state = 5, .external_lex_state = 8},
  [280] = {.lex_state = 5, .external_lex_state = 8},
  [281] = {.lex_state = 5, .external_lex_state = 8},
  [282] = {.lex_state = 5, .external_lex_state = 8},
  [283] = {.lex_state = 5, .external_lex_state = 8},
  [284] = {.lex_state = 52, .external_lex_state = 8},
  [285] = {.lex_state = 52, .external_lex_state = 7},
  [286] = {.lex_state = 52, .external_lex_state = 8},
  [287] = {.lex_state = 5, .external_lex_state = 8},
  [288] = {.lex_state = 5, .external_lex_state = 8},
  [289] = {.lex_state = 5, .external_lex_state = 8},
  [290] = {.lex_state = 5, .external_lex_state = 8},
  [291] = {.lex_state = 5, .external_lex_state = 8},
  [292] = {.lex_state = 5, .external_lex_state = 8},
  [293] = {.lex_state = 5, .external_lex_state = 8},
  [294] = {.lex_state = 52, .external_lex_state = 7},
  [295] = {.lex_state = 52, .external_lex_state = 8},
  [296] = {.lex_state = 52, .external_lex_state = 8},
  [297] = {.lex_state = 52, .external_lex_state = 7},
  [298] = {.lex_state = 5, .external_lex_state = 8},
  [299] = {.lex_state = 5, .external_lex_state = 8},
  [300] = {.lex_state = 5, .external_lex_state = 8},
  [301] = {.lex_state = 5, .external_lex_state = 8},
  [302] = {.lex_state = 5, .external_lex_state = 8},
  [303] = {.lex_state = 5, .external_lex_state = 8},
  [304] = {.lex_state = 5, .external_lex_state = 8},
  [305] = {.lex_state = 52, .external_lex_state = 8},
  [306] = {.lex_state = 52, .external_lex_state = 7},
  [307] = {.lex_state = 52, .external_lex_state = 8},
  [308] = {.lex_state = 52, .external_lex_state = 7},
  [309] = {.lex_state = 52, .external_lex_state = 8},
  [310] = {.lex_state = 52, .external_lex_state = 8},
  [311] = {.lex_state = 5, .external_lex_state = 8},
  [312] = {.lex_state = 5, .external_lex_state = 8},
  [313] = {.lex_state = 5, .external_lex_state = 8},
  [314] = {.lex_state = 5, .external_lex_state = 8},
  [315] = {.lex_state = 52, .external_lex_state = 7},
  [316] = {.lex_state = 52, .external_lex_state = 8},
  [317] = {.lex_state = 52, .external_lex_state = 8},
  [318] = {.lex_state = 5, .external_lex_state = 8},
  [319] = {.lex_state = 5, .external_lex_state = 8},
  [320] = {.lex_state = 52, .external_lex_state = 8},
  [321] = {.lex_state = 5, .external_lex_state = 8},
  [322] = {.lex_state = 5, .external_lex_state = 8},
  [323] = {.lex_state = 5, .external_lex_state = 8},
  [324] = {.lex_state = 5, .external_lex_state = 8},
  [325] = {.lex_state = 52, .external_lex_state = 8},
  [326] = {.lex_state = 5, .external_lex_state = 8},
  [327] = {.lex_state = 52, .external_lex_state = 7},
  [328] = {.lex_state = 52, .external_lex_state = 8},
  [329] = {.lex_state = 52, .external_lex_state = 8},
  [330] = {.lex_state = 52, .external_lex_state = 8},
  [331] = {.lex_state = 52, .external_lex_state = 6},
  [332] = {.lex_state = 52, .external_lex_state = 7},
  [333] = {.lex_state = 52, .external_lex_state = 6},
  [334] = {.lex_state = 52, .external_lex_state = 8},
  [335] = {.lex_state = 5, .external_lex_state = 2},
  [336] = {.lex_state = 52, .external_lex_state = 6},
  [337] = {.lex_state = 52, .external_lex_state = 6},
  [338] = {.lex_state = 52, .external_lex_state = 8},
  [339] = {.lex_state = 52, .external_lex_state = 6},
  [340] = {.lex_state = 52, .external_lex_state = 6},
  [341] = {.lex_state = 52, .external_lex_state = 7},
  [342] = {.lex_state = 52, .external_lex_state = 8},
  [343] = {.lex_state = 52, .external_lex_state = 7},
  [344] = {.lex_state = 52, .external_lex_state = 7},
  [345] = {.lex_state = 52, .external_lex_state = 7},
  [346] = {.lex_state = 52, .external_lex_state = 6},
  [347] = {.lex_state = 12, .external_lex_state = 6},
  [348] = {.lex_state = 52, .external_lex_state = 6},
  [349] = {.lex_state = 52, .external_lex_state = 2},
  [350] = {.lex_state = 52, .external_lex_state = 4},
  [351] = {.lex_state = 5, .external_lex_state = 6},
  [352] = {.lex_state = 5, .external_lex_state = 6},
  [353] = {.lex_state = 5, .external_lex_state = 6},
  [354] = {.lex_state = 5, .external_lex_state = 6},
  [355] = {.lex_state = 5, .external_lex_state = 6},
  [356] = {.lex_state = 5, .external_lex_state = 6},
  [357] = {.lex_state = 5, .external_lex_state = 6},
  [358] = {.lex_state = 5, .external_lex_state = 6},
  [359] = {.lex_state = 5, .external_lex_state = 6},
  [360] = {.lex_state = 5, .external_lex_state = 6},
  [361] = {.lex_state = 5, .external_lex_state = 6},
  [362] = {.lex_state = 52, .external_lex_state = 4},
  [363] = {.lex_state = 52, .external_lex_state = 7},
  [364] = {.lex_state = 52, .external_lex_state = 2},
  [365] = {.lex_state = 5, .external_lex_state = 6},
  [366] = {.lex_state = 5, .external_lex_state = 6},
  [367] = {.lex_state = 52, .external_lex_state = 8},
  [368] = {.lex_state = 5, .external_lex_state = 6},
  [369] = {.lex_state = 5, .external_lex_state = 6},
  [370] = {.lex_state = 5, .external_lex_state = 6},
  [371] = {.lex_state = 52, .external_lex_state = 2},
  [372] = {.lex_state = 12, .external_lex_state = 8},
  [373] = {.lex_state = 52, .external_lex_state = 7},
  [374] = {.lex_state = 52, .external_lex_state = 7},
  [375] = {.lex_state = 52, .external_lex_state = 7},
  [376] = {.lex_state = 52, .external_lex_state = 4},
  [377] = {.lex_state = 52, .external_lex_state = 7},
  [378] = {.lex_state = 52, .external_lex_state = 7},
  [379] = {.lex_state = 52, .external_lex_state = 7},
  [380] = {.lex_state = 52, .external_lex_state = 4},
  [381] = {.lex_state = 52, .external_lex_state = 7},
  [382] = {.lex_state = 52, .external_lex_state = 7},
  [383] = {.lex_state = 52, .external_lex_state = 7},
  [384] = {.lex_state = 52, .external_lex_state = 7},
  [385] = {.lex_state = 52, .external_lex_state = 7},
  [386] = {.lex_state = 52, .external_lex_state = 7},
  [387] = {.lex_state = 52, .external_lex_state = 7},
  [388] = {.lex_state = 52, .external_lex_state = 7},
  [389] = {.lex_state = 52, .external_lex_state = 7},
  [390] = {.lex_state = 52, .external_lex_state = 7},
  [391] = {.lex_state = 52, .external_lex_state = 7},
  [392] = {.lex_state = 52, .external_lex_state = 7},
  [393] = {.lex_state = 52, .external_lex_state = 7},
  [394] = {.lex_state = 52, .external_lex_state = 7},
  [395] = {.lex_state = 52, .external_lex_state = 7},
  [396] = {.lex_state = 52, .external_lex_state = 7},
  [397] = {.lex_state = 52, .external_lex_state = 4},
  [398] = {.lex_state = 52, .external_lex_state = 7},
  [399] = {.lex_state = 52, .external_lex_state = 7},
  [400] = {.lex_state = 52, .external_lex_state = 7},
  [401] = {.lex_state = 52, .external_lex_state = 7},
  [402] = {.lex_state = 52, .external_lex_state = 7},
  [403] = {.lex_state = 5, .external_lex_state = 2},
  [404] = {.lex_state = 52, .external_lex_state = 7},
  [405] = {.lex_state = 52, .external_lex_state = 7},
  [406] = {.lex_state = 52, .external_lex_state = 7},
  [407] = {.lex_state = 12, .external_lex_state = 8},
  [408] = {.lex_state = 52, .external_lex_state = 7},
  [409] = {.lex_state = 52, .external_lex_state = 7},
  [410] = {.lex_state = 52, .external_lex_state = 2},
  [411] = {.lex_state = 52, .external_lex_state = 4},
  [412] = {.lex_state = 52, .external_lex_state = 7},
  [413] = {.lex_state = 52, .external_lex_state = 8},
  [414] = {.lex_state = 52, .external_lex_state = 2},
  [415] = {.lex_state = 52, .external_lex_state = 8},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 5, .external_lex_state = 7},
  [418] = {.lex_state = 52, .external_lex_state = 7},
  [419] = {.lex_state = 52, .external_lex_state = 7},
  [420] = {.lex_state = 52, .external_lex_state = 8},
  [421] = {.lex_state = 52, .external_lex_state = 2},
  [422] = {.lex_state = 52, .external_lex_state = 7},
  [423] = {.lex_state = 52, .external_lex_state = 2},
  [424] = {.lex_state = 52, .external_lex_state = 2},
  [425] = {.lex_state = 52, .external_lex_state = 2},
  [426] = {.lex_state = 52, .external_lex_state = 4},
  [427] = {.lex_state = 52, .external_lex_state = 4},
  [428] = {.lex_state = 52, .external_lex_state = 2},
  [429] = {.lex_state = 52, .external_lex_state = 2},
  [430] = {.lex_state = 52, .external_lex_state = 2},
  [431] = {.lex_state = 52, .external_lex_state = 7},
  [432] = {.lex_state = 52, .external_lex_state = 2},
  [433] = {.lex_state = 52, .external_lex_state = 2},
  [434] = {.lex_state = 52, .external_lex_state = 2},
  [435] = {.lex_state = 52, .external_lex_state = 2},
  [436] = {.lex_state = 12, .external_lex_state = 2},
  [437] = {.lex_state = 52, .external_lex_state = 2},
  [438] = {.lex_state = 52, .external_lex_state = 2},
  [439] = {.lex_state = 5, .external_lex_state = 2},
  [440] = {.lex_state = 52, .external_lex_state = 4},
  [441] = {.lex_state = 52, .external_lex_state = 2},
  [442] = {.lex_state = 52, .external_lex_state = 2},
  [443] = {.lex_state = 52, .external_lex_state = 2},
  [444] = {.lex_state = 52, .external_lex_state = 2},
  [445] = {.lex_state = 52, .external_lex_state = 2},
  [446] = {.lex_state = 52, .external_lex_state = 4},
  [447] = {.lex_state = 52, .external_lex_state = 4},
  [448] = {.lex_state = 52, .external_lex_state = 2},
  [449] = {.lex_state = 5, .external_lex_state = 8},
  [450] = {.lex_state = 52, .external_lex_state = 8},
  [451] = {.lex_state = 52, .external_lex_state = 2},
  [452] = {.lex_state = 52, .external_lex_state = 2},
  [453] = {.lex_state = 52, .external_lex_state = 2},
  [454] = {.lex_state = 52, .external_lex_state = 2},
  [455] = {.lex_state = 52, .external_lex_state = 2},
  [456] = {.lex_state = 52, .external_lex_state = 2},
  [457] = {.lex_state = 52, .external_lex_state = 2},
  [458] = {.lex_state = 52, .external_lex_state = 2},
  [459] = {.lex_state = 52, .external_lex_state = 2},
  [460] = {.lex_state = 52, .external_lex_state = 2},
  [461] = {.lex_state = 52, .external_lex_state = 2},
  [462] = {.lex_state = 7, .external_lex_state = 9},
  [463] = {.lex_state = 52, .external_lex_state = 2},
  [464] = {.lex_state = 52, .external_lex_state = 2},
  [465] = {.lex_state = 52, .external_lex_state = 2},
  [466] = {.lex_state = 52, .external_lex_state = 2},
  [467] = {.lex_state = 52, .external_lex_state = 2},
  [468] = {.lex_state = 52, .external_lex_state = 2},
  [469] = {.lex_state = 52, .external_lex_state = 2},
  [470] = {.lex_state = 52, .external_lex_state = 2},
  [471] = {.lex_state = 7, .external_lex_state = 4},
  [472] = {.lex_state = 52, .external_lex_state = 2},
  [473] = {.lex_state = 52, .external_lex_state = 2},
  [474] = {.lex_state = 52, .external_lex_state = 2},
  [475] = {.lex_state = 52, .external_lex_state = 2},
  [476] = {.lex_state = 7, .external_lex_state = 4},
  [477] = {.lex_state = 7, .external_lex_state = 9},
  [478] = {.lex_state = 52, .external_lex_state = 2},
  [479] = {.lex_state = 52, .external_lex_state = 2},
  [480] = {.lex_state = 52, .external_lex_state = 2},
  [481] = {.lex_state = 52, .external_lex_state = 2},
  [482] = {.lex_state = 52, .external_lex_state = 2},
  [483] = {.lex_state = 52, .external_lex_state = 2},
  [484] = {.lex_state = 52, .external_lex_state = 2},
  [485] = {.lex_state = 52, .external_lex_state = 2},
  [486] = {.lex_state = 52, .external_lex_state = 2},
  [487] = {.lex_state = 52, .external_lex_state = 2},
  [488] = {.lex_state = 52, .external_lex_state = 2},
  [489] = {.lex_state = 52, .external_lex_state = 2},
  [490] = {.lex_state = 52, .external_lex_state = 2},
  [491] = {.lex_state = 52, .external_lex_state = 2},
  [492] = {.lex_state = 52, .external_lex_state = 2},
  [493] = {.lex_state = 52, .external_lex_state = 2},
  [494] = {.lex_state = 52, .external_lex_state = 2},
  [495] = {.lex_state = 53, .external_lex_state = 10},
  [496] = {.lex_state = 52, .external_lex_state = 2},
  [497] = {.lex_state = 52, .external_lex_state = 2},
  [498] = {.lex_state = 52, .external_lex_state = 2},
  [499] = {.lex_state = 52, .external_lex_state = 2},
  [500] = {.lex_state = 52, .external_lex_state = 2},
  [501] = {.lex_state = 52, .external_lex_state = 2},
  [502] = {.lex_state = 52, .external_lex_state = 2},
  [503] = {.lex_state = 54, .external_lex_state = 2},
  [504] = {.lex_state = 52, .external_lex_state = 2},
  [505] = {.lex_state = 52, .external_lex_state = 2},
  [506] = {.lex_state = 52, .external_lex_state = 2},
  [507] = {.lex_state = 52, .external_lex_state = 2},
  [508] = {.lex_state = 52, .external_lex_state = 2},
  [509] = {.lex_state = 52, .external_lex_state = 2},
  [510] = {.lex_state = 52, .external_lex_state = 2},
  [511] = {.lex_state = 52, .external_lex_state = 2},
  [512] = {.lex_state = 52, .external_lex_state = 2},
  [513] = {.lex_state = 52, .external_lex_state = 2},
  [514] = {.lex_state = 52, .external_lex_state = 2},
  [515] = {.lex_state = 52, .external_lex_state = 2},
  [516] = {.lex_state = 52, .external_lex_state = 2},
  [517] = {.lex_state = 52, .external_lex_state = 2},
  [518] = {.lex_state = 52, .external_lex_state = 2},
  [519] = {.lex_state = 52, .external_lex_state = 2},
  [520] = {.lex_state = 52, .external_lex_state = 2},
  [521] = {.lex_state = 52, .external_lex_state = 2},
  [522] = {.lex_state = 52, .external_lex_state = 2},
  [523] = {.lex_state = 52, .external_lex_state = 2},
  [524] = {.lex_state = 52, .external_lex_state = 2},
  [525] = {.lex_state = 52, .external_lex_state = 2},
  [526] = {.lex_state = 52, .external_lex_state = 2},
  [527] = {.lex_state = 52, .external_lex_state = 2},
  [528] = {.lex_state = 52, .external_lex_state = 2},
  [529] = {.lex_state = 52, .external_lex_state = 2},
  [530] = {.lex_state = 52, .external_lex_state = 2},
  [531] = {.lex_state = 52, .external_lex_state = 2},
  [532] = {.lex_state = 52, .external_lex_state = 2},
  [533] = {.lex_state = 52, .external_lex_state = 2},
  [534] = {.lex_state = 52, .external_lex_state = 2},
  [535] = {.lex_state = 52, .external_lex_state = 2},
  [536] = {.lex_state = 52, .external_lex_state = 2},
  [537] = {.lex_state = 52, .external_lex_state = 2},
  [538] = {.lex_state = 52, .external_lex_state = 2},
  [539] = {.lex_state = 52, .external_lex_state = 2},
  [540] = {.lex_state = 52, .external_lex_state = 2},
  [541] = {.lex_state = 52, .external_lex_state = 2},
  [542] = {.lex_state = 52, .external_lex_state = 2},
  [543] = {.lex_state = 52, .external_lex_state = 2},
  [544] = {.lex_state = 52, .external_lex_state = 2},
  [545] = {.lex_state = 52, .external_lex_state = 2},
  [546] = {.lex_state = 52, .external_lex_state = 2},
  [547] = {.lex_state = 52, .external_lex_state = 2},
  [548] = {.lex_state = 52, .external_lex_state = 2},
  [549] = {.lex_state = 52, .external_lex_state = 2},
  [550] = {.lex_state = 52, .external_lex_state = 2},
  [551] = {.lex_state = 52, .external_lex_state = 2},
  [552] = {.lex_state = 52, .external_lex_state = 2},
  [553] = {.lex_state = 52, .external_lex_state = 2},
  [554] = {.lex_state = 52, .external_lex_state = 2},
  [555] = {.lex_state = 52, .external_lex_state = 2},
  [556] = {.lex_state = 52, .external_lex_state = 2},
  [557] = {.lex_state = 52, .external_lex_state = 2},
  [558] = {.lex_state = 52, .external_lex_state = 2},
  [559] = {.lex_state = 52, .external_lex_state = 2},
  [560] = {.lex_state = 52, .external_lex_state = 2},
  [561] = {.lex_state = 52, .external_lex_state = 2},
  [562] = {.lex_state = 52, .external_lex_state = 2},
  [563] = {.lex_state = 52, .external_lex_state = 2},
  [564] = {.lex_state = 52, .external_lex_state = 2},
  [565] = {.lex_state = 52, .external_lex_state = 2},
  [566] = {.lex_state = 52, .external_lex_state = 2},
  [567] = {.lex_state = 52, .external_lex_state = 2},
  [568] = {.lex_state = 52, .external_lex_state = 2},
  [569] = {.lex_state = 52, .external_lex_state = 2},
  [570] = {.lex_state = 52, .external_lex_state = 2},
  [571] = {.lex_state = 52, .external_lex_state = 2},
  [572] = {.lex_state = 53, .external_lex_state = 10},
  [573] = {.lex_state = 54, .external_lex_state = 2},
  [574] = {.lex_state = 52, .external_lex_state = 2},
  [575] = {.lex_state = 52, .external_lex_state = 2},
  [576] = {.lex_state = 52, .external_lex_state = 2},
  [577] = {.lex_state = 52, .external_lex_state = 2},
  [578] = {.lex_state = 52, .external_lex_state = 2},
  [579] = {.lex_state = 52, .external_lex_state = 2},
  [580] = {.lex_state = 52, .external_lex_state = 2},
  [581] = {.lex_state = 52, .external_lex_state = 2},
  [582] = {.lex_state = 52, .external_lex_state = 2},
  [583] = {.lex_state = 52, .external_lex_state = 2},
  [584] = {.lex_state = 52, .external_lex_state = 2},
  [585] = {.lex_state = 52, .external_lex_state = 2},
  [586] = {.lex_state = 52, .external_lex_state = 2},
  [587] = {.lex_state = 52, .external_lex_state = 2},
  [588] = {.lex_state = 53, .external_lex_state = 11},
  [589] = {.lex_state = 54, .external_lex_state = 3},
  [590] = {.lex_state = 52, .external_lex_state = 2},
  [591] = {.lex_state = 52, .external_lex_state = 2},
  [592] = {.lex_state = 52, .external_lex_state = 2},
  [593] = {.lex_state = 52, .external_lex_state = 2},
  [594] = {.lex_state = 52, .external_lex_state = 2},
  [595] = {.lex_state = 52, .external_lex_state = 2},
  [596] = {.lex_state = 52, .external_lex_state = 2},
  [597] = {.lex_state = 52, .external_lex_state = 2},
  [598] = {.lex_state = 52, .external_lex_state = 2},
  [599] = {.lex_state = 52, .external_lex_state = 2},
  [600] = {.lex_state = 52, .external_lex_state = 2},
  [601] = {.lex_state = 52, .external_lex_state = 2},
  [602] = {.lex_state = 52, .external_lex_state = 2},
  [603] = {.lex_state = 52, .external_lex_state = 2},
  [604] = {.lex_state = 52, .external_lex_state = 2},
  [605] = {.lex_state = 52, .external_lex_state = 2},
  [606] = {.lex_state = 52, .external_lex_state = 2},
  [607] = {.lex_state = 53, .external_lex_state = 11},
  [608] = {.lex_state = 54, .external_lex_state = 3},
  [609] = {.lex_state = 52, .external_lex_state = 2},
  [610] = {.lex_state = 52, .external_lex_state = 2},
  [611] = {.lex_state = 7, .external_lex_state = 9},
  [612] = {.lex_state = 7, .external_lex_state = 9},
  [613] = {.lex_state = 54, .external_lex_state = 2},
  [614] = {.lex_state = 52, .external_lex_state = 3},
  [615] = {.lex_state = 52, .external_lex_state = 2},
  [616] = {.lex_state = 7, .external_lex_state = 9},
  [617] = {.lex_state = 7, .external_lex_state = 9},
  [618] = {.lex_state = 52, .external_lex_state = 3},
  [619] = {.lex_state = 52, .external_lex_state = 3},
  [620] = {.lex_state = 52, .external_lex_state = 3},
  [621] = {.lex_state = 7, .external_lex_state = 9},
  [622] = {.lex_state = 52, .external_lex_state = 2},
  [623] = {.lex_state = 52, .external_lex_state = 2},
  [624] = {.lex_state = 7, .external_lex_state = 9},
  [625] = {.lex_state = 52, .external_lex_state = 2},
  [626] = {.lex_state = 53, .external_lex_state = 10},
  [627] = {.lex_state = 53, .external_lex_state = 11},
  [628] = {.lex_state = 54, .external_lex_state = 3},
  [629] = {.lex_state = 52, .external_lex_state = 3},
  [630] = {.lex_state = 8, .external_lex_state = 9},
  [631] = {.lex_state = 8, .external_lex_state = 9},
  [632] = {.lex_state = 8, .external_lex_state = 9},
  [633] = {.lex_state = 8, .external_lex_state = 9},
  [634] = {.lex_state = 8, .external_lex_state = 9},
  [635] = {.lex_state = 8, .external_lex_state = 9},
  [636] = {.lex_state = 8, .external_lex_state = 9},
  [637] = {.lex_state = 8, .external_lex_state = 9},
  [638] = {.lex_state = 52, .external_lex_state = 2},
  [639] = {.lex_state = 8, .external_lex_state = 9},
  [640] = {.lex_state = 8, .external_lex_state = 9},
  [641] = {.lex_state = 8, .external_lex_state = 9},
  [642] = {.lex_state = 8, .external_lex_state = 9},
  [643] = {.lex_state = 8, .external_lex_state = 9},
  [644] = {.lex_state = 8, .external_lex_state = 9},
  [645] = {.lex_state = 8, .external_lex_state = 9},
  [646] = {.lex_state = 8, .external_lex_state = 9},
  [647] = {.lex_state = 8, .external_lex_state = 9},
  [648] = {.lex_state = 8, .external_lex_state = 9},
  [649] = {.lex_state = 8, .external_lex_state = 9},
  [650] = {.lex_state = 54, .external_lex_state = 2},
  [651] = {.lex_state = 53, .external_lex_state = 10},
  [652] = {.lex_state = 52, .external_lex_state = 6},
  [653] = {.lex_state = 53, .external_lex_state = 11},
  [654] = {.lex_state = 54, .external_lex_state = 2},
  [655] = {.lex_state = 52, .external_lex_state = 2},
  [656] = {.lex_state = 53, .external_lex_state = 11},
  [657] = {.lex_state = 54, .external_lex_state = 3},
  [658] = {.lex_state = 52, .external_lex_state = 2},
  [659] = {.lex_state = 54, .external_lex_state = 3},
  [660] = {.lex_state = 54, .external_lex_state = 3},
  [661] = {.lex_state = 54, .external_lex_state = 3},
  [662] = {.lex_state = 54, .external_lex_state = 3},
  [663] = {.lex_state = 52, .external_lex_state = 2},
  [664] = {.lex_state = 54, .external_lex_state = 3},
  [665] = {.lex_state = 53, .external_lex_state = 10},
  [666] = {.lex_state = 52, .external_lex_state = 3},
  [667] = {.lex_state = 52, .external_lex_state = 2},
  [668] = {.lex_state = 54, .external_lex_state = 2},
  [669] = {.lex_state = 54, .external_lex_state = 2},
  [670] = {.lex_state = 53, .external_lex_state = 10},
  [671] = {.lex_state = 53, .external_lex_state = 10},
  [672] = {.lex_state = 53, .external_lex_state = 10},
  [673] = {.lex_state = 53, .external_lex_state = 10},
  [674] = {.lex_state = 52, .external_lex_state = 3},
  [675] = {.lex_state = 53, .external_lex_state = 11},
  [676] = {.lex_state = 54, .external_lex_state = 2},
  [677] = {.lex_state = 53, .external_lex_state = 10},
  [678] = {.lex_state = 53, .external_lex_state = 10},
  [679] = {.lex_state = 54, .external_lex_state = 2},
  [680] = {.lex_state = 54, .external_lex_state = 2},
  [681] = {.lex_state = 54, .external_lex_state = 3},
  [682] = {.lex_state = 52, .external_lex_state = 2},
  [683] = {.lex_state = 53, .external_lex_state = 11},
  [684] = {.lex_state = 53, .external_lex_state = 11},
  [685] = {.lex_state = 52, .external_lex_state = 6},
  [686] = {.lex_state = 54, .external_lex_state = 3},
  [687] = {.lex_state = 53, .external_lex_state = 11},
  [688] = {.lex_state = 54, .external_lex_state = 2},
  [689] = {.lex_state = 53, .external_lex_state = 11},
  [690] = {.lex_state = 53, .external_lex_state = 11},
  [691] = {.lex_state = 53, .external_lex_state = 10},
  [692] = {.lex_state = 53, .external_lex_state = 10},
  [693] = {.lex_state = 54, .external_lex_state = 2},
  [694] = {.lex_state = 52, .external_lex_state = 3},
  [695] = {.lex_state = 53, .external_lex_state = 11},
  [696] = {.lex_state = 54, .external_lex_state = 3},
  [697] = {.lex_state = 52, .external_lex_state = 3},
  [698] = {.lex_state = 53, .external_lex_state = 11},
  [699] = {.lex_state = 53, .external_lex_state = 11},
  [700] = {.lex_state = 52, .external_lex_state = 3},
  [701] = {.lex_state = 53, .external_lex_state = 10},
  [702] = {.lex_state = 52, .external_lex_state = 3},
  [703] = {.lex_state = 52, .external_lex_state = 3},
  [704] = {.lex_state = 52, .external_lex_state = 3},
  [705] = {.lex_state = 52, .external_lex_state = 2},
  [706] = {.lex_state = 52, .external_lex_state = 2},
  [707] = {.lex_state = 52, .external_lex_state = 2},
  [708] = {.lex_state = 52, .external_lex_state = 3},
  [709] = {.lex_state = 52, .external_lex_state = 3},
  [710] = {.lex_state = 52, .external_lex_state = 2},
  [711] = {.lex_state = 52, .external_lex_state = 2},
  [712] = {.lex_state = 52, .external_lex_state = 2},
  [713] = {.lex_state = 52, .external_lex_state = 2},
  [714] = {.lex_state = 52, .external_lex_state = 3},
  [715] = {.lex_state = 52, .external_lex_state = 2},
  [716] = {.lex_state = 52, .external_lex_state = 2},
  [717] = {.lex_state = 52, .external_lex_state = 3},
  [718] = {.lex_state = 52, .external_lex_state = 3},
  [719] = {.lex_state = 52, .external_lex_state = 2},
  [720] = {.lex_state = 52, .external_lex_state = 3},
  [721] = {.lex_state = 52, .external_lex_state = 2},
  [722] = {.lex_state = 52, .external_lex_state = 3},
  [723] = {.lex_state = 52, .external_lex_state = 3},
  [724] = {.lex_state = 52, .external_lex_state = 2},
  [725] = {.lex_state = 52, .external_lex_state = 3},
  [726] = {.lex_state = 52, .external_lex_state = 3},
  [727] = {.lex_state = 52, .external_lex_state = 8},
  [728] = {.lex_state = 52, .external_lex_state = 8},
  [729] = {.lex_state = 52, .external_lex_state = 2},
  [730] = {.lex_state = 52, .external_lex_state = 2},
  [731] = {.lex_state = 52, .external_lex_state = 2},
  [732] = {.lex_state = 52, .external_lex_state = 2},
  [733] = {.lex_state = 52, .external_lex_state = 2},
  [734] = {.lex_state = 52, .external_lex_state = 3},
  [735] = {.lex_state = 52, .external_lex_state = 3},
  [736] = {.lex_state = 52, .external_lex_state = 2},
  [737] = {.lex_state = 52, .external_lex_state = 2},
  [738] = {.lex_state = 52, .external_lex_state = 2},
  [739] = {.lex_state = 52, .external_lex_state = 2},
  [740] = {.lex_state = 52, .external_lex_state = 2},
  [741] = {.lex_state = 52, .external_lex_state = 2},
  [742] = {.lex_state = 52, .external_lex_state = 2},
  [743] = {.lex_state = 52, .external_lex_state = 2},
  [744] = {.lex_state = 52, .external_lex_state = 2},
  [745] = {.lex_state = 52, .external_lex_state = 3},
  [746] = {.lex_state = 52, .external_lex_state = 3},
  [747] = {.lex_state = 52, .external_lex_state = 2},
  [748] = {.lex_state = 52, .external_lex_state = 2},
  [749] = {.lex_state = 52, .external_lex_state = 2},
  [750] = {.lex_state = 52, .external_lex_state = 2},
  [751] = {.lex_state = 52, .external_lex_state = 3},
  [752] = {.lex_state = 52, .external_lex_state = 2},
  [753] = {.lex_state = 52, .external_lex_state = 3},
  [754] = {.lex_state = 52, .external_lex_state = 3},
  [755] = {.lex_state = 52, .external_lex_state = 2},
  [756] = {.lex_state = 52, .external_lex_state = 3},
  [757] = {.lex_state = 52, .external_lex_state = 3},
  [758] = {.lex_state = 52, .external_lex_state = 3},
  [759] = {.lex_state = 52, .external_lex_state = 3},
  [760] = {.lex_state = 52, .external_lex_state = 3},
  [761] = {.lex_state = 52, .external_lex_state = 3},
  [762] = {.lex_state = 52, .external_lex_state = 3},
  [763] = {.lex_state = 52, .external_lex_state = 3},
  [764] = {.lex_state = 52, .external_lex_state = 3},
  [765] = {.lex_state = 52, .external_lex_state = 2},
  [766] = {.lex_state = 52, .external_lex_state = 3},
  [767] = {.lex_state = 52, .external_lex_state = 2},
  [768] = {.lex_state = 52, .external_lex_state = 2},
  [769] = {.lex_state = 52, .external_lex_state = 8},
  [770] = {.lex_state = 52, .external_lex_state = 2},
  [771] = {.lex_state = 52, .external_lex_state = 2},
  [772] = {.lex_state = 52, .external_lex_state = 2},
  [773] = {.lex_state = 52, .external_lex_state = 2},
  [774] = {.lex_state = 52, .external_lex_state = 3},
  [775] = {.lex_state = 52, .external_lex_state = 3},
  [776] = {.lex_state = 52, .external_lex_state = 2},
  [777] = {.lex_state = 52, .external_lex_state = 2},
  [778] = {.lex_state = 52, .external_lex_state = 2},
  [779] = {.lex_state = 52, .external_lex_state = 2},
  [780] = {.lex_state = 52, .external_lex_state = 3},
  [781] = {.lex_state = 52, .external_lex_state = 2},
  [782] = {.lex_state = 52, .external_lex_state = 3},
  [783] = {.lex_state = 52, .external_lex_state = 2},
  [784] = {.lex_state = 52, .external_lex_state = 2},
  [785] = {.lex_state = 52, .external_lex_state = 2},
  [786] = {.lex_state = 52, .external_lex_state = 3},
  [787] = {.lex_state = 52, .external_lex_state = 2},
  [788] = {.lex_state = 52, .external_lex_state = 2},
  [789] = {.lex_state = 52, .external_lex_state = 3},
  [790] = {.lex_state = 52, .external_lex_state = 3},
  [791] = {.lex_state = 52, .external_lex_state = 2},
  [792] = {.lex_state = 52, .external_lex_state = 2},
  [793] = {.lex_state = 52, .external_lex_state = 3},
  [794] = {.lex_state = 52, .external_lex_state = 2},
  [795] = {.lex_state = 52, .external_lex_state = 2},
  [796] = {.lex_state = 52, .external_lex_state = 3},
  [797] = {.lex_state = 52, .external_lex_state = 3},
  [798] = {.lex_state = 52, .external_lex_state = 3},
  [799] = {.lex_state = 52, .external_lex_state = 3},
  [800] = {.lex_state = 52, .external_lex_state = 2},
  [801] = {.lex_state = 52, .external_lex_state = 3},
  [802] = {.lex_state = 52, .external_lex_state = 2},
  [803] = {.lex_state = 52, .external_lex_state = 3},
  [804] = {.lex_state = 52, .external_lex_state = 7},
  [805] = {.lex_state = 52, .external_lex_state = 3},
  [806] = {.lex_state = 52, .external_lex_state = 3},
  [807] = {.lex_state = 52, .external_lex_state = 2},
  [808] = {.lex_state = 52, .external_lex_state = 2},
  [809] = {.lex_state = 52, .external_lex_state = 2},
  [810] = {.lex_state = 52, .external_lex_state = 7},
  [811] = {.lex_state = 52, .external_lex_state = 3},
  [812] = {.lex_state = 52, .external_lex_state = 3},
  [813] = {.lex_state = 52, .external_lex_state = 2},
  [814] = {.lex_state = 52, .external_lex_state = 3},
  [815] = {.lex_state = 52, .external_lex_state = 3},
  [816] = {.lex_state = 52, .external_lex_state = 3},
  [817] = {.lex_state = 52, .external_lex_state = 2},
  [818] = {.lex_state = 52, .external_lex_state = 3},
  [819] = {.lex_state = 52, .external_lex_state = 2},
  [820] = {.lex_state = 52, .external_lex_state = 3},
  [821] = {.lex_state = 52, .external_lex_state = 3},
  [822] = {.lex_state = 52, .external_lex_state = 3},
  [823] = {.lex_state = 52, .external_lex_state = 2},
  [824] = {.lex_state = 52, .external_lex_state = 3},
  [825] = {.lex_state = 52, .external_lex_state = 3},
  [826] = {.lex_state = 52, .external_lex_state = 2},
  [827] = {.lex_state = 52, .external_lex_state = 2},
  [828] = {.lex_state = 52, .external_lex_state = 2},
  [829] = {.lex_state = 52, .external_lex_state = 2},
  [830] = {.lex_state = 52, .external_lex_state = 3},
  [831] = {.lex_state = 52, .external_lex_state = 2},
  [832] = {.lex_state = 52, .external_lex_state = 3},
  [833] = {.lex_state = 52, .external_lex_state = 2},
  [834] = {.lex_state = 52, .external_lex_state = 3},
  [835] = {.lex_state = 52, .external_lex_state = 3},
  [836] = {.lex_state = 52, .external_lex_state = 3},
  [837] = {.lex_state = 52, .external_lex_state = 8},
  [838] = {.lex_state = 52, .external_lex_state = 3},
  [839] = {.lex_state = 52, .external_lex_state = 3},
  [840] = {.lex_state = 52, .external_lex_state = 2},
  [841] = {.lex_state = 52, .external_lex_state = 2},
  [842] = {.lex_state = 52, .external_lex_state = 2},
  [843] = {.lex_state = 52, .external_lex_state = 2},
  [844] = {.lex_state = 52, .external_lex_state = 3},
  [845] = {.lex_state = 52, .external_lex_state = 2},
  [846] = {.lex_state = 52, .external_lex_state = 3},
  [847] = {.lex_state = 52, .external_lex_state = 3},
  [848] = {.lex_state = 52, .external_lex_state = 2},
  [849] = {.lex_state = 52, .external_lex_state = 2},
  [850] = {.lex_state = 52, .external_lex_state = 2},
  [851] = {.lex_state = 52, .external_lex_state = 2},
  [852] = {.lex_state = 52, .external_lex_state = 2},
  [853] = {.lex_state = 52, .external_lex_state = 2},
  [854] = {.lex_state = 52, .external_lex_state = 2},
  [855] = {.lex_state = 52, .external_lex_state = 2},
  [856] = {.lex_state = 52, .external_lex_state = 2},
  [857] = {.lex_state = 52, .external_lex_state = 2},
  [858] = {.lex_state = 52, .external_lex_state = 2},
  [859] = {.lex_state = 52, .external_lex_state = 2},
  [860] = {.lex_state = 52, .external_lex_state = 8},
  [861] = {.lex_state = 52, .external_lex_state = 2},
  [862] = {.lex_state = 52, .external_lex_state = 2},
  [863] = {.lex_state = 52, .external_lex_state = 2},
  [864] = {.lex_state = 52, .external_lex_state = 2},
  [865] = {.lex_state = 52, .external_lex_state = 2},
  [866] = {.lex_state = 52, .external_lex_state = 2},
  [867] = {.lex_state = 52, .external_lex_state = 2},
  [868] = {.lex_state = 52, .external_lex_state = 2},
  [869] = {.lex_state = 52, .external_lex_state = 2},
  [870] = {.lex_state = 13, .external_lex_state = 9},
  [871] = {.lex_state = 52, .external_lex_state = 2},
  [872] = {.lex_state = 52, .external_lex_state = 2},
  [873] = {.lex_state = 52, .external_lex_state = 2},
  [874] = {.lex_state = 52, .external_lex_state = 2},
  [875] = {.lex_state = 52, .external_lex_state = 2},
  [876] = {.lex_state = 52, .external_lex_state = 2},
  [877] = {.lex_state = 52, .external_lex_state = 2},
  [878] = {.lex_state = 52, .external_lex_state = 2},
  [879] = {.lex_state = 52, .external_lex_state = 2},
  [880] = {.lex_state = 52, .external_lex_state = 2},
  [881] = {.lex_state = 52, .external_lex_state = 2},
  [882] = {.lex_state = 52, .external_lex_state = 2},
  [883] = {.lex_state = 52, .external_lex_state = 2},
  [884] = {.lex_state = 52, .external_lex_state = 2},
  [885] = {.lex_state = 52, .external_lex_state = 2},
  [886] = {.lex_state = 52, .external_lex_state = 2},
  [887] = {.lex_state = 52, .external_lex_state = 2},
  [888] = {.lex_state = 52, .external_lex_state = 2},
  [889] = {.lex_state = 52, .external_lex_state = 2},
  [890] = {.lex_state = 52, .external_lex_state = 2},
  [891] = {.lex_state = 52, .external_lex_state = 2},
  [892] = {.lex_state = 52, .external_lex_state = 2},
  [893] = {.lex_state = 52, .external_lex_state = 2},
  [894] = {.lex_state = 52, .external_lex_state = 2},
  [895] = {.lex_state = 52, .external_lex_state = 2},
  [896] = {.lex_state = 52, .external_lex_state = 2},
  [897] = {.lex_state = 52, .external_lex_state = 2},
  [898] = {.lex_state = 52, .external_lex_state = 2},
  [899] = {.lex_state = 52, .external_lex_state = 2},
  [900] = {.lex_state = 52, .external_lex_state = 2},
  [901] = {.lex_state = 52, .external_lex_state = 2},
  [902] = {.lex_state = 52, .external_lex_state = 2},
  [903] = {.lex_state = 52, .external_lex_state = 2},
  [904] = {.lex_state = 52, .external_lex_state = 2},
  [905] = {.lex_state = 52, .external_lex_state = 2},
  [906] = {.lex_state = 52, .external_lex_state = 2},
  [907] = {.lex_state = 52, .external_lex_state = 2},
  [908] = {.lex_state = 52, .external_lex_state = 2},
  [909] = {.lex_state = 52, .external_lex_state = 2},
  [910] = {.lex_state = 52, .external_lex_state = 2},
  [911] = {.lex_state = 52, .external_lex_state = 2},
  [912] = {.lex_state = 52, .external_lex_state = 2},
  [913] = {.lex_state = 52, .external_lex_state = 2},
  [914] = {.lex_state = 52, .external_lex_state = 2},
  [915] = {.lex_state = 52, .external_lex_state = 2},
  [916] = {.lex_state = 52, .external_lex_state = 2},
  [917] = {.lex_state = 52, .external_lex_state = 2},
  [918] = {.lex_state = 52, .external_lex_state = 2},
  [919] = {.lex_state = 52, .external_lex_state = 2},
  [920] = {.lex_state = 52, .external_lex_state = 2},
  [921] = {.lex_state = 52, .external_lex_state = 2},
  [922] = {.lex_state = 52, .external_lex_state = 2},
  [923] = {.lex_state = 52, .external_lex_state = 2},
  [924] = {.lex_state = 52, .external_lex_state = 2},
  [925] = {.lex_state = 52, .external_lex_state = 2},
  [926] = {.lex_state = 52, .external_lex_state = 2},
  [927] = {.lex_state = 13, .external_lex_state = 12},
  [928] = {.lex_state = 13, .external_lex_state = 13},
  [929] = {.lex_state = 52, .external_lex_state = 2},
  [930] = {.lex_state = 52, .external_lex_state = 2},
  [931] = {.lex_state = 52, .external_lex_state = 2},
  [932] = {.lex_state = 52, .external_lex_state = 2},
  [933] = {.lex_state = 52, .external_lex_state = 2},
  [934] = {.lex_state = 52, .external_lex_state = 2},
  [935] = {.lex_state = 52, .external_lex_state = 2},
  [936] = {.lex_state = 52, .external_lex_state = 2},
  [937] = {.lex_state = 52, .external_lex_state = 2},
  [938] = {.lex_state = 52, .external_lex_state = 2},
  [939] = {.lex_state = 52, .external_lex_state = 2},
  [940] = {.lex_state = 52, .external_lex_state = 2},
  [941] = {.lex_state = 52, .external_lex_state = 2},
  [942] = {.lex_state = 52, .external_lex_state = 2},
  [943] = {.lex_state = 52, .external_lex_state = 2},
  [944] = {.lex_state = 52, .external_lex_state = 2},
  [945] = {.lex_state = 52, .external_lex_state = 2},
  [946] = {.lex_state = 52, .external_lex_state = 2},
  [947] = {.lex_state = 52, .external_lex_state = 2},
  [948] = {.lex_state = 52, .external_lex_state = 2},
  [949] = {.lex_state = 52, .external_lex_state = 2},
  [950] = {.lex_state = 52, .external_lex_state = 2},
  [951] = {.lex_state = 52, .external_lex_state = 2},
  [952] = {.lex_state = 52, .external_lex_state = 2},
  [953] = {.lex_state = 52, .external_lex_state = 2},
  [954] = {.lex_state = 52, .external_lex_state = 2},
  [955] = {.lex_state = 52, .external_lex_state = 2},
  [956] = {.lex_state = 52, .external_lex_state = 2},
  [957] = {.lex_state = 52, .external_lex_state = 2},
  [958] = {.lex_state = 52, .external_lex_state = 2},
  [959] = {.lex_state = 52, .external_lex_state = 2},
  [960] = {.lex_state = 52, .external_lex_state = 2},
  [961] = {.lex_state = 52, .external_lex_state = 2},
  [962] = {.lex_state = 52, .external_lex_state = 2},
  [963] = {.lex_state = 52, .external_lex_state = 2},
  [964] = {.lex_state = 13, .external_lex_state = 12},
  [965] = {.lex_state = 52, .external_lex_state = 2},
  [966] = {.lex_state = 13, .external_lex_state = 4},
  [967] = {.lex_state = 13, .external_lex_state = 14},
  [968] = {.lex_state = 13, .external_lex_state = 9},
  [969] = {.lex_state = 13, .external_lex_state = 4},
  [970] = {.lex_state = 13, .external_lex_state = 4},
  [971] = {.lex_state = 13, .external_lex_state = 15},
  [972] = {.lex_state = 13, .external_lex_state = 14},
  [973] = {.lex_state = 13, .external_lex_state = 9},
  [974] = {.lex_state = 13, .external_lex_state = 9},
  [975] = {.lex_state = 13, .external_lex_state = 9},
  [976] = {.lex_state = 13, .external_lex_state = 9},
  [977] = {.lex_state = 13, .external_lex_state = 7},
  [978] = {.lex_state = 13, .external_lex_state = 7},
  [979] = {.lex_state = 13, .external_lex_state = 7},
  [980] = {.lex_state = 13, .external_lex_state = 6},
  [981] = {.lex_state = 13, .external_lex_state = 6},
  [982] = {.lex_state = 13, .external_lex_state = 6},
  [983] = {.lex_state = 13, .external_lex_state = 6},
  [984] = {.lex_state = 13, .external_lex_state = 6},
  [985] = {.lex_state = 13, .external_lex_state = 6},
  [986] = {.lex_state = 13, .external_lex_state = 9},
  [987] = {.lex_state = 13, .external_lex_state = 9},
  [988] = {.lex_state = 13, .external_lex_state = 9},
  [989] = {.lex_state = 13, .external_lex_state = 9},
  [990] = {.lex_state = 13, .external_lex_state = 9},
  [991] = {.lex_state = 13, .external_lex_state = 9},
  [992] = {.lex_state = 13, .external_lex_state = 13},
  [993] = {.lex_state = 13, .external_lex_state = 12},
  [994] = {.lex_state = 13, .external_lex_state = 2},
  [995] = {.lex_state = 13, .external_lex_state = 2},
  [996] = {.lex_state = 14, .external_lex_state = 13},
  [997] = {.lex_state = 14, .external_lex_state = 13},
  [998] = {.lex_state = 13, .external_lex_state = 12},
  [999] = {.lex_state = 13, .external_lex_state = 12},
  [1000] = {.lex_state = 14, .external_lex_state = 9},
  [1001] = {.lex_state = 13, .external_lex_state = 4},
  [1002] = {.lex_state = 13, .external_lex_state = 12},
  [1003] = {.lex_state = 13, .external_lex_state = 12},
  [1004] = {.lex_state = 13, .external_lex_state = 12},
  [1005] = {.lex_state = 13, .external_lex_state = 12},
  [1006] = {.lex_state = 13, .external_lex_state = 12},
  [1007] = {.lex_state = 13, .external_lex_state = 12},
  [1008] = {.lex_state = 13, .external_lex_state = 12},
  [1009] = {.lex_state = 13, .external_lex_state = 12},
  [1010] = {.lex_state = 13, .external_lex_state = 13},
  [1011] = {.lex_state = 13, .external_lex_state = 13},
  [1012] = {.lex_state = 14, .external_lex_state = 9},
  [1013] = {.lex_state = 13, .external_lex_state = 12},
  [1014] = {.lex_state = 13, .external_lex_state = 12},
  [1015] = {.lex_state = 13, .external_lex_state = 4},
  [1016] = {.lex_state = 13, .external_lex_state = 12},
  [1017] = {.lex_state = 13, .external_lex_state = 13},
  [1018] = {.lex_state = 13, .external_lex_state = 12},
  [1019] = {.lex_state = 13, .external_lex_state = 12},
  [1020] = {.lex_state = 13, .external_lex_state = 8},
  [1021] = {.lex_state = 13, .external_lex_state = 12},
  [1022] = {.lex_state = 13, .external_lex_state = 12},
  [1023] = {.lex_state = 13, .external_lex_state = 12},
  [1024] = {.lex_state = 13, .external_lex_state = 12},
  [1025] = {.lex_state = 13, .external_lex_state = 2},
  [1026] = {.lex_state = 14, .external_lex_state = 9},
  [1027] = {.lex_state = 13, .external_lex_state = 12},
  [1028] = {.lex_state = 13, .external_lex_state = 12},
  [1029] = {.lex_state = 13, .external_lex_state = 12},
  [1030] = {.lex_state = 13, .external_lex_state = 12},
  [1031] = {.lex_state = 13, .external_lex_state = 12},
  [1032] = {.lex_state = 13, .external_lex_state = 12},
  [1033] = {.lex_state = 13, .external_lex_state = 14},
  [1034] = {.lex_state = 13, .external_lex_state = 8},
  [1035] = {.lex_state = 13, .external_lex_state = 8},
  [1036] = {.lex_state = 13, .external_lex_state = 8},
  [1037] = {.lex_state = 13, .external_lex_state = 13},
  [1038] = {.lex_state = 13, .external_lex_state = 13},
  [1039] = {.lex_state = 13, .external_lex_state = 13},
  [1040] = {.lex_state = 13, .external_lex_state = 13},
  [1041] = {.lex_state = 13, .external_lex_state = 13},
  [1042] = {.lex_state = 13, .external_lex_state = 13},
  [1043] = {.lex_state = 13, .external_lex_state = 13},
  [1044] = {.lex_state = 13, .external_lex_state = 8},
  [1045] = {.lex_state = 13, .external_lex_state = 13},
  [1046] = {.lex_state = 13, .external_lex_state = 8},
  [1047] = {.lex_state = 13, .external_lex_state = 12},
  [1048] = {.lex_state = 13, .external_lex_state = 12},
  [1049] = {.lex_state = 13, .external_lex_state = 9},
  [1050] = {.lex_state = 13, .external_lex_state = 9},
  [1051] = {.lex_state = 14, .external_lex_state = 12},
  [1052] = {.lex_state = 13, .external_lex_state = 15},
  [1053] = {.lex_state = 13, .external_lex_state = 15},
  [1054] = {.lex_state = 13, .external_lex_state = 7},
  [1055] = {.lex_state = 13, .external_lex_state = 14},
  [1056] = {.lex_state = 14, .external_lex_state = 12},
  [1057] = {.lex_state = 14, .external_lex_state = 12},
  [1058] = {.lex_state = 14, .external_lex_state = 12},
  [1059] = {.lex_state = 13, .external_lex_state = 9},
  [1060] = {.lex_state = 13, .external_lex_state = 15},
  [1061] = {.lex_state = 13, .external_lex_state = 15},
  [1062] = {.lex_state = 13, .external_lex_state = 15},
  [1063] = {.lex_state = 13, .external_lex_state = 15},
  [1064] = {.lex_state = 13, .external_lex_state = 15},
  [1065] = {.lex_state = 13, .external_lex_state = 6},
  [1066] = {.lex_state = 14, .external_lex_state = 13},
  [1067] = {.lex_state = 14, .external_lex_state = 13},
  [1068] = {.lex_state = 14, .external_lex_state = 13},
  [1069] = {.lex_state = 13, .external_lex_state = 15},
  [1070] = {.lex_state = 13, .external_lex_state = 15},
  [1071] = {.lex_state = 13, .external_lex_state = 14},
  [1072] = {.lex_state = 13, .external_lex_state = 15},
  [1073] = {.lex_state = 13, .external_lex_state = 9},
  [1074] = {.lex_state = 13, .external_lex_state = 6},
  [1075] = {.lex_state = 13, .external_lex_state = 9},
  [1076] = {.lex_state = 13, .external_lex_state = 9},
  [1077] = {.lex_state = 13, .external_lex_state = 9},
  [1078] = {.lex_state = 13, .external_lex_state = 9},
  [1079] = {.lex_state = 13, .external_lex_state = 9},
  [1080] = {.lex_state = 13, .external_lex_state = 9},
  [1081] = {.lex_state = 13, .external_lex_state = 9},
  [1082] = {.lex_state = 14, .external_lex_state = 12},
  [1083] = {.lex_state = 13, .external_lex_state = 9},
  [1084] = {.lex_state = 13, .external_lex_state = 9},
  [1085] = {.lex_state = 13, .external_lex_state = 9},
  [1086] = {.lex_state = 14, .external_lex_state = 14},
  [1087] = {.lex_state = 14, .external_lex_state = 14},
  [1088] = {.lex_state = 13, .external_lex_state = 14},
  [1089] = {.lex_state = 13, .external_lex_state = 9},
  [1090] = {.lex_state = 13, .external_lex_state = 14},
  [1091] = {.lex_state = 13, .external_lex_state = 9},
  [1092] = {.lex_state = 13, .external_lex_state = 9},
  [1093] = {.lex_state = 13, .external_lex_state = 9},
  [1094] = {.lex_state = 13, .external_lex_state = 6},
  [1095] = {.lex_state = 13, .external_lex_state = 9},
  [1096] = {.lex_state = 13, .external_lex_state = 14},
  [1097] = {.lex_state = 13, .external_lex_state = 14},
  [1098] = {.lex_state = 13, .external_lex_state = 9},
  [1099] = {.lex_state = 13, .external_lex_state = 6},
  [1100] = {.lex_state = 13, .external_lex_state = 14},
  [1101] = {.lex_state = 13, .external_lex_state = 14},
  [1102] = {.lex_state = 13, .external_lex_state = 14},
  [1103] = {.lex_state = 13, .external_lex_state = 14},
  [1104] = {.lex_state = 13, .external_lex_state = 14},
  [1105] = {.lex_state = 13, .external_lex_state = 14},
  [1106] = {.lex_state = 13, .external_lex_state = 14},
  [1107] = {.lex_state = 13, .external_lex_state = 14},
  [1108] = {.lex_state = 13, .external_lex_state = 9},
  [1109] = {.lex_state = 13, .external_lex_state = 9},
  [1110] = {.lex_state = 13, .external_lex_state = 7},
  [1111] = {.lex_state = 14, .external_lex_state = 12},
  [1112] = {.lex_state = 14, .external_lex_state = 12},
  [1113] = {.lex_state = 14, .external_lex_state = 12},
  [1114] = {.lex_state = 13, .external_lex_state = 9},
  [1115] = {.lex_state = 13, .external_lex_state = 9},
  [1116] = {.lex_state = 13, .external_lex_state = 7},
  [1117] = {.lex_state = 13, .external_lex_state = 7},
  [1118] = {.lex_state = 13, .external_lex_state = 9},
  [1119] = {.lex_state = 13, .external_lex_state = 9},
  [1120] = {.lex_state = 13, .external_lex_state = 9},
  [1121] = {.lex_state = 13, .external_lex_state = 9},
  [1122] = {.lex_state = 14, .external_lex_state = 14},
  [1123] = {.lex_state = 14, .external_lex_state = 14},
  [1124] = {.lex_state = 14, .external_lex_state = 14},
  [1125] = {.lex_state = 13, .external_lex_state = 14},
  [1126] = {.lex_state = 13, .external_lex_state = 9},
  [1127] = {.lex_state = 13, .external_lex_state = 14},
  [1128] = {.lex_state = 14, .external_lex_state = 13},
  [1129] = {.lex_state = 14, .external_lex_state = 12},
  [1130] = {.lex_state = 14, .external_lex_state = 12},
  [1131] = {.lex_state = 13, .external_lex_state = 9},
  [1132] = {.lex_state = 13, .external_lex_state = 7},
  [1133] = {.lex_state = 13, .external_lex_state = 14},
  [1134] = {.lex_state = 13, .external_lex_state = 9},
  [1135] = {.lex_state = 13, .external_lex_state = 9},
  [1136] = {.lex_state = 14, .external_lex_state = 9},
  [1137] = {.lex_state = 14, .external_lex_state = 9},
  [1138] = {.lex_state = 13, .external_lex_state = 14},
  [1139] = {.lex_state = 13, .external_lex_state = 14},
  [1140] = {.lex_state = 13, .external_lex_state = 9},
  [1141] = {.lex_state = 14, .external_lex_state = 13},
  [1142] = {.lex_state = 14, .external_lex_state = 13},
  [1143] = {.lex_state = 13, .external_lex_state = 9},
  [1144] = {.lex_state = 14, .external_lex_state = 12},
  [1145] = {.lex_state = 13, .external_lex_state = 9},
  [1146] = {.lex_state = 14, .external_lex_state = 12},
  [1147] = {.lex_state = 13, .external_lex_state = 9},
  [1148] = {.lex_state = 13, .external_lex_state = 14},
  [1149] = {.lex_state = 14, .external_lex_state = 13},
  [1150] = {.lex_state = 13, .external_lex_state = 13},
  [1151] = {.lex_state = 13, .external_lex_state = 13},
  [1152] = {.lex_state = 13, .external_lex_state = 12},
  [1153] = {.lex_state = 13, .external_lex_state = 12},
  [1154] = {.lex_state = 13, .external_lex_state = 12},
  [1155] = {.lex_state = 13, .external_lex_state = 12},
  [1156] = {.lex_state = 13, .external_lex_state = 12},
  [1157] = {.lex_state = 13, .external_lex_state = 12},
  [1158] = {.lex_state = 13, .external_lex_state = 13},
  [1159] = {.lex_state = 14, .external_lex_state = 14},
  [1160] = {.lex_state = 14, .external_lex_state = 14},
  [1161] = {.lex_state = 14, .external_lex_state = 14},
  [1162] = {.lex_state = 13, .external_lex_state = 12},
  [1163] = {.lex_state = 13, .external_lex_state = 12},
  [1164] = {.lex_state = 13, .external_lex_state = 12},
  [1165] = {.lex_state = 13, .external_lex_state = 12},
  [1166] = {.lex_state = 13, .external_lex_state = 12},
  [1167] = {.lex_state = 13, .external_lex_state = 12},
  [1168] = {.lex_state = 14, .external_lex_state = 14},
  [1169] = {.lex_state = 14, .external_lex_state = 14},
  [1170] = {.lex_state = 14, .external_lex_state = 14},
  [1171] = {.lex_state = 13, .external_lex_state = 12},
  [1172] = {.lex_state = 13, .external_lex_state = 12},
  [1173] = {.lex_state = 13, .external_lex_state = 12},
  [1174] = {.lex_state = 13, .external_lex_state = 12},
  [1175] = {.lex_state = 13, .external_lex_state = 12},
  [1176] = {.lex_state = 13, .external_lex_state = 12},
  [1177] = {.lex_state = 13, .external_lex_state = 13},
  [1178] = {.lex_state = 13, .external_lex_state = 12},
  [1179] = {.lex_state = 13, .external_lex_state = 14},
  [1180] = {.lex_state = 13, .external_lex_state = 12},
  [1181] = {.lex_state = 13, .external_lex_state = 12},
  [1182] = {.lex_state = 13, .external_lex_state = 12},
  [1183] = {.lex_state = 13, .external_lex_state = 12},
  [1184] = {.lex_state = 13, .external_lex_state = 12},
  [1185] = {.lex_state = 13, .external_lex_state = 12},
  [1186] = {.lex_state = 13, .external_lex_state = 12},
  [1187] = {.lex_state = 13, .external_lex_state = 13},
  [1188] = {.lex_state = 13, .external_lex_state = 12},
  [1189] = {.lex_state = 13, .external_lex_state = 12},
  [1190] = {.lex_state = 13, .external_lex_state = 12},
  [1191] = {.lex_state = 13, .external_lex_state = 13},
  [1192] = {.lex_state = 13, .external_lex_state = 13},
  [1193] = {.lex_state = 13, .external_lex_state = 13},
  [1194] = {.lex_state = 13, .external_lex_state = 12},
  [1195] = {.lex_state = 13, .external_lex_state = 12},
  [1196] = {.lex_state = 13, .external_lex_state = 13},
  [1197] = {.lex_state = 13, .external_lex_state = 13},
  [1198] = {.lex_state = 13, .external_lex_state = 12},
  [1199] = {.lex_state = 13, .external_lex_state = 12},
  [1200] = {.lex_state = 13, .external_lex_state = 13},
  [1201] = {.lex_state = 14, .external_lex_state = 13},
  [1202] = {.lex_state = 13, .external_lex_state = 12},
  [1203] = {.lex_state = 13, .external_lex_state = 12},
  [1204] = {.lex_state = 13, .external_lex_state = 12},
  [1205] = {.lex_state = 13, .external_lex_state = 12},
  [1206] = {.lex_state = 13, .external_lex_state = 12},
  [1207] = {.lex_state = 13, .external_lex_state = 12},
  [1208] = {.lex_state = 13, .external_lex_state = 13},
  [1209] = {.lex_state = 13, .external_lex_state = 13},
  [1210] = {.lex_state = 13, .external_lex_state = 12},
  [1211] = {.lex_state = 13, .external_lex_state = 12},
  [1212] = {.lex_state = 13, .external_lex_state = 12},
  [1213] = {.lex_state = 13, .external_lex_state = 12},
  [1214] = {.lex_state = 13, .external_lex_state = 2},
  [1215] = {.lex_state = 13, .external_lex_state = 14},
  [1216] = {.lex_state = 13, .external_lex_state = 12},
  [1217] = {.lex_state = 13, .external_lex_state = 12},
  [1218] = {.lex_state = 13, .external_lex_state = 12},
  [1219] = {.lex_state = 13, .external_lex_state = 12},
  [1220] = {.lex_state = 13, .external_lex_state = 12},
  [1221] = {.lex_state = 13, .external_lex_state = 12},
  [1222] = {.lex_state = 13, .external_lex_state = 12},
  [1223] = {.lex_state = 13, .external_lex_state = 12},
  [1224] = {.lex_state = 13, .external_lex_state = 12},
  [1225] = {.lex_state = 13, .external_lex_state = 12},
  [1226] = {.lex_state = 13, .external_lex_state = 13},
  [1227] = {.lex_state = 13, .external_lex_state = 12},
  [1228] = {.lex_state = 13, .external_lex_state = 12},
  [1229] = {.lex_state = 13, .external_lex_state = 12},
  [1230] = {.lex_state = 13, .external_lex_state = 14},
  [1231] = {.lex_state = 13, .external_lex_state = 14},
  [1232] = {.lex_state = 14, .external_lex_state = 14},
  [1233] = {.lex_state = 13, .external_lex_state = 13},
  [1234] = {.lex_state = 14, .external_lex_state = 14},
  [1235] = {.lex_state = 14, .external_lex_state = 14},
  [1236] = {.lex_state = 13, .external_lex_state = 13},
  [1237] = {.lex_state = 13, .external_lex_state = 13},
  [1238] = {.lex_state = 14, .external_lex_state = 13},
  [1239] = {.lex_state = 13, .external_lex_state = 12},
  [1240] = {.lex_state = 13, .external_lex_state = 12},
  [1241] = {.lex_state = 13, .external_lex_state = 12},
  [1242] = {.lex_state = 13, .external_lex_state = 12},
  [1243] = {.lex_state = 13, .external_lex_state = 12},
  [1244] = {.lex_state = 13, .external_lex_state = 12},
  [1245] = {.lex_state = 13, .external_lex_state = 13},
  [1246] = {.lex_state = 14, .external_lex_state = 13},
  [1247] = {.lex_state = 13, .external_lex_state = 8},
  [1248] = {.lex_state = 13, .external_lex_state = 12},
  [1249] = {.lex_state = 13, .external_lex_state = 12},
  [1250] = {.lex_state = 13, .external_lex_state = 13},
  [1251] = {.lex_state = 13, .external_lex_state = 13},
  [1252] = {.lex_state = 13, .external_lex_state = 13},
  [1253] = {.lex_state = 13, .external_lex_state = 8},
  [1254] = {.lex_state = 13, .external_lex_state = 12},
  [1255] = {.lex_state = 13, .external_lex_state = 12},
  [1256] = {.lex_state = 13, .external_lex_state = 13},
  [1257] = {.lex_state = 13, .external_lex_state = 13},
  [1258] = {.lex_state = 13, .external_lex_state = 13},
  [1259] = {.lex_state = 13, .external_lex_state = 13},
  [1260] = {.lex_state = 13, .external_lex_state = 13},
  [1261] = {.lex_state = 13, .external_lex_state = 13},
  [1262] = {.lex_state = 13, .external_lex_state = 13},
  [1263] = {.lex_state = 13, .external_lex_state = 13},
  [1264] = {.lex_state = 13, .external_lex_state = 13},
  [1265] = {.lex_state = 13, .external_lex_state = 13},
  [1266] = {.lex_state = 13, .external_lex_state = 12},
  [1267] = {.lex_state = 13, .external_lex_state = 12},
  [1268] = {.lex_state = 13, .external_lex_state = 13},
  [1269] = {.lex_state = 13, .external_lex_state = 12},
  [1270] = {.lex_state = 13, .external_lex_state = 13},
  [1271] = {.lex_state = 13, .external_lex_state = 13},
  [1272] = {.lex_state = 13, .external_lex_state = 13},
  [1273] = {.lex_state = 13, .external_lex_state = 13},
  [1274] = {.lex_state = 13, .external_lex_state = 13},
  [1275] = {.lex_state = 13, .external_lex_state = 13},
  [1276] = {.lex_state = 13, .external_lex_state = 14},
  [1277] = {.lex_state = 14, .external_lex_state = 14},
  [1278] = {.lex_state = 14, .external_lex_state = 14},
  [1279] = {.lex_state = 14, .external_lex_state = 14},
  [1280] = {.lex_state = 13, .external_lex_state = 8},
  [1281] = {.lex_state = 14, .external_lex_state = 13},
  [1282] = {.lex_state = 13, .external_lex_state = 14},
  [1283] = {.lex_state = 14, .external_lex_state = 15},
  [1284] = {.lex_state = 14, .external_lex_state = 15},
  [1285] = {.lex_state = 14, .external_lex_state = 15},
  [1286] = {.lex_state = 13, .external_lex_state = 2},
  [1287] = {.lex_state = 13, .external_lex_state = 13},
  [1288] = {.lex_state = 13, .external_lex_state = 13},
  [1289] = {.lex_state = 13, .external_lex_state = 8},
  [1290] = {.lex_state = 13, .external_lex_state = 13},
  [1291] = {.lex_state = 13, .external_lex_state = 13},
  [1292] = {.lex_state = 14, .external_lex_state = 13},
  [1293] = {.lex_state = 13, .external_lex_state = 13},
  [1294] = {.lex_state = 13, .external_lex_state = 13},
  [1295] = {.lex_state = 13, .external_lex_state = 13},
  [1296] = {.lex_state = 13, .external_lex_state = 13},
  [1297] = {.lex_state = 14, .external_lex_state = 15},
  [1298] = {.lex_state = 14, .external_lex_state = 15},
  [1299] = {.lex_state = 13, .external_lex_state = 13},
  [1300] = {.lex_state = 13, .external_lex_state = 14},
  [1301] = {.lex_state = 13, .external_lex_state = 12},
  [1302] = {.lex_state = 13, .external_lex_state = 14},
  [1303] = {.lex_state = 13, .external_lex_state = 13},
  [1304] = {.lex_state = 13, .external_lex_state = 14},
  [1305] = {.lex_state = 13, .external_lex_state = 14},
  [1306] = {.lex_state = 14, .external_lex_state = 13},
  [1307] = {.lex_state = 14, .external_lex_state = 13},
  [1308] = {.lex_state = 14, .external_lex_state = 13},
  [1309] = {.lex_state = 13, .external_lex_state = 14},
  [1310] = {.lex_state = 13, .external_lex_state = 14},
  [1311] = {.lex_state = 13, .external_lex_state = 15},
  [1312] = {.lex_state = 13, .external_lex_state = 14},
  [1313] = {.lex_state = 13, .external_lex_state = 15},
  [1314] = {.lex_state = 13, .external_lex_state = 15},
  [1315] = {.lex_state = 13, .external_lex_state = 14},
  [1316] = {.lex_state = 13, .external_lex_state = 14},
  [1317] = {.lex_state = 13, .external_lex_state = 14},
  [1318] = {.lex_state = 13, .external_lex_state = 14},
  [1319] = {.lex_state = 13, .external_lex_state = 14},
  [1320] = {.lex_state = 13, .external_lex_state = 14},
  [1321] = {.lex_state = 13, .external_lex_state = 14},
  [1322] = {.lex_state = 13, .external_lex_state = 14},
  [1323] = {.lex_state = 13, .external_lex_state = 14},
  [1324] = {.lex_state = 13, .external_lex_state = 14},
  [1325] = {.lex_state = 13, .external_lex_state = 15},
  [1326] = {.lex_state = 13, .external_lex_state = 13},
  [1327] = {.lex_state = 13, .external_lex_state = 15},
  [1328] = {.lex_state = 13, .external_lex_state = 15},
  [1329] = {.lex_state = 13, .external_lex_state = 14},
  [1330] = {.lex_state = 13, .external_lex_state = 14},
  [1331] = {.lex_state = 13, .external_lex_state = 14},
  [1332] = {.lex_state = 13, .external_lex_state = 14},
  [1333] = {.lex_state = 13, .external_lex_state = 14},
  [1334] = {.lex_state = 13, .external_lex_state = 14},
  [1335] = {.lex_state = 13, .external_lex_state = 14},
  [1336] = {.lex_state = 13, .external_lex_state = 15},
  [1337] = {.lex_state = 13, .external_lex_state = 14},
  [1338] = {.lex_state = 13, .external_lex_state = 14},
  [1339] = {.lex_state = 13, .external_lex_state = 14},
  [1340] = {.lex_state = 8, .external_lex_state = 9},
  [1341] = {.lex_state = 8, .external_lex_state = 9},
  [1342] = {.lex_state = 13, .external_lex_state = 15},
  [1343] = {.lex_state = 13, .external_lex_state = 14},
  [1344] = {.lex_state = 13, .external_lex_state = 14},
  [1345] = {.lex_state = 13, .external_lex_state = 14},
  [1346] = {.lex_state = 13, .external_lex_state = 15},
  [1347] = {.lex_state = 13, .external_lex_state = 15},
  [1348] = {.lex_state = 13, .external_lex_state = 14},
  [1349] = {.lex_state = 13, .external_lex_state = 15},
  [1350] = {.lex_state = 13, .external_lex_state = 15},
  [1351] = {.lex_state = 13, .external_lex_state = 15},
  [1352] = {.lex_state = 13, .external_lex_state = 15},
  [1353] = {.lex_state = 13, .external_lex_state = 15},
  [1354] = {.lex_state = 13, .external_lex_state = 15},
  [1355] = {.lex_state = 13, .external_lex_state = 14},
  [1356] = {.lex_state = 13, .external_lex_state = 14},
  [1357] = {.lex_state = 13, .external_lex_state = 14},
  [1358] = {.lex_state = 13, .external_lex_state = 14},
  [1359] = {.lex_state = 13, .external_lex_state = 14},
  [1360] = {.lex_state = 14, .external_lex_state = 14},
  [1361] = {.lex_state = 13, .external_lex_state = 14},
  [1362] = {.lex_state = 13, .external_lex_state = 14},
  [1363] = {.lex_state = 13, .external_lex_state = 14},
  [1364] = {.lex_state = 13, .external_lex_state = 14},
  [1365] = {.lex_state = 13, .external_lex_state = 14},
  [1366] = {.lex_state = 13, .external_lex_state = 14},
  [1367] = {.lex_state = 13, .external_lex_state = 7},
  [1368] = {.lex_state = 13, .external_lex_state = 14},
  [1369] = {.lex_state = 13, .external_lex_state = 7},
  [1370] = {.lex_state = 8, .external_lex_state = 9},
  [1371] = {.lex_state = 8, .external_lex_state = 9},
  [1372] = {.lex_state = 8, .external_lex_state = 9},
  [1373] = {.lex_state = 13, .external_lex_state = 15},
  [1374] = {.lex_state = 13, .external_lex_state = 14},
  [1375] = {.lex_state = 8, .external_lex_state = 9},
  [1376] = {.lex_state = 13, .external_lex_state = 15},
  [1377] = {.lex_state = 13, .external_lex_state = 15},
  [1378] = {.lex_state = 13, .external_lex_state = 14},
  [1379] = {.lex_state = 13, .external_lex_state = 14},
  [1380] = {.lex_state = 13, .external_lex_state = 14},
  [1381] = {.lex_state = 13, .external_lex_state = 14},
  [1382] = {.lex_state = 13, .external_lex_state = 14},
  [1383] = {.lex_state = 13, .external_lex_state = 15},
  [1384] = {.lex_state = 13, .external_lex_state = 15},
  [1385] = {.lex_state = 13, .external_lex_state = 14},
  [1386] = {.lex_state = 13, .external_lex_state = 15},
  [1387] = {.lex_state = 13, .external_lex_state = 14},
  [1388] = {.lex_state = 13, .external_lex_state = 15},
  [1389] = {.lex_state = 13, .external_lex_state = 14},
  [1390] = {.lex_state = 13, .external_lex_state = 14},
  [1391] = {.lex_state = 13, .external_lex_state = 14},
  [1392] = {.lex_state = 13, .external_lex_state = 15},
  [1393] = {.lex_state = 13, .external_lex_state = 14},
  [1394] = {.lex_state = 13, .external_lex_state = 15},
  [1395] = {.lex_state = 13, .external_lex_state = 15},
  [1396] = {.lex_state = 13, .external_lex_state = 14},
  [1397] = {.lex_state = 13, .external_lex_state = 15},
  [1398] = {.lex_state = 13, .external_lex_state = 15},
  [1399] = {.lex_state = 13, .external_lex_state = 15},
  [1400] = {.lex_state = 13, .external_lex_state = 14},
  [1401] = {.lex_state = 13, .external_lex_state = 15},
  [1402] = {.lex_state = 13, .external_lex_state = 15},
  [1403] = {.lex_state = 13, .external_lex_state = 15},
  [1404] = {.lex_state = 13, .external_lex_state = 14},
  [1405] = {.lex_state = 13, .external_lex_state = 14},
  [1406] = {.lex_state = 13, .external_lex_state = 14},
  [1407] = {.lex_state = 13, .external_lex_state = 14},
  [1408] = {.lex_state = 13, .external_lex_state = 14},
  [1409] = {.lex_state = 13, .external_lex_state = 14},
  [1410] = {.lex_state = 13, .external_lex_state = 15},
  [1411] = {.lex_state = 13, .external_lex_state = 15},
  [1412] = {.lex_state = 13, .external_lex_state = 14},
  [1413] = {.lex_state = 13, .external_lex_state = 14},
  [1414] = {.lex_state = 13, .external_lex_state = 14},
  [1415] = {.lex_state = 13, .external_lex_state = 15},
  [1416] = {.lex_state = 13, .external_lex_state = 13},
  [1417] = {.lex_state = 13, .external_lex_state = 15},
  [1418] = {.lex_state = 13, .external_lex_state = 14},
  [1419] = {.lex_state = 13, .external_lex_state = 9},
  [1420] = {.lex_state = 13, .external_lex_state = 14},
  [1421] = {.lex_state = 13, .external_lex_state = 14},
  [1422] = {.lex_state = 13, .external_lex_state = 14},
  [1423] = {.lex_state = 13, .external_lex_state = 13},
  [1424] = {.lex_state = 13, .external_lex_state = 14},
  [1425] = {.lex_state = 14, .external_lex_state = 14},
  [1426] = {.lex_state = 14, .external_lex_state = 14},
  [1427] = {.lex_state = 13, .external_lex_state = 14},
  [1428] = {.lex_state = 13, .external_lex_state = 13},
  [1429] = {.lex_state = 13, .external_lex_state = 13},
  [1430] = {.lex_state = 13, .external_lex_state = 13},
  [1431] = {.lex_state = 13, .external_lex_state = 13},
  [1432] = {.lex_state = 13, .external_lex_state = 13},
  [1433] = {.lex_state = 13, .external_lex_state = 13},
  [1434] = {.lex_state = 13, .external_lex_state = 13},
  [1435] = {.lex_state = 13, .external_lex_state = 13},
  [1436] = {.lex_state = 13, .external_lex_state = 13},
  [1437] = {.lex_state = 13, .external_lex_state = 13},
  [1438] = {.lex_state = 13, .external_lex_state = 15},
  [1439] = {.lex_state = 14, .external_lex_state = 14},
  [1440] = {.lex_state = 13, .external_lex_state = 13},
  [1441] = {.lex_state = 14, .external_lex_state = 14},
  [1442] = {.lex_state = 13, .external_lex_state = 13},
  [1443] = {.lex_state = 13, .external_lex_state = 13},
  [1444] = {.lex_state = 13, .external_lex_state = 13},
  [1445] = {.lex_state = 13, .external_lex_state = 13},
  [1446] = {.lex_state = 13, .external_lex_state = 13},
  [1447] = {.lex_state = 13, .external_lex_state = 13},
  [1448] = {.lex_state = 14, .external_lex_state = 12},
  [1449] = {.lex_state = 14, .external_lex_state = 12},
  [1450] = {.lex_state = 14, .external_lex_state = 12},
  [1451] = {.lex_state = 13, .external_lex_state = 13},
  [1452] = {.lex_state = 14, .external_lex_state = 14},
  [1453] = {.lex_state = 13, .external_lex_state = 13},
  [1454] = {.lex_state = 13, .external_lex_state = 13},
  [1455] = {.lex_state = 14, .external_lex_state = 13},
  [1456] = {.lex_state = 13, .external_lex_state = 13},
  [1457] = {.lex_state = 13, .external_lex_state = 13},
  [1458] = {.lex_state = 13, .external_lex_state = 13},
  [1459] = {.lex_state = 13, .external_lex_state = 13},
  [1460] = {.lex_state = 13, .external_lex_state = 13},
  [1461] = {.lex_state = 14, .external_lex_state = 13},
  [1462] = {.lex_state = 13, .external_lex_state = 13},
  [1463] = {.lex_state = 14, .external_lex_state = 13},
  [1464] = {.lex_state = 13, .external_lex_state = 13},
  [1465] = {.lex_state = 13, .external_lex_state = 13},
  [1466] = {.lex_state = 13, .external_lex_state = 13},
  [1467] = {.lex_state = 13, .external_lex_state = 13},
  [1468] = {.lex_state = 13, .external_lex_state = 13},
  [1469] = {.lex_state = 13, .external_lex_state = 13},
  [1470] = {.lex_state = 13, .external_lex_state = 13},
  [1471] = {.lex_state = 13, .external_lex_state = 13},
  [1472] = {.lex_state = 13, .external_lex_state = 13},
  [1473] = {.lex_state = 13, .external_lex_state = 13},
  [1474] = {.lex_state = 13, .external_lex_state = 13},
  [1475] = {.lex_state = 8, .external_lex_state = 15},
  [1476] = {.lex_state = 8, .external_lex_state = 15},
  [1477] = {.lex_state = 8, .external_lex_state = 15},
  [1478] = {.lex_state = 8, .external_lex_state = 15},
  [1479] = {.lex_state = 8, .external_lex_state = 15},
  [1480] = {.lex_state = 8, .external_lex_state = 15},
  [1481] = {.lex_state = 13, .external_lex_state = 14},
  [1482] = {.lex_state = 13, .external_lex_state = 13},
  [1483] = {.lex_state = 13, .external_lex_state = 12},
  [1484] = {.lex_state = 8, .external_lex_state = 15},
  [1485] = {.lex_state = 8, .external_lex_state = 15},
  [1486] = {.lex_state = 8, .external_lex_state = 15},
  [1487] = {.lex_state = 8, .external_lex_state = 15},
  [1488] = {.lex_state = 8, .external_lex_state = 15},
  [1489] = {.lex_state = 8, .external_lex_state = 15},
  [1490] = {.lex_state = 8, .external_lex_state = 15},
  [1491] = {.lex_state = 8, .external_lex_state = 15},
  [1492] = {.lex_state = 8, .external_lex_state = 15},
  [1493] = {.lex_state = 8, .external_lex_state = 15},
  [1494] = {.lex_state = 12, .external_lex_state = 2},
  [1495] = {.lex_state = 12, .external_lex_state = 2},
  [1496] = {.lex_state = 5, .external_lex_state = 8},
  [1497] = {.lex_state = 5, .external_lex_state = 8},
  [1498] = {.lex_state = 5, .external_lex_state = 8},
  [1499] = {.lex_state = 5, .external_lex_state = 8},
  [1500] = {.lex_state = 5, .external_lex_state = 8},
  [1501] = {.lex_state = 5, .external_lex_state = 7},
  [1502] = {.lex_state = 5, .external_lex_state = 8},
  [1503] = {.lex_state = 5, .external_lex_state = 8},
  [1504] = {.lex_state = 5, .external_lex_state = 7},
  [1505] = {.lex_state = 5, .external_lex_state = 8},
  [1506] = {.lex_state = 5, .external_lex_state = 7},
  [1507] = {.lex_state = 5, .external_lex_state = 8},
  [1508] = {.lex_state = 5, .external_lex_state = 8},
  [1509] = {.lex_state = 5, .external_lex_state = 7},
  [1510] = {.lex_state = 5, .external_lex_state = 8},
  [1511] = {.lex_state = 5, .external_lex_state = 7},
  [1512] = {.lex_state = 5, .external_lex_state = 8},
  [1513] = {.lex_state = 5, .external_lex_state = 7},
  [1514] = {.lex_state = 5, .external_lex_state = 8},
  [1515] = {.lex_state = 5, .external_lex_state = 8},
  [1516] = {.lex_state = 5, .external_lex_state = 7},
  [1517] = {.lex_state = 5, .external_lex_state = 8},
  [1518] = {.lex_state = 5, .external_lex_state = 8},
  [1519] = {.lex_state = 5, .external_lex_state = 7},
  [1520] = {.lex_state = 5, .external_lex_state = 8},
  [1521] = {.lex_state = 5, .external_lex_state = 8},
  [1522] = {.lex_state = 5, .external_lex_state = 8},
  [1523] = {.lex_state = 5, .external_lex_state = 7},
  [1524] = {.lex_state = 5, .external_lex_state = 8},
  [1525] = {.lex_state = 5, .external_lex_state = 8},
  [1526] = {.lex_state = 5, .external_lex_state = 7},
  [1527] = {.lex_state = 5, .external_lex_state = 8},
  [1528] = {.lex_state = 5, .external_lex_state = 8},
  [1529] = {.lex_state = 5, .external_lex_state = 8},
  [1530] = {.lex_state = 5, .external_lex_state = 7},
  [1531] = {.lex_state = 5, .external_lex_state = 7},
  [1532] = {.lex_state = 5, .external_lex_state = 2},
  [1533] = {.lex_state = 5, .external_lex_state = 2},
  [1534] = {.lex_state = 5, .external_lex_state = 2},
  [1535] = {.lex_state = 5, .external_lex_state = 2},
  [1536] = {.lex_state = 5, .external_lex_state = 2},
  [1537] = {.lex_state = 5, .external_lex_state = 6},
  [1538] = {.lex_state = 5, .external_lex_state = 6},
  [1539] = {.lex_state = 5, .external_lex_state = 6},
  [1540] = {.lex_state = 5, .external_lex_state = 6},
  [1541] = {.lex_state = 5, .external_lex_state = 6},
  [1542] = {.lex_state = 5, .external_lex_state = 6},
  [1543] = {.lex_state = 5, .external_lex_state = 6},
  [1544] = {.lex_state = 5, .external_lex_state = 6},
  [1545] = {.lex_state = 5, .external_lex_state = 6},
  [1546] = {.lex_state = 5, .external_lex_state = 6},
  [1547] = {.lex_state = 5, .external_lex_state = 6},
  [1548] = {.lex_state = 5, .external_lex_state = 6},
  [1549] = {.lex_state = 5, .external_lex_state = 6},
  [1550] = {.lex_state = 5, .external_lex_state = 6},
  [1551] = {.lex_state = 5, .external_lex_state = 6},
  [1552] = {.lex_state = 5, .external_lex_state = 6},
  [1553] = {.lex_state = 5, .external_lex_state = 6},
  [1554] = {.lex_state = 5, .external_lex_state = 6},
  [1555] = {.lex_state = 5, .external_lex_state = 6},
  [1556] = {.lex_state = 5, .external_lex_state = 6},
  [1557] = {.lex_state = 5, .external_lex_state = 2},
  [1558] = {.lex_state = 5, .external_lex_state = 2},
  [1559] = {.lex_state = 5, .external_lex_state = 2},
  [1560] = {.lex_state = 5, .external_lex_state = 2},
  [1561] = {.lex_state = 5, .external_lex_state = 2},
  [1562] = {.lex_state = 5, .external_lex_state = 2},
  [1563] = {.lex_state = 5, .external_lex_state = 2},
  [1564] = {.lex_state = 8, .external_lex_state = 9},
  [1565] = {.lex_state = 5, .external_lex_state = 2},
  [1566] = {.lex_state = 5, .external_lex_state = 2},
  [1567] = {.lex_state = 8, .external_lex_state = 9},
  [1568] = {.lex_state = 8, .external_lex_state = 13},
  [1569] = {.lex_state = 8, .external_lex_state = 13},
  [1570] = {.lex_state = 8, .external_lex_state = 14},
  [1571] = {.lex_state = 8, .external_lex_state = 15},
  [1572] = {.lex_state = 8, .external_lex_state = 15},
  [1573] = {.lex_state = 8, .external_lex_state = 14},
  [1574] = {.lex_state = 52, .external_lex_state = 12},
  [1575] = {.lex_state = 52, .external_lex_state = 12},
  [1576] = {.lex_state = 52, .external_lex_state = 12},
  [1577] = {.lex_state = 52, .external_lex_state = 12},
  [1578] = {.lex_state = 8, .external_lex_state = 13},
  [1579] = {.lex_state = 8, .external_lex_state = 13},
  [1580] = {.lex_state = 52, .external_lex_state = 14},
  [1581] = {.lex_state = 52, .external_lex_state = 2},
  [1582] = {.lex_state = 13, .external_lex_state = 12},
  [1583] = {.lex_state = 13, .external_lex_state = 12},
  [1584] = {.lex_state = 13, .external_lex_state = 12},
  [1585] = {.lex_state = 13, .external_lex_state = 12},
  [1586] = {.lex_state = 13, .external_lex_state = 12},
  [1587] = {.lex_state = 13, .external_lex_state = 12},
  [1588] = {.lex_state = 52, .external_lex_state = 2},
  [1589] = {.lex_state = 52, .external_lex_state = 14},
  [1590] = {.lex_state = 11, .external_lex_state = 9},
  [1591] = {.lex_state = 13, .external_lex_state = 14},
  [1592] = {.lex_state = 13, .external_lex_state = 14},
  [1593] = {.lex_state = 13, .external_lex_state = 14},
  [1594] = {.lex_state = 13, .external_lex_state = 14},
  [1595] = {.lex_state = 11, .external_lex_state = 9},
  [1596] = {.lex_state = 13, .external_lex_state = 14},
  [1597] = {.lex_state = 13, .external_lex_state = 14},
  [1598] = {.lex_state = 13, .external_lex_state = 15},
  [1599] = {.lex_state = 13, .external_lex_state = 13},
  [1600] = {.lex_state = 13, .external_lex_state = 13},
  [1601] = {.lex_state = 13, .external_lex_state = 15},
  [1602] = {.lex_state = 13, .external_lex_state = 15},
  [1603] = {.lex_state = 13, .external_lex_state = 15},
  [1604] = {.lex_state = 13, .external_lex_state = 15},
  [1605] = {.lex_state = 13, .external_lex_state = 15},
  [1606] = {.lex_state = 13, .external_lex_state = 14},
  [1607] = {.lex_state = 13, .external_lex_state = 14},
  [1608] = {.lex_state = 13, .external_lex_state = 14},
  [1609] = {.lex_state = 13, .external_lex_state = 14},
  [1610] = {.lex_state = 13, .external_lex_state = 15},
  [1611] = {.lex_state = 13, .external_lex_state = 15},
  [1612] = {.lex_state = 13, .external_lex_state = 15},
  [1613] = {.lex_state = 13, .external_lex_state = 15},
  [1614] = {.lex_state = 11, .external_lex_state = 9},
  [1615] = {.lex_state = 13, .external_lex_state = 13},
  [1616] = {.lex_state = 13, .external_lex_state = 15},
  [1617] = {.lex_state = 11, .external_lex_state = 9},
  [1618] = {.lex_state = 13, .external_lex_state = 14},
  [1619] = {.lex_state = 13, .external_lex_state = 14},
  [1620] = {.lex_state = 13, .external_lex_state = 15},
  [1621] = {.lex_state = 13, .external_lex_state = 13},
  [1622] = {.lex_state = 13, .external_lex_state = 15},
  [1623] = {.lex_state = 13, .external_lex_state = 15},
  [1624] = {.lex_state = 13, .external_lex_state = 15},
  [1625] = {.lex_state = 13, .external_lex_state = 15},
  [1626] = {.lex_state = 13, .external_lex_state = 15},
  [1627] = {.lex_state = 13, .external_lex_state = 15},
  [1628] = {.lex_state = 11, .external_lex_state = 9},
  [1629] = {.lex_state = 13, .external_lex_state = 15},
  [1630] = {.lex_state = 13, .external_lex_state = 15},
  [1631] = {.lex_state = 13, .external_lex_state = 15},
  [1632] = {.lex_state = 13, .external_lex_state = 15},
  [1633] = {.lex_state = 13, .external_lex_state = 13},
  [1634] = {.lex_state = 11, .external_lex_state = 9},
  [1635] = {.lex_state = 13, .external_lex_state = 13},
  [1636] = {.lex_state = 12, .external_lex_state = 15},
  [1637] = {.lex_state = 12, .external_lex_state = 15},
  [1638] = {.lex_state = 11, .external_lex_state = 15},
  [1639] = {.lex_state = 12, .external_lex_state = 15},
  [1640] = {.lex_state = 11, .external_lex_state = 15},
  [1641] = {.lex_state = 11, .external_lex_state = 9},
  [1642] = {.lex_state = 12, .external_lex_state = 15},
  [1643] = {.lex_state = 11, .external_lex_state = 15},
  [1644] = {.lex_state = 12, .external_lex_state = 15},
  [1645] = {.lex_state = 12, .external_lex_state = 15},
  [1646] = {.lex_state = 11, .external_lex_state = 15},
  [1647] = {.lex_state = 12, .external_lex_state = 15},
  [1648] = {.lex_state = 12, .external_lex_state = 15},
  [1649] = {.lex_state = 12, .external_lex_state = 15},
  [1650] = {.lex_state = 11, .external_lex_state = 15},
  [1651] = {.lex_state = 11, .external_lex_state = 15},
  [1652] = {.lex_state = 11, .external_lex_state = 15},
  [1653] = {.lex_state = 11, .external_lex_state = 15},
  [1654] = {.lex_state = 12, .external_lex_state = 15},
  [1655] = {.lex_state = 12, .external_lex_state = 15},
  [1656] = {.lex_state = 5, .external_lex_state = 14},
  [1657] = {.lex_state = 12, .external_lex_state = 15},
  [1658] = {.lex_state = 5, .external_lex_state = 14},
  [1659] = {.lex_state = 12, .external_lex_state = 15},
  [1660] = {.lex_state = 11, .external_lex_state = 15},
  [1661] = {.lex_state = 5, .external_lex_state = 14},
  [1662] = {.lex_state = 5, .external_lex_state = 15},
  [1663] = {.lex_state = 8, .external_lex_state = 13},
  [1664] = {.lex_state = 5, .external_lex_state = 15},
  [1665] = {.lex_state = 52, .external_lex_state = 12},
  [1666] = {.lex_state = 8, .external_lex_state = 9},
  [1667] = {.lex_state = 52, .external_lex_state = 12},
  [1668] = {.lex_state = 8, .external_lex_state = 9},
  [1669] = {.lex_state = 8, .external_lex_state = 9},
  [1670] = {.lex_state = 8, .external_lex_state = 9},
  [1671] = {.lex_state = 52, .external_lex_state = 12},
  [1672] = {.lex_state = 8, .external_lex_state = 9},
  [1673] = {.lex_state = 52, .external_lex_state = 12},
  [1674] = {.lex_state = 52, .external_lex_state = 12},
  [1675] = {.lex_state = 52, .external_lex_state = 12},
  [1676] = {.lex_state = 8, .external_lex_state = 9},
  [1677] = {.lex_state = 8, .external_lex_state = 9},
  [1678] = {.lex_state = 52, .external_lex_state = 12},
  [1679] = {.lex_state = 8, .external_lex_state = 9},
  [1680] = {.lex_state = 8, .external_lex_state = 9},
  [1681] = {.lex_state = 52, .external_lex_state = 12},
  [1682] = {.lex_state = 52, .external_lex_state = 14},
  [1683] = {.lex_state = 0, .external_lex_state = 16},
  [1684] = {.lex_state = 0, .external_lex_state = 16},
  [1685] = {.lex_state = 52, .external_lex_state = 14},
  [1686] = {.lex_state = 52, .external_lex_state = 14},
  [1687] = {.lex_state = 0, .external_lex_state = 16},
  [1688] = {.lex_state = 0, .external_lex_state = 16},
  [1689] = {.lex_state = 8, .external_lex_state = 9},
  [1690] = {.lex_state = 0, .external_lex_state = 16},
  [1691] = {.lex_state = 0, .external_lex_state = 16},
  [1692] = {.lex_state = 52, .external_lex_state = 14},
  [1693] = {.lex_state = 52, .external_lex_state = 14},
  [1694] = {.lex_state = 52, .external_lex_state = 14},
  [1695] = {.lex_state = 8, .external_lex_state = 13},
  [1696] = {.lex_state = 0, .external_lex_state = 16},
  [1697] = {.lex_state = 0, .external_lex_state = 16},
  [1698] = {.lex_state = 52, .external_lex_state = 14},
  [1699] = {.lex_state = 52, .external_lex_state = 14},
  [1700] = {.lex_state = 52, .external_lex_state = 14},
  [1701] = {.lex_state = 0, .external_lex_state = 16},
  [1702] = {.lex_state = 0, .external_lex_state = 16},
  [1703] = {.lex_state = 52, .external_lex_state = 14},
  [1704] = {.lex_state = 52, .external_lex_state = 14},
  [1705] = {.lex_state = 8, .external_lex_state = 13},
  [1706] = {.lex_state = 8, .external_lex_state = 13},
  [1707] = {.lex_state = 0, .external_lex_state = 16},
  [1708] = {.lex_state = 52, .external_lex_state = 14},
  [1709] = {.lex_state = 0, .external_lex_state = 16},
  [1710] = {.lex_state = 52, .external_lex_state = 14},
  [1711] = {.lex_state = 0, .external_lex_state = 16},
  [1712] = {.lex_state = 0, .external_lex_state = 16},
  [1713] = {.lex_state = 52, .external_lex_state = 14},
  [1714] = {.lex_state = 52, .external_lex_state = 14},
  [1715] = {.lex_state = 0, .external_lex_state = 16},
  [1716] = {.lex_state = 0, .external_lex_state = 16},
  [1717] = {.lex_state = 52, .external_lex_state = 14},
  [1718] = {.lex_state = 52, .external_lex_state = 14},
  [1719] = {.lex_state = 0, .external_lex_state = 16},
  [1720] = {.lex_state = 0, .external_lex_state = 16},
  [1721] = {.lex_state = 52, .external_lex_state = 13},
  [1722] = {.lex_state = 8, .external_lex_state = 13},
  [1723] = {.lex_state = 52, .external_lex_state = 13},
  [1724] = {.lex_state = 8, .external_lex_state = 13},
  [1725] = {.lex_state = 52, .external_lex_state = 13},
  [1726] = {.lex_state = 8, .external_lex_state = 13},
  [1727] = {.lex_state = 52, .external_lex_state = 13},
  [1728] = {.lex_state = 52, .external_lex_state = 13},
  [1729] = {.lex_state = 8, .external_lex_state = 13},
  [1730] = {.lex_state = 52, .external_lex_state = 13},
  [1731] = {.lex_state = 52, .external_lex_state = 13},
  [1732] = {.lex_state = 52, .external_lex_state = 13},
  [1733] = {.lex_state = 8, .external_lex_state = 13},
  [1734] = {.lex_state = 8, .external_lex_state = 13},
  [1735] = {.lex_state = 0, .external_lex_state = 16},
  [1736] = {.lex_state = 8, .external_lex_state = 14},
  [1737] = {.lex_state = 52, .external_lex_state = 12},
  [1738] = {.lex_state = 8, .external_lex_state = 15},
  [1739] = {.lex_state = 8, .external_lex_state = 14},
  [1740] = {.lex_state = 8, .external_lex_state = 9},
  [1741] = {.lex_state = 8, .external_lex_state = 15},
  [1742] = {.lex_state = 8, .external_lex_state = 15},
  [1743] = {.lex_state = 8, .external_lex_state = 15},
  [1744] = {.lex_state = 8, .external_lex_state = 15},
  [1745] = {.lex_state = 8, .external_lex_state = 14},
  [1746] = {.lex_state = 8, .external_lex_state = 14},
  [1747] = {.lex_state = 8, .external_lex_state = 15},
  [1748] = {.lex_state = 8, .external_lex_state = 14},
  [1749] = {.lex_state = 8, .external_lex_state = 14},
  [1750] = {.lex_state = 8, .external_lex_state = 14},
  [1751] = {.lex_state = 8, .external_lex_state = 15},
  [1752] = {.lex_state = 8, .external_lex_state = 15},
  [1753] = {.lex_state = 8, .external_lex_state = 15},
  [1754] = {.lex_state = 8, .external_lex_state = 14},
  [1755] = {.lex_state = 8, .external_lex_state = 14},
  [1756] = {.lex_state = 52, .external_lex_state = 12},
  [1757] = {.lex_state = 8, .external_lex_state = 14},
  [1758] = {.lex_state = 8, .external_lex_state = 15},
  [1759] = {.lex_state = 8, .external_lex_state = 13},
  [1760] = {.lex_state = 52, .external_lex_state = 12},
  [1761] = {.lex_state = 52, .external_lex_state = 12},
  [1762] = {.lex_state = 8, .external_lex_state = 15},
  [1763] = {.lex_state = 8, .external_lex_state = 13},
  [1764] = {.lex_state = 8, .external_lex_state = 13},
  [1765] = {.lex_state = 52, .external_lex_state = 12},
  [1766] = {.lex_state = 8, .external_lex_state = 13},
  [1767] = {.lex_state = 8, .external_lex_state = 13},
  [1768] = {.lex_state = 8, .external_lex_state = 13},
  [1769] = {.lex_state = 52, .external_lex_state = 12},
  [1770] = {.lex_state = 52, .external_lex_state = 9},
  [1771] = {.lex_state = 8, .external_lex_state = 13},
  [1772] = {.lex_state = 52, .external_lex_state = 12},
  [1773] = {.lex_state = 8, .external_lex_state = 13},
  [1774] = {.lex_state = 8, .external_lex_state = 15},
  [1775] = {.lex_state = 52, .external_lex_state = 12},
  [1776] = {.lex_state = 52, .external_lex_state = 12},
  [1777] = {.lex_state = 8, .external_lex_state = 13},
  [1778] = {.lex_state = 52, .external_lex_state = 12},
  [1779] = {.lex_state = 52, .external_lex_state = 12},
  [1780] = {.lex_state = 8, .external_lex_state = 13},
  [1781] = {.lex_state = 8, .external_lex_state = 15},
  [1782] = {.lex_state = 52, .external_lex_state = 12},
  [1783] = {.lex_state = 52, .external_lex_state = 12},
  [1784] = {.lex_state = 52, .external_lex_state = 12},
  [1785] = {.lex_state = 52, .external_lex_state = 12},
  [1786] = {.lex_state = 52, .external_lex_state = 12},
  [1787] = {.lex_state = 52, .external_lex_state = 12},
  [1788] = {.lex_state = 52, .external_lex_state = 12},
  [1789] = {.lex_state = 8, .external_lex_state = 15},
  [1790] = {.lex_state = 52, .external_lex_state = 12},
  [1791] = {.lex_state = 52, .external_lex_state = 12},
  [1792] = {.lex_state = 52, .external_lex_state = 12},
  [1793] = {.lex_state = 52, .external_lex_state = 12},
  [1794] = {.lex_state = 7, .external_lex_state = 13},
  [1795] = {.lex_state = 52, .external_lex_state = 13},
  [1796] = {.lex_state = 52, .external_lex_state = 14},
  [1797] = {.lex_state = 0, .external_lex_state = 16},
  [1798] = {.lex_state = 52, .external_lex_state = 15},
  [1799] = {.lex_state = 52, .external_lex_state = 9},
  [1800] = {.lex_state = 0, .external_lex_state = 16},
  [1801] = {.lex_state = 52, .external_lex_state = 13},
  [1802] = {.lex_state = 8, .external_lex_state = 15},
  [1803] = {.lex_state = 52, .external_lex_state = 12},
  [1804] = {.lex_state = 52, .external_lex_state = 14},
  [1805] = {.lex_state = 52, .external_lex_state = 9},
  [1806] = {.lex_state = 52, .external_lex_state = 14},
  [1807] = {.lex_state = 9, .external_lex_state = 17},
  [1808] = {.lex_state = 52, .external_lex_state = 12},
  [1809] = {.lex_state = 52, .external_lex_state = 13},
  [1810] = {.lex_state = 52, .external_lex_state = 14},
  [1811] = {.lex_state = 52, .external_lex_state = 13},
  [1812] = {.lex_state = 52, .external_lex_state = 9},
  [1813] = {.lex_state = 52, .external_lex_state = 13},
  [1814] = {.lex_state = 52, .external_lex_state = 13},
  [1815] = {.lex_state = 7, .external_lex_state = 14},
  [1816] = {.lex_state = 52, .external_lex_state = 13},
  [1817] = {.lex_state = 52, .external_lex_state = 13},
  [1818] = {.lex_state = 52, .external_lex_state = 14},
  [1819] = {.lex_state = 52, .external_lex_state = 13},
  [1820] = {.lex_state = 52, .external_lex_state = 2},
  [1821] = {.lex_state = 9, .external_lex_state = 17},
  [1822] = {.lex_state = 52, .external_lex_state = 12},
  [1823] = {.lex_state = 9, .external_lex_state = 17},
  [1824] = {.lex_state = 52, .external_lex_state = 9},
  [1825] = {.lex_state = 52, .external_lex_state = 14},
  [1826] = {.lex_state = 52, .external_lex_state = 9},
  [1827] = {.lex_state = 52, .external_lex_state = 9},
  [1828] = {.lex_state = 52, .external_lex_state = 9},
  [1829] = {.lex_state = 9, .external_lex_state = 17},
  [1830] = {.lex_state = 52, .external_lex_state = 13},
  [1831] = {.lex_state = 52, .external_lex_state = 13},
  [1832] = {.lex_state = 52, .external_lex_state = 12},
  [1833] = {.lex_state = 52, .external_lex_state = 13},
  [1834] = {.lex_state = 52, .external_lex_state = 9},
  [1835] = {.lex_state = 52, .external_lex_state = 14},
  [1836] = {.lex_state = 52, .external_lex_state = 15},
  [1837] = {.lex_state = 52, .external_lex_state = 14},
  [1838] = {.lex_state = 7, .external_lex_state = 12},
  [1839] = {.lex_state = 52, .external_lex_state = 14},
  [1840] = {.lex_state = 52, .external_lex_state = 14},
  [1841] = {.lex_state = 52, .external_lex_state = 14},
  [1842] = {.lex_state = 52, .external_lex_state = 14},
  [1843] = {.lex_state = 52, .external_lex_state = 9},
  [1844] = {.lex_state = 52, .external_lex_state = 13},
  [1845] = {.lex_state = 52, .external_lex_state = 14},
  [1846] = {.lex_state = 52, .external_lex_state = 13},
  [1847] = {.lex_state = 52, .external_lex_state = 13},
  [1848] = {.lex_state = 52, .external_lex_state = 15},
  [1849] = {.lex_state = 52, .external_lex_state = 15},
  [1850] = {.lex_state = 52, .external_lex_state = 15},
  [1851] = {.lex_state = 52, .external_lex_state = 12},
  [1852] = {.lex_state = 52, .external_lex_state = 12},
  [1853] = {.lex_state = 7, .external_lex_state = 14},
  [1854] = {.lex_state = 52, .external_lex_state = 12},
  [1855] = {.lex_state = 52, .external_lex_state = 13},
  [1856] = {.lex_state = 7, .external_lex_state = 15},
  [1857] = {.lex_state = 52, .external_lex_state = 12},
  [1858] = {.lex_state = 52, .external_lex_state = 8},
  [1859] = {.lex_state = 7, .external_lex_state = 13},
  [1860] = {.lex_state = 52, .external_lex_state = 12},
  [1861] = {.lex_state = 52, .external_lex_state = 13},
  [1862] = {.lex_state = 52, .external_lex_state = 9},
  [1863] = {.lex_state = 52, .external_lex_state = 14},
  [1864] = {.lex_state = 52, .external_lex_state = 15},
  [1865] = {.lex_state = 52, .external_lex_state = 14},
  [1866] = {.lex_state = 7, .external_lex_state = 14},
  [1867] = {.lex_state = 52, .external_lex_state = 13},
  [1868] = {.lex_state = 7, .external_lex_state = 14},
  [1869] = {.lex_state = 52, .external_lex_state = 15},
  [1870] = {.lex_state = 52, .external_lex_state = 12},
  [1871] = {.lex_state = 52, .external_lex_state = 12},
  [1872] = {.lex_state = 52, .external_lex_state = 15},
  [1873] = {.lex_state = 52, .external_lex_state = 13},
  [1874] = {.lex_state = 52, .external_lex_state = 15},
  [1875] = {.lex_state = 7, .external_lex_state = 13},
  [1876] = {.lex_state = 52, .external_lex_state = 12},
  [1877] = {.lex_state = 52, .external_lex_state = 7},
  [1878] = {.lex_state = 52, .external_lex_state = 13},
  [1879] = {.lex_state = 52, .external_lex_state = 12},
  [1880] = {.lex_state = 52, .external_lex_state = 13},
  [1881] = {.lex_state = 52, .external_lex_state = 14},
  [1882] = {.lex_state = 52, .external_lex_state = 12},
  [1883] = {.lex_state = 7, .external_lex_state = 12},
  [1884] = {.lex_state = 7, .external_lex_state = 12},
  [1885] = {.lex_state = 7, .external_lex_state = 13},
  [1886] = {.lex_state = 52, .external_lex_state = 9},
  [1887] = {.lex_state = 52, .external_lex_state = 14},
  [1888] = {.lex_state = 52, .external_lex_state = 15},
  [1889] = {.lex_state = 52, .external_lex_state = 12},
  [1890] = {.lex_state = 52, .external_lex_state = 12},
  [1891] = {.lex_state = 52, .external_lex_state = 15},
  [1892] = {.lex_state = 7, .external_lex_state = 12},
  [1893] = {.lex_state = 52, .external_lex_state = 14},
  [1894] = {.lex_state = 52, .external_lex_state = 6},
  [1895] = {.lex_state = 52, .external_lex_state = 15},
  [1896] = {.lex_state = 52, .external_lex_state = 15},
  [1897] = {.lex_state = 0, .external_lex_state = 16},
  [1898] = {.lex_state = 52, .external_lex_state = 15},
  [1899] = {.lex_state = 52, .external_lex_state = 15},
  [1900] = {.lex_state = 52, .external_lex_state = 14},
  [1901] = {.lex_state = 7, .external_lex_state = 9},
  [1902] = {.lex_state = 8, .external_lex_state = 9},
  [1903] = {.lex_state = 52, .external_lex_state = 12},
  [1904] = {.lex_state = 52, .external_lex_state = 12},
  [1905] = {.lex_state = 52, .external_lex_state = 13},
  [1906] = {.lex_state = 52, .external_lex_state = 13},
  [1907] = {.lex_state = 52, .external_lex_state = 14},
  [1908] = {.lex_state = 52, .external_lex_state = 14},
  [1909] = {.lex_state = 8, .external_lex_state = 15},
  [1910] = {.lex_state = 7, .external_lex_state = 12},
  [1911] = {.lex_state = 8, .external_lex_state = 13},
  [1912] = {.lex_state = 52, .external_lex_state = 15},
  [1913] = {.lex_state = 52, .external_lex_state = 15},
  [1914] = {.lex_state = 52, .external_lex_state = 15},
  [1915] = {.lex_state = 52, .external_lex_state = 14},
  [1916] = {.lex_state = 52, .external_lex_state = 12},
  [1917] = {.lex_state = 8, .external_lex_state = 9},
  [1918] = {.lex_state = 7, .external_lex_state = 13},
  [1919] = {.lex_state = 8, .external_lex_state = 14},
  [1920] = {.lex_state = 8, .external_lex_state = 9},
  [1921] = {.lex_state = 0, .external_lex_state = 16},
  [1922] = {.lex_state = 8, .external_lex_state = 9},
  [1923] = {.lex_state = 8, .external_lex_state = 14},
  [1924] = {.lex_state = 52, .external_lex_state = 9},
  [1925] = {.lex_state = 52, .external_lex_state = 13},
  [1926] = {.lex_state = 52, .external_lex_state = 12},
  [1927] = {.lex_state = 52, .external_lex_state = 13},
  [1928] = {.lex_state = 52, .external_lex_state = 9},
  [1929] = {.lex_state = 52, .external_lex_state = 12},
  [1930] = {.lex_state = 7, .external_lex_state = 14},
  [1931] = {.lex_state = 52, .external_lex_state = 12},
  [1932] = {.lex_state = 52, .external_lex_state = 14},
  [1933] = {.lex_state = 52, .external_lex_state = 15},
  [1934] = {.lex_state = 52, .external_lex_state = 15},
  [1935] = {.lex_state = 8, .external_lex_state = 15},
  [1936] = {.lex_state = 52, .external_lex_state = 15},
  [1937] = {.lex_state = 52, .external_lex_state = 12},
  [1938] = {.lex_state = 8, .external_lex_state = 9},
  [1939] = {.lex_state = 52, .external_lex_state = 13},
  [1940] = {.lex_state = 7, .external_lex_state = 9},
  [1941] = {.lex_state = 52, .external_lex_state = 13},
  [1942] = {.lex_state = 0, .external_lex_state = 16},
  [1943] = {.lex_state = 8, .external_lex_state = 13},
  [1944] = {.lex_state = 52, .external_lex_state = 12},
  [1945] = {.lex_state = 52, .external_lex_state = 15},
  [1946] = {.lex_state = 52, .external_lex_state = 13},
  [1947] = {.lex_state = 8, .external_lex_state = 15},
  [1948] = {.lex_state = 52, .external_lex_state = 14},
  [1949] = {.lex_state = 52, .external_lex_state = 12},
  [1950] = {.lex_state = 8, .external_lex_state = 13},
  [1951] = {.lex_state = 52, .external_lex_state = 13},
  [1952] = {.lex_state = 8, .external_lex_state = 9},
  [1953] = {.lex_state = 52, .external_lex_state = 13},
  [1954] = {.lex_state = 52, .external_lex_state = 14},
  [1955] = {.lex_state = 52, .external_lex_state = 13},
  [1956] = {.lex_state = 8, .external_lex_state = 9},
  [1957] = {.lex_state = 52, .external_lex_state = 14},
  [1958] = {.lex_state = 8, .external_lex_state = 14},
  [1959] = {.lex_state = 8, .external_lex_state = 14},
  [1960] = {.lex_state = 0, .external_lex_state = 16},
  [1961] = {.lex_state = 0, .external_lex_state = 16},
  [1962] = {.lex_state = 52, .external_lex_state = 14},
  [1963] = {.lex_state = 52, .external_lex_state = 12},
  [1964] = {.lex_state = 52, .external_lex_state = 14},
  [1965] = {.lex_state = 7, .external_lex_state = 9},
  [1966] = {.lex_state = 52, .external_lex_state = 12},
  [1967] = {.lex_state = 8, .external_lex_state = 14},
  [1968] = {.lex_state = 8, .external_lex_state = 14},
  [1969] = {.lex_state = 52, .external_lex_state = 12},
  [1970] = {.lex_state = 8, .external_lex_state = 14},
  [1971] = {.lex_state = 52, .external_lex_state = 13},
  [1972] = {.lex_state = 52, .external_lex_state = 15},
  [1973] = {.lex_state = 0, .external_lex_state = 16},
  [1974] = {.lex_state = 52, .external_lex_state = 14},
  [1975] = {.lex_state = 52, .external_lex_state = 15},
  [1976] = {.lex_state = 52, .external_lex_state = 14},
  [1977] = {.lex_state = 52, .external_lex_state = 15},
  [1978] = {.lex_state = 52, .external_lex_state = 13},
  [1979] = {.lex_state = 52, .external_lex_state = 12},
  [1980] = {.lex_state = 52, .external_lex_state = 15},
  [1981] = {.lex_state = 52, .external_lex_state = 9},
  [1982] = {.lex_state = 52, .external_lex_state = 14},
  [1983] = {.lex_state = 8, .external_lex_state = 9},
  [1984] = {.lex_state = 8, .external_lex_state = 9},
  [1985] = {.lex_state = 52, .external_lex_state = 14},
  [1986] = {.lex_state = 8, .external_lex_state = 9},
  [1987] = {.lex_state = 52, .external_lex_state = 14},
  [1988] = {.lex_state = 8, .external_lex_state = 9},
  [1989] = {.lex_state = 8, .external_lex_state = 14},
  [1990] = {.lex_state = 8, .external_lex_state = 14},
  [1991] = {.lex_state = 52, .external_lex_state = 15},
  [1992] = {.lex_state = 52, .external_lex_state = 14},
  [1993] = {.lex_state = 52, .external_lex_state = 13},
  [1994] = {.lex_state = 52, .external_lex_state = 12},
  [1995] = {.lex_state = 0, .external_lex_state = 16},
  [1996] = {.lex_state = 52, .external_lex_state = 14},
  [1997] = {.lex_state = 8, .external_lex_state = 14},
  [1998] = {.lex_state = 8, .external_lex_state = 13},
  [1999] = {.lex_state = 52, .external_lex_state = 13},
  [2000] = {.lex_state = 52, .external_lex_state = 14},
  [2001] = {.lex_state = 0, .external_lex_state = 16},
  [2002] = {.lex_state = 52, .external_lex_state = 12},
  [2003] = {.lex_state = 8, .external_lex_state = 14},
  [2004] = {.lex_state = 52, .external_lex_state = 15},
  [2005] = {.lex_state = 52, .external_lex_state = 15},
  [2006] = {.lex_state = 52, .external_lex_state = 15},
  [2007] = {.lex_state = 52, .external_lex_state = 12},
  [2008] = {.lex_state = 52, .external_lex_state = 12},
  [2009] = {.lex_state = 52, .external_lex_state = 14},
  [2010] = {.lex_state = 52, .external_lex_state = 14},
  [2011] = {.lex_state = 8, .external_lex_state = 13},
  [2012] = {.lex_state = 52, .external_lex_state = 15},
  [2013] = {.lex_state = 3, .external_lex_state = 12},
  [2014] = {.lex_state = 52, .external_lex_state = 15},
  [2015] = {.lex_state = 52, .external_lex_state = 14},
  [2016] = {.lex_state = 52, .external_lex_state = 12},
  [2017] = {.lex_state = 52, .external_lex_state = 9},
  [2018] = {.lex_state = 52, .external_lex_state = 15},
  [2019] = {.lex_state = 52, .external_lex_state = 15},
  [2020] = {.lex_state = 52, .external_lex_state = 15},
  [2021] = {.lex_state = 52, .external_lex_state = 12},
  [2022] = {.lex_state = 52, .external_lex_state = 15},
  [2023] = {.lex_state = 52, .external_lex_state = 13},
  [2024] = {.lex_state = 8, .external_lex_state = 15},
  [2025] = {.lex_state = 7, .external_lex_state = 9},
  [2026] = {.lex_state = 52, .external_lex_state = 15},
  [2027] = {.lex_state = 52, .external_lex_state = 15},
  [2028] = {.lex_state = 52, .external_lex_state = 15},
  [2029] = {.lex_state = 52, .external_lex_state = 15},
  [2030] = {.lex_state = 8, .external_lex_state = 13},
  [2031] = {.lex_state = 8, .external_lex_state = 13},
  [2032] = {.lex_state = 52, .external_lex_state = 9},
  [2033] = {.lex_state = 52, .external_lex_state = 15},
  [2034] = {.lex_state = 52, .external_lex_state = 12},
  [2035] = {.lex_state = 52, .external_lex_state = 15},
  [2036] = {.lex_state = 52, .external_lex_state = 9},
  [2037] = {.lex_state = 52, .external_lex_state = 9},
  [2038] = {.lex_state = 52, .external_lex_state = 12},
  [2039] = {.lex_state = 3, .external_lex_state = 12},
  [2040] = {.lex_state = 52, .external_lex_state = 15},
  [2041] = {.lex_state = 52, .external_lex_state = 12},
  [2042] = {.lex_state = 52, .external_lex_state = 12},
  [2043] = {.lex_state = 52, .external_lex_state = 15},
  [2044] = {.lex_state = 52, .external_lex_state = 12},
  [2045] = {.lex_state = 52, .external_lex_state = 15},
  [2046] = {.lex_state = 52, .external_lex_state = 15},
  [2047] = {.lex_state = 52, .external_lex_state = 15},
  [2048] = {.lex_state = 52, .external_lex_state = 12},
  [2049] = {.lex_state = 52, .external_lex_state = 12},
  [2050] = {.lex_state = 52, .external_lex_state = 15},
  [2051] = {.lex_state = 52, .external_lex_state = 15},
  [2052] = {.lex_state = 52, .external_lex_state = 9},
  [2053] = {.lex_state = 52, .external_lex_state = 15},
  [2054] = {.lex_state = 52, .external_lex_state = 15},
  [2055] = {.lex_state = 52, .external_lex_state = 15},
  [2056] = {.lex_state = 52, .external_lex_state = 9},
  [2057] = {.lex_state = 52, .external_lex_state = 15},
  [2058] = {.lex_state = 52, .external_lex_state = 13},
  [2059] = {.lex_state = 52, .external_lex_state = 13},
  [2060] = {.lex_state = 52, .external_lex_state = 13},
  [2061] = {.lex_state = 8, .external_lex_state = 15},
  [2062] = {.lex_state = 8, .external_lex_state = 15},
  [2063] = {.lex_state = 52, .external_lex_state = 12},
  [2064] = {.lex_state = 8, .external_lex_state = 13},
  [2065] = {.lex_state = 52, .external_lex_state = 15},
  [2066] = {.lex_state = 52, .external_lex_state = 12},
  [2067] = {.lex_state = 52, .external_lex_state = 15},
  [2068] = {.lex_state = 52, .external_lex_state = 15},
  [2069] = {.lex_state = 52, .external_lex_state = 14},
  [2070] = {.lex_state = 52, .external_lex_state = 12},
  [2071] = {.lex_state = 52, .external_lex_state = 15},
  [2072] = {.lex_state = 52, .external_lex_state = 12},
  [2073] = {.lex_state = 52, .external_lex_state = 12},
  [2074] = {.lex_state = 52, .external_lex_state = 13},
  [2075] = {.lex_state = 52, .external_lex_state = 15},
  [2076] = {.lex_state = 8, .external_lex_state = 13},
  [2077] = {.lex_state = 8, .external_lex_state = 15},
  [2078] = {.lex_state = 8, .external_lex_state = 15},
  [2079] = {.lex_state = 8, .external_lex_state = 13},
  [2080] = {.lex_state = 52, .external_lex_state = 15},
  [2081] = {.lex_state = 52, .external_lex_state = 13},
  [2082] = {.lex_state = 52, .external_lex_state = 12},
  [2083] = {.lex_state = 8, .external_lex_state = 15},
  [2084] = {.lex_state = 8, .external_lex_state = 13},
  [2085] = {.lex_state = 52, .external_lex_state = 13},
  [2086] = {.lex_state = 52, .external_lex_state = 13},
  [2087] = {.lex_state = 52, .external_lex_state = 13},
  [2088] = {.lex_state = 52, .external_lex_state = 12},
  [2089] = {.lex_state = 52, .external_lex_state = 15},
  [2090] = {.lex_state = 8, .external_lex_state = 13},
  [2091] = {.lex_state = 52, .external_lex_state = 15},
  [2092] = {.lex_state = 8, .external_lex_state = 13},
  [2093] = {.lex_state = 52, .external_lex_state = 12},
  [2094] = {.lex_state = 52, .external_lex_state = 15},
  [2095] = {.lex_state = 52, .external_lex_state = 14},
  [2096] = {.lex_state = 52, .external_lex_state = 15},
  [2097] = {.lex_state = 8, .external_lex_state = 13},
  [2098] = {.lex_state = 8, .external_lex_state = 15},
  [2099] = {.lex_state = 52, .external_lex_state = 15},
  [2100] = {.lex_state = 8, .external_lex_state = 9},
  [2101] = {.lex_state = 8, .external_lex_state = 13},
  [2102] = {.lex_state = 52, .external_lex_state = 15},
  [2103] = {.lex_state = 52, .external_lex_state = 15},
  [2104] = {.lex_state = 8, .external_lex_state = 14},
  [2105] = {.lex_state = 52, .external_lex_state = 14},
  [2106] = {.lex_state = 52, .external_lex_state = 14},
  [2107] = {.lex_state = 52, .external_lex_state = 15},
  [2108] = {.lex_state = 52, .external_lex_state = 12},
  [2109] = {.lex_state = 8, .external_lex_state = 15},
  [2110] = {.lex_state = 52, .external_lex_state = 15},
  [2111] = {.lex_state = 52, .external_lex_state = 14},
  [2112] = {.lex_state = 52, .external_lex_state = 15},
  [2113] = {.lex_state = 52, .external_lex_state = 15},
  [2114] = {.lex_state = 52, .external_lex_state = 9},
  [2115] = {.lex_state = 52, .external_lex_state = 15},
  [2116] = {.lex_state = 52, .external_lex_state = 15},
  [2117] = {.lex_state = 3, .external_lex_state = 12},
  [2118] = {.lex_state = 52, .external_lex_state = 15},
  [2119] = {.lex_state = 52, .external_lex_state = 15},
  [2120] = {.lex_state = 52, .external_lex_state = 15},
  [2121] = {.lex_state = 52, .external_lex_state = 14},
  [2122] = {.lex_state = 52, .external_lex_state = 12},
  [2123] = {.lex_state = 52, .external_lex_state = 15},
  [2124] = {.lex_state = 52, .external_lex_state = 14},
  [2125] = {.lex_state = 52, .external_lex_state = 12},
  [2126] = {.lex_state = 52, .external_lex_state = 12},
  [2127] = {.lex_state = 52, .external_lex_state = 13},
  [2128] = {.lex_state = 52, .external_lex_state = 15},
  [2129] = {.lex_state = 52, .external_lex_state = 12},
  [2130] = {.lex_state = 52, .external_lex_state = 12},
  [2131] = {.lex_state = 52, .external_lex_state = 18},
  [2132] = {.lex_state = 52, .external_lex_state = 12},
  [2133] = {.lex_state = 52, .external_lex_state = 12},
  [2134] = {.lex_state = 52, .external_lex_state = 12},
  [2135] = {.lex_state = 52, .external_lex_state = 13},
  [2136] = {.lex_state = 52, .external_lex_state = 12},
  [2137] = {.lex_state = 52, .external_lex_state = 13},
  [2138] = {.lex_state = 52, .external_lex_state = 12},
  [2139] = {.lex_state = 52, .external_lex_state = 12},
  [2140] = {.lex_state = 52, .external_lex_state = 12},
  [2141] = {.lex_state = 52, .external_lex_state = 12},
  [2142] = {.lex_state = 52, .external_lex_state = 12},
  [2143] = {.lex_state = 52, .external_lex_state = 12},
  [2144] = {.lex_state = 52, .external_lex_state = 12},
  [2145] = {.lex_state = 52, .external_lex_state = 12},
  [2146] = {.lex_state = 52, .external_lex_state = 12},
  [2147] = {.lex_state = 52, .external_lex_state = 12},
  [2148] = {.lex_state = 52, .external_lex_state = 12},
  [2149] = {.lex_state = 52, .external_lex_state = 12},
  [2150] = {.lex_state = 52, .external_lex_state = 12},
  [2151] = {.lex_state = 52, .external_lex_state = 12},
  [2152] = {.lex_state = 52, .external_lex_state = 13},
  [2153] = {.lex_state = 52, .external_lex_state = 14},
  [2154] = {.lex_state = 52, .external_lex_state = 13},
  [2155] = {.lex_state = 52, .external_lex_state = 9},
  [2156] = {.lex_state = 52, .external_lex_state = 9},
  [2157] = {.lex_state = 52, .external_lex_state = 9},
  [2158] = {.lex_state = 52, .external_lex_state = 14},
  [2159] = {.lex_state = 52, .external_lex_state = 9},
  [2160] = {.lex_state = 52, .external_lex_state = 14},
  [2161] = {.lex_state = 52, .external_lex_state = 15},
  [2162] = {.lex_state = 52, .external_lex_state = 15},
  [2163] = {.lex_state = 52, .external_lex_state = 14},
  [2164] = {.lex_state = 52, .external_lex_state = 15},
  [2165] = {.lex_state = 52, .external_lex_state = 14},
  [2166] = {.lex_state = 52, .external_lex_state = 13},
  [2167] = {.lex_state = 52, .external_lex_state = 13},
  [2168] = {.lex_state = 52, .external_lex_state = 13},
  [2169] = {.lex_state = 52, .external_lex_state = 13},
  [2170] = {.lex_state = 52, .external_lex_state = 13},
  [2171] = {.lex_state = 52, .external_lex_state = 14},
  [2172] = {.lex_state = 52, .external_lex_state = 13},
  [2173] = {.lex_state = 7, .external_lex_state = 15},
  [2174] = {.lex_state = 52, .external_lex_state = 14},
  [2175] = {.lex_state = 52, .external_lex_state = 9},
  [2176] = {.lex_state = 52, .external_lex_state = 14},
  [2177] = {.lex_state = 52, .external_lex_state = 13},
  [2178] = {.lex_state = 52, .external_lex_state = 13},
  [2179] = {.lex_state = 52, .external_lex_state = 13},
  [2180] = {.lex_state = 52, .external_lex_state = 13},
  [2181] = {.lex_state = 52, .external_lex_state = 13},
  [2182] = {.lex_state = 52, .external_lex_state = 13},
  [2183] = {.lex_state = 52, .external_lex_state = 13},
  [2184] = {.lex_state = 52, .external_lex_state = 12},
  [2185] = {.lex_state = 52, .external_lex_state = 13},
  [2186] = {.lex_state = 52, .external_lex_state = 13},
  [2187] = {.lex_state = 52, .external_lex_state = 13},
  [2188] = {.lex_state = 52, .external_lex_state = 13},
  [2189] = {.lex_state = 52, .external_lex_state = 13},
  [2190] = {.lex_state = 52, .external_lex_state = 14},
  [2191] = {.lex_state = 52, .external_lex_state = 13},
  [2192] = {.lex_state = 52, .external_lex_state = 13},
  [2193] = {.lex_state = 52, .external_lex_state = 13},
  [2194] = {.lex_state = 52, .external_lex_state = 14},
  [2195] = {.lex_state = 52, .external_lex_state = 15},
  [2196] = {.lex_state = 52, .external_lex_state = 12},
  [2197] = {.lex_state = 52, .external_lex_state = 9},
  [2198] = {.lex_state = 52, .external_lex_state = 14},
  [2199] = {.lex_state = 52, .external_lex_state = 9},
  [2200] = {.lex_state = 52, .external_lex_state = 9},
  [2201] = {.lex_state = 52, .external_lex_state = 15},
  [2202] = {.lex_state = 52, .external_lex_state = 14},
  [2203] = {.lex_state = 52, .external_lex_state = 13},
  [2204] = {.lex_state = 52, .external_lex_state = 14},
  [2205] = {.lex_state = 8, .external_lex_state = 15},
  [2206] = {.lex_state = 52, .external_lex_state = 14},
  [2207] = {.lex_state = 52, .external_lex_state = 18},
  [2208] = {.lex_state = 52, .external_lex_state = 14},
  [2209] = {.lex_state = 52, .external_lex_state = 9},
  [2210] = {.lex_state = 52, .external_lex_state = 14},
  [2211] = {.lex_state = 52, .external_lex_state = 14},
  [2212] = {.lex_state = 52, .external_lex_state = 14},
  [2213] = {.lex_state = 52, .external_lex_state = 14},
  [2214] = {.lex_state = 52, .external_lex_state = 14},
  [2215] = {.lex_state = 52, .external_lex_state = 18},
  [2216] = {.lex_state = 52, .external_lex_state = 9},
  [2217] = {.lex_state = 52, .external_lex_state = 9},
  [2218] = {.lex_state = 52, .external_lex_state = 9},
  [2219] = {.lex_state = 52, .external_lex_state = 14},
  [2220] = {.lex_state = 52, .external_lex_state = 14},
  [2221] = {.lex_state = 52, .external_lex_state = 14},
  [2222] = {.lex_state = 52, .external_lex_state = 14},
  [2223] = {.lex_state = 52, .external_lex_state = 14},
  [2224] = {.lex_state = 52, .external_lex_state = 12},
  [2225] = {.lex_state = 52, .external_lex_state = 15},
  [2226] = {.lex_state = 52, .external_lex_state = 14},
  [2227] = {.lex_state = 52, .external_lex_state = 14},
  [2228] = {.lex_state = 52, .external_lex_state = 14},
  [2229] = {.lex_state = 52, .external_lex_state = 9},
  [2230] = {.lex_state = 52, .external_lex_state = 9},
  [2231] = {.lex_state = 52, .external_lex_state = 15},
  [2232] = {.lex_state = 52, .external_lex_state = 15},
  [2233] = {.lex_state = 52, .external_lex_state = 14},
  [2234] = {.lex_state = 52, .external_lex_state = 18},
  [2235] = {.lex_state = 52, .external_lex_state = 14},
  [2236] = {.lex_state = 52, .external_lex_state = 14},
  [2237] = {.lex_state = 52, .external_lex_state = 14},
  [2238] = {.lex_state = 52, .external_lex_state = 9},
  [2239] = {.lex_state = 52, .external_lex_state = 9},
  [2240] = {.lex_state = 52, .external_lex_state = 14},
  [2241] = {.lex_state = 52, .external_lex_state = 14},
  [2242] = {.lex_state = 52, .external_lex_state = 14},
  [2243] = {.lex_state = 52, .external_lex_state = 14},
  [2244] = {.lex_state = 52, .external_lex_state = 13},
  [2245] = {.lex_state = 52, .external_lex_state = 9},
  [2246] = {.lex_state = 52, .external_lex_state = 15},
  [2247] = {.lex_state = 52, .external_lex_state = 15},
  [2248] = {.lex_state = 8, .external_lex_state = 15},
  [2249] = {.lex_state = 52, .external_lex_state = 12},
  [2250] = {.lex_state = 52, .external_lex_state = 15},
  [2251] = {.lex_state = 52, .external_lex_state = 18},
  [2252] = {.lex_state = 7, .external_lex_state = 15},
  [2253] = {.lex_state = 8, .external_lex_state = 15},
  [2254] = {.lex_state = 52, .external_lex_state = 12},
  [2255] = {.lex_state = 52, .external_lex_state = 14},
  [2256] = {.lex_state = 52, .external_lex_state = 15},
  [2257] = {.lex_state = 52, .external_lex_state = 9},
  [2258] = {.lex_state = 52, .external_lex_state = 14},
  [2259] = {.lex_state = 52, .external_lex_state = 14},
  [2260] = {.lex_state = 52, .external_lex_state = 14},
  [2261] = {.lex_state = 52, .external_lex_state = 12},
  [2262] = {.lex_state = 52, .external_lex_state = 15},
  [2263] = {.lex_state = 52, .external_lex_state = 12},
  [2264] = {.lex_state = 52, .external_lex_state = 14},
  [2265] = {.lex_state = 52, .external_lex_state = 14},
  [2266] = {.lex_state = 52, .external_lex_state = 13},
  [2267] = {.lex_state = 52, .external_lex_state = 13},
  [2268] = {.lex_state = 52, .external_lex_state = 15},
  [2269] = {.lex_state = 52, .external_lex_state = 14},
  [2270] = {.lex_state = 8, .external_lex_state = 15},
  [2271] = {.lex_state = 52, .external_lex_state = 14},
  [2272] = {.lex_state = 52, .external_lex_state = 12},
  [2273] = {.lex_state = 52, .external_lex_state = 14},
  [2274] = {.lex_state = 52, .external_lex_state = 14},
  [2275] = {.lex_state = 52, .external_lex_state = 14},
  [2276] = {.lex_state = 52, .external_lex_state = 13},
  [2277] = {.lex_state = 52, .external_lex_state = 13},
  [2278] = {.lex_state = 52, .external_lex_state = 12},
  [2279] = {.lex_state = 52, .external_lex_state = 15},
  [2280] = {.lex_state = 52, .external_lex_state = 13},
  [2281] = {.lex_state = 52, .external_lex_state = 12},
  [2282] = {.lex_state = 52, .external_lex_state = 12},
  [2283] = {.lex_state = 52, .external_lex_state = 13},
  [2284] = {.lex_state = 52, .external_lex_state = 13},
  [2285] = {.lex_state = 52, .external_lex_state = 14},
  [2286] = {.lex_state = 52, .external_lex_state = 12},
  [2287] = {.lex_state = 52, .external_lex_state = 12},
  [2288] = {.lex_state = 52, .external_lex_state = 14},
  [2289] = {.lex_state = 52, .external_lex_state = 14},
  [2290] = {.lex_state = 52, .external_lex_state = 13},
  [2291] = {.lex_state = 52, .external_lex_state = 12},
  [2292] = {.lex_state = 52, .external_lex_state = 12},
  [2293] = {.lex_state = 52, .external_lex_state = 15},
  [2294] = {.lex_state = 52, .external_lex_state = 14},
  [2295] = {.lex_state = 52, .external_lex_state = 9},
  [2296] = {.lex_state = 52, .external_lex_state = 14},
  [2297] = {.lex_state = 52, .external_lex_state = 15},
  [2298] = {.lex_state = 52, .external_lex_state = 15},
  [2299] = {.lex_state = 52, .external_lex_state = 15},
  [2300] = {.lex_state = 52, .external_lex_state = 9},
  [2301] = {.lex_state = 52, .external_lex_state = 12},
  [2302] = {.lex_state = 52, .external_lex_state = 12},
  [2303] = {.lex_state = 52, .external_lex_state = 14},
  [2304] = {.lex_state = 52, .external_lex_state = 14},
  [2305] = {.lex_state = 52, .external_lex_state = 9},
  [2306] = {.lex_state = 52, .external_lex_state = 12},
  [2307] = {.lex_state = 52, .external_lex_state = 9},
  [2308] = {.lex_state = 3, .external_lex_state = 12},
  [2309] = {.lex_state = 52, .external_lex_state = 14},
  [2310] = {.lex_state = 52, .external_lex_state = 12},
  [2311] = {.lex_state = 52, .external_lex_state = 19},
  [2312] = {.lex_state = 52, .external_lex_state = 14},
  [2313] = {.lex_state = 52, .external_lex_state = 14},
  [2314] = {.lex_state = 52, .external_lex_state = 13},
  [2315] = {.lex_state = 52, .external_lex_state = 14},
  [2316] = {.lex_state = 52, .external_lex_state = 13},
  [2317] = {.lex_state = 52, .external_lex_state = 14},
  [2318] = {.lex_state = 52, .external_lex_state = 14},
  [2319] = {.lex_state = 52, .external_lex_state = 14},
  [2320] = {.lex_state = 8, .external_lex_state = 15},
  [2321] = {.lex_state = 52, .external_lex_state = 13},
  [2322] = {.lex_state = 52, .external_lex_state = 13},
  [2323] = {.lex_state = 52, .external_lex_state = 15},
  [2324] = {.lex_state = 52, .external_lex_state = 13},
  [2325] = {.lex_state = 52, .external_lex_state = 9},
  [2326] = {.lex_state = 52, .external_lex_state = 14},
  [2327] = {.lex_state = 9, .external_lex_state = 17},
  [2328] = {.lex_state = 52, .external_lex_state = 12},
  [2329] = {.lex_state = 52, .external_lex_state = 19},
  [2330] = {.lex_state = 52, .external_lex_state = 15},
  [2331] = {.lex_state = 52, .external_lex_state = 14},
  [2332] = {.lex_state = 52, .external_lex_state = 19},
  [2333] = {.lex_state = 52, .external_lex_state = 13},
  [2334] = {.lex_state = 52, .external_lex_state = 12},
  [2335] = {.lex_state = 52, .external_lex_state = 12},
  [2336] = {.lex_state = 3, .external_lex_state = 12},
  [2337] = {.lex_state = 3, .external_lex_state = 12},
  [2338] = {.lex_state = 52, .external_lex_state = 12},
  [2339] = {.lex_state = 9, .external_lex_state = 17},
  [2340] = {.lex_state = 52, .external_lex_state = 14},
  [2341] = {.lex_state = 52, .external_lex_state = 14},
  [2342] = {.lex_state = 3, .external_lex_state = 12},
  [2343] = {.lex_state = 52, .external_lex_state = 15},
  [2344] = {.lex_state = 52, .external_lex_state = 9},
  [2345] = {.lex_state = 52, .external_lex_state = 15},
  [2346] = {.lex_state = 52, .external_lex_state = 9},
  [2347] = {.lex_state = 52, .external_lex_state = 12},
  [2348] = {.lex_state = 52, .external_lex_state = 14},
  [2349] = {.lex_state = 52, .external_lex_state = 12},
  [2350] = {.lex_state = 52, .external_lex_state = 13},
  [2351] = {.lex_state = 52, .external_lex_state = 13},
  [2352] = {.lex_state = 52, .external_lex_state = 9},
  [2353] = {.lex_state = 52, .external_lex_state = 13},
  [2354] = {.lex_state = 52, .external_lex_state = 12},
  [2355] = {.lex_state = 52, .external_lex_state = 14},
  [2356] = {.lex_state = 8, .external_lex_state = 15},
  [2357] = {.lex_state = 52, .external_lex_state = 14},
  [2358] = {.lex_state = 52, .external_lex_state = 14},
  [2359] = {.lex_state = 52, .external_lex_state = 13},
  [2360] = {.lex_state = 52, .external_lex_state = 12},
  [2361] = {.lex_state = 52, .external_lex_state = 12},
  [2362] = {.lex_state = 52, .external_lex_state = 14},
  [2363] = {.lex_state = 52, .external_lex_state = 19},
  [2364] = {.lex_state = 52, .external_lex_state = 14},
  [2365] = {.lex_state = 52, .external_lex_state = 13},
  [2366] = {.lex_state = 52, .external_lex_state = 13},
  [2367] = {.lex_state = 52, .external_lex_state = 9},
  [2368] = {.lex_state = 52, .external_lex_state = 14},
  [2369] = {.lex_state = 52, .external_lex_state = 15},
  [2370] = {.lex_state = 52, .external_lex_state = 14},
  [2371] = {.lex_state = 52, .external_lex_state = 14},
  [2372] = {.lex_state = 52, .external_lex_state = 14},
  [2373] = {.lex_state = 52, .external_lex_state = 14},
  [2374] = {.lex_state = 52, .external_lex_state = 9},
  [2375] = {.lex_state = 52, .external_lex_state = 13},
  [2376] = {.lex_state = 52, .external_lex_state = 14},
  [2377] = {.lex_state = 52, .external_lex_state = 13},
  [2378] = {.lex_state = 52, .external_lex_state = 13},
  [2379] = {.lex_state = 52, .external_lex_state = 12},
  [2380] = {.lex_state = 52, .external_lex_state = 13},
  [2381] = {.lex_state = 52, .external_lex_state = 9},
  [2382] = {.lex_state = 52, .external_lex_state = 14},
  [2383] = {.lex_state = 52, .external_lex_state = 14},
  [2384] = {.lex_state = 52, .external_lex_state = 12},
  [2385] = {.lex_state = 52, .external_lex_state = 14},
  [2386] = {.lex_state = 52, .external_lex_state = 14},
  [2387] = {.lex_state = 52, .external_lex_state = 15},
  [2388] = {.lex_state = 52, .external_lex_state = 13},
  [2389] = {.lex_state = 52, .external_lex_state = 14},
  [2390] = {.lex_state = 52, .external_lex_state = 13},
  [2391] = {.lex_state = 52, .external_lex_state = 14},
  [2392] = {.lex_state = 3, .external_lex_state = 12},
  [2393] = {.lex_state = 52, .external_lex_state = 14},
  [2394] = {.lex_state = 52, .external_lex_state = 13},
  [2395] = {.lex_state = 52, .external_lex_state = 13},
  [2396] = {.lex_state = 52, .external_lex_state = 14},
  [2397] = {.lex_state = 8, .external_lex_state = 15},
  [2398] = {.lex_state = 3, .external_lex_state = 12},
  [2399] = {.lex_state = 3, .external_lex_state = 12},
  [2400] = {.lex_state = 52, .external_lex_state = 15},
  [2401] = {.lex_state = 52, .external_lex_state = 14},
  [2402] = {.lex_state = 9, .external_lex_state = 17},
  [2403] = {.lex_state = 52, .external_lex_state = 9},
  [2404] = {.lex_state = 52, .external_lex_state = 14},
  [2405] = {.lex_state = 52, .external_lex_state = 13},
  [2406] = {.lex_state = 52, .external_lex_state = 12},
  [2407] = {.lex_state = 52, .external_lex_state = 13},
  [2408] = {.lex_state = 52, .external_lex_state = 9},
  [2409] = {.lex_state = 52, .external_lex_state = 12},
  [2410] = {.lex_state = 52, .external_lex_state = 14},
  [2411] = {.lex_state = 52, .external_lex_state = 12},
  [2412] = {.lex_state = 52, .external_lex_state = 14},
  [2413] = {.lex_state = 52, .external_lex_state = 14},
  [2414] = {.lex_state = 52, .external_lex_state = 13},
  [2415] = {.lex_state = 52, .external_lex_state = 15},
  [2416] = {.lex_state = 52, .external_lex_state = 14},
  [2417] = {.lex_state = 52, .external_lex_state = 14},
  [2418] = {.lex_state = 52, .external_lex_state = 14},
  [2419] = {.lex_state = 52, .external_lex_state = 14},
  [2420] = {.lex_state = 52, .external_lex_state = 13},
  [2421] = {.lex_state = 52, .external_lex_state = 13},
  [2422] = {.lex_state = 52, .external_lex_state = 14},
  [2423] = {.lex_state = 52, .external_lex_state = 12},
  [2424] = {.lex_state = 52, .external_lex_state = 14},
  [2425] = {.lex_state = 52, .external_lex_state = 12},
  [2426] = {.lex_state = 52, .external_lex_state = 14},
  [2427] = {.lex_state = 9, .external_lex_state = 17},
  [2428] = {.lex_state = 52, .external_lex_state = 14},
  [2429] = {.lex_state = 52, .external_lex_state = 9},
  [2430] = {.lex_state = 52, .external_lex_state = 14},
  [2431] = {.lex_state = 52, .external_lex_state = 9},
  [2432] = {.lex_state = 52, .external_lex_state = 9},
  [2433] = {.lex_state = 52, .external_lex_state = 12},
  [2434] = {.lex_state = 52, .external_lex_state = 9},
  [2435] = {.lex_state = 52, .external_lex_state = 12},
  [2436] = {.lex_state = 52, .external_lex_state = 9},
  [2437] = {.lex_state = 52, .external_lex_state = 14},
  [2438] = {.lex_state = 52, .external_lex_state = 14},
  [2439] = {.lex_state = 52, .external_lex_state = 14},
  [2440] = {.lex_state = 52, .external_lex_state = 13},
  [2441] = {.lex_state = 52, .external_lex_state = 15},
  [2442] = {.lex_state = 52, .external_lex_state = 15},
  [2443] = {.lex_state = 52, .external_lex_state = 14},
  [2444] = {.lex_state = 52, .external_lex_state = 14},
  [2445] = {.lex_state = 52, .external_lex_state = 13},
  [2446] = {.lex_state = 52, .external_lex_state = 13},
  [2447] = {.lex_state = 52, .external_lex_state = 13},
  [2448] = {.lex_state = 52, .external_lex_state = 9},
  [2449] = {.lex_state = 52, .external_lex_state = 19},
  [2450] = {.lex_state = 52, .external_lex_state = 13},
  [2451] = {.lex_state = 52, .external_lex_state = 13},
  [2452] = {.lex_state = 52, .external_lex_state = 13},
  [2453] = {.lex_state = 52, .external_lex_state = 14},
  [2454] = {.lex_state = 52, .external_lex_state = 14},
  [2455] = {.lex_state = 52, .external_lex_state = 13},
  [2456] = {.lex_state = 52, .external_lex_state = 13},
  [2457] = {.lex_state = 52, .external_lex_state = 9},
  [2458] = {.lex_state = 52, .external_lex_state = 13},
  [2459] = {.lex_state = 52, .external_lex_state = 13},
  [2460] = {.lex_state = 52, .external_lex_state = 13},
  [2461] = {.lex_state = 52, .external_lex_state = 13},
  [2462] = {.lex_state = 52, .external_lex_state = 13},
  [2463] = {.lex_state = 52, .external_lex_state = 9},
  [2464] = {.lex_state = 52, .external_lex_state = 14},
  [2465] = {.lex_state = 3, .external_lex_state = 12},
  [2466] = {.lex_state = 52, .external_lex_state = 15},
  [2467] = {.lex_state = 52, .external_lex_state = 13},
  [2468] = {.lex_state = 52, .external_lex_state = 15},
  [2469] = {.lex_state = 52, .external_lex_state = 15},
  [2470] = {.lex_state = 52, .external_lex_state = 14},
  [2471] = {.lex_state = 52, .external_lex_state = 15},
  [2472] = {.lex_state = 52, .external_lex_state = 9},
  [2473] = {.lex_state = 52, .external_lex_state = 15},
  [2474] = {.lex_state = 8, .external_lex_state = 15},
  [2475] = {.lex_state = 52, .external_lex_state = 12},
  [2476] = {.lex_state = 8, .external_lex_state = 15},
  [2477] = {.lex_state = 8, .external_lex_state = 15},
  [2478] = {.lex_state = 52, .external_lex_state = 12},
  [2479] = {.lex_state = 52, .external_lex_state = 12},
  [2480] = {.lex_state = 52, .external_lex_state = 12},
  [2481] = {.lex_state = 52, .external_lex_state = 13},
  [2482] = {.lex_state = 52, .external_lex_state = 14},
  [2483] = {.lex_state = 52, .external_lex_state = 15},
  [2484] = {.lex_state = 52, .external_lex_state = 15},
  [2485] = {.lex_state = 52, .external_lex_state = 9},
  [2486] = {.lex_state = 52, .external_lex_state = 15},
  [2487] = {.lex_state = 3, .external_lex_state = 12},
  [2488] = {.lex_state = 52, .external_lex_state = 14},
  [2489] = {.lex_state = 52, .external_lex_state = 14},
  [2490] = {.lex_state = 52, .external_lex_state = 19},
  [2491] = {.lex_state = 52, .external_lex_state = 15},
  [2492] = {.lex_state = 52, .external_lex_state = 12},
  [2493] = {.lex_state = 52, .external_lex_state = 12},
  [2494] = {.lex_state = 52, .external_lex_state = 19},
  [2495] = {.lex_state = 52, .external_lex_state = 14},
  [2496] = {.lex_state = 52, .external_lex_state = 13},
  [2497] = {.lex_state = 52, .external_lex_state = 15},
  [2498] = {.lex_state = 52, .external_lex_state = 15},
  [2499] = {.lex_state = 52, .external_lex_state = 14},
  [2500] = {.lex_state = 52, .external_lex_state = 14},
  [2501] = {.lex_state = 52, .external_lex_state = 14},
  [2502] = {.lex_state = 52, .external_lex_state = 14},
  [2503] = {.lex_state = 52, .external_lex_state = 13},
  [2504] = {.lex_state = 9, .external_lex_state = 17},
  [2505] = {.lex_state = 52, .external_lex_state = 13},
  [2506] = {.lex_state = 52, .external_lex_state = 14},
  [2507] = {.lex_state = 52, .external_lex_state = 15},
  [2508] = {.lex_state = 52, .external_lex_state = 12},
  [2509] = {.lex_state = 52, .external_lex_state = 19},
  [2510] = {.lex_state = 52, .external_lex_state = 15},
  [2511] = {.lex_state = 52, .external_lex_state = 15},
  [2512] = {.lex_state = 52, .external_lex_state = 14},
  [2513] = {.lex_state = 52, .external_lex_state = 14},
  [2514] = {.lex_state = 52, .external_lex_state = 15},
  [2515] = {.lex_state = 52, .external_lex_state = 15},
  [2516] = {.lex_state = 52, .external_lex_state = 14},
  [2517] = {.lex_state = 52, .external_lex_state = 9},
  [2518] = {.lex_state = 52, .external_lex_state = 15},
  [2519] = {.lex_state = 52, .external_lex_state = 9},
  [2520] = {.lex_state = 9, .external_lex_state = 15},
  [2521] = {.lex_state = 52, .external_lex_state = 18},
  [2522] = {.lex_state = 52, .external_lex_state = 9},
  [2523] = {.lex_state = 52, .external_lex_state = 14},
  [2524] = {.lex_state = 52, .external_lex_state = 15},
  [2525] = {.lex_state = 52, .external_lex_state = 13},
  [2526] = {.lex_state = 52, .external_lex_state = 12},
  [2527] = {.lex_state = 9, .external_lex_state = 15},
  [2528] = {.lex_state = 52, .external_lex_state = 18},
  [2529] = {.lex_state = 52, .external_lex_state = 18},
  [2530] = {.lex_state = 52, .external_lex_state = 18},
  [2531] = {.lex_state = 52, .external_lex_state = 15},
  [2532] = {.lex_state = 52, .external_lex_state = 18},
  [2533] = {.lex_state = 52, .external_lex_state = 15},
  [2534] = {.lex_state = 52, .external_lex_state = 15},
  [2535] = {.lex_state = 52, .external_lex_state = 13},
  [2536] = {.lex_state = 52, .external_lex_state = 15},
  [2537] = {.lex_state = 52, .external_lex_state = 12},
  [2538] = {.lex_state = 52, .external_lex_state = 12},
  [2539] = {.lex_state = 52, .external_lex_state = 18},
  [2540] = {.lex_state = 52, .external_lex_state = 18},
  [2541] = {.lex_state = 52, .external_lex_state = 15},
  [2542] = {.lex_state = 52, .external_lex_state = 12},
  [2543] = {.lex_state = 52, .external_lex_state = 15},
  [2544] = {.lex_state = 52, .external_lex_state = 12},
  [2545] = {.lex_state = 52, .external_lex_state = 14},
  [2546] = {.lex_state = 52, .external_lex_state = 15},
  [2547] = {.lex_state = 52, .external_lex_state = 14},
  [2548] = {.lex_state = 52, .external_lex_state = 13},
  [2549] = {.lex_state = 52, .external_lex_state = 14},
  [2550] = {.lex_state = 52, .external_lex_state = 14},
  [2551] = {.lex_state = 52, .external_lex_state = 14},
  [2552] = {.lex_state = 52, .external_lex_state = 18},
  [2553] = {.lex_state = 52, .external_lex_state = 15},
  [2554] = {.lex_state = 52, .external_lex_state = 18},
  [2555] = {.lex_state = 52, .external_lex_state = 13},
  [2556] = {.lex_state = 52, .external_lex_state = 15},
  [2557] = {.lex_state = 52, .external_lex_state = 9},
  [2558] = {.lex_state = 52, .external_lex_state = 9},
  [2559] = {.lex_state = 52, .external_lex_state = 15},
  [2560] = {.lex_state = 52, .external_lex_state = 15},
  [2561] = {.lex_state = 52, .external_lex_state = 13},
  [2562] = {.lex_state = 52, .external_lex_state = 9},
  [2563] = {.lex_state = 52, .external_lex_state = 15},
  [2564] = {.lex_state = 9, .external_lex_state = 15},
  [2565] = {.lex_state = 52, .external_lex_state = 15},
  [2566] = {.lex_state = 52, .external_lex_state = 9},
  [2567] = {.lex_state = 52, .external_lex_state = 18},
  [2568] = {.lex_state = 52, .external_lex_state = 9},
  [2569] = {.lex_state = 52, .external_lex_state = 18},
  [2570] = {.lex_state = 52, .external_lex_state = 9},
  [2571] = {.lex_state = 52, .external_lex_state = 14},
  [2572] = {.lex_state = 9, .external_lex_state = 15},
  [2573] = {.lex_state = 52, .external_lex_state = 18},
  [2574] = {.lex_state = 52, .external_lex_state = 18},
  [2575] = {.lex_state = 52, .external_lex_state = 15},
  [2576] = {.lex_state = 52, .external_lex_state = 18},
  [2577] = {.lex_state = 52, .external_lex_state = 9},
  [2578] = {.lex_state = 52, .external_lex_state = 9},
  [2579] = {.lex_state = 52, .external_lex_state = 14},
  [2580] = {.lex_state = 52, .external_lex_state = 14},
  [2581] = {.lex_state = 52, .external_lex_state = 15},
  [2582] = {.lex_state = 52, .external_lex_state = 18},
  [2583] = {.lex_state = 52, .external_lex_state = 9},
  [2584] = {.lex_state = 52, .external_lex_state = 13},
  [2585] = {.lex_state = 9, .external_lex_state = 15},
  [2586] = {.lex_state = 9, .external_lex_state = 15},
  [2587] = {.lex_state = 9, .external_lex_state = 15},
  [2588] = {.lex_state = 9, .external_lex_state = 15},
  [2589] = {.lex_state = 9, .external_lex_state = 15},
  [2590] = {.lex_state = 52, .external_lex_state = 15},
  [2591] = {.lex_state = 52, .external_lex_state = 9},
  [2592] = {.lex_state = 52, .external_lex_state = 15},
  [2593] = {.lex_state = 52, .external_lex_state = 18},
  [2594] = {.lex_state = 52, .external_lex_state = 15},
  [2595] = {.lex_state = 52, .external_lex_state = 9},
  [2596] = {.lex_state = 52, .external_lex_state = 13},
  [2597] = {.lex_state = 52, .external_lex_state = 14},
  [2598] = {.lex_state = 52, .external_lex_state = 9},
  [2599] = {.lex_state = 52, .external_lex_state = 13},
  [2600] = {.lex_state = 9, .external_lex_state = 15},
  [2601] = {.lex_state = 52, .external_lex_state = 14},
  [2602] = {.lex_state = 52, .external_lex_state = 15},
  [2603] = {.lex_state = 52, .external_lex_state = 18},
  [2604] = {.lex_state = 52, .external_lex_state = 9},
  [2605] = {.lex_state = 52, .external_lex_state = 18},
  [2606] = {.lex_state = 52, .external_lex_state = 14},
  [2607] = {.lex_state = 52, .external_lex_state = 15},
  [2608] = {.lex_state = 52, .external_lex_state = 9},
  [2609] = {.lex_state = 52, .external_lex_state = 15},
  [2610] = {.lex_state = 52, .external_lex_state = 15},
  [2611] = {.lex_state = 52, .external_lex_state = 14},
  [2612] = {.lex_state = 52, .external_lex_state = 13},
  [2613] = {.lex_state = 52, .external_lex_state = 9},
  [2614] = {.lex_state = 52, .external_lex_state = 15},
  [2615] = {.lex_state = 52, .external_lex_state = 14},
  [2616] = {.lex_state = 52, .external_lex_state = 12},
  [2617] = {.lex_state = 52, .external_lex_state = 12},
  [2618] = {.lex_state = 52, .external_lex_state = 13},
  [2619] = {.lex_state = 52, .external_lex_state = 12},
  [2620] = {.lex_state = 52, .external_lex_state = 15},
  [2621] = {.lex_state = 52, .external_lex_state = 14},
  [2622] = {.lex_state = 52, .external_lex_state = 12},
  [2623] = {.lex_state = 52, .external_lex_state = 15},
  [2624] = {.lex_state = 52, .external_lex_state = 15},
  [2625] = {.lex_state = 52, .external_lex_state = 15},
  [2626] = {.lex_state = 52, .external_lex_state = 15},
  [2627] = {.lex_state = 52, .external_lex_state = 15},
  [2628] = {.lex_state = 52, .external_lex_state = 14},
  [2629] = {.lex_state = 52, .external_lex_state = 13},
  [2630] = {.lex_state = 4, .external_lex_state = 15},
  [2631] = {.lex_state = 52, .external_lex_state = 15},
  [2632] = {.lex_state = 52, .external_lex_state = 12},
  [2633] = {.lex_state = 52, .external_lex_state = 12},
  [2634] = {.lex_state = 52, .external_lex_state = 15},
  [2635] = {.lex_state = 52, .external_lex_state = 14},
  [2636] = {.lex_state = 52, .external_lex_state = 14},
  [2637] = {.lex_state = 52, .external_lex_state = 15},
  [2638] = {.lex_state = 52, .external_lex_state = 15},
  [2639] = {.lex_state = 52, .external_lex_state = 15},
  [2640] = {.lex_state = 52, .external_lex_state = 15},
  [2641] = {.lex_state = 52, .external_lex_state = 12},
  [2642] = {.lex_state = 52, .external_lex_state = 14},
  [2643] = {.lex_state = 52, .external_lex_state = 14},
  [2644] = {.lex_state = 52, .external_lex_state = 14},
  [2645] = {.lex_state = 4, .external_lex_state = 15},
  [2646] = {.lex_state = 52, .external_lex_state = 12},
  [2647] = {.lex_state = 52, .external_lex_state = 13},
  [2648] = {.lex_state = 52, .external_lex_state = 12},
  [2649] = {.lex_state = 4, .external_lex_state = 15},
  [2650] = {.lex_state = 52, .external_lex_state = 14},
  [2651] = {.lex_state = 52, .external_lex_state = 15},
  [2652] = {.lex_state = 52, .external_lex_state = 13},
  [2653] = {.lex_state = 52, .external_lex_state = 15},
  [2654] = {.lex_state = 52, .external_lex_state = 12},
  [2655] = {.lex_state = 52, .external_lex_state = 15},
  [2656] = {.lex_state = 52, .external_lex_state = 12},
  [2657] = {.lex_state = 52, .external_lex_state = 15},
  [2658] = {.lex_state = 52, .external_lex_state = 14},
  [2659] = {.lex_state = 52, .external_lex_state = 14},
  [2660] = {.lex_state = 52, .external_lex_state = 15},
  [2661] = {.lex_state = 52, .external_lex_state = 15},
  [2662] = {.lex_state = 52, .external_lex_state = 15},
  [2663] = {.lex_state = 52, .external_lex_state = 12},
  [2664] = {.lex_state = 52, .external_lex_state = 14},
  [2665] = {.lex_state = 52, .external_lex_state = 13},
  [2666] = {.lex_state = 52, .external_lex_state = 13},
  [2667] = {.lex_state = 52, .external_lex_state = 13},
  [2668] = {.lex_state = 52, .external_lex_state = 14},
  [2669] = {.lex_state = 52, .external_lex_state = 15},
  [2670] = {.lex_state = 52, .external_lex_state = 15},
  [2671] = {.lex_state = 52, .external_lex_state = 12},
  [2672] = {.lex_state = 4, .external_lex_state = 15},
  [2673] = {.lex_state = 52, .external_lex_state = 14},
  [2674] = {.lex_state = 52, .external_lex_state = 12},
  [2675] = {.lex_state = 52, .external_lex_state = 15},
  [2676] = {.lex_state = 52, .external_lex_state = 12},
  [2677] = {.lex_state = 52, .external_lex_state = 12},
  [2678] = {.lex_state = 4, .external_lex_state = 15},
  [2679] = {.lex_state = 52, .external_lex_state = 15},
  [2680] = {.lex_state = 52, .external_lex_state = 15},
  [2681] = {.lex_state = 52, .external_lex_state = 15},
  [2682] = {.lex_state = 52, .external_lex_state = 15},
  [2683] = {.lex_state = 52, .external_lex_state = 14},
  [2684] = {.lex_state = 4, .external_lex_state = 15},
  [2685] = {.lex_state = 52, .external_lex_state = 13},
  [2686] = {.lex_state = 52, .external_lex_state = 15},
  [2687] = {.lex_state = 52, .external_lex_state = 14},
  [2688] = {.lex_state = 52, .external_lex_state = 15},
  [2689] = {.lex_state = 52, .external_lex_state = 13},
  [2690] = {.lex_state = 52, .external_lex_state = 12},
  [2691] = {.lex_state = 52, .external_lex_state = 14},
  [2692] = {.lex_state = 52, .external_lex_state = 14},
  [2693] = {.lex_state = 52, .external_lex_state = 15},
  [2694] = {.lex_state = 52, .external_lex_state = 14},
  [2695] = {.lex_state = 52, .external_lex_state = 13},
  [2696] = {.lex_state = 52, .external_lex_state = 15},
  [2697] = {.lex_state = 52, .external_lex_state = 15},
  [2698] = {.lex_state = 52, .external_lex_state = 15},
  [2699] = {.lex_state = 52, .external_lex_state = 12},
  [2700] = {.lex_state = 52, .external_lex_state = 15},
  [2701] = {.lex_state = 52, .external_lex_state = 15},
  [2702] = {.lex_state = 52, .external_lex_state = 15},
  [2703] = {.lex_state = 52, .external_lex_state = 12},
  [2704] = {.lex_state = 52, .external_lex_state = 14},
  [2705] = {.lex_state = 52, .external_lex_state = 15},
  [2706] = {.lex_state = 52, .external_lex_state = 14},
  [2707] = {.lex_state = 52, .external_lex_state = 15},
  [2708] = {.lex_state = 52, .external_lex_state = 14},
  [2709] = {.lex_state = 52, .external_lex_state = 15},
  [2710] = {.lex_state = 52, .external_lex_state = 15},
  [2711] = {.lex_state = 52, .external_lex_state = 15},
  [2712] = {.lex_state = 52, .external_lex_state = 15},
  [2713] = {.lex_state = 52, .external_lex_state = 13},
  [2714] = {.lex_state = 52, .external_lex_state = 15},
  [2715] = {.lex_state = 52, .external_lex_state = 14},
  [2716] = {.lex_state = 52, .external_lex_state = 15},
  [2717] = {.lex_state = 52, .external_lex_state = 15},
  [2718] = {.lex_state = 52, .external_lex_state = 13},
  [2719] = {.lex_state = 52, .external_lex_state = 13},
  [2720] = {.lex_state = 52, .external_lex_state = 12},
  [2721] = {.lex_state = 52, .external_lex_state = 15},
  [2722] = {.lex_state = 52, .external_lex_state = 13},
  [2723] = {.lex_state = 52, .external_lex_state = 13},
  [2724] = {.lex_state = 52, .external_lex_state = 13},
  [2725] = {.lex_state = 52, .external_lex_state = 12},
  [2726] = {.lex_state = 52, .external_lex_state = 15},
  [2727] = {.lex_state = 52, .external_lex_state = 15},
  [2728] = {.lex_state = 52, .external_lex_state = 15},
  [2729] = {.lex_state = 52, .external_lex_state = 12},
  [2730] = {.lex_state = 52, .external_lex_state = 14},
  [2731] = {.lex_state = 52, .external_lex_state = 12},
  [2732] = {.lex_state = 52, .external_lex_state = 15},
  [2733] = {.lex_state = 52, .external_lex_state = 15},
  [2734] = {.lex_state = 52, .external_lex_state = 15},
  [2735] = {.lex_state = 52, .external_lex_state = 15},
  [2736] = {.lex_state = 52, .external_lex_state = 15},
  [2737] = {.lex_state = 52, .external_lex_state = 15},
  [2738] = {.lex_state = 52, .external_lex_state = 15},
  [2739] = {.lex_state = 52, .external_lex_state = 12},
  [2740] = {.lex_state = 52, .external_lex_state = 12},
  [2741] = {.lex_state = 52, .external_lex_state = 15},
  [2742] = {.lex_state = 52, .external_lex_state = 15},
  [2743] = {.lex_state = 52, .external_lex_state = 15},
  [2744] = {.lex_state = 52, .external_lex_state = 12},
  [2745] = {.lex_state = 52, .external_lex_state = 15},
  [2746] = {.lex_state = 52, .external_lex_state = 15},
  [2747] = {.lex_state = 52, .external_lex_state = 15},
  [2748] = {.lex_state = 52, .external_lex_state = 12},
  [2749] = {.lex_state = 52, .external_lex_state = 14},
  [2750] = {.lex_state = 52, .external_lex_state = 15},
  [2751] = {.lex_state = 52, .external_lex_state = 15},
  [2752] = {.lex_state = 52, .external_lex_state = 12},
  [2753] = {.lex_state = 52, .external_lex_state = 12},
  [2754] = {.lex_state = 52, .external_lex_state = 15},
  [2755] = {.lex_state = 52, .external_lex_state = 15},
  [2756] = {.lex_state = 52, .external_lex_state = 15},
  [2757] = {.lex_state = 52, .external_lex_state = 15},
  [2758] = {.lex_state = 52, .external_lex_state = 12},
  [2759] = {.lex_state = 52, .external_lex_state = 13},
  [2760] = {.lex_state = 52, .external_lex_state = 15},
  [2761] = {.lex_state = 52, .external_lex_state = 13},
  [2762] = {.lex_state = 52, .external_lex_state = 13},
  [2763] = {.lex_state = 52, .external_lex_state = 12},
  [2764] = {.lex_state = 52, .external_lex_state = 12},
  [2765] = {.lex_state = 52, .external_lex_state = 15},
  [2766] = {.lex_state = 52, .external_lex_state = 14},
  [2767] = {.lex_state = 52, .external_lex_state = 15},
  [2768] = {.lex_state = 52, .external_lex_state = 15},
  [2769] = {.lex_state = 52, .external_lex_state = 12},
  [2770] = {.lex_state = 52, .external_lex_state = 14},
  [2771] = {.lex_state = 52, .external_lex_state = 15},
  [2772] = {.lex_state = 52, .external_lex_state = 15},
  [2773] = {.lex_state = 52, .external_lex_state = 14},
  [2774] = {.lex_state = 52, .external_lex_state = 15},
  [2775] = {.lex_state = 52, .external_lex_state = 15},
  [2776] = {.lex_state = 52, .external_lex_state = 13},
  [2777] = {.lex_state = 52, .external_lex_state = 15},
  [2778] = {.lex_state = 52, .external_lex_state = 14},
  [2779] = {.lex_state = 52, .external_lex_state = 12},
  [2780] = {.lex_state = 52, .external_lex_state = 14},
  [2781] = {.lex_state = 4, .external_lex_state = 15},
  [2782] = {.lex_state = 52, .external_lex_state = 14},
  [2783] = {.lex_state = 52, .external_lex_state = 15},
  [2784] = {.lex_state = 52, .external_lex_state = 15},
  [2785] = {.lex_state = 52, .external_lex_state = 12},
  [2786] = {.lex_state = 4, .external_lex_state = 15},
  [2787] = {.lex_state = 52, .external_lex_state = 15},
  [2788] = {.lex_state = 52, .external_lex_state = 12},
  [2789] = {.lex_state = 52, .external_lex_state = 12},
  [2790] = {.lex_state = 52, .external_lex_state = 14},
  [2791] = {.lex_state = 52, .external_lex_state = 12},
  [2792] = {.lex_state = 52, .external_lex_state = 12},
  [2793] = {.lex_state = 52, .external_lex_state = 15},
  [2794] = {.lex_state = 52, .external_lex_state = 15},
  [2795] = {.lex_state = 52, .external_lex_state = 15},
  [2796] = {.lex_state = 52, .external_lex_state = 15},
  [2797] = {.lex_state = 52, .external_lex_state = 15},
  [2798] = {.lex_state = 52, .external_lex_state = 15},
  [2799] = {.lex_state = 52, .external_lex_state = 13},
  [2800] = {.lex_state = 52, .external_lex_state = 15},
  [2801] = {.lex_state = 52, .external_lex_state = 15},
  [2802] = {.lex_state = 52, .external_lex_state = 15},
  [2803] = {.lex_state = 52, .external_lex_state = 15},
  [2804] = {.lex_state = 52, .external_lex_state = 15},
  [2805] = {.lex_state = 52, .external_lex_state = 15},
  [2806] = {.lex_state = 52, .external_lex_state = 15},
  [2807] = {.lex_state = 52, .external_lex_state = 12},
  [2808] = {.lex_state = 52, .external_lex_state = 15},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2732),
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1798),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1798),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [2] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(726),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [3] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(706),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [4] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(802),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [5] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(819),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [6] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(813),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [7] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(827),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [8] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(731),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [9] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(733),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [10] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(740),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [11] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(712),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [12] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(671),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [13] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(747),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [14] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(750),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [15] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(752),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [16] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(729),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [17] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(715),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [18] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(768),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [19] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(673),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [20] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(680),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [21] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(772),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [22] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(716),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [23] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(2552),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [24] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(778),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [25] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(785),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [26] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(2528),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [27] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(2532),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [28] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(788),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [29] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(678),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [30] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(1821),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [31] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(2573),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [32] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(2574),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [33] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(2582),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [34] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(620),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [35] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(714),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [36] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(780),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [37] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(793),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [38] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(803),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [39] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(762),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [40] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(766),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [41] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(775),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [42] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(745),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [43] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(708),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [44] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(698),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [45] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(758),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [46] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(761),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [47] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(764),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [48] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(623),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [49] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(718),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [50] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(789),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [51] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(687),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [52] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(660),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [53] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(797),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [54] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [55] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(806),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [56] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(834),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [57] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(835),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [58] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(675),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [59] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(681),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [60] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(1823),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [61] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1836),
    [sym_block] = STATE(679),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [62] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(81),
  },
  [63] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(128),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(134),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_del] = ACTIONS(143),
    [anon_sym_raise] = ACTIONS(146),
    [anon_sym_pass] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(152),
    [anon_sym_continue] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(158),
    [anon_sym_match] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(164),
    [anon_sym_for] = ACTIONS(167),
    [anon_sym_while] = ACTIONS(170),
    [anon_sym_try] = ACTIONS(173),
    [anon_sym_with] = ACTIONS(176),
    [anon_sym_def] = ACTIONS(179),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_class] = ACTIONS(194),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_AT] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(212),
    [anon_sym_yield] = ACTIONS(215),
    [sym_ellipsis] = ACTIONS(218),
    [sym_integer] = ACTIONS(221),
    [sym_float] = ACTIONS(218),
    [anon_sym_await] = ACTIONS(224),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_none] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(227),
    [sym_string_start] = ACTIONS(229),
  },
  [64] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1798),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1798),
    [ts_builtin_sym_end] = ACTIONS(232),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [65] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(234),
    [sym_string_start] = ACTIONS(81),
  },
  [66] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(236),
    [sym_string_start] = ACTIONS(81),
  },
  [67] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1798),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1798),
    [ts_builtin_sym_end] = ACTIONS(227),
    [sym_identifier] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(122),
    [anon_sym_from] = ACTIONS(125),
    [anon_sym_LPAREN] = ACTIONS(128),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_print] = ACTIONS(134),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_return] = ACTIONS(140),
    [anon_sym_del] = ACTIONS(143),
    [anon_sym_raise] = ACTIONS(146),
    [anon_sym_pass] = ACTIONS(149),
    [anon_sym_break] = ACTIONS(152),
    [anon_sym_continue] = ACTIONS(155),
    [anon_sym_if] = ACTIONS(238),
    [anon_sym_match] = ACTIONS(241),
    [anon_sym_async] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(247),
    [anon_sym_while] = ACTIONS(250),
    [anon_sym_try] = ACTIONS(253),
    [anon_sym_with] = ACTIONS(256),
    [anon_sym_def] = ACTIONS(259),
    [anon_sym_global] = ACTIONS(182),
    [anon_sym_nonlocal] = ACTIONS(185),
    [anon_sym_exec] = ACTIONS(188),
    [anon_sym_type] = ACTIONS(191),
    [anon_sym_class] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_AT] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_LBRACE] = ACTIONS(206),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(212),
    [anon_sym_yield] = ACTIONS(215),
    [sym_ellipsis] = ACTIONS(218),
    [sym_integer] = ACTIONS(221),
    [sym_float] = ACTIONS(218),
    [anon_sym_await] = ACTIONS(224),
    [sym_true] = ACTIONS(221),
    [sym_false] = ACTIONS(221),
    [sym_none] = ACTIONS(221),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(229),
  },
  [68] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [69] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(267),
    [sym_string_start] = ACTIONS(81),
  },
  [70] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(269),
    [sym_string_start] = ACTIONS(81),
  },
  [71] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(271),
    [sym_string_start] = ACTIONS(81),
  },
  [72] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1836),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1836),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(273),
    [sym_string_start] = ACTIONS(81),
  },
  [73] = {
    [sym_named_expression] = STATE(1738),
    [sym__named_expression_lhs] = STATE(2678),
    [sym_type_parameter] = STATE(2062),
    [sym_list_splat_pattern] = STATE(1325),
    [sym_as_pattern] = STATE(1738),
    [sym_expression] = STATE(1781),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1738),
    [sym_boolean_operator] = STATE(1738),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_comparison_operator] = STATE(1738),
    [sym_lambda] = STATE(1738),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_type] = STATE(2248),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_conditional_expression] = STATE(1738),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(306),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(308),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(308),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(318),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(326),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(328),
  },
  [74] = {
    [sym_named_expression] = STATE(1738),
    [sym__named_expression_lhs] = STATE(2678),
    [sym_list_splat_pattern] = STATE(1325),
    [sym_as_pattern] = STATE(1738),
    [sym_expression] = STATE(1781),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1738),
    [sym_boolean_operator] = STATE(1738),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_comparison_operator] = STATE(1738),
    [sym_lambda] = STATE(1738),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_type] = STATE(2248),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_conditional_expression] = STATE(1738),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(304),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(302),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(308),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(308),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(318),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(326),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(328),
  },
  [75] = {
    [sym__simple_statements] = STATE(749),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(81),
  },
  [76] = {
    [sym__simple_statements] = STATE(767),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(81),
  },
  [77] = {
    [sym__simple_statements] = STATE(760),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(81),
  },
  [78] = {
    [sym__simple_statements] = STATE(798),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(81),
  },
  [79] = {
    [sym__simple_statements] = STATE(773),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(81),
  },
  [80] = {
    [sym__simple_statements] = STATE(779),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym_string_start] = ACTIONS(81),
  },
  [81] = {
    [sym__simple_statements] = STATE(830),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym_string_start] = ACTIONS(81),
  },
  [82] = {
    [sym__simple_statements] = STATE(786),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(640),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(641),
    [sym_subscript] = STATE(641),
    [sym_call] = STATE(1081),
    [sym_type] = STATE(2109),
    [sym_splat_type] = STATE(2098),
    [sym_generic_type] = STATE(2098),
    [sym_union_type] = STATE(2098),
    [sym_constrained_type] = STATE(2098),
    [sym_member_type] = STATE(2098),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(333),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_STAR] = ACTIONS(337),
    [anon_sym_print] = ACTIONS(339),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(341),
    [anon_sym_async] = ACTIONS(343),
    [anon_sym_STAR_STAR] = ACTIONS(345),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(347),
    [anon_sym_type] = ACTIONS(349),
    [anon_sym_LBRACK] = ACTIONS(351),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(353),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(383),
    [sym__indent] = ACTIONS(385),
    [sym_string_start] = ACTIONS(81),
  },
  [83] = {
    [sym_chevron] = STATE(2156),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_list_splat_pattern] = STATE(1135),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1805),
    [sym_primary_expression] = STATE(870),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_attribute] = STATE(1081),
    [sym_subscript] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(389),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_print] = ACTIONS(395),
    [anon_sym_GT_GT] = ACTIONS(397),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(399),
    [anon_sym_async] = ACTIONS(395),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(395),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_not] = ACTIONS(407),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(410),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [84] = {
    [sym_chevron] = STATE(2156),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_list_splat_pattern] = STATE(1135),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1805),
    [sym_primary_expression] = STATE(870),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_attribute] = STATE(1081),
    [sym_subscript] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(387),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(389),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(392),
    [anon_sym_print] = ACTIONS(395),
    [anon_sym_GT_GT] = ACTIONS(397),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(304),
    [anon_sym_match] = ACTIONS(399),
    [anon_sym_async] = ACTIONS(395),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(395),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(401),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(404),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(404),
    [anon_sym_not] = ACTIONS(407),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(410),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [85] = {
    [sym_named_expression] = STATE(1738),
    [sym__named_expression_lhs] = STATE(2678),
    [sym_list_splat_pattern] = STATE(1325),
    [sym_as_pattern] = STATE(1738),
    [sym_expression] = STATE(1888),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1738),
    [sym_boolean_operator] = STATE(1738),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_comparison_operator] = STATE(1738),
    [sym_lambda] = STATE(1738),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_conditional_expression] = STATE(1738),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(304),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(308),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(308),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(318),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(326),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(328),
  },
  [86] = {
    [sym_named_expression] = STATE(1738),
    [sym__named_expression_lhs] = STATE(2678),
    [sym_list_splat_pattern] = STATE(1325),
    [sym_as_pattern] = STATE(1738),
    [sym_expression] = STATE(1849),
    [sym_primary_expression] = STATE(971),
    [sym_not_operator] = STATE(1738),
    [sym_boolean_operator] = STATE(1738),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_comparison_operator] = STATE(1738),
    [sym_lambda] = STATE(1738),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_conditional_expression] = STATE(1738),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(414),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(304),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(330),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(308),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(308),
    [anon_sym_not] = ACTIONS(313),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(318),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(326),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(328),
  },
  [87] = {
    [sym__simple_statements] = STATE(823),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym_string_start] = ACTIONS(81),
  },
  [88] = {
    [sym__simple_statements] = STATE(832),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym_string_start] = ACTIONS(81),
  },
  [89] = {
    [sym__simple_statements] = STATE(703),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym_string_start] = ACTIONS(81),
  },
  [90] = {
    [sym__simple_statements] = STATE(684),
    [sym_import_statement] = STATE(2403),
    [sym_future_import_statement] = STATE(2403),
    [sym_import_from_statement] = STATE(2403),
    [sym_print_statement] = STATE(2403),
    [sym_assert_statement] = STATE(2403),
    [sym_expression_statement] = STATE(2403),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2403),
    [sym_delete_statement] = STATE(2403),
    [sym_raise_statement] = STATE(2403),
    [sym_pass_statement] = STATE(2403),
    [sym_break_statement] = STATE(2403),
    [sym_continue_statement] = STATE(2403),
    [sym_global_statement] = STATE(2403),
    [sym_nonlocal_statement] = STATE(2403),
    [sym_exec_statement] = STATE(2403),
    [sym_type_alias_statement] = STATE(2403),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym_string_start] = ACTIONS(81),
  },
  [91] = {
    [sym__simple_statements] = STATE(844),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym_string_start] = ACTIONS(81),
  },
  [92] = {
    [sym__simple_statements] = STATE(615),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym_string_start] = ACTIONS(81),
  },
  [93] = {
    [sym__simple_statements] = STATE(763),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym_string_start] = ACTIONS(81),
  },
  [94] = {
    [sym__simple_statements] = STATE(809),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym_string_start] = ACTIONS(81),
  },
  [95] = {
    [sym__simple_statements] = STATE(774),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym_string_start] = ACTIONS(81),
  },
  [96] = {
    [sym__simple_statements] = STATE(713),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym_string_start] = ACTIONS(81),
  },
  [97] = {
    [sym__simple_statements] = STATE(725),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym_string_start] = ACTIONS(81),
  },
  [98] = {
    [sym__simple_statements] = STATE(709),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym_string_start] = ACTIONS(81),
  },
  [99] = {
    [sym__simple_statements] = STATE(721),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym_string_start] = ACTIONS(81),
  },
  [100] = {
    [sym__simple_statements] = STATE(746),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym_string_start] = ACTIONS(81),
  },
  [101] = {
    [sym__simple_statements] = STATE(2540),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym_string_start] = ACTIONS(81),
  },
  [102] = {
    [sym__simple_statements] = STATE(831),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym_string_start] = ACTIONS(81),
  },
  [103] = {
    [sym__simple_statements] = STATE(699),
    [sym_import_statement] = STATE(2403),
    [sym_future_import_statement] = STATE(2403),
    [sym_import_from_statement] = STATE(2403),
    [sym_print_statement] = STATE(2403),
    [sym_assert_statement] = STATE(2403),
    [sym_expression_statement] = STATE(2403),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2403),
    [sym_delete_statement] = STATE(2403),
    [sym_raise_statement] = STATE(2403),
    [sym_pass_statement] = STATE(2403),
    [sym_break_statement] = STATE(2403),
    [sym_continue_statement] = STATE(2403),
    [sym_global_statement] = STATE(2403),
    [sym_nonlocal_statement] = STATE(2403),
    [sym_exec_statement] = STATE(2403),
    [sym_type_alias_statement] = STATE(2403),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym_string_start] = ACTIONS(81),
  },
  [104] = {
    [sym__simple_statements] = STATE(686),
    [sym_import_statement] = STATE(2429),
    [sym_future_import_statement] = STATE(2429),
    [sym_import_from_statement] = STATE(2429),
    [sym_print_statement] = STATE(2429),
    [sym_assert_statement] = STATE(2429),
    [sym_expression_statement] = STATE(2429),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2429),
    [sym_delete_statement] = STATE(2429),
    [sym_raise_statement] = STATE(2429),
    [sym_pass_statement] = STATE(2429),
    [sym_break_statement] = STATE(2429),
    [sym_continue_statement] = STATE(2429),
    [sym_global_statement] = STATE(2429),
    [sym_nonlocal_statement] = STATE(2429),
    [sym_exec_statement] = STATE(2429),
    [sym_type_alias_statement] = STATE(2429),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym_string_start] = ACTIONS(81),
  },
  [105] = {
    [sym__simple_statements] = STATE(2539),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym_string_start] = ACTIONS(81),
  },
  [106] = {
    [sym__simple_statements] = STATE(724),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym_string_start] = ACTIONS(81),
  },
  [107] = {
    [sym__simple_statements] = STATE(826),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym_string_start] = ACTIONS(81),
  },
  [108] = {
    [sym__simple_statements] = STATE(618),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym_string_start] = ACTIONS(81),
  },
  [109] = {
    [sym__simple_statements] = STATE(717),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym_string_start] = ACTIONS(81),
  },
  [110] = {
    [sym__simple_statements] = STATE(737),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym_string_start] = ACTIONS(81),
  },
  [111] = {
    [sym__simple_statements] = STATE(732),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym_string_start] = ACTIONS(81),
  },
  [112] = {
    [sym__simple_statements] = STATE(720),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym_string_start] = ACTIONS(81),
  },
  [113] = {
    [sym__simple_statements] = STATE(815),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym_string_start] = ACTIONS(81),
  },
  [114] = {
    [sym__simple_statements] = STATE(816),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym_string_start] = ACTIONS(81),
  },
  [115] = {
    [sym__simple_statements] = STATE(651),
    [sym_import_statement] = STATE(2300),
    [sym_future_import_statement] = STATE(2300),
    [sym_import_from_statement] = STATE(2300),
    [sym_print_statement] = STATE(2300),
    [sym_assert_statement] = STATE(2300),
    [sym_expression_statement] = STATE(2300),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2300),
    [sym_delete_statement] = STATE(2300),
    [sym_raise_statement] = STATE(2300),
    [sym_pass_statement] = STATE(2300),
    [sym_break_statement] = STATE(2300),
    [sym_continue_statement] = STATE(2300),
    [sym_global_statement] = STATE(2300),
    [sym_nonlocal_statement] = STATE(2300),
    [sym_exec_statement] = STATE(2300),
    [sym_type_alias_statement] = STATE(2300),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym_string_start] = ACTIONS(81),
  },
  [116] = {
    [sym__simple_statements] = STATE(2521),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym_string_start] = ACTIONS(81),
  },
  [117] = {
    [sym__simple_statements] = STATE(711),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym_string_start] = ACTIONS(81),
  },
  [118] = {
    [sym__simple_statements] = STATE(783),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym_string_start] = ACTIONS(81),
  },
  [119] = {
    [sym__simple_statements] = STATE(2554),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym_string_start] = ACTIONS(81),
  },
  [120] = {
    [sym__simple_statements] = STATE(824),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym_string_start] = ACTIONS(81),
  },
  [121] = {
    [sym__simple_statements] = STATE(690),
    [sym_import_statement] = STATE(2403),
    [sym_future_import_statement] = STATE(2403),
    [sym_import_from_statement] = STATE(2403),
    [sym_print_statement] = STATE(2403),
    [sym_assert_statement] = STATE(2403),
    [sym_expression_statement] = STATE(2403),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2403),
    [sym_delete_statement] = STATE(2403),
    [sym_raise_statement] = STATE(2403),
    [sym_pass_statement] = STATE(2403),
    [sym_break_statement] = STATE(2403),
    [sym_continue_statement] = STATE(2403),
    [sym_global_statement] = STATE(2403),
    [sym_nonlocal_statement] = STATE(2403),
    [sym_exec_statement] = STATE(2403),
    [sym_type_alias_statement] = STATE(2403),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym_string_start] = ACTIONS(81),
  },
  [122] = {
    [sym__simple_statements] = STATE(800),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__indent] = ACTIONS(563),
    [sym_string_start] = ACTIONS(81),
  },
  [123] = {
    [sym__simple_statements] = STATE(701),
    [sym_import_statement] = STATE(2300),
    [sym_future_import_statement] = STATE(2300),
    [sym_import_from_statement] = STATE(2300),
    [sym_print_statement] = STATE(2300),
    [sym_assert_statement] = STATE(2300),
    [sym_expression_statement] = STATE(2300),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2300),
    [sym_delete_statement] = STATE(2300),
    [sym_raise_statement] = STATE(2300),
    [sym_pass_statement] = STATE(2300),
    [sym_break_statement] = STATE(2300),
    [sym_continue_statement] = STATE(2300),
    [sym_global_statement] = STATE(2300),
    [sym_nonlocal_statement] = STATE(2300),
    [sym_exec_statement] = STATE(2300),
    [sym_type_alias_statement] = STATE(2300),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__indent] = ACTIONS(567),
    [sym_string_start] = ACTIONS(81),
  },
  [124] = {
    [sym__simple_statements] = STATE(665),
    [sym_import_statement] = STATE(2300),
    [sym_future_import_statement] = STATE(2300),
    [sym_import_from_statement] = STATE(2300),
    [sym_print_statement] = STATE(2300),
    [sym_assert_statement] = STATE(2300),
    [sym_expression_statement] = STATE(2300),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2300),
    [sym_delete_statement] = STATE(2300),
    [sym_raise_statement] = STATE(2300),
    [sym_pass_statement] = STATE(2300),
    [sym_break_statement] = STATE(2300),
    [sym_continue_statement] = STATE(2300),
    [sym_global_statement] = STATE(2300),
    [sym_nonlocal_statement] = STATE(2300),
    [sym_exec_statement] = STATE(2300),
    [sym_type_alias_statement] = STATE(2300),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__indent] = ACTIONS(571),
    [sym_string_start] = ACTIONS(81),
  },
  [125] = {
    [sym__simple_statements] = STATE(833),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(573),
    [sym__indent] = ACTIONS(575),
    [sym_string_start] = ACTIONS(81),
  },
  [126] = {
    [sym__simple_statements] = STATE(1829),
    [sym_import_statement] = STATE(2463),
    [sym_future_import_statement] = STATE(2463),
    [sym_import_from_statement] = STATE(2463),
    [sym_print_statement] = STATE(2463),
    [sym_assert_statement] = STATE(2463),
    [sym_expression_statement] = STATE(2463),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2463),
    [sym_delete_statement] = STATE(2463),
    [sym_raise_statement] = STATE(2463),
    [sym_pass_statement] = STATE(2463),
    [sym_break_statement] = STATE(2463),
    [sym_continue_statement] = STATE(2463),
    [sym_global_statement] = STATE(2463),
    [sym_nonlocal_statement] = STATE(2463),
    [sym_exec_statement] = STATE(2463),
    [sym_type_alias_statement] = STATE(2463),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym__indent] = ACTIONS(579),
    [sym_string_start] = ACTIONS(81),
  },
  [127] = {
    [sym__simple_statements] = STATE(676),
    [sym_import_statement] = STATE(2346),
    [sym_future_import_statement] = STATE(2346),
    [sym_import_from_statement] = STATE(2346),
    [sym_print_statement] = STATE(2346),
    [sym_assert_statement] = STATE(2346),
    [sym_expression_statement] = STATE(2346),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2346),
    [sym_delete_statement] = STATE(2346),
    [sym_raise_statement] = STATE(2346),
    [sym_pass_statement] = STATE(2346),
    [sym_break_statement] = STATE(2346),
    [sym_continue_statement] = STATE(2346),
    [sym_global_statement] = STATE(2346),
    [sym_nonlocal_statement] = STATE(2346),
    [sym_exec_statement] = STATE(2346),
    [sym_type_alias_statement] = STATE(2346),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(581),
    [sym__indent] = ACTIONS(583),
    [sym_string_start] = ACTIONS(81),
  },
  [128] = {
    [sym__simple_statements] = STATE(756),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(585),
    [sym__indent] = ACTIONS(587),
    [sym_string_start] = ACTIONS(81),
  },
  [129] = {
    [sym__simple_statements] = STATE(743),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(589),
    [sym__indent] = ACTIONS(591),
    [sym_string_start] = ACTIONS(81),
  },
  [130] = {
    [sym__simple_statements] = STATE(839),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(593),
    [sym__indent] = ACTIONS(595),
    [sym_string_start] = ACTIONS(81),
  },
  [131] = {
    [sym__simple_statements] = STATE(734),
    [sym_import_statement] = STATE(2457),
    [sym_future_import_statement] = STATE(2457),
    [sym_import_from_statement] = STATE(2457),
    [sym_print_statement] = STATE(2457),
    [sym_assert_statement] = STATE(2457),
    [sym_expression_statement] = STATE(2457),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2457),
    [sym_delete_statement] = STATE(2457),
    [sym_raise_statement] = STATE(2457),
    [sym_pass_statement] = STATE(2457),
    [sym_break_statement] = STATE(2457),
    [sym_continue_statement] = STATE(2457),
    [sym_global_statement] = STATE(2457),
    [sym_nonlocal_statement] = STATE(2457),
    [sym_exec_statement] = STATE(2457),
    [sym_type_alias_statement] = STATE(2457),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(597),
    [sym__indent] = ACTIONS(599),
    [sym_string_start] = ACTIONS(81),
  },
  [132] = {
    [sym__simple_statements] = STATE(1807),
    [sym_import_statement] = STATE(2463),
    [sym_future_import_statement] = STATE(2463),
    [sym_import_from_statement] = STATE(2463),
    [sym_print_statement] = STATE(2463),
    [sym_assert_statement] = STATE(2463),
    [sym_expression_statement] = STATE(2463),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2463),
    [sym_delete_statement] = STATE(2463),
    [sym_raise_statement] = STATE(2463),
    [sym_pass_statement] = STATE(2463),
    [sym_break_statement] = STATE(2463),
    [sym_continue_statement] = STATE(2463),
    [sym_global_statement] = STATE(2463),
    [sym_nonlocal_statement] = STATE(2463),
    [sym_exec_statement] = STATE(2463),
    [sym_type_alias_statement] = STATE(2463),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(601),
    [sym__indent] = ACTIONS(603),
    [sym_string_start] = ACTIONS(81),
  },
  [133] = {
    [sym__simple_statements] = STATE(807),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(605),
    [sym__indent] = ACTIONS(607),
    [sym_string_start] = ACTIONS(81),
  },
  [134] = {
    [sym__simple_statements] = STATE(2576),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(609),
    [sym__indent] = ACTIONS(611),
    [sym_string_start] = ACTIONS(81),
  },
  [135] = {
    [sym__simple_statements] = STATE(2529),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(613),
    [sym__indent] = ACTIONS(615),
    [sym_string_start] = ACTIONS(81),
  },
  [136] = {
    [sym__simple_statements] = STATE(705),
    [sym_import_statement] = STATE(2305),
    [sym_future_import_statement] = STATE(2305),
    [sym_import_from_statement] = STATE(2305),
    [sym_print_statement] = STATE(2305),
    [sym_assert_statement] = STATE(2305),
    [sym_expression_statement] = STATE(2305),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2305),
    [sym_delete_statement] = STATE(2305),
    [sym_raise_statement] = STATE(2305),
    [sym_pass_statement] = STATE(2305),
    [sym_break_statement] = STATE(2305),
    [sym_continue_statement] = STATE(2305),
    [sym_global_statement] = STATE(2305),
    [sym_nonlocal_statement] = STATE(2305),
    [sym_exec_statement] = STATE(2305),
    [sym_type_alias_statement] = STATE(2305),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(617),
    [sym__indent] = ACTIONS(619),
    [sym_string_start] = ACTIONS(81),
  },
  [137] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(621),
    [sym_string_start] = ACTIONS(81),
  },
  [138] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(623),
    [sym_string_start] = ACTIONS(81),
  },
  [139] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(625),
    [sym_string_start] = ACTIONS(81),
  },
  [140] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(627),
    [sym_string_start] = ACTIONS(81),
  },
  [141] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(629),
    [sym_string_start] = ACTIONS(81),
  },
  [142] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(631),
    [sym_string_start] = ACTIONS(81),
  },
  [143] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym_string_start] = ACTIONS(81),
  },
  [144] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(635),
    [sym_string_start] = ACTIONS(81),
  },
  [145] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym_string_start] = ACTIONS(81),
  },
  [146] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(639),
    [sym_string_start] = ACTIONS(81),
  },
  [147] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(641),
    [sym_string_start] = ACTIONS(81),
  },
  [148] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym_string_start] = ACTIONS(81),
  },
  [149] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(645),
    [sym_string_start] = ACTIONS(81),
  },
  [150] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym_string_start] = ACTIONS(81),
  },
  [151] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(649),
    [sym_string_start] = ACTIONS(81),
  },
  [152] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(651),
    [sym_string_start] = ACTIONS(81),
  },
  [153] = {
    [sym_import_statement] = STATE(2557),
    [sym_future_import_statement] = STATE(2557),
    [sym_import_from_statement] = STATE(2557),
    [sym_print_statement] = STATE(2557),
    [sym_assert_statement] = STATE(2557),
    [sym_expression_statement] = STATE(2557),
    [sym_named_expression] = STATE(1679),
    [sym__named_expression_lhs] = STATE(2672),
    [sym_return_statement] = STATE(2557),
    [sym_delete_statement] = STATE(2557),
    [sym_raise_statement] = STATE(2557),
    [sym_pass_statement] = STATE(2557),
    [sym_break_statement] = STATE(2557),
    [sym_continue_statement] = STATE(2557),
    [sym_global_statement] = STATE(2557),
    [sym_nonlocal_statement] = STATE(2557),
    [sym_exec_statement] = STATE(2557),
    [sym_type_alias_statement] = STATE(2557),
    [sym_pattern] = STATE(1652),
    [sym_tuple_pattern] = STATE(1650),
    [sym_list_pattern] = STATE(1650),
    [sym_list_splat_pattern] = STATE(645),
    [sym_as_pattern] = STATE(1679),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(968),
    [sym_not_operator] = STATE(1679),
    [sym_boolean_operator] = STATE(1679),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_comparison_operator] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_assignment] = STATE(2604),
    [sym_augmented_assignment] = STATE(2604),
    [sym_pattern_list] = STATE(1660),
    [sym_yield] = STATE(2604),
    [sym_attribute] = STATE(646),
    [sym_subscript] = STATE(646),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_conditional_expression] = STATE(1679),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(417),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [154] = {
    [sym_list_splat_pattern] = STATE(1135),
    [sym_primary_expression] = STATE(976),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_attribute] = STATE(1081),
    [sym_subscript] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_print] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(304),
    [anon_sym_match] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(657),
    [anon_sym_type] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(665),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [155] = {
    [sym_list_splat_pattern] = STATE(1135),
    [sym_primary_expression] = STATE(976),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_attribute] = STATE(1081),
    [sym_subscript] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_print] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(657),
    [anon_sym_type] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(304),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(663),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(663),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(665),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [156] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(674),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(674),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_in] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(669),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_not] = ACTIONS(674),
    [anon_sym_and] = ACTIONS(674),
    [anon_sym_or] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(669),
    [anon_sym_SLASH_SLASH] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_CARET] = ACTIONS(669),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(667),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_DASH_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_AT_EQ] = ACTIONS(667),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(667),
    [anon_sym_GT_GT_EQ] = ACTIONS(667),
    [anon_sym_LT_LT_EQ] = ACTIONS(667),
    [anon_sym_AMP_EQ] = ACTIONS(667),
    [anon_sym_CARET_EQ] = ACTIONS(667),
    [anon_sym_PIPE_EQ] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(667),
    [sym_string_start] = ACTIONS(328),
  },
  [157] = {
    [sym_list_splat_pattern] = STATE(1135),
    [sym_primary_expression] = STATE(976),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_attribute] = STATE(1081),
    [sym_subscript] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_print] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(657),
    [anon_sym_type] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(665),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [158] = {
    [sym_list_splat_pattern] = STATE(1249),
    [sym_primary_expression] = STATE(1014),
    [sym_binary_operator] = STATE(1198),
    [sym_unary_operator] = STATE(1198),
    [sym_attribute] = STATE(1198),
    [sym_subscript] = STATE(1198),
    [sym_call] = STATE(1198),
    [sym_list] = STATE(1198),
    [sym_set] = STATE(1198),
    [sym_tuple] = STATE(1198),
    [sym_dictionary] = STATE(1198),
    [sym_list_comprehension] = STATE(1198),
    [sym_dictionary_comprehension] = STATE(1198),
    [sym_set_comprehension] = STATE(1198),
    [sym_generator_expression] = STATE(1198),
    [sym_parenthesized_expression] = STATE(1198),
    [sym_concatenated_string] = STATE(1198),
    [sym_string] = STATE(983),
    [sym_await] = STATE(1198),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(690),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(692),
    [anon_sym_print] = ACTIONS(694),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(696),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(694),
    [anon_sym_type] = ACTIONS(696),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(700),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(704),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(688),
    [sym_float] = ACTIONS(704),
    [anon_sym_await] = ACTIONS(706),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_none] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(708),
  },
  [159] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_from] = ACTIONS(674),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(674),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_if] = ACTIONS(674),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_in] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(674),
    [anon_sym_and] = ACTIONS(674),
    [anon_sym_or] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(667),
    [sym_string_start] = ACTIONS(328),
  },
  [160] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(674),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_if] = ACTIONS(674),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_for] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_RBRACE] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(674),
    [anon_sym_and] = ACTIONS(674),
    [anon_sym_or] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_type_conversion] = ACTIONS(667),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [161] = {
    [sym_list_splat_pattern] = STATE(1135),
    [sym_primary_expression] = STATE(976),
    [sym_binary_operator] = STATE(1081),
    [sym_unary_operator] = STATE(1081),
    [sym_attribute] = STATE(1081),
    [sym_subscript] = STATE(1081),
    [sym_call] = STATE(1081),
    [sym_list] = STATE(1081),
    [sym_set] = STATE(1081),
    [sym_tuple] = STATE(1081),
    [sym_dictionary] = STATE(1081),
    [sym_list_comprehension] = STATE(1081),
    [sym_dictionary_comprehension] = STATE(1081),
    [sym_set_comprehension] = STATE(1081),
    [sym_generator_expression] = STATE(1081),
    [sym_parenthesized_expression] = STATE(1081),
    [sym_concatenated_string] = STATE(1081),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1081),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(655),
    [anon_sym_print] = ACTIONS(657),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(657),
    [anon_sym_type] = ACTIONS(659),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(665),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [162] = {
    [sym_list_splat_pattern] = STATE(1249),
    [sym_primary_expression] = STATE(1014),
    [sym_binary_operator] = STATE(1198),
    [sym_unary_operator] = STATE(1198),
    [sym_attribute] = STATE(1198),
    [sym_subscript] = STATE(1198),
    [sym_call] = STATE(1198),
    [sym_list] = STATE(1198),
    [sym_set] = STATE(1198),
    [sym_tuple] = STATE(1198),
    [sym_dictionary] = STATE(1198),
    [sym_list_comprehension] = STATE(1198),
    [sym_dictionary_comprehension] = STATE(1198),
    [sym_set_comprehension] = STATE(1198),
    [sym_generator_expression] = STATE(1198),
    [sym_parenthesized_expression] = STATE(1198),
    [sym_concatenated_string] = STATE(1198),
    [sym_string] = STATE(983),
    [sym_await] = STATE(1198),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(690),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(692),
    [anon_sym_print] = ACTIONS(694),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(696),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(694),
    [anon_sym_type] = ACTIONS(696),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(700),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(704),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(688),
    [sym_float] = ACTIONS(704),
    [anon_sym_await] = ACTIONS(706),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_none] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(708),
  },
  [163] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [164] = {
    [sym_list_splat_pattern] = STATE(1249),
    [sym_primary_expression] = STATE(1014),
    [sym_binary_operator] = STATE(1198),
    [sym_unary_operator] = STATE(1198),
    [sym_attribute] = STATE(1198),
    [sym_subscript] = STATE(1198),
    [sym_call] = STATE(1198),
    [sym_list] = STATE(1198),
    [sym_set] = STATE(1198),
    [sym_tuple] = STATE(1198),
    [sym_dictionary] = STATE(1198),
    [sym_list_comprehension] = STATE(1198),
    [sym_dictionary_comprehension] = STATE(1198),
    [sym_set_comprehension] = STATE(1198),
    [sym_generator_expression] = STATE(1198),
    [sym_parenthesized_expression] = STATE(1198),
    [sym_concatenated_string] = STATE(1198),
    [sym_string] = STATE(983),
    [sym_await] = STATE(1198),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(690),
    [anon_sym_COMMA] = ACTIONS(710),
    [anon_sym_as] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(692),
    [anon_sym_print] = ACTIONS(694),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_match] = ACTIONS(696),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_for] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(694),
    [anon_sym_type] = ACTIONS(696),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_and] = ACTIONS(669),
    [anon_sym_or] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(700),
    [anon_sym_is] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(710),
    [anon_sym_EQ_EQ] = ACTIONS(710),
    [anon_sym_BANG_EQ] = ACTIONS(710),
    [anon_sym_GT_EQ] = ACTIONS(710),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(710),
    [sym_ellipsis] = ACTIONS(704),
    [sym_integer] = ACTIONS(688),
    [sym_float] = ACTIONS(704),
    [anon_sym_await] = ACTIONS(706),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_none] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(708),
  },
  [165] = {
    [sym_list_splat_pattern] = STATE(1229),
    [sym_primary_expression] = STATE(999),
    [sym_binary_operator] = STATE(1152),
    [sym_unary_operator] = STATE(1152),
    [sym_attribute] = STATE(1152),
    [sym_subscript] = STATE(1152),
    [sym_call] = STATE(1152),
    [sym_list] = STATE(1152),
    [sym_set] = STATE(1152),
    [sym_tuple] = STATE(1152),
    [sym_dictionary] = STATE(1152),
    [sym_list_comprehension] = STATE(1152),
    [sym_dictionary_comprehension] = STATE(1152),
    [sym_set_comprehension] = STATE(1152),
    [sym_generator_expression] = STATE(1152),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_concatenated_string] = STATE(1152),
    [sym_string] = STATE(980),
    [sym_await] = STATE(1152),
    [sym_identifier] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_print] = ACTIONS(719),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_async] = ACTIONS(719),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(719),
    [anon_sym_type] = ACTIONS(721),
    [anon_sym_LBRACK] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(727),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(729),
    [sym_integer] = ACTIONS(713),
    [sym_float] = ACTIONS(729),
    [anon_sym_await] = ACTIONS(731),
    [sym_true] = ACTIONS(713),
    [sym_false] = ACTIONS(713),
    [sym_none] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(733),
  },
  [166] = {
    [sym_list_splat_pattern] = STATE(1451),
    [sym_primary_expression] = STATE(1252),
    [sym_binary_operator] = STATE(1462),
    [sym_unary_operator] = STATE(1462),
    [sym_attribute] = STATE(1462),
    [sym_subscript] = STATE(1462),
    [sym_call] = STATE(1462),
    [sym_list] = STATE(1462),
    [sym_set] = STATE(1462),
    [sym_tuple] = STATE(1462),
    [sym_dictionary] = STATE(1462),
    [sym_list_comprehension] = STATE(1462),
    [sym_dictionary_comprehension] = STATE(1462),
    [sym_set_comprehension] = STATE(1462),
    [sym_generator_expression] = STATE(1462),
    [sym_parenthesized_expression] = STATE(1462),
    [sym_concatenated_string] = STATE(1462),
    [sym_string] = STATE(1110),
    [sym_await] = STATE(1462),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(737),
    [anon_sym_COMMA] = ACTIONS(710),
    [anon_sym_as] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_print] = ACTIONS(741),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_COLON] = ACTIONS(674),
    [anon_sym_match] = ACTIONS(743),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(710),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(747),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_and] = ACTIONS(669),
    [anon_sym_or] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_is] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(710),
    [anon_sym_EQ_EQ] = ACTIONS(710),
    [anon_sym_BANG_EQ] = ACTIONS(710),
    [anon_sym_GT_EQ] = ACTIONS(710),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(710),
    [sym_ellipsis] = ACTIONS(751),
    [sym_integer] = ACTIONS(735),
    [sym_float] = ACTIONS(751),
    [anon_sym_await] = ACTIONS(753),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_none] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(755),
  },
  [167] = {
    [sym_list_splat_pattern] = STATE(1390),
    [sym_primary_expression] = STATE(1139),
    [sym_binary_operator] = STATE(1389),
    [sym_unary_operator] = STATE(1389),
    [sym_attribute] = STATE(1389),
    [sym_subscript] = STATE(1389),
    [sym_call] = STATE(1389),
    [sym_list] = STATE(1389),
    [sym_set] = STATE(1389),
    [sym_tuple] = STATE(1389),
    [sym_dictionary] = STATE(1389),
    [sym_list_comprehension] = STATE(1389),
    [sym_dictionary_comprehension] = STATE(1389),
    [sym_set_comprehension] = STATE(1389),
    [sym_generator_expression] = STATE(1389),
    [sym_parenthesized_expression] = STATE(1389),
    [sym_concatenated_string] = STATE(1389),
    [sym_string] = STATE(1044),
    [sym_await] = STATE(1389),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_print] = ACTIONS(763),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(763),
    [anon_sym_type] = ACTIONS(765),
    [anon_sym_EQ] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(775),
    [sym_integer] = ACTIONS(757),
    [sym_float] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(777),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_none] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(779),
  },
  [168] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_RPAREN] = ACTIONS(667),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(674),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_if] = ACTIONS(674),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_for] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(674),
    [anon_sym_and] = ACTIONS(674),
    [anon_sym_or] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [169] = {
    [sym_list_splat_pattern] = STATE(1316),
    [sym_primary_expression] = STATE(1097),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1034),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(785),
    [anon_sym_print] = ACTIONS(787),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(787),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(797),
    [sym_integer] = ACTIONS(781),
    [sym_float] = ACTIONS(797),
    [anon_sym_await] = ACTIONS(799),
    [sym_true] = ACTIONS(781),
    [sym_false] = ACTIONS(781),
    [sym_none] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(801),
  },
  [170] = {
    [sym_list_splat_pattern] = STATE(1200),
    [sym_primary_expression] = STATE(1011),
    [sym_binary_operator] = STATE(1226),
    [sym_unary_operator] = STATE(1226),
    [sym_attribute] = STATE(1226),
    [sym_subscript] = STATE(1226),
    [sym_call] = STATE(1226),
    [sym_list] = STATE(1226),
    [sym_set] = STATE(1226),
    [sym_tuple] = STATE(1226),
    [sym_dictionary] = STATE(1226),
    [sym_list_comprehension] = STATE(1226),
    [sym_dictionary_comprehension] = STATE(1226),
    [sym_set_comprehension] = STATE(1226),
    [sym_generator_expression] = STATE(1226),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_concatenated_string] = STATE(1226),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1226),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_print] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(809),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(819),
    [sym_integer] = ACTIONS(803),
    [sym_float] = ACTIONS(819),
    [anon_sym_await] = ACTIONS(821),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_none] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(823),
  },
  [171] = {
    [sym_list_splat_pattern] = STATE(1249),
    [sym_primary_expression] = STATE(1014),
    [sym_binary_operator] = STATE(1198),
    [sym_unary_operator] = STATE(1198),
    [sym_attribute] = STATE(1198),
    [sym_subscript] = STATE(1198),
    [sym_call] = STATE(1198),
    [sym_list] = STATE(1198),
    [sym_set] = STATE(1198),
    [sym_tuple] = STATE(1198),
    [sym_dictionary] = STATE(1198),
    [sym_list_comprehension] = STATE(1198),
    [sym_dictionary_comprehension] = STATE(1198),
    [sym_set_comprehension] = STATE(1198),
    [sym_generator_expression] = STATE(1198),
    [sym_parenthesized_expression] = STATE(1198),
    [sym_concatenated_string] = STATE(1198),
    [sym_string] = STATE(983),
    [sym_await] = STATE(1198),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(690),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(692),
    [anon_sym_print] = ACTIONS(694),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(696),
    [anon_sym_async] = ACTIONS(694),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(694),
    [anon_sym_type] = ACTIONS(696),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(698),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(700),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(704),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(688),
    [sym_float] = ACTIONS(704),
    [anon_sym_await] = ACTIONS(706),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_none] = ACTIONS(688),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(708),
  },
  [172] = {
    [sym_list_splat_pattern] = STATE(1316),
    [sym_primary_expression] = STATE(1097),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1034),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(785),
    [anon_sym_print] = ACTIONS(787),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(787),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_EQ] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(797),
    [sym_integer] = ACTIONS(781),
    [sym_float] = ACTIONS(797),
    [anon_sym_await] = ACTIONS(799),
    [sym_true] = ACTIONS(781),
    [sym_false] = ACTIONS(781),
    [sym_none] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(801),
  },
  [173] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [174] = {
    [sym_list_splat_pattern] = STATE(1390),
    [sym_primary_expression] = STATE(1139),
    [sym_binary_operator] = STATE(1389),
    [sym_unary_operator] = STATE(1389),
    [sym_attribute] = STATE(1389),
    [sym_subscript] = STATE(1389),
    [sym_call] = STATE(1389),
    [sym_list] = STATE(1389),
    [sym_set] = STATE(1389),
    [sym_tuple] = STATE(1389),
    [sym_dictionary] = STATE(1389),
    [sym_list_comprehension] = STATE(1389),
    [sym_dictionary_comprehension] = STATE(1389),
    [sym_set_comprehension] = STATE(1389),
    [sym_generator_expression] = STATE(1389),
    [sym_parenthesized_expression] = STATE(1389),
    [sym_concatenated_string] = STATE(1389),
    [sym_string] = STATE(1044),
    [sym_await] = STATE(1389),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_print] = ACTIONS(763),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(763),
    [anon_sym_type] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(775),
    [sym_integer] = ACTIONS(757),
    [sym_float] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(777),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_none] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(779),
  },
  [175] = {
    [sym_list_splat_pattern] = STATE(1390),
    [sym_primary_expression] = STATE(1139),
    [sym_binary_operator] = STATE(1389),
    [sym_unary_operator] = STATE(1389),
    [sym_attribute] = STATE(1389),
    [sym_subscript] = STATE(1389),
    [sym_call] = STATE(1389),
    [sym_list] = STATE(1389),
    [sym_set] = STATE(1389),
    [sym_tuple] = STATE(1389),
    [sym_dictionary] = STATE(1389),
    [sym_list_comprehension] = STATE(1389),
    [sym_dictionary_comprehension] = STATE(1389),
    [sym_set_comprehension] = STATE(1389),
    [sym_generator_expression] = STATE(1389),
    [sym_parenthesized_expression] = STATE(1389),
    [sym_concatenated_string] = STATE(1389),
    [sym_string] = STATE(1044),
    [sym_await] = STATE(1389),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_print] = ACTIONS(763),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(763),
    [anon_sym_type] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(775),
    [sym_integer] = ACTIONS(757),
    [sym_float] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(777),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_none] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(779),
  },
  [176] = {
    [sym_list_splat_pattern] = STATE(1200),
    [sym_primary_expression] = STATE(1011),
    [sym_binary_operator] = STATE(1226),
    [sym_unary_operator] = STATE(1226),
    [sym_attribute] = STATE(1226),
    [sym_subscript] = STATE(1226),
    [sym_call] = STATE(1226),
    [sym_list] = STATE(1226),
    [sym_set] = STATE(1226),
    [sym_tuple] = STATE(1226),
    [sym_dictionary] = STATE(1226),
    [sym_list_comprehension] = STATE(1226),
    [sym_dictionary_comprehension] = STATE(1226),
    [sym_set_comprehension] = STATE(1226),
    [sym_generator_expression] = STATE(1226),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_concatenated_string] = STATE(1226),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1226),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_print] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(809),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(819),
    [sym_integer] = ACTIONS(803),
    [sym_float] = ACTIONS(819),
    [anon_sym_await] = ACTIONS(821),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_none] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(823),
  },
  [177] = {
    [sym_list_splat_pattern] = STATE(1200),
    [sym_primary_expression] = STATE(1011),
    [sym_binary_operator] = STATE(1226),
    [sym_unary_operator] = STATE(1226),
    [sym_attribute] = STATE(1226),
    [sym_subscript] = STATE(1226),
    [sym_call] = STATE(1226),
    [sym_list] = STATE(1226),
    [sym_set] = STATE(1226),
    [sym_tuple] = STATE(1226),
    [sym_dictionary] = STATE(1226),
    [sym_list_comprehension] = STATE(1226),
    [sym_dictionary_comprehension] = STATE(1226),
    [sym_set_comprehension] = STATE(1226),
    [sym_generator_expression] = STATE(1226),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_concatenated_string] = STATE(1226),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1226),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(807),
    [anon_sym_print] = ACTIONS(809),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(811),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(809),
    [anon_sym_type] = ACTIONS(811),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(819),
    [sym_integer] = ACTIONS(803),
    [sym_float] = ACTIONS(819),
    [anon_sym_await] = ACTIONS(821),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_none] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(823),
  },
  [178] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(674),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_if] = ACTIONS(674),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_else] = ACTIONS(674),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_in] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(674),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(674),
    [anon_sym_and] = ACTIONS(674),
    [anon_sym_or] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [179] = {
    [sym_list_splat_pattern] = STATE(1316),
    [sym_primary_expression] = STATE(1097),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1034),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_RPAREN] = ACTIONS(710),
    [anon_sym_COMMA] = ACTIONS(710),
    [anon_sym_as] = ACTIONS(669),
    [anon_sym_STAR] = ACTIONS(785),
    [anon_sym_print] = ACTIONS(787),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_match] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_for] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(669),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(787),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_LBRACK] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_and] = ACTIONS(669),
    [anon_sym_or] = ACTIONS(669),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_is] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(669),
    [anon_sym_LT_EQ] = ACTIONS(710),
    [anon_sym_EQ_EQ] = ACTIONS(710),
    [anon_sym_BANG_EQ] = ACTIONS(710),
    [anon_sym_GT_EQ] = ACTIONS(710),
    [anon_sym_GT] = ACTIONS(669),
    [anon_sym_LT_GT] = ACTIONS(710),
    [sym_ellipsis] = ACTIONS(797),
    [sym_integer] = ACTIONS(781),
    [sym_float] = ACTIONS(797),
    [anon_sym_await] = ACTIONS(799),
    [sym_true] = ACTIONS(781),
    [sym_false] = ACTIONS(781),
    [sym_none] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(801),
  },
  [180] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_SEMI] = ACTIONS(320),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(320),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(320),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(320),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(320),
    [sym_string_start] = ACTIONS(328),
  },
  [181] = {
    [sym_list_splat_pattern] = STATE(1229),
    [sym_primary_expression] = STATE(999),
    [sym_binary_operator] = STATE(1152),
    [sym_unary_operator] = STATE(1152),
    [sym_attribute] = STATE(1152),
    [sym_subscript] = STATE(1152),
    [sym_call] = STATE(1152),
    [sym_list] = STATE(1152),
    [sym_set] = STATE(1152),
    [sym_tuple] = STATE(1152),
    [sym_dictionary] = STATE(1152),
    [sym_list_comprehension] = STATE(1152),
    [sym_dictionary_comprehension] = STATE(1152),
    [sym_set_comprehension] = STATE(1152),
    [sym_generator_expression] = STATE(1152),
    [sym_parenthesized_expression] = STATE(1152),
    [sym_concatenated_string] = STATE(1152),
    [sym_string] = STATE(980),
    [sym_await] = STATE(1152),
    [sym_identifier] = ACTIONS(713),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(717),
    [anon_sym_print] = ACTIONS(719),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(721),
    [anon_sym_async] = ACTIONS(719),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(719),
    [anon_sym_type] = ACTIONS(721),
    [anon_sym_LBRACK] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(727),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(725),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(729),
    [sym_integer] = ACTIONS(713),
    [sym_float] = ACTIONS(729),
    [anon_sym_await] = ACTIONS(731),
    [sym_true] = ACTIONS(713),
    [sym_false] = ACTIONS(713),
    [sym_none] = ACTIONS(713),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(733),
  },
  [182] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_as] = ACTIONS(674),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(710),
    [anon_sym_if] = ACTIONS(674),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_for] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(710),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_RBRACK] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(710),
    [anon_sym_DASH] = ACTIONS(316),
    [anon_sym_PIPE] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(316),
    [anon_sym_not] = ACTIONS(674),
    [anon_sym_and] = ACTIONS(674),
    [anon_sym_or] = ACTIONS(674),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(710),
    [anon_sym_SLASH_SLASH] = ACTIONS(710),
    [anon_sym_AMP] = ACTIONS(710),
    [anon_sym_CARET] = ACTIONS(710),
    [anon_sym_LT_LT] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_is] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_LT_EQ] = ACTIONS(667),
    [anon_sym_EQ_EQ] = ACTIONS(667),
    [anon_sym_BANG_EQ] = ACTIONS(667),
    [anon_sym_GT_EQ] = ACTIONS(667),
    [anon_sym_GT] = ACTIONS(674),
    [anon_sym_LT_GT] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [183] = {
    [sym_list_splat_pattern] = STATE(1451),
    [sym_primary_expression] = STATE(1252),
    [sym_binary_operator] = STATE(1462),
    [sym_unary_operator] = STATE(1462),
    [sym_attribute] = STATE(1462),
    [sym_subscript] = STATE(1462),
    [sym_call] = STATE(1462),
    [sym_list] = STATE(1462),
    [sym_set] = STATE(1462),
    [sym_tuple] = STATE(1462),
    [sym_dictionary] = STATE(1462),
    [sym_list_comprehension] = STATE(1462),
    [sym_dictionary_comprehension] = STATE(1462),
    [sym_set_comprehension] = STATE(1462),
    [sym_generator_expression] = STATE(1462),
    [sym_parenthesized_expression] = STATE(1462),
    [sym_concatenated_string] = STATE(1462),
    [sym_string] = STATE(1110),
    [sym_await] = STATE(1462),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(737),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_print] = ACTIONS(741),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(743),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(747),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(751),
    [sym_integer] = ACTIONS(735),
    [sym_float] = ACTIONS(751),
    [anon_sym_await] = ACTIONS(753),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_none] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(755),
  },
  [184] = {
    [sym_list_splat_pattern] = STATE(1316),
    [sym_primary_expression] = STATE(1097),
    [sym_binary_operator] = STATE(1418),
    [sym_unary_operator] = STATE(1418),
    [sym_attribute] = STATE(1418),
    [sym_subscript] = STATE(1418),
    [sym_call] = STATE(1418),
    [sym_list] = STATE(1418),
    [sym_set] = STATE(1418),
    [sym_tuple] = STATE(1418),
    [sym_dictionary] = STATE(1418),
    [sym_list_comprehension] = STATE(1418),
    [sym_dictionary_comprehension] = STATE(1418),
    [sym_set_comprehension] = STATE(1418),
    [sym_generator_expression] = STATE(1418),
    [sym_parenthesized_expression] = STATE(1418),
    [sym_concatenated_string] = STATE(1418),
    [sym_string] = STATE(1034),
    [sym_await] = STATE(1418),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(785),
    [anon_sym_print] = ACTIONS(787),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(789),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(787),
    [anon_sym_type] = ACTIONS(789),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(791),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(793),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(797),
    [sym_integer] = ACTIONS(781),
    [sym_float] = ACTIONS(797),
    [anon_sym_await] = ACTIONS(799),
    [sym_true] = ACTIONS(781),
    [sym_false] = ACTIONS(781),
    [sym_none] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(801),
  },
  [185] = {
    [sym_list_splat_pattern] = STATE(1390),
    [sym_primary_expression] = STATE(1139),
    [sym_binary_operator] = STATE(1389),
    [sym_unary_operator] = STATE(1389),
    [sym_attribute] = STATE(1389),
    [sym_subscript] = STATE(1389),
    [sym_call] = STATE(1389),
    [sym_list] = STATE(1389),
    [sym_set] = STATE(1389),
    [sym_tuple] = STATE(1389),
    [sym_dictionary] = STATE(1389),
    [sym_list_comprehension] = STATE(1389),
    [sym_dictionary_comprehension] = STATE(1389),
    [sym_set_comprehension] = STATE(1389),
    [sym_generator_expression] = STATE(1389),
    [sym_parenthesized_expression] = STATE(1389),
    [sym_concatenated_string] = STATE(1389),
    [sym_string] = STATE(1044),
    [sym_await] = STATE(1389),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_print] = ACTIONS(763),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(763),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(763),
    [anon_sym_type] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(775),
    [sym_integer] = ACTIONS(757),
    [sym_float] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(777),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_none] = ACTIONS(757),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(779),
  },
  [186] = {
    [sym_list_splat_pattern] = STATE(1451),
    [sym_primary_expression] = STATE(1252),
    [sym_binary_operator] = STATE(1462),
    [sym_unary_operator] = STATE(1462),
    [sym_attribute] = STATE(1462),
    [sym_subscript] = STATE(1462),
    [sym_call] = STATE(1462),
    [sym_list] = STATE(1462),
    [sym_set] = STATE(1462),
    [sym_tuple] = STATE(1462),
    [sym_dictionary] = STATE(1462),
    [sym_list_comprehension] = STATE(1462),
    [sym_dictionary_comprehension] = STATE(1462),
    [sym_set_comprehension] = STATE(1462),
    [sym_generator_expression] = STATE(1462),
    [sym_parenthesized_expression] = STATE(1462),
    [sym_concatenated_string] = STATE(1462),
    [sym_string] = STATE(1110),
    [sym_await] = STATE(1462),
    [sym_identifier] = ACTIONS(735),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(737),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(739),
    [anon_sym_print] = ACTIONS(741),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(743),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(747),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(747),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(751),
    [sym_integer] = ACTIONS(735),
    [sym_float] = ACTIONS(751),
    [anon_sym_await] = ACTIONS(753),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_none] = ACTIONS(735),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(755),
  },
  [187] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(320),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(320),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(320),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_PLUS_EQ] = ACTIONS(320),
    [anon_sym_DASH_EQ] = ACTIONS(320),
    [anon_sym_STAR_EQ] = ACTIONS(320),
    [anon_sym_SLASH_EQ] = ACTIONS(320),
    [anon_sym_AT_EQ] = ACTIONS(320),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(320),
    [anon_sym_PERCENT_EQ] = ACTIONS(320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(320),
    [anon_sym_GT_GT_EQ] = ACTIONS(320),
    [anon_sym_LT_LT_EQ] = ACTIONS(320),
    [anon_sym_AMP_EQ] = ACTIONS(320),
    [anon_sym_CARET_EQ] = ACTIONS(320),
    [anon_sym_PIPE_EQ] = ACTIONS(320),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [188] = {
    [sym_list_splat_pattern] = STATE(1325),
    [sym_primary_expression] = STATE(1053),
    [sym_binary_operator] = STATE(1311),
    [sym_unary_operator] = STATE(1311),
    [sym_attribute] = STATE(1311),
    [sym_subscript] = STATE(1311),
    [sym_call] = STATE(1311),
    [sym_list] = STATE(1311),
    [sym_set] = STATE(1311),
    [sym_tuple] = STATE(1311),
    [sym_dictionary] = STATE(1311),
    [sym_list_comprehension] = STATE(1311),
    [sym_dictionary_comprehension] = STATE(1311),
    [sym_set_comprehension] = STATE(1311),
    [sym_generator_expression] = STATE(1311),
    [sym_parenthesized_expression] = STATE(1311),
    [sym_concatenated_string] = STATE(1311),
    [sym_string] = STATE(1025),
    [sym_await] = STATE(1311),
    [sym_identifier] = ACTIONS(324),
    [anon_sym_DOT] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(672),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_STAR] = ACTIONS(676),
    [anon_sym_print] = ACTIONS(678),
    [anon_sym_GT_GT] = ACTIONS(669),
    [anon_sym_COLON] = ACTIONS(667),
    [anon_sym_match] = ACTIONS(680),
    [anon_sym_async] = ACTIONS(678),
    [anon_sym_STAR_STAR] = ACTIONS(669),
    [anon_sym_exec] = ACTIONS(678),
    [anon_sym_type] = ACTIONS(680),
    [anon_sym_EQ] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(682),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_PIPE] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_SLASH] = ACTIONS(669),
    [anon_sym_PERCENT] = ACTIONS(669),
    [anon_sym_SLASH_SLASH] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_CARET] = ACTIONS(669),
    [anon_sym_LT_LT] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(316),
    [anon_sym_PLUS_EQ] = ACTIONS(667),
    [anon_sym_DASH_EQ] = ACTIONS(667),
    [anon_sym_STAR_EQ] = ACTIONS(667),
    [anon_sym_SLASH_EQ] = ACTIONS(667),
    [anon_sym_AT_EQ] = ACTIONS(667),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(667),
    [anon_sym_PERCENT_EQ] = ACTIONS(667),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(667),
    [anon_sym_GT_GT_EQ] = ACTIONS(667),
    [anon_sym_LT_LT_EQ] = ACTIONS(667),
    [anon_sym_AMP_EQ] = ACTIONS(667),
    [anon_sym_CARET_EQ] = ACTIONS(667),
    [anon_sym_PIPE_EQ] = ACTIONS(667),
    [sym_ellipsis] = ACTIONS(322),
    [sym_integer] = ACTIONS(324),
    [sym_float] = ACTIONS(322),
    [anon_sym_await] = ACTIONS(686),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_none] = ACTIONS(324),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(328),
  },
  [189] = {
    [sym_named_expression] = STATE(1695),
    [sym__named_expression_lhs] = STATE(2649),
    [sym_list_splat] = STATE(2377),
    [sym_parenthesized_list_splat] = STATE(2377),
    [sym_list_splat_pattern] = STATE(1200),
    [sym_as_pattern] = STATE(1695),
    [sym_expression] = STATE(1663),
    [sym_primary_expression] = STATE(928),
    [sym_not_operator] = STATE(1695),
    [sym_boolean_operator] = STATE(1695),
    [sym_binary_operator] = STATE(1226),
    [sym_unary_operator] = STATE(1226),
    [sym_comparison_operator] = STATE(1695),
    [sym_lambda] = STATE(1695),
    [sym_yield] = STATE(2377),
    [sym_attribute] = STATE(1226),
    [sym_subscript] = STATE(1226),
    [sym_call] = STATE(1226),
    [sym_type] = STATE(1950),
    [sym_splat_type] = STATE(2064),
    [sym_generic_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_constrained_type] = STATE(2064),
    [sym_member_type] = STATE(2064),
    [sym_list] = STATE(1226),
    [sym_set] = STATE(1226),
    [sym_tuple] = STATE(1226),
    [sym_dictionary] = STATE(1226),
    [sym_list_comprehension] = STATE(1226),
    [sym_dictionary_comprehension] = STATE(1226),
    [sym_set_comprehension] = STATE(1226),
    [sym_generator_expression] = STATE(1226),
    [sym_parenthesized_expression] = STATE(1226),
    [sym__collection_elements] = STATE(2685),
    [sym_conditional_expression] = STATE(1695),
    [sym_concatenated_string] = STATE(1226),
    [sym_string] = STATE(977),
    [sym_await] = STATE(1226),
    [sym_identifier] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(827),
    [anon_sym_STAR] = ACTIONS(829),
    [anon_sym_print] = ACTIONS(831),
    [anon_sym_match] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_STAR_STAR] = ACTIONS(835),
    [anon_sym_exec] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(837),
    [anon_sym_LBRACK] = ACTIONS(813),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_lambda] = ACTIONS(843),
    [anon_sym_yield] = ACTIONS(845),
    [sym_ellipsis] = ACTIONS(819),
    [sym_integer] = ACTIONS(803),
    [sym_float] = ACTIONS(819),
    [anon_sym_await] = ACTIONS(847),
    [sym_true] = ACTIONS(803),
    [sym_false] = ACTIONS(803),
    [sym_none] = ACTIONS(803),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(823),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(853), 1,
      anon_sym_COMMA,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(863), 1,
      anon_sym_RBRACE,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1673), 1,
      sym_expression,
    STATE(1852), 1,
      sym_pair,
    STATE(2347), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2690), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [124] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_RPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1708), 1,
      sym_expression,
    STATE(2376), 1,
      sym_yield,
    STATE(2424), 1,
      sym_pattern,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2773), 1,
      sym__patterns,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [250] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2713), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [374] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(911), 1,
      anon_sym_COMMA,
    ACTIONS(913), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1678), 1,
      sym_expression,
    STATE(1882), 1,
      sym_pair,
    STATE(2254), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2752), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [498] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(915), 1,
      anon_sym_COMMA,
    ACTIONS(917), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1675), 1,
      sym_expression,
    STATE(1857), 1,
      sym_pair,
    STATE(2480), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2729), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [622] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(919), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2499), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2694), 1,
      sym__patterns,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [748] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(921), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2652), 1,
      sym__patterns,
    STATE(2724), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [872] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(923), 1,
      anon_sym_COMMA,
    ACTIONS(925), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(1879), 1,
      sym_pair,
    STATE(2306), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2740), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [996] = 32,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(927), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1698), 1,
      sym_expression,
    STATE(2304), 1,
      sym_yield,
    STATE(2424), 1,
      sym_pattern,
    STATE(2488), 1,
      sym_list_splat,
    STATE(2489), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2691), 1,
      sym__collection_elements,
    STATE(2692), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1124] = 32,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2269), 1,
      sym_list_splat,
    STATE(2271), 1,
      sym_parenthesized_list_splat,
    STATE(2424), 1,
      sym_pattern,
    STATE(2470), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2694), 1,
      sym__patterns,
    STATE(2704), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1252] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2499), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2773), 1,
      sym__patterns,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1378] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2713), 1,
      sym__patterns,
    STATE(2799), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1502] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(935), 1,
      anon_sym_COMMA,
    ACTIONS(937), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1667), 1,
      sym_expression,
    STATE(1870), 1,
      sym_pair,
    STATE(2349), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2674), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1626] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(939), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2499), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2692), 1,
      sym__patterns,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1752] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(941), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2718), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1876] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_COMMA,
    ACTIONS(945), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(1851), 1,
      sym_pair,
    STATE(2379), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2656), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2000] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(947), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2713), 1,
      sym__patterns,
    STATE(2761), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2124] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(949), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2499), 1,
      sym_yield,
    STATE(2673), 1,
      sym__patterns,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2250] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(951), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2713), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2374] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(955), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1671), 1,
      sym_expression,
    STATE(1889), 1,
      sym_pair,
    STATE(2406), 1,
      sym_dictionary_splat,
    STATE(2645), 1,
      sym__named_expression_lhs,
    STATE(2654), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2498] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(957), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2428), 1,
      sym_yield,
    STATE(2659), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2773), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2624] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(959), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2499), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2773), 1,
      sym__patterns,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2750] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(645), 1,
      sym_list_splat_pattern,
    STATE(968), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1641), 1,
      sym_pattern_list,
    STATE(1651), 1,
      sym_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(417), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(646), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(419), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2583), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2870] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(961), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2499), 1,
      sym_yield,
    STATE(2650), 1,
      sym__patterns,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2996] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(963), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2652), 1,
      sym__patterns,
    STATE(2685), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3120] = 30,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(851), 1,
      anon_sym_LPAREN,
    ACTIONS(855), 1,
      anon_sym_STAR,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(965), 1,
      anon_sym_COMMA,
    ACTIONS(967), 1,
      anon_sym_RBRACE,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1674), 1,
      sym_expression,
    STATE(1871), 1,
      sym_pair,
    STATE(2433), 1,
      sym_dictionary_splat,
    STATE(2622), 1,
      sym__collection_elements,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2475), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3244] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(969), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2718), 1,
      sym__patterns,
    STATE(2723), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3368] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(645), 1,
      sym_list_splat_pattern,
    STATE(968), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1641), 1,
      sym_pattern_list,
    STATE(1651), 1,
      sym_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(417), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(646), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(419), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2578), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3488] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(645), 1,
      sym_list_splat_pattern,
    STATE(968), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1641), 1,
      sym_pattern_list,
    STATE(1651), 1,
      sym_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(417), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(646), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(419), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2608), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3608] = 31,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(873), 1,
      sym_identifier,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(893), 1,
      anon_sym_await,
    ACTIONS(971), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1391), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2428), 1,
      sym_yield,
    STATE(2659), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2773), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(883), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1393), 2,
      sym_attribute,
      sym_subscript,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(881), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3734] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(973), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2685), 1,
      sym__collection_elements,
    STATE(2719), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3858] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(975), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2665), 1,
      sym__patterns,
    STATE(2685), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3982] = 30,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(895), 1,
      sym_identifier,
    ACTIONS(897), 1,
      anon_sym_LPAREN,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(905), 1,
      anon_sym_LBRACK,
    ACTIONS(909), 1,
      anon_sym_await,
    ACTIONS(977), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1416), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2378), 1,
      sym_pattern,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2713), 1,
      sym__patterns,
    STATE(2761), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(903), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1423), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(901), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4106] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_TILDE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_STAR,
    ACTIONS(991), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1370), 1,
      sym_list_splat_pattern,
    STATE(1614), 1,
      sym_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(989), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1371), 2,
      sym_attribute,
      sym_subscript,
    STATE(1628), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(987), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(981), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4213] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_TILDE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(985), 1,
      anon_sym_STAR,
    ACTIONS(991), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1370), 1,
      sym_list_splat_pattern,
    STATE(1614), 1,
      sym_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(989), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1371), 2,
      sym_attribute,
      sym_subscript,
    STATE(1628), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(987), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(995), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4320] = 27,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(997), 1,
      sym_identifier,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_LBRACK,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1013), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1153), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2559), 1,
      sym_pattern,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1005), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1154), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1003), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2070), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4436] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1025), 1,
      anon_sym_RBRACK,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4552] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1033), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4668] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1035), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4784] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1037), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4900] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1039), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5016] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1041), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5132] = 27,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(997), 1,
      sym_identifier,
    ACTIONS(999), 1,
      anon_sym_LPAREN,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1007), 1,
      anon_sym_LBRACK,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1013), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1153), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2559), 1,
      sym_pattern,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1005), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1154), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1003), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2034), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5248] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1043), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5364] = 27,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1045), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5480] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2011), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5593] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2477), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5706] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(399), 1,
      anon_sym_match,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_type,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(1920), 1,
      sym_type,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1952), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5819] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(399), 1,
      anon_sym_match,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_type,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(1922), 1,
      sym_type,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1952), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5932] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1063), 1,
      anon_sym_RPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2326), 1,
      sym_with_item,
    STATE(2499), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6049] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2356), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6162] = 26,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_match,
    ACTIONS(1079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1081), 1,
      anon_sym_type,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(1997), 1,
      sym_type,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1919), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6275] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2101), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6388] = 26,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_match,
    ACTIONS(1079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1081), 1,
      anon_sym_type,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(2104), 1,
      sym_type,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1919), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6501] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_RPAREN,
    ACTIONS(1093), 1,
      anon_sym_COMMA,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2265), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2264), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6616] = 25,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_from,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2049), 1,
      sym_expression_list,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1109), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6727] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1117), 1,
      anon_sym_RPAREN,
    ACTIONS(1119), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2501), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2500), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6842] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1121), 1,
      anon_sym_RPAREN,
    ACTIONS(1123), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2313), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2312), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6957] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2320), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7070] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_TILDE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1125), 1,
      sym_identifier,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1489), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1133), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1491), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1131), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(995), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7175] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1139), 1,
      anon_sym_RPAREN,
    ACTIONS(1141), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1704), 1,
      sym_expression,
    STATE(2358), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7290] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(399), 1,
      anon_sym_match,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_type,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(1986), 1,
      sym_type,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1952), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7403] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1143), 1,
      anon_sym_RPAREN,
    ACTIONS(1145), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1710), 1,
      sym_expression,
    STATE(2386), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2385), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7518] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2270), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7631] = 26,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_match,
    ACTIONS(1079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1081), 1,
      anon_sym_type,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(1959), 1,
      sym_type,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1919), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7744] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(1950), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7857] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1147), 1,
      anon_sym_RPAREN,
    ACTIONS(1149), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2413), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2412), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7972] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2397), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8085] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2109), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8198] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1151), 1,
      anon_sym_RPAREN,
    ACTIONS(1153), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2439), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2438), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8313] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(399), 1,
      anon_sym_match,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_STAR,
    ACTIONS(1055), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1057), 1,
      anon_sym_type,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(2100), 1,
      sym_type,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1952), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8426] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2083), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8539] = 27,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1091), 1,
      anon_sym_RPAREN,
    ACTIONS(1093), 1,
      anon_sym_COMMA,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1865), 1,
      sym_expression,
    STATE(2265), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2264), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8654] = 26,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1071), 1,
      sym_identifier,
    ACTIONS(1073), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_match,
    ACTIONS(1079), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1081), 1,
      anon_sym_type,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(1989), 1,
      sym_type,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1919), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8767] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1089), 1,
      sym_identifier,
    ACTIONS(1095), 1,
      anon_sym_STAR,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 1,
      anon_sym_await,
    ACTIONS(1167), 1,
      anon_sym_RPAREN,
    ACTIONS(1169), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1699), 1,
      sym_expression,
    STATE(2315), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1099), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1097), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2309), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8882] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(1943), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8995] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(1998), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9108] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(1911), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9221] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_TILDE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1125), 1,
      sym_identifier,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1129), 1,
      anon_sym_STAR,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1489), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(684), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1133), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1491), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1131), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(981), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [9326] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2474), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9439] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2253), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9552] = 26,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(297), 1,
      anon_sym_match,
    ACTIONS(302), 1,
      anon_sym_type,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(345), 1,
      anon_sym_STAR_STAR,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2476), 1,
      sym_type,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9665] = 26,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_STAR,
    ACTIONS(1021), 1,
      anon_sym_match,
    ACTIONS(1023), 1,
      anon_sym_type,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1767), 1,
      sym_expression,
    STATE(2079), 1,
      sym_type,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2064), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9778] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1173), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2618), 1,
      sym__collection_elements,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9890] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2430), 1,
      sym_yield,
    STATE(2488), 1,
      sym_list_splat,
    STATE(2489), 1,
      sym_parenthesized_list_splat,
    STATE(2615), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10006] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10118] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1179), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1727), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2667), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10230] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1698), 1,
      sym_expression,
    STATE(2304), 1,
      sym_yield,
    STATE(2488), 1,
      sym_list_splat,
    STATE(2489), 1,
      sym_parenthesized_list_splat,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2691), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10346] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10458] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1185), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10570] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10682] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10794] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10906] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1193), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11018] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1698), 1,
      sym_expression,
    STATE(2304), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2691), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11132] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1195), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2724), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11244] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1708), 1,
      sym_expression,
    STATE(2258), 1,
      sym_list_splat,
    STATE(2259), 1,
      sym_parenthesized_list_splat,
    STATE(2376), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11360] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1199), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11472] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11584] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11696] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1205), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11808] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1207), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11920] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1209), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12032] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1211), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12144] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(839), 1,
      anon_sym_RBRACK,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1723), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2685), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12256] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1708), 1,
      sym_expression,
    STATE(2376), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2790), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12370] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1063), 1,
      anon_sym_RPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2499), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2778), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12484] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1213), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2723), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12596] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12708] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12820] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1219), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12932] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1221), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13044] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1223), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13156] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13268] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13380] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2348), 1,
      sym_yield,
    STATE(2658), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13494] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2799), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13606] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1233), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1700), 1,
      sym_expression,
    STATE(2428), 1,
      sym_yield,
    STATE(2659), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13720] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1235), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    STATE(2761), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13832] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2269), 1,
      sym_list_splat,
    STATE(2271), 1,
      sym_parenthesized_list_splat,
    STATE(2470), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2704), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13948] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1685), 1,
      sym_expression,
    STATE(2470), 1,
      sym_yield,
    STATE(2684), 1,
      sym__named_expression_lhs,
    STATE(2704), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14062] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14174] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1241), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14286] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14398] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1245), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14510] = 26,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_LPAREN,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_STAR,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1247), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1730), 1,
      sym_expression,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2377), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14622] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2269), 1,
      sym_list_splat,
    STATE(2271), 1,
      sym_parenthesized_list_splat,
    STATE(2404), 1,
      sym_yield,
    STATE(2643), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14738] = 28,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1703), 1,
      sym_expression,
    STATE(2258), 1,
      sym_list_splat,
    STATE(2259), 1,
      sym_parenthesized_list_splat,
    STATE(2348), 1,
      sym_yield,
    STATE(2658), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14854] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14966] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1253), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15078] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2404), 1,
      sym_yield,
    STATE(2643), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15192] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15304] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15416] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1259), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15528] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1261), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15640] = 27,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(879), 1,
      anon_sym_STAR,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_LPAREN,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1717), 1,
      sym_expression,
    STATE(2430), 1,
      sym_yield,
    STATE(2615), 1,
      sym__collection_elements,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2368), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15754] = 26,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15866] = 25,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1269), 1,
      anon_sym_RBRACK,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2081), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1267), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15975] = 25,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1269), 1,
      anon_sym_RPAREN,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2015), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1267), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16084] = 25,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    ACTIONS(1277), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2015), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16193] = 25,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1283), 1,
      anon_sym_RPAREN,
    ACTIONS(1285), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1974), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2580), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16302] = 25,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_STAR,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2542), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16411] = 25,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_RBRACK,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1295), 1,
      anon_sym_LPAREN,
    ACTIONS(1297), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2584), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16520] = 23,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1790), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1299), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16625] = 25,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    ACTIONS(1301), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2015), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1303), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16734] = 25,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1101), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1155), 1,
      sym_identifier,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1159), 1,
      anon_sym_STAR,
    ACTIONS(1165), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2550), 1,
      sym_parenthesized_list_splat,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1161), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2513), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16843] = 25,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_RBRACE,
    ACTIONS(1287), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_STAR,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2542), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16952] = 25,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(857), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2042), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1307), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17061] = 25,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1285), 1,
      anon_sym_STAR,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1974), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2580), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17170] = 25,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1269), 1,
      anon_sym_RBRACE,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(857), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2042), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1267), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17279] = 23,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1790), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1313), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17384] = 25,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2081), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1307), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17493] = 25,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    ACTIONS(1309), 1,
      anon_sym_RPAREN,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1065), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2015), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1307), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17602] = 25,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1295), 1,
      anon_sym_LPAREN,
    ACTIONS(1297), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2584), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17711] = 25,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    ACTIONS(1277), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2081), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17820] = 25,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    ACTIONS(1301), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2081), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1303), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17929] = 25,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1277), 1,
      anon_sym_RBRACE,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(857), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2042), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18038] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(320), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18135] = 25,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1301), 1,
      anon_sym_RBRACE,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(857), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2042), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1303), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18244] = 24,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(845), 1,
      anon_sym_yield,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1295), 1,
      anon_sym_LPAREN,
    ACTIONS(1297), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2584), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18350] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_from,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1834), 1,
      sym_expression,
    STATE(2519), 1,
      sym_expression_list,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1109), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18458] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18566] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1321), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18674] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18782] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1325), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18890] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18998] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19106] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1331), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19214] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19322] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1335), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19430] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1337), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19538] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1339), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19646] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(1343), 1,
      anon_sym_from,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1770), 1,
      sym_expression,
    STATE(2325), 1,
      sym_expression_list,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1341), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19754] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1345), 1,
      anon_sym_from,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1847), 1,
      sym_expression,
    STATE(2525), 1,
      sym_expression_list,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1109), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19862] = 24,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(869), 1,
      anon_sym_yield,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_STAR,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2542), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19968] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1349), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20076] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1351), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20184] = 25,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1353), 1,
      anon_sym_from,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1863), 1,
      sym_expression,
    STATE(2549), 1,
      sym_expression_list,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1109), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20292] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1357), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20400] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1359), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20508] = 25,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1361), 1,
      anon_sym_RBRACE,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20616] = 24,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(891), 1,
      anon_sym_yield,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1157), 1,
      anon_sym_LPAREN,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1285), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1974), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2580), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20722] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20817] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20924] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1367), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21031] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21138] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1828), 1,
      sym_expression,
    STATE(2591), 1,
      sym_expression_list,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1371), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21243] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1373), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21350] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21457] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21564] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(1379), 1,
      anon_sym_from,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1299), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21669] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21776] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1383), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21883] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21990] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22097] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22204] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22311] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1393), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22418] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22525] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1397), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22632] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22739] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22846] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1403), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22953] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23060] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1407), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23167] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23274] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23381] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(1413), 1,
      anon_sym_from,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1313), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23486] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1415), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23593] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1867), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23698] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1421), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23805] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1423), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23912] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1427), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1878), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1425), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24017] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(861), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2057), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    STATE(2544), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24122] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1429), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24229] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1431), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24336] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1433), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24443] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1435), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24538] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1437), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24645] = 25,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    ACTIONS(1439), 1,
      anon_sym_RBRACK,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24752] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2442), 1,
      sym_with_item,
    STATE(2678), 1,
      sym__named_expression_lhs,
    STATE(2686), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24856] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1445), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24958] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1939), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25060] = 23,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1299), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25162] = 23,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1932), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25264] = 23,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1313), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25366] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(667), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25460] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25554] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1299), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25656] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1313), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25758] = 24,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    ACTIONS(1447), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1948), 1,
      sym_expression,
    STATE(2551), 1,
      sym_with_item,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25862] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1830), 1,
      sym_expression,
    STATE(2353), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25966] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1906), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26068] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2442), 1,
      sym_with_item,
    STATE(2624), 1,
      sym_with_clause,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26172] = 23,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1976), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26274] = 23,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1955), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26376] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1451), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26478] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1453), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26580] = 23,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1925), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26682] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1455), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2565), 1,
      sym_with_item,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26786] = 23,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1813), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2074), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26888] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1953), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1457), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26990] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1861), 1,
      sym_expression,
    STATE(2561), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27094] = 23,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1796), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2010), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27196] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2442), 1,
      sym_with_item,
    STATE(2678), 1,
      sym__named_expression_lhs,
    STATE(2693), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27300] = 23,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2081), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27402] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1435), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27496] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1441), 1,
      anon_sym_LPAREN,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2442), 1,
      sym_with_item,
    STATE(2651), 1,
      sym_with_clause,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27600] = 23,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1904), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27702] = 20,
    ACTIONS(304), 1,
      anon_sym_in,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(320), 1,
      anon_sym_COMMA,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27798] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1459), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27900] = 23,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1839), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2095), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28002] = 23,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1916), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28104] = 23,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2038), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28206] = 23,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1822), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2073), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28308] = 23,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(1311), 1,
      anon_sym_lambda,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2042), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28410] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1461), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28512] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1463), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28614] = 23,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(1275), 1,
      anon_sym_lambda,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1806), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2015), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28716] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 1,
      anon_sym_STAR,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1053), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28810] = 24,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1948), 1,
      sym_expression,
    STATE(2551), 1,
      sym_with_item,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28914] = 24,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1467), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2565), 1,
      sym_with_item,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29018] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1817), 1,
      sym_expression,
    STATE(2505), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29122] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1795), 1,
      sym_expression,
    STATE(2267), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29226] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1819), 1,
      sym_expression,
    STATE(2314), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29330] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1833), 1,
      sym_expression,
    STATE(2359), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29434] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1801), 1,
      sym_expression,
    STATE(2388), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29538] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1811), 1,
      sym_expression,
    STATE(2414), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29642] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2440), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29746] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1816), 1,
      sym_expression,
    STATE(2450), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29850] = 24,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1363), 1,
      anon_sym_COLON,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2456), 1,
      sym_slice,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29954] = 23,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_lambda,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1831), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2086), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30056] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1469), 1,
      anon_sym_for,
    ACTIONS(1471), 1,
      anon_sym_with,
    ACTIONS(1473), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(304), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [30131] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1850), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    STATE(2711), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30232] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1299), 1,
      anon_sym_COLON,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1898), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30333] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1313), 1,
      anon_sym_COLON,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1898), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30434] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1991), 1,
      sym_expression,
    STATE(2565), 1,
      sym_with_item,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30535] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30636] = 23,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1948), 1,
      sym_expression,
    STATE(2551), 1,
      sym_with_item,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30737] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1477), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30838] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1869), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    STATE(2760), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30939] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1479), 1,
      sym_identifier,
    ACTIONS(1481), 1,
      sym_string_start,
    STATE(2344), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(304), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [31014] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1826), 1,
      sym_expression,
    STATE(2568), 1,
      sym_expression_list,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31115] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1483), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31216] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1872), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    STATE(2777), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31317] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1485), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1975), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31418] = 11,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(304), 1,
      anon_sym_EQ,
    ACTIONS(1479), 1,
      sym_identifier,
    ACTIONS(1481), 1,
      sym_string_start,
    STATE(2344), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [31495] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1487), 1,
      anon_sym_for,
    ACTIONS(1489), 1,
      anon_sym_with,
    ACTIONS(1491), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(304), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [31570] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1493), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31671] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1495), 1,
      anon_sym_COLON,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31772] = 23,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    STATE(2702), 1,
      sym_expression_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31873] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31971] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1784), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32069] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32167] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1896), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32265] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1775), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32363] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1734), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32461] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1792), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32559] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1772), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32657] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1793), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32755] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32853] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32951] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1786), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33049] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1765), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33147] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1788), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33245] = 9,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1503), 1,
      anon_sym_except,
    ACTIONS(1505), 1,
      anon_sym_finally,
    STATE(707), 1,
      sym_else_clause,
    STATE(817), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(626), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1497), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33317] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33415] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1739), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33513] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1745), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33611] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33709] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1750), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33807] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1755), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33905] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1757), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34003] = 9,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1505), 1,
      anon_sym_finally,
    ACTIONS(1507), 1,
      anon_sym_except_STAR,
    STATE(707), 1,
      sym_else_clause,
    STATE(817), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(613), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1497), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34075] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1766), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34173] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34271] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1780), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34369] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34467] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1759), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34565] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1763), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34663] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1764), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34761] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1706), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34859] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34957] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      sym_identifier,
    ACTIONS(1515), 1,
      anon_sym_await,
    STATE(1037), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1513), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1158), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1511), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35057] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1996), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35155] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1899), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35253] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1944), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35351] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1900), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35449] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2028), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35547] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1873), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35645] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1729), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35743] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1985), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35841] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1992), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35939] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1843), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36037] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1928), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36135] = 23,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    ACTIONS(1517), 1,
      sym_identifier,
    ACTIONS(1523), 1,
      anon_sym_await,
    STATE(1033), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1964), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1521), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1400), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1519), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36235] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1987), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36333] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2094), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36431] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1945), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36529] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1672), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36627] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2099), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36725] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36823] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1669), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36921] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1666), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37019] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1799), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37117] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1753), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37215] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37313] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1812), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37411] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1862), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37509] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(2056), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37607] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37705] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1924), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37803] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1927), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37901] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37999] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1747), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38097] = 23,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1525), 1,
      sym_identifier,
    ACTIONS(1531), 1,
      anon_sym_await,
    STATE(983), 1,
      sym_string,
    STATE(1047), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1926), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1529), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1199), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1527), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38197] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1743), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38295] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1936), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38393] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1876), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38491] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38589] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1744), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38687] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2096), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38785] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1782), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38883] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38981] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1741), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39079] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1769), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39177] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39275] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39373] = 23,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    ACTIONS(1523), 1,
      anon_sym_await,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1964), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1537), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1481), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1535), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39473] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2006), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39571] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2089), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39669] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1881), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39767] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1886), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39865] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39963] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40061] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_await,
    ACTIONS(1539), 1,
      sym_identifier,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1543), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1482), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1541), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40161] = 23,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_await,
    ACTIONS(1545), 1,
      sym_identifier,
    STATE(1037), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1513), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1158), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1511), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40261] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1949), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40359] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1791), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40457] = 23,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1531), 1,
      anon_sym_await,
    ACTIONS(1547), 1,
      sym_identifier,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1926), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1551), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1483), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1549), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40557] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40655] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2110), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40753] = 9,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1503), 1,
      anon_sym_except,
    ACTIONS(1505), 1,
      anon_sym_finally,
    STATE(710), 1,
      sym_else_clause,
    STATE(741), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(626), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1553), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1555), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40825] = 9,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1505), 1,
      anon_sym_finally,
    ACTIONS(1507), 1,
      anon_sym_except_STAR,
    STATE(710), 1,
      sym_else_clause,
    STATE(741), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(613), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1553), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1555), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40897] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1835), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40995] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(2000), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41093] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1837), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41191] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1840), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41289] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1841), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41387] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1842), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41485] = 22,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1083), 1,
      anon_sym_not,
    ACTIONS(1085), 1,
      anon_sym_lambda,
    ACTIONS(1087), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1034), 1,
      sym_string,
    STATE(1316), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2630), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1077), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1075), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(781), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1748), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41583] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1677), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41681] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1751), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41779] = 22,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(1009), 1,
      anon_sym_not,
    ACTIONS(1011), 1,
      anon_sym_lambda,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1115), 1,
      anon_sym_await,
    STATE(927), 1,
      sym_primary_expression,
    STATE(983), 1,
      sym_string,
    STATE(1249), 1,
      sym_list_splat_pattern,
    STATE(1790), 1,
      sym_expression,
    STATE(2781), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1113), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1111), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(688), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1760), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41877] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1981), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41975] = 22,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1027), 1,
      anon_sym_not,
    ACTIONS(1029), 1,
      anon_sym_lambda,
    ACTIONS(1031), 1,
      anon_sym_await,
    ACTIONS(1293), 1,
      sym_identifier,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(992), 1,
      sym_primary_expression,
    STATE(1110), 1,
      sym_string,
    STATE(1451), 1,
      sym_list_splat_pattern,
    STATE(1771), 1,
      sym_expression,
    STATE(2786), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1021), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1019), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(735), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1768), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42073] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42171] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(387), 1,
      sym_identifier,
    ACTIONS(410), 1,
      anon_sym_await,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(870), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1135), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2672), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(399), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(395), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1679), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42269] = 9,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1559), 1,
      anon_sym_except,
    ACTIONS(1561), 1,
      anon_sym_finally,
    STATE(723), 1,
      sym_else_clause,
    STATE(836), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(627), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1553), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1555), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42341] = 9,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1561), 1,
      anon_sym_finally,
    ACTIONS(1563), 1,
      anon_sym_except_STAR,
    STATE(723), 1,
      sym_else_clause,
    STATE(836), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(628), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1553), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1555), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42413] = 22,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_not,
    ACTIONS(889), 1,
      anon_sym_lambda,
    ACTIONS(1059), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_await,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(972), 1,
      sym_primary_expression,
    STATE(1044), 1,
      sym_string,
    STATE(1390), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2684), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1067), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1065), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(757), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1818), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42511] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2123), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42609] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1776), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42707] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2103), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42805] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2071), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42903] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2005), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43001] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2026), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43099] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2091), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43197] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43295] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2018), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43393] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2033), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43491] = 22,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(841), 1,
      anon_sym_not,
    ACTIONS(843), 1,
      anon_sym_lambda,
    ACTIONS(847), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      sym_identifier,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(928), 1,
      sym_primary_expression,
    STATE(977), 1,
      sym_string,
    STATE(1200), 1,
      sym_list_splat_pattern,
    STATE(1722), 1,
      sym_expression,
    STATE(2649), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(833), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(831), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(803), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1695), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43589] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2051), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43687] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2053), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43785] = 22,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(849), 1,
      sym_identifier,
    ACTIONS(865), 1,
      anon_sym_not,
    ACTIONS(867), 1,
      anon_sym_lambda,
    ACTIONS(871), 1,
      anon_sym_await,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(964), 1,
      sym_primary_expression,
    STATE(980), 1,
      sym_string,
    STATE(1229), 1,
      sym_list_splat_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2645), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(859), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(857), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(713), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1787), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43883] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2065), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43981] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2067), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44079] = 9,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1559), 1,
      anon_sym_except,
    ACTIONS(1561), 1,
      anon_sym_finally,
    STATE(704), 1,
      sym_else_clause,
    STATE(753), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(627), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1497), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44151] = 9,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1561), 1,
      anon_sym_finally,
    ACTIONS(1563), 1,
      anon_sym_except_STAR,
    STATE(704), 1,
      sym_else_clause,
    STATE(753), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(628), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1497), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44223] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(2068), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44321] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(318), 1,
      anon_sym_lambda,
    ACTIONS(326), 1,
      anon_sym_await,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(412), 1,
      sym_identifier,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_primary_expression,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1898), 1,
      sym_expression,
    STATE(2678), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1738), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44419] = 10,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1574), 1,
      anon_sym_COLON,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    STATE(2077), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44492] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(304), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44558] = 5,
    ACTIONS(1587), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(613), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1583), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1585), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44620] = 8,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1594), 1,
      anon_sym_elif,
    STATE(629), 1,
      aux_sym_if_statement_repeat1,
    STATE(722), 1,
      sym_elif_clause,
    STATE(735), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1592), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1590), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44688] = 8,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elif,
    STATE(622), 1,
      aux_sym_if_statement_repeat1,
    STATE(719), 1,
      sym_elif_clause,
    STATE(781), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1596), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1598), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44756] = 7,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1577), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44822] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(304), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44890] = 8,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1594), 1,
      anon_sym_elif,
    STATE(619), 1,
      aux_sym_if_statement_repeat1,
    STATE(722), 1,
      sym_elif_clause,
    STATE(818), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1596), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1598), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44958] = 8,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1594), 1,
      anon_sym_elif,
    STATE(629), 1,
      aux_sym_if_statement_repeat1,
    STATE(722), 1,
      sym_elif_clause,
    STATE(754), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1604), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1602), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45026] = 8,
    ACTIONS(1557), 1,
      anon_sym_else,
    ACTIONS(1594), 1,
      anon_sym_elif,
    STATE(614), 1,
      aux_sym_if_statement_repeat1,
    STATE(722), 1,
      sym_elif_clause,
    STATE(757), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1608), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1606), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45094] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(304), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45162] = 8,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elif,
    STATE(638), 1,
      aux_sym_if_statement_repeat1,
    STATE(719), 1,
      sym_elif_clause,
    STATE(843), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1604), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1602), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45230] = 8,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elif,
    STATE(625), 1,
      aux_sym_if_statement_repeat1,
    STATE(719), 1,
      sym_elif_clause,
    STATE(845), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1608), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1606), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45298] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(304), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(320), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45364] = 8,
    ACTIONS(1501), 1,
      anon_sym_else,
    ACTIONS(1600), 1,
      anon_sym_elif,
    STATE(638), 1,
      aux_sym_if_statement_repeat1,
    STATE(719), 1,
      sym_elif_clause,
    STATE(738), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1592), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1590), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45432] = 5,
    ACTIONS(1614), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(626), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1610), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1612), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45494] = 5,
    ACTIONS(1617), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(627), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1610), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1612), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45556] = 5,
    ACTIONS(1620), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(628), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1583), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1585), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45618] = 6,
    ACTIONS(1627), 1,
      anon_sym_elif,
    STATE(629), 1,
      aux_sym_if_statement_repeat1,
    STATE(722), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1623), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45681] = 6,
    ACTIONS(1632), 1,
      anon_sym_COMMA,
    ACTIONS(1639), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1635), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45744] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(669), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45805] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(669), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45866] = 6,
    ACTIONS(1639), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1632), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1637), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1635), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46157] = 6,
    ACTIONS(1649), 1,
      anon_sym_elif,
    STATE(638), 1,
      aux_sym_if_statement_repeat1,
    STATE(719), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1623), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46220] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1660), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1657), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46281] = 6,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1667), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46344] = 6,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1581), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46464] = 7,
    ACTIONS(1675), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1673), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(1660), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1657), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46529] = 6,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1686), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1682), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46592] = 6,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(1664), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1667), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46655] = 6,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1577), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1570), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46718] = 6,
    ACTIONS(1679), 1,
      anon_sym_COMMA,
    ACTIONS(1684), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1686), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1682), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47007] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1708), 1,
      anon_sym_STAR,
    ACTIONS(1714), 1,
      anon_sym_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1584), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    STATE(2088), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1712), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(2122), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(995), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1734), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1740), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1738), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1744), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1740), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1738), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1746), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1748), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48275] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1760), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1762), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1764), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1736), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1734), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1762), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1764), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48891] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1708), 1,
      anon_sym_STAR,
    ACTIONS(1714), 1,
      anon_sym_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1584), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    STATE(2088), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1712), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(2122), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(981), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1758), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1760), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49095] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1744), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1730), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1718), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1726), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1746), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1748), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1766), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1766), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49934] = 5,
    ACTIONS(1557), 1,
      anon_sym_else,
    STATE(751), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49993] = 5,
    ACTIONS(1561), 1,
      anon_sym_finally,
    STATE(759), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50052] = 5,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(744), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50111] = 5,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(739), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1782), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1784), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50170] = 5,
    ACTIONS(1505), 1,
      anon_sym_finally,
    STATE(748), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50229] = 5,
    ACTIONS(1557), 1,
      anon_sym_else,
    STATE(790), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1786), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50288] = 5,
    ACTIONS(1557), 1,
      anon_sym_else,
    STATE(782), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1792), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50347] = 5,
    ACTIONS(1505), 1,
      anon_sym_finally,
    STATE(787), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50406] = 5,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(765), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1792), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50465] = 5,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(770), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1786), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1798), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1800), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50579] = 5,
    ACTIONS(1557), 1,
      anon_sym_else,
    STATE(838), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1782), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1784), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50638] = 5,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(777), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1802), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1804), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1798), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1800), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50807] = 5,
    ACTIONS(1557), 1,
      anon_sym_else,
    STATE(805), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1802), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1804), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1806), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50921] = 5,
    ACTIONS(1557), 1,
      anon_sym_else,
    STATE(825), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1812), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50980] = 5,
    ACTIONS(1501), 1,
      anon_sym_else,
    STATE(736), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1812), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1806), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1808), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51094] = 5,
    ACTIONS(1561), 1,
      anon_sym_finally,
    STATE(847), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1814), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1816), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1814), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1816), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1820), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1818), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51315] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1822), 1,
      sym_identifier,
    ACTIONS(1824), 1,
      anon_sym_LPAREN,
    ACTIONS(1826), 1,
      anon_sym_RPAREN,
    ACTIONS(1828), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1606), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2773), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1832), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1607), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1830), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51407] = 22,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1822), 1,
      sym_identifier,
    ACTIONS(1824), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_await,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      sym_string,
    STATE(1606), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2424), 1,
      sym_pattern,
    STATE(2694), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1832), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1607), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1830), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1820), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1818), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1840), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1842), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1844), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1846), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1848), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1854), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1856), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1860), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1864), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1868), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1870), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1860), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1872), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1874), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1876), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1878), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52189] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2279), 1,
      sym_pattern,
    STATE(2795), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1892), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1894), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1896), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1898), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1876), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1878), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1892), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1894), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1900), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1902), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1904), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1906), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1908), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1910), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1912), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1914), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1896), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1898), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1916), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1918), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52808] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1922), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1920), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1497), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1924), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1930), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1900), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1902), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1904), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1906), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1908), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1910), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1912), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1914), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1934), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1932), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1936), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1916), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1918), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1940), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1942), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1844), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1846), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1944), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1946), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1948), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1950), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53656] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1822), 1,
      sym_identifier,
    ACTIONS(1824), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_await,
    ACTIONS(1952), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      sym_string,
    STATE(1606), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2611), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1832), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1607), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1830), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1956), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53798] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2293), 1,
      sym_pattern,
    STATE(2783), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1960), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1964), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1848), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1854), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1970), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1972), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1974), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1976), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1978), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1980), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1984), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1982), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1988), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1940), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1942), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1990), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1992), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1996), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1944), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1946), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2002), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2004), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2006), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2008), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54788] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1948), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1950), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1956), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2010), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2012), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1553), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1555), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2016), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2014), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2018), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2020), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55106] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2511), 1,
      sym_pattern,
    STATE(2804), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2024), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1960), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1964), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2028), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2026), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2030), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2032), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2036), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2034), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1984), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1982), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2040), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2038), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55619] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2042), 1,
      sym_identifier,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_STAR,
    ACTIONS(2052), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym_RBRACK,
    ACTIONS(2056), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1599), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_primary_expression,
    STATE(2612), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1600), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2048), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1970), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1972), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1974), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1976), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2058), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2060), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55867] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    ACTIONS(2062), 1,
      anon_sym_in,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1924), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56009] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1952), 1,
      anon_sym_RBRACK,
    ACTIONS(2042), 1,
      sym_identifier,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_STAR,
    ACTIONS(2052), 1,
      anon_sym_LBRACK,
    ACTIONS(2056), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1599), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_primary_expression,
    STATE(2612), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1600), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2048), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56098] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1840), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1842), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2040), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2038), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1553), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1555), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2030), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2032), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2058), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2060), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1780), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1986), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1988), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2016), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2014), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1994), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1996), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2010), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2012), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2018), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2020), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2064), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2066), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2070), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2068), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1864), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1858), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1856), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1934), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1932), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56999] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2262), 1,
      sym_pattern,
    STATE(2714), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2036), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2034), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1978), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1980), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2070), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2068), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1868), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1870), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1936), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2006), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2008), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1796), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57512] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1822), 1,
      sym_identifier,
    ACTIONS(1824), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_await,
    ACTIONS(2054), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      sym_string,
    STATE(1606), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2611), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1832), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1607), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1830), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1872), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1874), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2064), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2066), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57707] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2469), 1,
      sym_pattern,
    STATE(2700), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57796] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2498), 1,
      sym_pattern,
    STATE(2775), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57885] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2471), 1,
      sym_pattern,
    STATE(2709), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1922), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1920), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1990), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1992), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1930), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1497), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2002), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2004), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2024), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2028), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2026), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58345] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2483), 1,
      sym_pattern,
    STATE(2734), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58434] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2484), 1,
      sym_pattern,
    STATE(2736), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58523] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(2510), 1,
      sym_pattern,
    STATE(2800), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58612] = 21,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    ACTIONS(2072), 1,
      anon_sym_in,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58701] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1125), 1,
      sym_identifier,
    ACTIONS(1127), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_await,
    ACTIONS(2074), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1489), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1133), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1491), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1131), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58787] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1822), 1,
      sym_identifier,
    ACTIONS(1824), 1,
      anon_sym_LPAREN,
    ACTIONS(1828), 1,
      anon_sym_STAR,
    ACTIONS(1834), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1606), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    STATE(2611), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1832), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1607), 2,
      sym_attribute,
      sym_subscript,
    STATE(2597), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1830), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58873] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(1880), 1,
      sym_identifier,
    ACTIONS(1882), 1,
      anon_sym_LPAREN,
    ACTIONS(1888), 1,
      anon_sym_LBRACK,
    ACTIONS(1890), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1598), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    STATE(1640), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1886), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1610), 2,
      sym_attribute,
      sym_subscript,
    STATE(1650), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1884), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58959] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(1704), 1,
      sym_identifier,
    ACTIONS(1706), 1,
      anon_sym_LPAREN,
    ACTIONS(1708), 1,
      anon_sym_STAR,
    ACTIONS(1714), 1,
      anon_sym_LBRACK,
    ACTIONS(1716), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1584), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    STATE(2088), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1712), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    STATE(2122), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59045] = 20,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(983), 1,
      anon_sym_LPAREN,
    ACTIONS(991), 1,
      anon_sym_LBRACK,
    ACTIONS(993), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1370), 1,
      sym_list_splat_pattern,
    STATE(1614), 1,
      sym_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(989), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1371), 2,
      sym_attribute,
      sym_subscript,
    STATE(1628), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(987), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59131] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2042), 1,
      sym_identifier,
    ACTIONS(2044), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_STAR,
    ACTIONS(2052), 1,
      anon_sym_LBRACK,
    ACTIONS(2056), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1599), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_primary_expression,
    STATE(2612), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1600), 2,
      sym_attribute,
      sym_subscript,
    STATE(2596), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2048), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59217] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      sym_identifier,
    ACTIONS(2084), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2078), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2082), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1592), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2080), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59300] = 19,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2086), 1,
      sym_identifier,
    ACTIONS(2092), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2078), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2090), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1630), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2088), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59383] = 17,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(969), 1,
      sym_string,
    STATE(988), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59461] = 17,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(980), 1,
      sym_string,
    STATE(1004), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59539] = 17,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(983), 1,
      sym_string,
    STATE(1019), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59617] = 17,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(977), 1,
      sym_string,
    STATE(1040), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59695] = 17,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(1034), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59773] = 17,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(1110), 1,
      sym_string,
    STATE(1258), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59851] = 17,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(1044), 1,
      sym_string,
    STATE(1071), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59929] = 17,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2094), 1,
      anon_sym_not,
    STATE(1025), 1,
      sym_string,
    STATE(1062), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60007] = 21,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2110), 1,
      anon_sym_EQ,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2124), 1,
      anon_sym_CARET,
    ACTIONS(2126), 1,
      anon_sym_is,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2104), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2128), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(965), 2,
      sym__not_in,
      sym__is_not,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2106), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [60093] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1096), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60168] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1021), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60243] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60318] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1127), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60393] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1133), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60468] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1071), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60543] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1101), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60618] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1055), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60693] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1088), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60768] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1090), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60843] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1125), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60918] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1060), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60993] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1022), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61068] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1104), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61143] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1105), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61218] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1023), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61293] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1106), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61368] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1024), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61443] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2130), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2134), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1605), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2132), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61522] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2138), 1,
      sym_identifier,
    ACTIONS(2144), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2142), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1268), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2140), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61601] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1107), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61676] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1251), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61751] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1061), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61826] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1038), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61901] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1039), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61976] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2146), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2150), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1402), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2148), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62055] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1040), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62130] = 16,
    ACTIONS(759), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(777), 1,
      anon_sym_await,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(1273), 1,
      anon_sym_STAR,
    STATE(1044), 1,
      sym_string,
    STATE(1138), 1,
      sym_primary_expression,
    STATE(1390), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(765), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(775), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(763), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(771), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(757), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1389), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62205] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2158), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2156), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62284] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1069), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62359] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1041), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62434] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(989), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62509] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(998), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62584] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1062), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62659] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1063), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62734] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1002), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62809] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1042), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62884] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62959] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(991), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63034] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2162), 1,
      sym_identifier,
    ACTIONS(2168), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2166), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1269), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2164), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63113] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63188] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2170), 1,
      sym_identifier,
    ACTIONS(2176), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2174), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(639), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2172), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63267] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2178), 1,
      sym_identifier,
    ACTIONS(2184), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1623), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2182), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1085), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2180), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63346] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2184), 1,
      anon_sym_await,
    ACTIONS(2186), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1623), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2182), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1085), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2180), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63425] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2188), 1,
      sym_identifier,
    ACTIONS(2194), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1625), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2192), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1480), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2190), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63504] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1070), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63579] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1052), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63654] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(987), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63729] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1043), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63804] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1072), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63879] = 16,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(686), 1,
      anon_sym_await,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    STATE(1025), 1,
      sym_string,
    STATE(1064), 1,
      sym_primary_expression,
    STATE(1325), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(678), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63954] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64029] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1009), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64104] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1005), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64179] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2196), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2200), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1594), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2198), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64258] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      anon_sym_await,
    ACTIONS(2204), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2208), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1435), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2206), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64337] = 21,
    ACTIONS(2110), 1,
      anon_sym_EQ,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2234), 1,
      anon_sym_is,
    STATE(1576), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2236), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(954), 2,
      sym__not_in,
      sym__is_not,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2218), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [64422] = 21,
    ACTIONS(2110), 1,
      anon_sym_as,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(2256), 1,
      anon_sym_PIPE,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_CARET,
    ACTIONS(2262), 1,
      anon_sym_is,
    STATE(1569), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2254), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2264), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(897), 2,
      sym__not_in,
      sym__is_not,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2246), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [64507] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(974), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64582] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2168), 1,
      anon_sym_await,
    ACTIONS(2266), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1626), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2270), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1248), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2268), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64661] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(975), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64736] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1004), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64811] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1010), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64886] = 16,
    ACTIONS(715), 1,
      anon_sym_LPAREN,
    ACTIONS(723), 1,
      anon_sym_LBRACK,
    ACTIONS(727), 1,
      anon_sym_LBRACE,
    ACTIONS(731), 1,
      anon_sym_await,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(1305), 1,
      anon_sym_STAR,
    STATE(980), 1,
      sym_string,
    STATE(1006), 1,
      sym_primary_expression,
    STATE(1229), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(721), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(729), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(719), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(725), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(713), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1152), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64961] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1045), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65036] = 16,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(813), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACE,
    ACTIONS(821), 1,
      anon_sym_await,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(1265), 1,
      anon_sym_STAR,
    STATE(977), 1,
      sym_string,
    STATE(1017), 1,
      sym_primary_expression,
    STATE(1200), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(811), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(819), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(809), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(815), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(803), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1226), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65111] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1048), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65186] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2160), 1,
      anon_sym_await,
    ACTIONS(2272), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2276), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1374), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2274), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65265] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1018), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65340] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1013), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65415] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1100), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65490] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1148), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65565] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1256), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65640] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1257), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65715] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1258), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65790] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1259), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65865] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2152), 1,
      anon_sym_await,
    ACTIONS(2278), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1622), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2150), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1402), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2148), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65944] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1260), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66019] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1261), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66094] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2160), 1,
      anon_sym_await,
    ACTIONS(2280), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1627), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2158), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2156), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66173] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1262), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66248] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2176), 1,
      anon_sym_await,
    ACTIONS(2282), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2174), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(639), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2172), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66327] = 16,
    ACTIONS(737), 1,
      anon_sym_LPAREN,
    ACTIONS(745), 1,
      anon_sym_LBRACK,
    ACTIONS(749), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_await,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(1347), 1,
      anon_sym_STAR,
    STATE(1110), 1,
      sym_string,
    STATE(1263), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(743), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(751), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(741), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(747), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(735), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1462), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66402] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(1019), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66477] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66552] = 16,
    ACTIONS(690), 1,
      anon_sym_LPAREN,
    ACTIONS(698), 1,
      anon_sym_LBRACK,
    ACTIONS(702), 1,
      anon_sym_LBRACE,
    ACTIONS(706), 1,
      anon_sym_await,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(1001), 1,
      anon_sym_STAR,
    STATE(983), 1,
      sym_string,
    STATE(993), 1,
      sym_primary_expression,
    STATE(1249), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(696), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(704), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(694), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(700), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(688), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1198), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66627] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66702] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2168), 1,
      anon_sym_await,
    ACTIONS(2266), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1632), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2270), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1248), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2268), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66781] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2154), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      anon_sym_await,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1624), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2158), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1368), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2156), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66860] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      anon_sym_await,
    ACTIONS(2284), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1631), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2208), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1435), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2206), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66939] = 16,
    ACTIONS(783), 1,
      anon_sym_LPAREN,
    ACTIONS(791), 1,
      anon_sym_LBRACK,
    ACTIONS(795), 1,
      anon_sym_LBRACE,
    ACTIONS(799), 1,
      anon_sym_await,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(1355), 1,
      anon_sym_STAR,
    STATE(1034), 1,
      sym_string,
    STATE(1103), 1,
      sym_primary_expression,
    STATE(1316), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(789), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(797), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(787), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(793), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(781), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1418), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67014] = 18,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(672), 1,
      anon_sym_LPAREN,
    ACTIONS(682), 1,
      anon_sym_LBRACK,
    ACTIONS(1443), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      anon_sym_await,
    ACTIONS(2284), 1,
      sym_identifier,
    STATE(1025), 1,
      sym_string,
    STATE(1325), 1,
      sym_list_splat_pattern,
    STATE(1629), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(322), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2208), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1435), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(316), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2206), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(324), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1311), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67093] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(986), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67168] = 21,
    ACTIONS(2110), 1,
      anon_sym_as,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(2310), 1,
      anon_sym_is,
    STATE(1574), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2292), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2302), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2312), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(932), 2,
      sym__not_in,
      sym__is_not,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2294), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [67253] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(653), 1,
      anon_sym_LPAREN,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(665), 1,
      anon_sym_await,
    ACTIONS(1317), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(988), 1,
      sym_primary_expression,
    STATE(1135), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(659), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(657), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1081), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67328] = 5,
    ACTIONS(2318), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(966), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67380] = 21,
    ACTIONS(2110), 1,
      anon_sym_EQ,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2341), 1,
      anon_sym_AMP,
    ACTIONS(2343), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_is,
    STATE(1573), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2347), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(957), 2,
      sym__not_in,
      sym__is_not,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2329), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67464] = 20,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2124), 1,
      anon_sym_CARET,
    ACTIONS(2126), 1,
      anon_sym_is,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_LBRACK,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2104), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2128), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(965), 2,
      sym__not_in,
      sym__is_not,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2106), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67546] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(970), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67598] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(966), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67650] = 21,
    ACTIONS(2110), 1,
      anon_sym_EQ,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(2381), 1,
      anon_sym_is,
    STATE(1572), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2383), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(904), 2,
      sym__not_in,
      sym__is_not,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2365), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [67734] = 21,
    ACTIONS(2110), 1,
      anon_sym_as,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(2403), 1,
      anon_sym_PIPE,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_CARET,
    ACTIONS(2409), 1,
      anon_sym_is,
    STATE(1589), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2411), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(876), 2,
      sym__not_in,
      sym__is_not,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2393), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [67818] = 8,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67875] = 12,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2104), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67940] = 8,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67997] = 8,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68054] = 5,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(978), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68105] = 5,
    ACTIONS(823), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68156] = 5,
    ACTIONS(2425), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68207] = 5,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(981), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68258] = 5,
    ACTIONS(733), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(982), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68309] = 5,
    ACTIONS(2428), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(982), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68360] = 5,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(984), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68411] = 5,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(985), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68462] = 5,
    ACTIONS(2431), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(985), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68513] = 8,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68570] = 11,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68633] = 15,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2118), 1,
      anon_sym_PIPE,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2124), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2104), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68704] = 10,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 24,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68765] = 14,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2122), 1,
      anon_sym_AMP,
    ACTIONS(2124), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2104), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68834] = 13,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2100), 1,
      anon_sym_LPAREN,
    ACTIONS(2108), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2124), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2102), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2104), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2116), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1084), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2114), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68901] = 20,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(2456), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(2462), 1,
      anon_sym_is,
    STATE(1578), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2464), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(945), 2,
      sym__not_in,
      sym__is_not,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2446), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2096), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [68982] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69038] = 5,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(995), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69088] = 5,
    ACTIONS(2466), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(995), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69138] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    STATE(2076), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69190] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    STATE(2090), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69242] = 8,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69298] = 8,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69354] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69448] = 8,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69504] = 11,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2302), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69566] = 15,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2292), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2302), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69636] = 8,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69692] = 10,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69752] = 14,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(2306), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2292), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2302), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69820] = 13,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(2308), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2292), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2302), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69886] = 12,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2288), 1,
      anon_sym_LPAREN,
    ACTIONS(2296), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2290), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2292), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2302), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1171), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2300), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69950] = 8,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70006] = 8,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70062] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70110] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70166] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70314] = 12,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2254), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70378] = 11,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70440] = 15,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70510] = 5,
    ACTIONS(2479), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1020), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70560] = 10,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70620] = 14,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70688] = 13,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70754] = 12,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70818] = 5,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(994), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70868] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71192] = 20,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2341), 1,
      anon_sym_AMP,
    ACTIONS(2343), 1,
      anon_sym_CARET,
    ACTIONS(2345), 1,
      anon_sym_is,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    STATE(1573), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2347), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(957), 2,
      sym__not_in,
      sym__is_not,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2096), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2329), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71272] = 5,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1035), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71322] = 5,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1036), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71372] = 5,
    ACTIONS(2482), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1036), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71422] = 20,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2456), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(2462), 1,
      anon_sym_is,
    STATE(1578), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2464), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(945), 2,
      sym__not_in,
      sym__is_not,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2096), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2446), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71502] = 8,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71558] = 11,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2254), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71620] = 15,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(2256), 1,
      anon_sym_PIPE,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2254), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71690] = 8,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71746] = 10,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71806] = 14,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(2258), 1,
      anon_sym_AMP,
    ACTIONS(2260), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2254), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71874] = 5,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1046), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71924] = 13,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2240), 1,
      anon_sym_LPAREN,
    ACTIONS(2248), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(2260), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2242), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2254), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1250), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2252), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71990] = 5,
    ACTIONS(779), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1020), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72040] = 20,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2228), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_CARET,
    ACTIONS(2234), 1,
      anon_sym_is,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    STATE(1576), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2226), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2236), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(954), 2,
      sym__not_in,
      sym__is_not,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2224), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2096), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2218), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72120] = 8,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2212), 1,
      anon_sym_LPAREN,
    ACTIONS(2220), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1205), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [72176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72266] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72313] = 8,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72368] = 8,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72468] = 10,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72527] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(667), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(669), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72578] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(667), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(669), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72629] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1660), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72725] = 8,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72780] = 11,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72841] = 15,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72910] = 8,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72965] = 10,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73069] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73116] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73163] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73210] = 14,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73277] = 13,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73342] = 15,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(2403), 1,
      anon_sym_PIPE,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73411] = 12,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73879] = 5,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [73928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74018] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74067] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2497), 1,
      anon_sym_LBRACK,
    STATE(1968), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74118] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2497), 1,
      anon_sym_LBRACK,
    STATE(1970), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74169] = 14,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_AMP,
    ACTIONS(2407), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74281] = 13,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(2407), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74571] = 8,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74626] = 8,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74771] = 8,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74826] = 8,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74881] = 15,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(2341), 1,
      anon_sym_AMP,
    ACTIONS(2343), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2436), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2434), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74950] = 8,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75005] = 10,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75064] = 14,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(2341), 1,
      anon_sym_AMP,
    ACTIONS(2343), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75131] = 13,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(2343), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75196] = 12,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2327), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75349] = 5,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1116), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1570), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75398] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75445] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75492] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75629] = 5,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1117), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2355), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2353), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75678] = 5,
    ACTIONS(2539), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1117), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2316), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2314), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75727] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75907] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(767), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75956] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(767), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76005] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76054] = 12,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2391), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76162] = 8,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76217] = 7,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1675), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1673), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 23,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76270] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76319] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76368] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76462] = 11,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2389), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2401), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2399), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76613] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    STATE(1984), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76664] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    STATE(1988), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76715] = 8,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76770] = 8,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2387), 1,
      anon_sym_LPAREN,
    ACTIONS(2395), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1409), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76825] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76874] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(667), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(669), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76925] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(674), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(667), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(669), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77021] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77113] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77205] = 11,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2323), 1,
      anon_sym_LPAREN,
    ACTIONS(2331), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2325), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2337), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2335), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2415), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77266] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77446] = 4,
    ACTIONS(1664), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77492] = 4,
    ACTIONS(1567), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77538] = 4,
    ACTIONS(1679), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77584] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77632] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77680] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77726] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77772] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77818] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77864] = 4,
    ACTIONS(1632), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78130] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(667), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(669), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78178] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(667), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(669), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78226] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79242] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79506] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79596] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80788] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80964] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81054] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81100] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81234] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    STATE(2076), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81592] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2469), 1,
      anon_sym_LBRACK,
    STATE(2090), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81686] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [81778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81822] = 8,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2419), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2417), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81876] = 8,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2423), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2421), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [82018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [82062] = 8,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82116] = 11,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2413), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82176] = 15,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(2456), 1,
      anon_sym_PIPE,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2436), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2434), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82244] = 8,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2415), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2413), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82298] = 10,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2413), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82356] = 14,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(2458), 1,
      anon_sym_AMP,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82422] = 13,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(2460), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2413), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82486] = 12,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2440), 1,
      anon_sym_LPAREN,
    ACTIONS(2448), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2442), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2444), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2454), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1440), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2452), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2413), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82548] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82596] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82644] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82692] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82740] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82788] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83144] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83192] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83240] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83332] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83424] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83470] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83516] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83826] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84050] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    STATE(2062), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84100] = 6,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    STATE(2077), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [84282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84325] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1682), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84370] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84417] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84464] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84509] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84554] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85158] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85248] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85338] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1632), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85727] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85942] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(320), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [85987] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(320), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86806] = 5,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2558), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2473), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2471), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87154] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2477), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2475), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87244] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1662), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1667), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [87289] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1565), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [87334] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1677), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1682), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1686), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [87379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87422] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87469] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1635), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1637), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [87514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87729] = 7,
    ACTIONS(1675), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1673), 5,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1652), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1654), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [87780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88167] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1667), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88255] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88386] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1679), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1682), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88474] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88521] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88568] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1657), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88656] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88746] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1632), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89264] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1667), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89395] = 7,
    ACTIONS(1675), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1673), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1652), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1654), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89575] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89663] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(767), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89710] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(767), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2556), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2554), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1645), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90010] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1673), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1652), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1654), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90058] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90100] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1677), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1630), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90230] = 7,
    ACTIONS(1675), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1673), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1652), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1654), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [90280] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90366] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2544), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2542), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90662] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90706] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90750] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90836] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2572), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2570), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90964] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2562), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2560), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91218] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1565), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91304] = 4,
    ACTIONS(1572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2566), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2564), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2537), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2535), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91558] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91604] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(674), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(710), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1692), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1688), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1669), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1641), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91818] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(710), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(669), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1690), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1688), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1671), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1669), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1694), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1692), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91984] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1635), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1637), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92027] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1654), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1657), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1652), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1657), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1654), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92193] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1677), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1682), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1686), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1645), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1641), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1643), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1641), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92359] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(320), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92402] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1662), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1667), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92445] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(320), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92488] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1565), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1570), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1581), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1647), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1645), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92572] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(710), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(669), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(667), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92615] = 20,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2574), 1,
      sym_identifier,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    ACTIONS(2580), 1,
      anon_sym_if,
    ACTIONS(2582), 1,
      anon_sym_COLON,
    ACTIONS(2584), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2161), 1,
      sym_case_pattern,
    STATE(2625), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2225), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2590), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1914), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92689] = 20,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2574), 1,
      sym_identifier,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    ACTIONS(2580), 1,
      anon_sym_if,
    ACTIONS(2584), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2161), 1,
      sym_case_pattern,
    STATE(2662), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2225), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2590), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1914), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92763] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2241), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92831] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92899] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2624), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92967] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2626), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93035] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2202), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93103] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_RBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2203), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93171] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2204), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93239] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93307] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2656), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93375] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93443] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93511] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93579] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93647] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2244), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93715] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2153), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93783] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2154), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93851] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93919] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93987] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2163), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94055] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2678), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94123] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94191] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2160), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94259] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2684), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94327] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2686), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94395] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94463] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94531] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2692), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94599] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94667] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2696), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94735] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2190), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94803] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2700), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2191), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94871] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94939] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2704), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2194), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95007] = 18,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2706), 1,
      anon_sym_RPAREN,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95075] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2708), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95143] = 18,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2710), 1,
      anon_sym_RBRACK,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95211] = 17,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2574), 1,
      sym_identifier,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    ACTIONS(2584), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(1913), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2225), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2590), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1914), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95276] = 17,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2600), 1,
      sym_identifier,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    STATE(2370), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2426), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2614), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95341] = 17,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2630), 1,
      sym_identifier,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    STATE(2455), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2496), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2644), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2087), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95406] = 17,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2574), 1,
      sym_identifier,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    ACTIONS(2584), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2161), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2225), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2590), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1914), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95471] = 17,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(2712), 1,
      sym_identifier,
    ACTIONS(2714), 1,
      anon_sym_LPAREN,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2720), 1,
      anon_sym_LBRACK,
    ACTIONS(2722), 1,
      anon_sym_DASH,
    ACTIONS(2726), 1,
      anon_sym_LBRACE,
    ACTIONS(2728), 1,
      sym_integer,
    ACTIONS(2730), 1,
      sym_float,
    STATE(1894), 1,
      sym_string,
    STATE(2008), 1,
      sym_dotted_name,
    STATE(2272), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2493), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2724), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2093), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95536] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95602] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95668] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95734] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95800] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95866] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95932] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95998] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96064] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96130] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96196] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96262] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2758), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2082), 1,
      sym_splat_pattern,
    STATE(2328), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96328] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2760), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2021), 1,
      sym_splat_pattern,
    STATE(2478), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96394] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2762), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96460] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2764), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2108), 1,
      sym_splat_pattern,
    STATE(2287), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96526] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2766), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2044), 1,
      sym_splat_pattern,
    STATE(2286), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96592] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2768), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96658] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2770), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96724] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2772), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96790] = 18,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96856] = 17,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      sym_identifier,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_splat_pattern,
    STATE(2526), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2734), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2473), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96919] = 15,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2776), 1,
      sym_identifier,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2778), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2059), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96977] = 15,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(2632), 1,
      anon_sym_LPAREN,
    ACTIONS(2634), 1,
      anon_sym_STAR,
    ACTIONS(2636), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2638), 1,
      anon_sym_LBRACK,
    ACTIONS(2642), 1,
      anon_sym_DASH,
    ACTIONS(2646), 1,
      anon_sym_LBRACE,
    ACTIONS(2648), 1,
      sym_integer,
    ACTIONS(2650), 1,
      sym_float,
    ACTIONS(2776), 1,
      sym_identifier,
    STATE(1877), 1,
      sym_string,
    STATE(2085), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2780), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2058), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97035] = 15,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(2714), 1,
      anon_sym_LPAREN,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2720), 1,
      anon_sym_LBRACK,
    ACTIONS(2722), 1,
      anon_sym_DASH,
    ACTIONS(2726), 1,
      anon_sym_LBRACE,
    ACTIONS(2728), 1,
      sym_integer,
    ACTIONS(2730), 1,
      sym_float,
    ACTIONS(2782), 1,
      sym_identifier,
    STATE(1894), 1,
      sym_string,
    STATE(2008), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2784), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2066), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97093] = 15,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2786), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2788), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2106), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97151] = 15,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(2602), 1,
      anon_sym_LPAREN,
    ACTIONS(2606), 1,
      anon_sym_STAR,
    ACTIONS(2608), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2610), 1,
      anon_sym_LBRACK,
    ACTIONS(2612), 1,
      anon_sym_DASH,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
    ACTIONS(2618), 1,
      sym_integer,
    ACTIONS(2620), 1,
      sym_float,
    ACTIONS(2786), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(2069), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2790), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2105), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97209] = 15,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    ACTIONS(2584), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2732), 1,
      sym_identifier,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2792), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1972), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97267] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2126), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_EQ,
    STATE(1567), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2128), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(965), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2106), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97313] = 15,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(2714), 1,
      anon_sym_LPAREN,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2720), 1,
      anon_sym_LBRACK,
    ACTIONS(2722), 1,
      anon_sym_DASH,
    ACTIONS(2726), 1,
      anon_sym_LBRACE,
    ACTIONS(2728), 1,
      sym_integer,
    ACTIONS(2730), 1,
      sym_float,
    ACTIONS(2782), 1,
      sym_identifier,
    STATE(1894), 1,
      sym_string,
    STATE(2008), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2063), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97371] = 15,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_STAR,
    ACTIONS(2584), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2586), 1,
      anon_sym_LBRACK,
    ACTIONS(2588), 1,
      anon_sym_DASH,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    ACTIONS(2594), 1,
      sym_integer,
    ACTIONS(2596), 1,
      sym_float,
    ACTIONS(2732), 1,
      sym_identifier,
    STATE(1820), 1,
      sym_string,
    STATE(1912), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2800), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1895), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [97429] = 9,
    ACTIONS(2807), 1,
      anon_sym_EQ,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2812), 1,
      anon_sym_is,
    STATE(1567), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2815), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(965), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2804), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97475] = 9,
    ACTIONS(2807), 1,
      anon_sym_as,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2821), 1,
      anon_sym_is,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2824), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(897), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2818), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97520] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2262), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_as,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2264), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(897), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2246), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97565] = 9,
    ACTIONS(2807), 1,
      anon_sym_EQ,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2830), 1,
      anon_sym_is,
    STATE(1570), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(957), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2827), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97609] = 9,
    ACTIONS(2807), 1,
      anon_sym_EQ,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2839), 1,
      anon_sym_is,
    STATE(1571), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2842), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(904), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2836), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97653] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2381), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_EQ,
    STATE(1571), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2383), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(904), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2365), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97697] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2345), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_EQ,
    STATE(1570), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(957), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2329), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97741] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2310), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_as,
    STATE(1577), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2312), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(932), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2294), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97784] = 9,
    ACTIONS(2807), 1,
      anon_sym_EQ,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2848), 1,
      anon_sym_is,
    STATE(1575), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2851), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(954), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2845), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97827] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2234), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_EQ,
    STATE(1575), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2236), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(954), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2218), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97870] = 9,
    ACTIONS(2807), 1,
      anon_sym_as,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2857), 1,
      anon_sym_is,
    STATE(1577), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2860), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(932), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2854), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97913] = 8,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2462), 1,
      anon_sym_is,
    STATE(1579), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2464), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(945), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2446), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97954] = 8,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2866), 1,
      anon_sym_is,
    STATE(1579), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2869), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(945), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2863), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97995] = 9,
    ACTIONS(2807), 1,
      anon_sym_as,
    ACTIONS(2809), 1,
      anon_sym_not,
    ACTIONS(2875), 1,
      anon_sym_is,
    STATE(1580), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2878), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(876), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2872), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2802), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [98037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2883), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2881), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [98067] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98099] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98131] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1667), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1662), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98163] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98195] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1677), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98227] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1630), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2887), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2885), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [98289] = 9,
    ACTIONS(2120), 1,
      anon_sym_not,
    ACTIONS(2409), 1,
      anon_sym_is,
    ACTIONS(2796), 1,
      anon_sym_as,
    STATE(1580), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(876), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2393), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2794), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [98331] = 4,
    ACTIONS(2891), 1,
      anon_sym_COMMA,
    STATE(1590), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98361] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98391] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98421] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(667), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98451] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2894), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98481] = 4,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    STATE(1590), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(995), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98511] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1435), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98541] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1435), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98571] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1667), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98600] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1667), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98629] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98658] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98687] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98716] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1435), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98745] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1435), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98774] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2894), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98803] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1667), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98832] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98861] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1677), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98890] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1630), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98919] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98948] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(667), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98977] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(667), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99006] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1677), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99060] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99089] = 13,
    ACTIONS(2349), 1,
      anon_sym_DOT,
    ACTIONS(2351), 1,
      anon_sym_LBRACK,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99136] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2898), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99161] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99190] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99219] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1630), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99248] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1682), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1677), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99277] = 13,
    ACTIONS(2357), 1,
      anon_sym_DOT,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99324] = 13,
    ACTIONS(2098), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_LBRACK,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99371] = 13,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(2397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99418] = 13,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(2900), 1,
      anon_sym_DOT,
    ACTIONS(2902), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99465] = 13,
    ACTIONS(2210), 1,
      anon_sym_DOT,
    ACTIONS(2222), 1,
      anon_sym_LBRACK,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99512] = 13,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99584] = 13,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(2438), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99631] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1570), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1565), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99660] = 13,
    ACTIONS(2238), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_LBRACK,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99707] = 13,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(2298), 1,
      anon_sym_LBRACK,
    ACTIONS(2359), 1,
      anon_sym_LPAREN,
    ACTIONS(2367), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2375), 1,
      anon_sym_PIPE,
    ACTIONS(2377), 1,
      anon_sym_AMP,
    ACTIONS(2379), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2361), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2363), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2373), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1397), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2371), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99754] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1635), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1630), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99783] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2904), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99808] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(320), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99837] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2912), 1,
      anon_sym_COLON,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2737), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99883] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2918), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2675), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2904), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99953] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2920), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2712), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100023] = 5,
    ACTIONS(2924), 1,
      anon_sym_COLON,
    ACTIONS(2926), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2922), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2928), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100053] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2930), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2747), 1,
      sym__parameters,
    STATE(2755), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100099] = 4,
    ACTIONS(2932), 1,
      anon_sym_COMMA,
    STATE(1643), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100127] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2935), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2655), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100173] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2937), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2623), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2898), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100243] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2939), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2637), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100289] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2941), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2721), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100335] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2943), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2738), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100381] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100405] = 6,
    ACTIONS(2924), 1,
      anon_sym_COLON,
    ACTIONS(2926), 1,
      anon_sym_EQ,
    ACTIONS(2945), 1,
      anon_sym_COMMA,
    STATE(1595), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2928), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100437] = 6,
    ACTIONS(2924), 1,
      anon_sym_COLON,
    ACTIONS(2926), 1,
      anon_sym_EQ,
    ACTIONS(2947), 1,
      anon_sym_COMMA,
    STATE(1653), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2928), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100469] = 4,
    ACTIONS(2949), 1,
      anon_sym_COMMA,
    STATE(1643), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(995), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100497] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2951), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2743), 1,
      sym_lambda_parameters,
    STATE(2747), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100543] = 13,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2953), 1,
      anon_sym_COLON,
    STATE(2299), 1,
      sym_parameter,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2747), 1,
      sym__parameters,
    STATE(2787), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100589] = 12,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_RPAREN,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    STATE(2417), 1,
      sym_parameter,
    STATE(2419), 1,
      sym_tuple_pattern,
    STATE(2621), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2422), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2547), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100632] = 11,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2967), 1,
      anon_sym_COLON,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2541), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100672] = 11,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    ACTIONS(2967), 1,
      anon_sym_RPAREN,
    STATE(2419), 1,
      sym_tuple_pattern,
    STATE(2516), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2422), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2547), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100712] = 11,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    ACTIONS(2969), 1,
      anon_sym_COLON,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2541), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100752] = 4,
    ACTIONS(2924), 1,
      anon_sym_COLON,
    ACTIONS(2926), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2928), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100778] = 11,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    ACTIONS(2969), 1,
      anon_sym_RPAREN,
    STATE(2419), 1,
      sym_tuple_pattern,
    STATE(2516), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2422), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2547), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100818] = 10,
    ACTIONS(2906), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_STAR,
    ACTIONS(2914), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    STATE(2343), 1,
      sym_tuple_pattern,
    STATE(2541), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2560), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100855] = 11,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2762), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [100894] = 10,
    ACTIONS(2955), 1,
      sym_identifier,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    ACTIONS(2961), 1,
      anon_sym_STAR,
    ACTIONS(2963), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2965), 1,
      anon_sym_SLASH,
    STATE(2419), 1,
      sym_tuple_pattern,
    STATE(2516), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2422), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2547), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100931] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2739), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100972] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100999] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2699), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101040] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101059] = 4,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [101082] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101101] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2676), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101142] = 3,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [101163] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2641), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101204] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2632), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101245] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2763), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101286] = 5,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3021), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [101311] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [101338] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2788), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101398] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [101425] = 13,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2991), 1,
      anon_sym_COLON,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2789), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101466] = 12,
    ACTIONS(3028), 1,
      anon_sym_RPAREN,
    ACTIONS(3030), 1,
      anon_sym_COMMA,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2318), 1,
      aux_sym_argument_list_repeat1,
    STATE(2766), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101504] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3050), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1684), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3052), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101564] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2749), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101602] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    ACTIONS(3060), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2288), 1,
      aux_sym_argument_list_repeat1,
    STATE(2749), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3062), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3064), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1687), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101700] = 9,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3068), 1,
      anon_sym_COMMA,
    STATE(2200), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3066), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2971), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [101732] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3070), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1691), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3072), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101792] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2635), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101830] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2635), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101868] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2273), 1,
      aux_sym_argument_list_repeat1,
    STATE(2635), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101906] = 3,
    ACTIONS(2110), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [101926] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3083), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1697), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3085), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101986] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2766), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102024] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    ACTIONS(3091), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2396), 1,
      aux_sym_argument_list_repeat1,
    STATE(2644), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102062] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2644), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3095), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1702), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3097), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102160] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2687), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102198] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2362), 1,
      aux_sym_argument_list_repeat1,
    STATE(2687), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102236] = 3,
    ACTIONS(3105), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102256] = 3,
    ACTIONS(3107), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3109), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102306] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2668), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3113), 1,
      anon_sym_LBRACE,
    ACTIONS(3119), 1,
      anon_sym_BSLASH,
    ACTIONS(3122), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3116), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102374] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
    ACTIONS(3126), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2391), 1,
      aux_sym_argument_list_repeat1,
    STATE(2668), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3128), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1712), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3130), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102472] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3132), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2664), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102510] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2416), 1,
      aux_sym_argument_list_repeat1,
    STATE(2664), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102548] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3138), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1716), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3140), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102608] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3142), 1,
      anon_sym_RPAREN,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2628), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102646] = 12,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3144), 1,
      anon_sym_RPAREN,
    ACTIONS(3146), 1,
      anon_sym_COMMA,
    STATE(1893), 1,
      sym_for_in_clause,
    STATE(2443), 1,
      aux_sym_argument_list_repeat1,
    STATE(2628), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3148), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1720), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3150), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1709), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102744] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2759), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102782] = 6,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102808] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2762), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102846] = 6,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102872] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2776), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102910] = 5,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3154), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [102934] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2689), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102972] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2695), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103010] = 4,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(3107), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [103032] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2666), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103070] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2629), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103108] = 12,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(1846), 1,
      sym_for_in_clause,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2722), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103146] = 6,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2975), 1,
      anon_sym_if,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103172] = 5,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3157), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103196] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3044), 1,
      anon_sym_LBRACE,
    ACTIONS(3048), 1,
      anon_sym_BSLASH,
    ACTIONS(3159), 1,
      sym_string_end,
    STATE(1797), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3046), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1707), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [103226] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103243] = 8,
    ACTIONS(3161), 1,
      anon_sym_COMMA,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    STATE(1979), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3167), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103272] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103289] = 5,
    ACTIONS(3173), 1,
      anon_sym_as,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 7,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103312] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103337] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103362] = 4,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103383] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103400] = 3,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [103419] = 4,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 8,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103440] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103499] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103516] = 3,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [103535] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103560] = 5,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103583] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103608] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103633] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103658] = 8,
    ACTIONS(3161), 1,
      anon_sym_COMMA,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    STATE(1979), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103687] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103712] = 4,
    ACTIONS(3199), 1,
      anon_sym_DOT,
    STATE(1758), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103732] = 3,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [103750] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103766] = 3,
    ACTIONS(3105), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103784] = 4,
    ACTIONS(3206), 1,
      anon_sym_DOT,
    STATE(1758), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103804] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103828] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103852] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103876] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103900] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103924] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103940] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103964] = 9,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3218), 1,
      anon_sym_from,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3216), 2,
      sym__newline,
      anon_sym_SEMI,
  [103994] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104010] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [104050] = 5,
    ACTIONS(3206), 1,
      anon_sym_DOT,
    ACTIONS(3224), 1,
      anon_sym_EQ,
    STATE(1762), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104072] = 6,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104096] = 6,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104120] = 5,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3226), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [104142] = 5,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3229), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104164] = 4,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104184] = 4,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [104204] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [104228] = 5,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3157), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104250] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [104266] = 3,
    ACTIONS(3107), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [104284] = 4,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3107), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [104304] = 3,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_or,
      sym_type_conversion,
  [104322] = 3,
    ACTIONS(2110), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [104340] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104364] = 4,
    ACTIONS(3206), 1,
      anon_sym_DOT,
    STATE(1762), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104384] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [104424] = 6,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104448] = 5,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3234), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [104470] = 5,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    ACTIONS(3239), 1,
      anon_sym_EQ,
    STATE(1885), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [104491] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3241), 1,
      anon_sym_COMMA,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3245), 1,
      anon_sym_RBRACK,
    STATE(2276), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104520] = 5,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3253), 1,
      anon_sym_BSLASH,
    ACTIONS(3249), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1800), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3251), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104564] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3255), 1,
      anon_sym_async,
    ACTIONS(3257), 1,
      anon_sym_def,
    ACTIONS(3259), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(829), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1934), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [104589] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(2209), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3261), 2,
      sym__newline,
      anon_sym_SEMI,
  [104616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3270), 1,
      anon_sym_BSLASH,
    ACTIONS(3265), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1800), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3267), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104639] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3273), 1,
      anon_sym_COMMA,
    ACTIONS(3275), 1,
      anon_sym_RBRACK,
    STATE(2394), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 8,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104683] = 6,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2989), 1,
      anon_sym_if,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3277), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104706] = 6,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3026), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104729] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3281), 1,
      anon_sym_COMMA,
    STATE(2157), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3279), 2,
      sym__newline,
      anon_sym_SEMI,
  [104756] = 5,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104777] = 7,
    ACTIONS(1559), 1,
      anon_sym_except,
    ACTIONS(1563), 1,
      anon_sym_except_STAR,
    ACTIONS(3283), 1,
      anon_sym_finally,
    STATE(814), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(588), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(589), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [104802] = 5,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104823] = 5,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104844] = 3,
    ACTIONS(3105), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3013), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104861] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3285), 1,
      anon_sym_COMMA,
    ACTIONS(3287), 1,
      anon_sym_RBRACK,
    STATE(2420), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104890] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(2159), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3289), 2,
      sym__newline,
      anon_sym_SEMI,
  [104917] = 5,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104938] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3291), 1,
      anon_sym_COMMA,
    ACTIONS(3293), 1,
      anon_sym_RBRACK,
    STATE(2445), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104967] = 5,
    ACTIONS(3295), 1,
      anon_sym_DOT,
    ACTIONS(3297), 1,
      anon_sym_EQ,
    STATE(1866), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [104988] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3299), 1,
      anon_sym_COMMA,
    ACTIONS(3301), 1,
      anon_sym_RBRACK,
    STATE(2451), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105017] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3303), 1,
      anon_sym_COMMA,
    ACTIONS(3305), 1,
      anon_sym_RBRACK,
    STATE(2390), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105046] = 3,
    ACTIONS(2110), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2096), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [105063] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_RBRACK,
    STATE(2321), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105092] = 4,
    ACTIONS(328), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(994), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3311), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105111] = 7,
    ACTIONS(1503), 1,
      anon_sym_except,
    ACTIONS(1507), 1,
      anon_sym_except_STAR,
    ACTIONS(3313), 1,
      anon_sym_finally,
    STATE(755), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(495), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(503), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [105136] = 5,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105157] = 7,
    ACTIONS(1559), 1,
      anon_sym_except,
    ACTIONS(1563), 1,
      anon_sym_except_STAR,
    ACTIONS(3283), 1,
      anon_sym_finally,
    STATE(846), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(607), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(608), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [105182] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3068), 1,
      anon_sym_COMMA,
    STATE(2200), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3066), 2,
      sym__newline,
      anon_sym_SEMI,
  [105209] = 6,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3003), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [105232] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3315), 2,
      sym__newline,
      anon_sym_SEMI,
  [105259] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2922), 2,
      sym__newline,
      anon_sym_SEMI,
  [105286] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3317), 2,
      sym__newline,
      anon_sym_SEMI,
  [105313] = 7,
    ACTIONS(1503), 1,
      anon_sym_except,
    ACTIONS(1507), 1,
      anon_sym_except_STAR,
    ACTIONS(3313), 1,
      anon_sym_finally,
    STATE(792), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(572), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(573), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [105338] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3321), 1,
      anon_sym_RBRACK,
    STATE(2447), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105367] = 5,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [105388] = 5,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [105409] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3323), 1,
      anon_sym_COMMA,
    ACTIONS(3325), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105438] = 8,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3220), 1,
      anon_sym_COMMA,
    STATE(2017), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 2,
      sym__newline,
      anon_sym_SEMI,
  [105465] = 6,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_if,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [105488] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3327), 1,
      anon_sym_async,
    ACTIONS(3329), 1,
      anon_sym_def,
    ACTIONS(3331), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(801), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1934), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [105513] = 5,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3333), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3019), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105534] = 5,
    ACTIONS(3336), 1,
      anon_sym_DOT,
    ACTIONS(3338), 1,
      anon_sym_EQ,
    STATE(1884), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105555] = 5,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3247), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105576] = 5,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3157), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105597] = 3,
    ACTIONS(3107), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [105614] = 4,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3107), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3017), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [105633] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [105656] = 9,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RBRACK,
    STATE(2458), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105685] = 6,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3344), 1,
      anon_sym_RPAREN,
    ACTIONS(3346), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1887), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105707] = 6,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(3348), 1,
      anon_sym_if,
    ACTIONS(3350), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1855), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105729] = 8,
    ACTIONS(3195), 1,
      anon_sym_RBRACK,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3352), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105755] = 8,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3356), 1,
      anon_sym_COLON,
    STATE(2298), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105781] = 8,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3358), 1,
      anon_sym_COMMA,
    ACTIONS(3360), 1,
      anon_sym_COLON,
    STATE(2268), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105807] = 8,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3362), 1,
      anon_sym_COLON,
    STATE(2298), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105833] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2384), 1,
      aux_sym_dictionary_repeat1,
    STATE(2753), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105859] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3370), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2263), 1,
      aux_sym_dictionary_repeat1,
    STATE(2748), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105885] = 4,
    ACTIONS(3372), 1,
      anon_sym_DOT,
    STATE(1853), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105903] = 6,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3344), 1,
      anon_sym_RBRACE,
    ACTIONS(3375), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1890), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105925] = 6,
    ACTIONS(2977), 1,
      anon_sym_async,
    ACTIONS(2979), 1,
      anon_sym_for,
    ACTIONS(3344), 1,
      anon_sym_RBRACK,
    ACTIONS(3348), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1880), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105947] = 7,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(3377), 1,
      anon_sym_DOT,
    ACTIONS(3379), 1,
      anon_sym___future__,
    STATE(2252), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2441), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2733), 2,
      sym_relative_import,
      sym_dotted_name,
  [105971] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2492), 1,
      aux_sym_dictionary_repeat1,
    STATE(2764), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105997] = 4,
    ACTIONS(801), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1035), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3311), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106015] = 4,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    STATE(1885), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106033] = 6,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3350), 1,
      anon_sym_RBRACE,
    ACTIONS(3375), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1854), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106055] = 7,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3243), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106079] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3387), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [106101] = 8,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    ACTIONS(3389), 1,
      anon_sym_COMMA,
    STATE(2355), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106127] = 8,
    ACTIONS(3391), 1,
      sym_identifier,
    ACTIONS(3393), 1,
      anon_sym_LPAREN,
    ACTIONS(3395), 1,
      anon_sym_STAR,
    STATE(2114), 1,
      sym_dotted_name,
    STATE(2218), 1,
      sym_aliased_import,
    STATE(2566), 1,
      sym__import_list,
    STATE(2570), 1,
      sym_wildcard_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106153] = 8,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    STATE(2273), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106179] = 4,
    ACTIONS(3295), 1,
      anon_sym_DOT,
    STATE(1853), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106197] = 7,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3397), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106221] = 4,
    ACTIONS(3295), 1,
      anon_sym_DOT,
    STATE(1866), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106239] = 8,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3399), 1,
      anon_sym_COLON,
    STATE(2298), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106265] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2354), 1,
      aux_sym_dictionary_repeat1,
    STATE(2703), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106291] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2435), 1,
      aux_sym_dictionary_repeat1,
    STATE(2633), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106317] = 8,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3354), 1,
      anon_sym_COMMA,
    ACTIONS(3409), 1,
      anon_sym_COLON,
    STATE(2298), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106343] = 5,
    ACTIONS(2973), 1,
      anon_sym_as,
    ACTIONS(2981), 1,
      anon_sym_and,
    ACTIONS(2983), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3411), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3413), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3311), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106379] = 4,
    ACTIONS(3415), 1,
      anon_sym_DOT,
    STATE(1875), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106397] = 5,
    ACTIONS(2987), 1,
      anon_sym_as,
    ACTIONS(2999), 1,
      anon_sym_and,
    ACTIONS(3001), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3411), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106417] = 4,
    ACTIONS(755), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1116), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3311), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106435] = 7,
    ACTIONS(1419), 1,
      anon_sym_COLON,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106459] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3418), 1,
      anon_sym_COMMA,
    ACTIONS(3420), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2310), 1,
      aux_sym_dictionary_repeat1,
    STATE(2791), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106485] = 6,
    ACTIONS(3422), 1,
      anon_sym_if,
    ACTIONS(3425), 1,
      anon_sym_async,
    ACTIONS(3428), 1,
      anon_sym_for,
    ACTIONS(3431), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1880), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106507] = 5,
    ACTIONS(3032), 1,
      anon_sym_as,
    ACTIONS(3040), 1,
      anon_sym_and,
    ACTIONS(3042), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3411), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106527] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2261), 1,
      aux_sym_dictionary_repeat1,
    STATE(2616), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106553] = 4,
    ACTIONS(3437), 1,
      anon_sym_DOT,
    STATE(1883), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106571] = 4,
    ACTIONS(3336), 1,
      anon_sym_DOT,
    STATE(1883), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106589] = 4,
    ACTIONS(3237), 1,
      anon_sym_DOT,
    STATE(1875), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106607] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3440), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [106629] = 6,
    ACTIONS(3431), 1,
      anon_sym_RPAREN,
    ACTIONS(3442), 1,
      anon_sym_if,
    ACTIONS(3445), 1,
      anon_sym_async,
    ACTIONS(3448), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1887), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106651] = 8,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3451), 1,
      anon_sym_COMMA,
    ACTIONS(3453), 1,
      anon_sym_COLON,
    STATE(2491), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106677] = 8,
    ACTIONS(2993), 1,
      anon_sym_async,
    ACTIONS(2995), 1,
      anon_sym_for,
    ACTIONS(3455), 1,
      anon_sym_COMMA,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      sym_for_in_clause,
    STATE(2409), 1,
      aux_sym_dictionary_repeat1,
    STATE(2677), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106703] = 6,
    ACTIONS(3431), 1,
      anon_sym_RBRACE,
    ACTIONS(3459), 1,
      anon_sym_if,
    ACTIONS(3462), 1,
      anon_sym_async,
    ACTIONS(3465), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1890), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3468), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106741] = 4,
    ACTIONS(3336), 1,
      anon_sym_DOT,
    STATE(1884), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106759] = 6,
    ACTIONS(3036), 1,
      anon_sym_async,
    ACTIONS(3038), 1,
      anon_sym_for,
    ACTIONS(3346), 1,
      anon_sym_if,
    ACTIONS(3350), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1845), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106781] = 4,
    ACTIONS(708), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(984), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3311), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106799] = 3,
    STATE(1933), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106814] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3474), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3478), 1,
      anon_sym_BSLASH,
    ACTIONS(3476), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106852] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106873] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106894] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3482), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106915] = 4,
    ACTIONS(3484), 1,
      anon_sym_DOT,
    STATE(1940), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3222), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [106932] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3488), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3311), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106960] = 4,
    ACTIONS(3490), 1,
      anon_sym_COMMA,
    STATE(1929), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3492), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3494), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3311), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [106992] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1457), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3496), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3468), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107028] = 4,
    ACTIONS(3500), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3498), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3502), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107071] = 7,
    ACTIONS(3504), 1,
      anon_sym_DOT,
    ACTIONS(3506), 1,
      anon_sym_COMMA,
    ACTIONS(3508), 1,
      anon_sym_COLON,
    ACTIONS(3510), 1,
      anon_sym_RBRACK,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    STATE(2324), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107094] = 3,
    ACTIONS(3514), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [107109] = 7,
    ACTIONS(3516), 1,
      anon_sym_COMMA,
    ACTIONS(3518), 1,
      anon_sym_as,
    ACTIONS(3520), 1,
      anon_sym_if,
    ACTIONS(3522), 1,
      anon_sym_COLON,
    STATE(2046), 1,
      aux_sym_case_clause_repeat1,
    STATE(2756), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107132] = 4,
    ACTIONS(3526), 1,
      anon_sym_PIPE,
    STATE(1933), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107149] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3528), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107170] = 4,
    ACTIONS(3530), 1,
      anon_sym_COMMA,
    STATE(1966), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107187] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3534), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107200] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107213] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107226] = 5,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3540), 1,
      anon_sym_COLON,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3536), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [107245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3546), 1,
      anon_sym_BSLASH,
    ACTIONS(3544), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107262] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3502), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107288] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 2,
      sym__newline,
      anon_sym_SEMI,
  [107309] = 4,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    STATE(1978), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107326] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3554), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107347] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107368] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3556), 2,
      sym__newline,
      anon_sym_SEMI,
  [107389] = 4,
    ACTIONS(3558), 1,
      anon_sym_COMMA,
    STATE(1969), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3498), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107419] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107440] = 4,
    ACTIONS(3562), 1,
      anon_sym_COMMA,
    STATE(1908), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3492), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107457] = 4,
    ACTIONS(3526), 1,
      anon_sym_PIPE,
    STATE(1980), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3564), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107474] = 4,
    ACTIONS(3568), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1934), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3566), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [107491] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3534), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107504] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3482), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [107525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3571), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3468), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107540] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3502), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107553] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1449), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107574] = 4,
    ACTIONS(3484), 1,
      anon_sym_DOT,
    STATE(1965), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [107591] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3575), 1,
      anon_sym_BSLASH,
    ACTIONS(3573), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107629] = 7,
    ACTIONS(3504), 1,
      anon_sym_DOT,
    ACTIONS(3508), 1,
      anon_sym_COLON,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    ACTIONS(3577), 1,
      anon_sym_COMMA,
    ACTIONS(3579), 1,
      anon_sym_RBRACK,
    STATE(2284), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107652] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3277), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107673] = 4,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3581), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3468), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3583), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107718] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3585), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107739] = 6,
    ACTIONS(3163), 1,
      anon_sym_as,
    ACTIONS(3165), 1,
      anon_sym_if,
    ACTIONS(3169), 1,
      anon_sym_and,
    ACTIONS(3171), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3587), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107760] = 7,
    ACTIONS(3504), 1,
      anon_sym_DOT,
    ACTIONS(3508), 1,
      anon_sym_COLON,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_COMMA,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    STATE(2350), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107783] = 4,
    ACTIONS(3593), 1,
      anon_sym_COMMA,
    STATE(1993), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3498), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107813] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3595), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107834] = 4,
    ACTIONS(3599), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3597), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107851] = 4,
    ACTIONS(3601), 1,
      anon_sym_COMMA,
    STATE(1951), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3492), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107868] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3583), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107881] = 4,
    ACTIONS(3605), 1,
      anon_sym_COMMA,
    STATE(1957), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3603), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3583), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107911] = 5,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_COLON,
    ACTIONS(3612), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3536), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [107930] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3616), 1,
      anon_sym_BSLASH,
    ACTIONS(3614), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3620), 1,
      anon_sym_BSLASH,
    ACTIONS(3618), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3622), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3311), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107979] = 4,
    ACTIONS(3624), 1,
      anon_sym_COMMA,
    STATE(1994), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(995), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107996] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3554), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108017] = 4,
    ACTIONS(3626), 1,
      anon_sym_DOT,
    STATE(1965), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [108034] = 4,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(1969), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3597), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1673), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108064] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3631), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108077] = 4,
    ACTIONS(3633), 1,
      anon_sym_COMMA,
    STATE(1969), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3603), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [108094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3636), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108107] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3554), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108128] = 4,
    ACTIONS(3526), 1,
      anon_sym_PIPE,
    STATE(1933), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3638), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [108145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3642), 1,
      anon_sym_BSLASH,
    ACTIONS(3640), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108162] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108183] = 7,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3644), 1,
      anon_sym_COMMA,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108206] = 4,
    ACTIONS(3650), 1,
      anon_sym_COMMA,
    STATE(1954), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108223] = 7,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3652), 1,
      anon_sym_COMMA,
    ACTIONS(3654), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108246] = 4,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1993), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3597), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108263] = 4,
    ACTIONS(3658), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1299), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108280] = 4,
    ACTIONS(3660), 1,
      anon_sym_PIPE,
    STATE(1980), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [108297] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 2,
      sym__newline,
      anon_sym_SEMI,
  [108318] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1673), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108352] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3631), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108365] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3663), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108386] = 6,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3540), 1,
      anon_sym_COLON,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    ACTIONS(3667), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3665), 2,
      sym__newline,
      anon_sym_SEMI,
  [108407] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3636), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108454] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3534), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108467] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3585), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [108488] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3669), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108509] = 4,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    STATE(1993), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3603), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108526] = 4,
    ACTIONS(3674), 1,
      anon_sym_COMMA,
    STATE(1994), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3679), 1,
      anon_sym_BSLASH,
    ACTIONS(3677), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108560] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3587), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108581] = 6,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_COLON,
    ACTIONS(3612), 1,
      anon_sym_PIPE,
    ACTIONS(3683), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3681), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108602] = 7,
    ACTIONS(3504), 1,
      anon_sym_DOT,
    ACTIONS(3508), 1,
      anon_sym_COLON,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    ACTIONS(3685), 1,
      anon_sym_COMMA,
    ACTIONS(3687), 1,
      anon_sym_RBRACK,
    STATE(2280), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108625] = 6,
    ACTIONS(3202), 1,
      anon_sym_and,
    ACTIONS(3208), 1,
      anon_sym_as,
    ACTIONS(3210), 1,
      anon_sym_if,
    ACTIONS(3212), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108646] = 6,
    ACTIONS(3176), 1,
      anon_sym_and,
    ACTIONS(3178), 1,
      anon_sym_or,
    ACTIONS(3188), 1,
      anon_sym_as,
    ACTIONS(3190), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3214), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3691), 1,
      anon_sym_BSLASH,
    ACTIONS(3689), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [108684] = 4,
    ACTIONS(3693), 1,
      anon_sym_COMMA,
    STATE(2002), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108714] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3696), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108726] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3698), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108746] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3700), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2898), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108778] = 3,
    ACTIONS(3702), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [108792] = 4,
    ACTIONS(3704), 1,
      anon_sym_PIPE,
    STATE(2111), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [108808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108820] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108832] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108844] = 6,
    ACTIONS(3710), 1,
      anon_sym_LBRACE,
    ACTIONS(3712), 1,
      anon_sym_RBRACE,
    ACTIONS(3714), 1,
      aux_sym_format_specifier_token1,
    STATE(2117), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2465), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [108864] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108876] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3603), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108888] = 4,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(2072), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3564), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [108904] = 4,
    ACTIONS(3720), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1299), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [108920] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3722), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108940] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3724), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108964] = 5,
    ACTIONS(3728), 1,
      anon_sym_COMMA,
    ACTIONS(3730), 1,
      anon_sym_RBRACE,
    STATE(2282), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108982] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108994] = 4,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    STATE(2060), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3564), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109010] = 6,
    ACTIONS(3681), 1,
      anon_sym_COMMA,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3738), 1,
      anon_sym_COLON,
    ACTIONS(3740), 1,
      anon_sym_EQ,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3197), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [109042] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3744), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109074] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3748), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109106] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1673), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3583), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109130] = 5,
    ACTIONS(3391), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_dotted_name,
    STATE(2432), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3752), 2,
      sym__newline,
      anon_sym_SEMI,
  [109148] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3754), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109168] = 6,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(3758), 1,
      anon_sym_EQ,
    ACTIONS(3760), 1,
      anon_sym_RBRACE,
    ACTIONS(3762), 1,
      sym_type_conversion,
    STATE(2792), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109200] = 5,
    ACTIONS(3391), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_dotted_name,
    STATE(2432), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3752), 2,
      sym__newline,
      anon_sym_SEMI,
  [109218] = 5,
    ACTIONS(3391), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_dotted_name,
    STATE(2432), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 2,
      sym__newline,
      anon_sym_SEMI,
  [109236] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109248] = 6,
    ACTIONS(3768), 1,
      anon_sym_LBRACE,
    ACTIONS(3771), 1,
      anon_sym_RBRACE,
    ACTIONS(3773), 1,
      aux_sym_format_specifier_token1,
    STATE(2039), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2465), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [109268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109280] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3778), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109292] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3603), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3780), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109316] = 5,
    ACTIONS(3782), 1,
      anon_sym_COMMA,
    ACTIONS(3784), 1,
      anon_sym_RBRACE,
    STATE(2361), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3786), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109346] = 6,
    ACTIONS(2598), 1,
      anon_sym_COLON,
    ACTIONS(3520), 1,
      anon_sym_if,
    ACTIONS(3788), 1,
      anon_sym_COMMA,
    STATE(2164), 1,
      aux_sym_case_clause_repeat1,
    STATE(2662), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109366] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3790), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2904), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [109402] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3792), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109414] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3794), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109434] = 4,
    ACTIONS(3796), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [109450] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3799), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109470] = 6,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3801), 1,
      anon_sym_LPAREN,
    ACTIONS(3803), 1,
      anon_sym_COLON,
    STATE(2468), 1,
      sym_type_parameter,
    STATE(2698), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109490] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109502] = 6,
    ACTIONS(3005), 1,
      anon_sym_as,
    ACTIONS(3007), 1,
      anon_sym_if,
    ACTIONS(3009), 1,
      anon_sym_and,
    ACTIONS(3011), 1,
      anon_sym_or,
    ACTIONS(3807), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109522] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3809), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109542] = 4,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    STATE(2023), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3638), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109558] = 3,
    STATE(2023), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109572] = 4,
    ACTIONS(3811), 1,
      anon_sym_PIPE,
    STATE(2060), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109588] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1673), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109600] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3631), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109612] = 4,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(2016), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3638), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109628] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109640] = 6,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3814), 1,
      anon_sym_as,
    ACTIONS(3816), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109660] = 3,
    STATE(2016), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109674] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3818), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109694] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3820), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109714] = 3,
    ACTIONS(3822), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109728] = 6,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(3824), 1,
      anon_sym_EQ,
    ACTIONS(3826), 1,
      anon_sym_RBRACE,
    ACTIONS(3828), 1,
      sym_type_conversion,
    STATE(2769), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109748] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3830), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109768] = 4,
    ACTIONS(3832), 1,
      anon_sym_PIPE,
    STATE(2072), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109784] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3835), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109796] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109808] = 6,
    ACTIONS(3391), 1,
      sym_identifier,
    ACTIONS(3837), 1,
      anon_sym_LPAREN,
    STATE(2114), 1,
      sym_dotted_name,
    STATE(2218), 1,
      sym_aliased_import,
    STATE(2562), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109828] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3631), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3636), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109852] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109864] = 5,
    ACTIONS(3504), 1,
      anon_sym_DOT,
    ACTIONS(3508), 1,
      anon_sym_COLON,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3839), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109882] = 6,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3801), 1,
      anon_sym_LPAREN,
    ACTIONS(3841), 1,
      anon_sym_COLON,
    STATE(2507), 1,
      sym_type_parameter,
    STATE(2794), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109902] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3603), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109914] = 5,
    ACTIONS(3843), 1,
      anon_sym_COMMA,
    ACTIONS(3845), 1,
      anon_sym_RBRACE,
    STATE(2335), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109932] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3548), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109956] = 3,
    ACTIONS(3847), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109970] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3835), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [109982] = 4,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    STATE(2023), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109998] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110010] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3411), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3636), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110042] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3849), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3534), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110074] = 4,
    ACTIONS(3718), 1,
      anon_sym_PIPE,
    STATE(2016), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [110090] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3851), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110110] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3835), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [110122] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3853), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110142] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3502), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110154] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [110166] = 4,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3015), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [110182] = 5,
    ACTIONS(3538), 1,
      anon_sym_DOT,
    ACTIONS(3540), 1,
      anon_sym_COLON,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3855), 2,
      sym__newline,
      anon_sym_SEMI,
  [110200] = 5,
    ACTIONS(3504), 1,
      anon_sym_DOT,
    ACTIONS(3508), 1,
      anon_sym_COLON,
    ACTIONS(3512), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3536), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110218] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3857), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110230] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3859), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110250] = 5,
    ACTIONS(3608), 1,
      anon_sym_DOT,
    ACTIONS(3610), 1,
      anon_sym_COLON,
    ACTIONS(3612), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3681), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [110268] = 4,
    ACTIONS(3704), 1,
      anon_sym_PIPE,
    STATE(2111), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3638), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [110284] = 3,
    STATE(2111), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110310] = 5,
    ACTIONS(3863), 1,
      anon_sym_COMMA,
    ACTIONS(3865), 1,
      anon_sym_RBRACE,
    STATE(2292), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110328] = 5,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3738), 1,
      anon_sym_COLON,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3536), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [110346] = 6,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3814), 1,
      anon_sym_as,
    ACTIONS(3867), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110366] = 4,
    ACTIONS(3704), 1,
      anon_sym_PIPE,
    STATE(2121), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3564), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [110382] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110394] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3871), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110406] = 5,
    ACTIONS(3875), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_as,
    STATE(2217), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3873), 2,
      sym__newline,
      anon_sym_SEMI,
  [110424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3881), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110448] = 6,
    ACTIONS(3710), 1,
      anon_sym_LBRACE,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    ACTIONS(3885), 1,
      aux_sym_format_specifier_token1,
    STATE(2039), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2465), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [110468] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3778), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110480] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [110504] = 4,
    ACTIONS(3891), 1,
      anon_sym_PIPE,
    STATE(2121), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [110520] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [110532] = 6,
    ACTIONS(3180), 1,
      anon_sym_as,
    ACTIONS(3182), 1,
      anon_sym_if,
    ACTIONS(3184), 1,
      anon_sym_and,
    ACTIONS(3186), 1,
      anon_sym_or,
    ACTIONS(3894), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110596] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3896), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [110607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110618] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110629] = 5,
    ACTIONS(3898), 1,
      anon_sym_case,
    ACTIONS(3900), 1,
      sym__dedent,
    STATE(2234), 1,
      aux_sym__match_block_repeat1,
    STATE(2567), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3780), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3792), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3778), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110712] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3696), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3871), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3881), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110778] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110789] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110833] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3786), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110844] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3790), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3724), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110866] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110877] = 5,
    ACTIONS(3902), 1,
      anon_sym_RPAREN,
    ACTIONS(3904), 1,
      anon_sym_COMMA,
    ACTIONS(3906), 1,
      anon_sym_as,
    STATE(2341), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110894] = 5,
    ACTIONS(3908), 1,
      anon_sym_COMMA,
    ACTIONS(3910), 1,
      anon_sym_as,
    ACTIONS(3912), 1,
      anon_sym_RBRACK,
    STATE(2351), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110911] = 4,
    ACTIONS(3916), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3914), 2,
      sym__newline,
      anon_sym_SEMI,
  [110926] = 4,
    ACTIONS(3920), 1,
      anon_sym_COMMA,
    STATE(2155), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3918), 2,
      sym__newline,
      anon_sym_SEMI,
  [110941] = 4,
    ACTIONS(3924), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3922), 2,
      sym__newline,
      anon_sym_SEMI,
  [110956] = 5,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    ACTIONS(3926), 1,
      sym_identifier,
    STATE(2274), 1,
      sym_dotted_name,
    STATE(2606), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110973] = 4,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3928), 2,
      sym__newline,
      anon_sym_SEMI,
  [110988] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3930), 1,
      anon_sym_RPAREN,
    ACTIONS(3932), 1,
      anon_sym_COMMA,
    STATE(2285), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111005] = 3,
    ACTIONS(3518), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3934), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [111018] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [111029] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3938), 1,
      anon_sym_RPAREN,
    ACTIONS(3940), 1,
      anon_sym_COMMA,
    STATE(2410), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111046] = 4,
    ACTIONS(3942), 1,
      anon_sym_COMMA,
    STATE(2164), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3934), 2,
      anon_sym_if,
      anon_sym_COLON,
  [111061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3780), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3792), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3778), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111138] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111149] = 4,
    ACTIONS(3947), 1,
      anon_sym_DOT,
    STATE(2173), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3945), 2,
      anon_sym_import,
      sym_identifier,
  [111164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111175] = 4,
    ACTIONS(3952), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3950), 2,
      sym__newline,
      anon_sym_SEMI,
  [111190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3726), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111201] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3696), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111234] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3871), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111256] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3881), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111267] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3887), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3955), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [111291] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111302] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111313] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111324] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3786), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111346] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3957), 1,
      anon_sym_RPAREN,
    ACTIONS(3959), 1,
      anon_sym_COMMA,
    STATE(2289), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111363] = 5,
    ACTIONS(3910), 1,
      anon_sym_as,
    ACTIONS(3961), 1,
      anon_sym_COMMA,
    ACTIONS(3963), 1,
      anon_sym_RBRACK,
    STATE(2290), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3790), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3724), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111402] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3965), 1,
      anon_sym_RPAREN,
    ACTIONS(3967), 1,
      anon_sym_COMMA,
    STATE(2294), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111419] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2527), 1,
      sym_parameters,
    STATE(2553), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3869), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [111447] = 4,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(2238), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3971), 2,
      sym__newline,
      anon_sym_SEMI,
  [111462] = 5,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    ACTIONS(3926), 1,
      sym_identifier,
    STATE(2274), 1,
      sym_dotted_name,
    STATE(2606), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111479] = 4,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(2239), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3975), 2,
      sym__newline,
      anon_sym_SEMI,
  [111494] = 4,
    ACTIONS(3977), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1445), 2,
      sym__newline,
      anon_sym_SEMI,
  [111509] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2600), 1,
      sym_parameters,
    STATE(2602), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111526] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3979), 1,
      anon_sym_RPAREN,
    ACTIONS(3981), 1,
      anon_sym_COMMA,
    STATE(2331), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111543] = 5,
    ACTIONS(3910), 1,
      anon_sym_as,
    ACTIONS(3983), 1,
      anon_sym_COMMA,
    ACTIONS(3985), 1,
      anon_sym_RBRACK,
    STATE(2333), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111560] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3987), 1,
      anon_sym_RPAREN,
    ACTIONS(3989), 1,
      anon_sym_COMMA,
    STATE(2340), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111577] = 5,
    ACTIONS(3681), 1,
      anon_sym_COMMA,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3738), 1,
      anon_sym_COLON,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111605] = 5,
    ACTIONS(3898), 1,
      anon_sym_case,
    ACTIONS(3991), 1,
      sym__dedent,
    STATE(2234), 1,
      aux_sym__match_block_repeat1,
    STATE(2567), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111633] = 4,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(2052), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3993), 2,
      sym__newline,
      anon_sym_SEMI,
  [111648] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111659] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3780), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3792), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111681] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3805), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111692] = 5,
    ACTIONS(3873), 1,
      anon_sym_RPAREN,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    ACTIONS(3997), 1,
      anon_sym_as,
    STATE(2454), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111709] = 5,
    ACTIONS(3898), 1,
      anon_sym_case,
    ACTIONS(3999), 1,
      sym__dedent,
    STATE(2207), 1,
      aux_sym__match_block_repeat1,
    STATE(2567), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111726] = 4,
    ACTIONS(4003), 1,
      anon_sym_COMMA,
    STATE(2230), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4001), 2,
      sym__newline,
      anon_sym_SEMI,
  [111741] = 4,
    ACTIONS(4005), 1,
      anon_sym_COMMA,
    STATE(2230), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4001), 2,
      sym__newline,
      anon_sym_SEMI,
  [111756] = 4,
    ACTIONS(3875), 1,
      anon_sym_COMMA,
    STATE(2216), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3873), 2,
      sym__newline,
      anon_sym_SEMI,
  [111771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3857), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111782] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3861), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3696), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111804] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3871), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111815] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3879), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111826] = 5,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(4007), 1,
      anon_sym_RBRACE,
    ACTIONS(4009), 1,
      sym_type_conversion,
    STATE(2744), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [111854] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3881), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111865] = 4,
    ACTIONS(4013), 1,
      anon_sym_COLON,
    ACTIONS(4015), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3889), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111891] = 3,
    ACTIONS(3877), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4017), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [111904] = 4,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(2230), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4019), 2,
      sym__newline,
      anon_sym_SEMI,
  [111919] = 5,
    ACTIONS(3926), 1,
      sym_identifier,
    STATE(2214), 1,
      sym_dotted_name,
    STATE(2372), 1,
      sym_aliased_import,
    STATE(2706), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111936] = 5,
    ACTIONS(3926), 1,
      sym_identifier,
    STATE(2214), 1,
      sym_dotted_name,
    STATE(2372), 1,
      sym_aliased_import,
    STATE(2730), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111953] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111964] = 5,
    ACTIONS(4024), 1,
      anon_sym_case,
    ACTIONS(4027), 1,
      sym__dedent,
    STATE(2234), 1,
      aux_sym__match_block_repeat1,
    STATE(2567), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111981] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3732), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111992] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112003] = 5,
    ACTIONS(3766), 1,
      anon_sym_RPAREN,
    ACTIONS(3926), 1,
      sym_identifier,
    STATE(2274), 1,
      sym_dotted_name,
    STATE(2606), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112020] = 4,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(2245), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4029), 2,
      sym__newline,
      anon_sym_SEMI,
  [112035] = 4,
    ACTIONS(3973), 1,
      anon_sym_COMMA,
    STATE(2245), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4031), 2,
      sym__newline,
      anon_sym_SEMI,
  [112050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3786), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112061] = 5,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(4033), 1,
      anon_sym_RPAREN,
    ACTIONS(4035), 1,
      anon_sym_COMMA,
    STATE(2255), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112078] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3790), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3724), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [112100] = 5,
    ACTIONS(3910), 1,
      anon_sym_as,
    ACTIONS(4037), 1,
      anon_sym_COMMA,
    ACTIONS(4039), 1,
      anon_sym_RBRACK,
    STATE(2266), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112117] = 4,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(2245), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4041), 2,
      sym__newline,
      anon_sym_SEMI,
  [112132] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2585), 1,
      sym_parameters,
    STATE(2607), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112149] = 5,
    ACTIONS(1579), 1,
      anon_sym_LBRACK,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2586), 1,
      sym_parameters,
    STATE(2609), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112166] = 5,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3738), 1,
      anon_sym_COLON,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4046), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112183] = 5,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(4048), 1,
      anon_sym_RBRACE,
    ACTIONS(4050), 1,
      sym_type_conversion,
    STATE(2720), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112200] = 5,
    ACTIONS(3391), 1,
      sym_identifier,
    STATE(2114), 1,
      sym_dotted_name,
    STATE(2218), 1,
      sym_aliased_import,
    STATE(2522), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112217] = 5,
    ACTIONS(3898), 1,
      anon_sym_case,
    ACTIONS(4052), 1,
      sym__dedent,
    STATE(2131), 1,
      aux_sym__match_block_repeat1,
    STATE(2567), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112234] = 4,
    ACTIONS(4056), 1,
      anon_sym_DOT,
    STATE(2173), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4054), 2,
      anon_sym_import,
      sym_identifier,
  [112249] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4058), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112263] = 4,
    ACTIONS(3433), 1,
      anon_sym_COMMA,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    STATE(2261), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112277] = 4,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112291] = 4,
    ACTIONS(3391), 1,
      sym_identifier,
    STATE(2229), 1,
      sym_dotted_name,
    STATE(2432), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112305] = 4,
    ACTIONS(637), 1,
      sym__newline,
    ACTIONS(4062), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112319] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(4064), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112333] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112347] = 4,
    ACTIONS(3528), 1,
      anon_sym_RPAREN,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112361] = 4,
    ACTIONS(1357), 1,
      anon_sym_RBRACE,
    ACTIONS(4071), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112375] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4075), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112389] = 4,
    ACTIONS(1339), 1,
      anon_sym_RBRACE,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112403] = 4,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3081), 1,
      anon_sym_COMMA,
    STATE(2273), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112417] = 4,
    ACTIONS(4079), 1,
      anon_sym_RPAREN,
    ACTIONS(4081), 1,
      anon_sym_COMMA,
    STATE(2275), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112431] = 4,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    STATE(2481), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112445] = 4,
    ACTIONS(3241), 1,
      anon_sym_COMMA,
    ACTIONS(3245), 1,
      anon_sym_RBRACK,
    STATE(2277), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112459] = 4,
    ACTIONS(4085), 1,
      anon_sym_COMMA,
    ACTIONS(4087), 1,
      anon_sym_COLON,
    STATE(2466), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112473] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(4089), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112487] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4091), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112501] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(4093), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112515] = 3,
    ACTIONS(4097), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4095), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [112527] = 4,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112541] = 3,
    ACTIONS(3997), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4017), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [112553] = 4,
    ACTIONS(1211), 1,
      anon_sym_RPAREN,
    ACTIONS(4101), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112567] = 4,
    ACTIONS(4103), 1,
      anon_sym_COMMA,
    ACTIONS(4105), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112581] = 4,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    ACTIONS(4109), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112595] = 4,
    ACTIONS(4111), 1,
      anon_sym_COMMA,
    ACTIONS(4113), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112609] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4115), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112623] = 4,
    ACTIONS(1045), 1,
      anon_sym_RBRACK,
    ACTIONS(4117), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112637] = 4,
    ACTIONS(4119), 1,
      anon_sym_COMMA,
    ACTIONS(4122), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112651] = 4,
    ACTIONS(4124), 1,
      anon_sym_COMMA,
    ACTIONS(4126), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112665] = 4,
    ACTIONS(4128), 1,
      anon_sym_COMMA,
    ACTIONS(4131), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112679] = 4,
    ACTIONS(1025), 1,
      anon_sym_RBRACK,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112693] = 4,
    ACTIONS(2702), 1,
      anon_sym_RPAREN,
    ACTIONS(4135), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112707] = 4,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    ACTIONS(4139), 1,
      anon_sym_RBRACE,
    STATE(2360), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112721] = 4,
    ACTIONS(4141), 1,
      anon_sym_COMMA,
    ACTIONS(4143), 1,
      anon_sym_RBRACE,
    STATE(2291), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112735] = 4,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    ACTIONS(4145), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112749] = 4,
    ACTIONS(2706), 1,
      anon_sym_RPAREN,
    ACTIONS(4147), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112763] = 4,
    ACTIONS(2708), 1,
      anon_sym_RBRACK,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    STATE(2481), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112777] = 4,
    ACTIONS(4151), 1,
      anon_sym_COMMA,
    ACTIONS(4153), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112791] = 4,
    ACTIONS(4155), 1,
      anon_sym_COMMA,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112805] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4159), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112819] = 4,
    ACTIONS(2622), 1,
      anon_sym_RPAREN,
    ACTIONS(4161), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112833] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [112843] = 4,
    ACTIONS(1465), 1,
      anon_sym_RPAREN,
    ACTIONS(4163), 1,
      anon_sym_COMMA,
    STATE(2437), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112857] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1686), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [112867] = 4,
    ACTIONS(1299), 1,
      anon_sym_COLON,
    ACTIONS(4165), 1,
      anon_sym_COMMA,
    STATE(2323), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112881] = 4,
    ACTIONS(4167), 1,
      anon_sym_COMMA,
    ACTIONS(4169), 1,
      anon_sym_COLON,
    STATE(2415), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112895] = 4,
    ACTIONS(4171), 1,
      anon_sym_SEMI,
    ACTIONS(4173), 1,
      sym__newline,
    STATE(2307), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112909] = 4,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    ACTIONS(4178), 1,
      anon_sym_RBRACE,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [112933] = 4,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    ACTIONS(4180), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112947] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3087), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112961] = 4,
    ACTIONS(4182), 1,
      anon_sym_SEMI,
    ACTIONS(4184), 1,
      sym__newline,
    STATE(2431), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112975] = 4,
    ACTIONS(3418), 1,
      anon_sym_COMMA,
    ACTIONS(3420), 1,
      anon_sym_RBRACE,
    STATE(2310), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112989] = 4,
    ACTIONS(641), 1,
      sym__newline,
    ACTIONS(4186), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113003] = 3,
    ACTIONS(3618), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3620), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113015] = 4,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    ACTIONS(3091), 1,
      anon_sym_COMMA,
    STATE(2396), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113029] = 4,
    ACTIONS(1333), 1,
      anon_sym_RBRACE,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113043] = 4,
    ACTIONS(4190), 1,
      sym__newline,
    ACTIONS(4192), 1,
      sym__indent,
    STATE(822), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113057] = 4,
    ACTIONS(3028), 1,
      anon_sym_RPAREN,
    ACTIONS(3030), 1,
      anon_sym_COMMA,
    STATE(2318), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113071] = 4,
    ACTIONS(4194), 1,
      anon_sym_RPAREN,
    ACTIONS(4196), 1,
      anon_sym_COMMA,
    STATE(2319), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113085] = 4,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_RBRACK,
    STATE(2322), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113099] = 4,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    ACTIONS(4200), 1,
      anon_sym_COMMA,
    STATE(2401), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113113] = 4,
    ACTIONS(3839), 1,
      anon_sym_RBRACK,
    ACTIONS(4202), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113127] = 4,
    ACTIONS(4205), 1,
      anon_sym_RPAREN,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    STATE(2317), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113141] = 4,
    ACTIONS(1255), 1,
      anon_sym_RPAREN,
    ACTIONS(4210), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113155] = 4,
    ACTIONS(1257), 1,
      anon_sym_RPAREN,
    ACTIONS(4212), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113169] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4214), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113183] = 4,
    ACTIONS(4216), 1,
      anon_sym_COMMA,
    ACTIONS(4218), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113197] = 4,
    ACTIONS(4220), 1,
      anon_sym_COMMA,
    ACTIONS(4222), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113211] = 4,
    ACTIONS(3232), 1,
      anon_sym_COLON,
    ACTIONS(4224), 1,
      anon_sym_COMMA,
    STATE(2323), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113225] = 4,
    ACTIONS(1033), 1,
      anon_sym_RBRACK,
    ACTIONS(4227), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113239] = 3,
    ACTIONS(3218), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3216), 2,
      sym__newline,
      anon_sym_SEMI,
  [113251] = 4,
    ACTIONS(4229), 1,
      anon_sym_RPAREN,
    ACTIONS(4231), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113265] = 3,
    ACTIONS(1724), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [113277] = 4,
    ACTIONS(4233), 1,
      anon_sym_COMMA,
    ACTIONS(4235), 1,
      anon_sym_RBRACE,
    STATE(2334), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113291] = 4,
    ACTIONS(4237), 1,
      sym__newline,
    ACTIONS(4239), 1,
      sym__indent,
    STATE(784), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113305] = 4,
    ACTIONS(4205), 1,
      anon_sym_COLON,
    ACTIONS(4241), 1,
      anon_sym_COMMA,
    STATE(2330), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113319] = 4,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    ACTIONS(4244), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113333] = 4,
    ACTIONS(4237), 1,
      sym__newline,
    ACTIONS(4239), 1,
      sym__indent,
    STATE(794), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113347] = 4,
    ACTIONS(2656), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      anon_sym_COMMA,
    STATE(2481), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113361] = 4,
    ACTIONS(4248), 1,
      anon_sym_COMMA,
    ACTIONS(4250), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113375] = 4,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    ACTIONS(4254), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113389] = 3,
    ACTIONS(3640), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3642), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113401] = 3,
    ACTIONS(3677), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3679), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113413] = 4,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    ACTIONS(4256), 1,
      anon_sym_COMMA,
    STATE(2425), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113427] = 3,
    ACTIONS(1718), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [113439] = 4,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    ACTIONS(4258), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113453] = 4,
    ACTIONS(2678), 1,
      anon_sym_RPAREN,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113467] = 3,
    ACTIONS(3476), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3478), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113479] = 3,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [113491] = 3,
    ACTIONS(4266), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4264), 2,
      sym__newline,
      anon_sym_SEMI,
  [113503] = 4,
    ACTIONS(1455), 1,
      anon_sym_COLON,
    ACTIONS(4268), 1,
      anon_sym_COMMA,
    STATE(2387), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113517] = 4,
    ACTIONS(4270), 1,
      anon_sym_SEMI,
    ACTIONS(4272), 1,
      sym__newline,
    STATE(2352), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113531] = 4,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3370), 1,
      anon_sym_RBRACE,
    STATE(2263), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113545] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113559] = 4,
    ACTIONS(3401), 1,
      anon_sym_COMMA,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    STATE(2354), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113573] = 4,
    ACTIONS(1043), 1,
      anon_sym_RBRACK,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    STATE(2316), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113587] = 4,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
    ACTIONS(4276), 1,
      anon_sym_COMMA,
    STATE(2481), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113601] = 4,
    ACTIONS(645), 1,
      sym__newline,
    ACTIONS(4278), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113615] = 4,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    ACTIONS(3321), 1,
      anon_sym_RBRACK,
    STATE(2462), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113629] = 4,
    ACTIONS(1351), 1,
      anon_sym_RBRACE,
    ACTIONS(4280), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113643] = 4,
    ACTIONS(1299), 1,
      anon_sym_RPAREN,
    ACTIONS(4282), 1,
      anon_sym_COMMA,
    STATE(2389), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113657] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4284), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113671] = 4,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(2362), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113685] = 4,
    ACTIONS(4286), 1,
      anon_sym_RPAREN,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    STATE(2364), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113699] = 4,
    ACTIONS(3323), 1,
      anon_sym_COMMA,
    ACTIONS(3325), 1,
      anon_sym_RBRACK,
    STATE(2366), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113713] = 4,
    ACTIONS(4290), 1,
      anon_sym_COMMA,
    ACTIONS(4292), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113727] = 4,
    ACTIONS(4294), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RBRACE,
    STATE(2281), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113741] = 4,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113755] = 4,
    ACTIONS(4237), 1,
      sym__newline,
    ACTIONS(4239), 1,
      sym__indent,
    STATE(849), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113769] = 4,
    ACTIONS(1185), 1,
      anon_sym_RPAREN,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113783] = 4,
    ACTIONS(4302), 1,
      anon_sym_COMMA,
    ACTIONS(4304), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113797] = 4,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    ACTIONS(4308), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [113821] = 4,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113835] = 3,
    ACTIONS(4262), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [113847] = 3,
    ACTIONS(3906), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3934), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [113869] = 4,
    ACTIONS(3873), 1,
      anon_sym_RPAREN,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    STATE(2453), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113883] = 4,
    ACTIONS(3934), 1,
      anon_sym_RPAREN,
    ACTIONS(4310), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113897] = 4,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
    ACTIONS(4315), 1,
      sym__newline,
    STATE(2381), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113911] = 4,
    ACTIONS(1299), 1,
      anon_sym_RBRACK,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    STATE(2405), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113925] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113939] = 4,
    ACTIONS(2997), 1,
      anon_sym_RBRACK,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    STATE(2460), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113953] = 4,
    ACTIONS(4319), 1,
      anon_sym_COMMA,
    ACTIONS(4321), 1,
      anon_sym_RBRACK,
    STATE(2467), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113967] = 4,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    STATE(2384), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113981] = 4,
    ACTIONS(2889), 1,
      anon_sym_RBRACK,
    ACTIONS(4323), 1,
      anon_sym_COMMA,
    STATE(2380), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113995] = 4,
    ACTIONS(635), 1,
      sym__newline,
    ACTIONS(4326), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114009] = 4,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
    ACTIONS(4328), 1,
      anon_sym_COMMA,
    STATE(2482), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114023] = 4,
    ACTIONS(4019), 1,
      anon_sym_RPAREN,
    ACTIONS(4330), 1,
      anon_sym_COMMA,
    STATE(2383), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114037] = 4,
    ACTIONS(1361), 1,
      anon_sym_RBRACE,
    ACTIONS(4333), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114051] = 4,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
    ACTIONS(3126), 1,
      anon_sym_COMMA,
    STATE(2391), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114065] = 4,
    ACTIONS(4335), 1,
      anon_sym_RPAREN,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    STATE(2393), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114079] = 4,
    ACTIONS(4339), 1,
      anon_sym_COMMA,
    ACTIONS(4342), 1,
      anon_sym_COLON,
    STATE(2387), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114093] = 4,
    ACTIONS(3273), 1,
      anon_sym_COMMA,
    ACTIONS(3275), 1,
      anon_sym_RBRACK,
    STATE(2395), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114107] = 4,
    ACTIONS(3232), 1,
      anon_sym_RPAREN,
    ACTIONS(4344), 1,
      anon_sym_COMMA,
    STATE(2389), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114121] = 4,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114135] = 4,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    ACTIONS(4351), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114149] = 3,
    ACTIONS(3689), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3691), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114161] = 4,
    ACTIONS(1205), 1,
      anon_sym_RPAREN,
    ACTIONS(4353), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114175] = 4,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114189] = 4,
    ACTIONS(4359), 1,
      anon_sym_COMMA,
    ACTIONS(4361), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114203] = 4,
    ACTIONS(1251), 1,
      anon_sym_RPAREN,
    ACTIONS(4363), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114217] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4365), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114231] = 3,
    ACTIONS(3544), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3546), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114243] = 3,
    ACTIONS(3573), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3575), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114255] = 4,
    ACTIONS(3926), 1,
      sym_identifier,
    STATE(2274), 1,
      sym_dotted_name,
    STATE(2606), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114269] = 4,
    ACTIONS(1253), 1,
      anon_sym_RPAREN,
    ACTIONS(4367), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114283] = 3,
    ACTIONS(1730), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114295] = 4,
    ACTIONS(4369), 1,
      anon_sym_SEMI,
    ACTIONS(4371), 1,
      sym__newline,
    STATE(2408), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114309] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3132), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114323] = 4,
    ACTIONS(3232), 1,
      anon_sym_RBRACK,
    ACTIONS(4373), 1,
      anon_sym_COMMA,
    STATE(2405), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114337] = 4,
    ACTIONS(3455), 1,
      anon_sym_COMMA,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    STATE(2409), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114351] = 4,
    ACTIONS(4376), 1,
      anon_sym_COMMA,
    ACTIONS(4378), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114365] = 4,
    ACTIONS(621), 1,
      sym__newline,
    ACTIONS(4380), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114379] = 4,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
    ACTIONS(4382), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114393] = 4,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
    ACTIONS(4384), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114407] = 4,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
    STATE(2646), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114421] = 4,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(2416), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114435] = 4,
    ACTIONS(4388), 1,
      anon_sym_RPAREN,
    ACTIONS(4390), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114449] = 4,
    ACTIONS(3285), 1,
      anon_sym_COMMA,
    ACTIONS(3287), 1,
      anon_sym_RBRACK,
    STATE(2421), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114463] = 4,
    ACTIONS(2969), 1,
      anon_sym_COLON,
    ACTIONS(4392), 1,
      anon_sym_COMMA,
    STATE(2330), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114477] = 4,
    ACTIONS(1219), 1,
      anon_sym_RPAREN,
    ACTIONS(4394), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114491] = 4,
    ACTIONS(4169), 1,
      anon_sym_RPAREN,
    ACTIONS(4396), 1,
      anon_sym_COMMA,
    STATE(2502), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114505] = 4,
    ACTIONS(1221), 1,
      anon_sym_RPAREN,
    ACTIONS(4398), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114519] = 3,
    ACTIONS(4015), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114531] = 4,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    ACTIONS(4402), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114545] = 4,
    ACTIONS(4404), 1,
      anon_sym_COMMA,
    ACTIONS(4406), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114559] = 3,
    ACTIONS(4408), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114571] = 4,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(4410), 1,
      anon_sym_RBRACE,
    STATE(2758), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114585] = 4,
    ACTIONS(4321), 1,
      anon_sym_RPAREN,
    ACTIONS(4412), 1,
      anon_sym_COMMA,
    STATE(2512), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114599] = 4,
    ACTIONS(3560), 1,
      anon_sym_RBRACE,
    ACTIONS(4414), 1,
      anon_sym_COMMA,
    STATE(2425), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [114623] = 3,
    ACTIONS(1726), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114635] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114649] = 4,
    ACTIONS(4417), 1,
      anon_sym_SEMI,
    ACTIONS(4419), 1,
      sym__newline,
    STATE(2434), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114663] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3142), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114677] = 4,
    ACTIONS(631), 1,
      sym__newline,
    ACTIONS(4421), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114691] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4017), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114701] = 4,
    ACTIONS(3405), 1,
      anon_sym_COMMA,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    STATE(2435), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114715] = 4,
    ACTIONS(649), 1,
      sym__newline,
    ACTIONS(4423), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114729] = 4,
    ACTIONS(1321), 1,
      anon_sym_RBRACE,
    ACTIONS(4425), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4427), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [114753] = 4,
    ACTIONS(4342), 1,
      anon_sym_RPAREN,
    ACTIONS(4429), 1,
      anon_sym_COMMA,
    STATE(2437), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114767] = 4,
    ACTIONS(3144), 1,
      anon_sym_RPAREN,
    ACTIONS(3146), 1,
      anon_sym_COMMA,
    STATE(2443), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114781] = 4,
    ACTIONS(4432), 1,
      anon_sym_RPAREN,
    ACTIONS(4434), 1,
      anon_sym_COMMA,
    STATE(2444), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114795] = 4,
    ACTIONS(3291), 1,
      anon_sym_COMMA,
    ACTIONS(3293), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114809] = 4,
    ACTIONS(2732), 1,
      sym_identifier,
    ACTIONS(4436), 1,
      anon_sym_import,
    STATE(2627), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114823] = 4,
    ACTIONS(4438), 1,
      anon_sym_COMMA,
    ACTIONS(4440), 1,
      anon_sym_COLON,
    STATE(2345), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114837] = 4,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    ACTIONS(4442), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114851] = 4,
    ACTIONS(1241), 1,
      anon_sym_RPAREN,
    ACTIONS(4444), 1,
      anon_sym_COMMA,
    STATE(2260), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114865] = 4,
    ACTIONS(4446), 1,
      anon_sym_COMMA,
    ACTIONS(4448), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114879] = 4,
    ACTIONS(4450), 1,
      anon_sym_COMMA,
    ACTIONS(4452), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114893] = 4,
    ACTIONS(4454), 1,
      anon_sym_COMMA,
    ACTIONS(4456), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114907] = 4,
    ACTIONS(4458), 1,
      anon_sym_SEMI,
    ACTIONS(4461), 1,
      sym__newline,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114921] = 4,
    ACTIONS(4237), 1,
      sym__newline,
    ACTIONS(4239), 1,
      sym__indent,
    STATE(730), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114935] = 4,
    ACTIONS(3299), 1,
      anon_sym_COMMA,
    ACTIONS(3301), 1,
      anon_sym_RBRACK,
    STATE(2452), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114949] = 4,
    ACTIONS(4463), 1,
      anon_sym_COMMA,
    ACTIONS(4465), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114963] = 4,
    ACTIONS(4467), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114977] = 4,
    ACTIONS(4001), 1,
      anon_sym_RPAREN,
    ACTIONS(4471), 1,
      anon_sym_COMMA,
    STATE(2383), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114991] = 4,
    ACTIONS(4001), 1,
      anon_sym_RPAREN,
    ACTIONS(4473), 1,
      anon_sym_COMMA,
    STATE(2383), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115005] = 3,
    ACTIONS(3910), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3934), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115017] = 4,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    ACTIONS(3342), 1,
      anon_sym_RBRACK,
    STATE(2459), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115031] = 4,
    ACTIONS(4475), 1,
      anon_sym_SEMI,
    ACTIONS(4477), 1,
      sym__newline,
    STATE(2257), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115045] = 4,
    ACTIONS(4479), 1,
      anon_sym_COMMA,
    ACTIONS(4481), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115059] = 4,
    ACTIONS(4483), 1,
      anon_sym_COMMA,
    ACTIONS(4485), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115073] = 4,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    ACTIONS(4487), 1,
      anon_sym_COMMA,
    STATE(2503), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115087] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [115097] = 4,
    ACTIONS(4489), 1,
      anon_sym_COMMA,
    ACTIONS(4491), 1,
      anon_sym_RBRACK,
    STATE(2283), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115111] = 4,
    ACTIONS(4493), 1,
      anon_sym_SEMI,
    ACTIONS(4495), 1,
      sym__newline,
    STATE(2485), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2898), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [115135] = 3,
    ACTIONS(4499), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4497), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [115147] = 4,
    ACTIONS(4501), 1,
      anon_sym_COMMA,
    ACTIONS(4504), 1,
      anon_sym_COLON,
    STATE(2466), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115161] = 4,
    ACTIONS(2054), 1,
      anon_sym_RBRACK,
    ACTIONS(4506), 1,
      anon_sym_COMMA,
    STATE(2380), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115175] = 4,
    ACTIONS(3801), 1,
      anon_sym_LPAREN,
    ACTIONS(4508), 1,
      anon_sym_COLON,
    STATE(2707), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115189] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4510), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115203] = 4,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115217] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4512), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4041), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [115241] = 4,
    ACTIONS(3526), 1,
      anon_sym_PIPE,
    ACTIONS(4514), 1,
      anon_sym_COLON,
    STATE(1933), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115255] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4516), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115269] = 4,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    ACTIONS(2997), 1,
      anon_sym_RBRACE,
    STATE(2338), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115283] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4518), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115297] = 4,
    ACTIONS(3736), 1,
      anon_sym_DOT,
    ACTIONS(3742), 1,
      anon_sym_PIPE,
    ACTIONS(4520), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115311] = 4,
    ACTIONS(4522), 1,
      anon_sym_COMMA,
    ACTIONS(4524), 1,
      anon_sym_RBRACE,
    STATE(2278), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115325] = 4,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(4526), 1,
      anon_sym_RBRACE,
    STATE(2617), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115339] = 4,
    ACTIONS(3381), 1,
      anon_sym_COMMA,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    STATE(2492), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115353] = 4,
    ACTIONS(3934), 1,
      anon_sym_RBRACK,
    ACTIONS(4528), 1,
      anon_sym_COMMA,
    STATE(2481), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115367] = 4,
    ACTIONS(3560), 1,
      anon_sym_RPAREN,
    ACTIONS(4531), 1,
      anon_sym_COMMA,
    STATE(2482), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115381] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4534), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115395] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4536), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115409] = 4,
    ACTIONS(627), 1,
      sym__newline,
    ACTIONS(4538), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115423] = 4,
    ACTIONS(995), 1,
      anon_sym_in,
    ACTIONS(4540), 1,
      anon_sym_COMMA,
    STATE(2497), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115437] = 3,
    ACTIONS(3614), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3616), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [115449] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(4542), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115463] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(4544), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115477] = 4,
    ACTIONS(4190), 1,
      sym__newline,
    ACTIONS(4192), 1,
      sym__indent,
    STATE(812), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115491] = 4,
    ACTIONS(4546), 1,
      anon_sym_COMMA,
    ACTIONS(4548), 1,
      anon_sym_COLON,
    STATE(2466), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115505] = 4,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    ACTIONS(4550), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [115529] = 4,
    ACTIONS(4190), 1,
      sym__newline,
    ACTIONS(4192), 1,
      sym__indent,
    STATE(799), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1686), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [115553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3524), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [115563] = 4,
    ACTIONS(2889), 1,
      anon_sym_in,
    ACTIONS(4552), 1,
      anon_sym_COMMA,
    STATE(2497), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115577] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4555), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115591] = 4,
    ACTIONS(3056), 1,
      anon_sym_COMMA,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(2382), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115605] = 4,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    ACTIONS(3060), 1,
      anon_sym_COMMA,
    STATE(2288), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115619] = 4,
    ACTIONS(4557), 1,
      anon_sym_RPAREN,
    ACTIONS(4559), 1,
      anon_sym_COMMA,
    STATE(2303), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115633] = 4,
    ACTIONS(2969), 1,
      anon_sym_RPAREN,
    ACTIONS(4561), 1,
      anon_sym_COMMA,
    STATE(2317), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115647] = 4,
    ACTIONS(3560), 1,
      anon_sym_RBRACK,
    ACTIONS(4563), 1,
      anon_sym_COMMA,
    STATE(2503), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115661] = 3,
    ACTIONS(1698), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [115673] = 4,
    ACTIONS(3303), 1,
      anon_sym_COMMA,
    ACTIONS(3305), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115687] = 4,
    ACTIONS(2889), 1,
      anon_sym_RPAREN,
    ACTIONS(4566), 1,
      anon_sym_COMMA,
    STATE(2506), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115701] = 4,
    ACTIONS(3801), 1,
      anon_sym_LPAREN,
    ACTIONS(4569), 1,
      anon_sym_COLON,
    STATE(2784), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115715] = 4,
    ACTIONS(3756), 1,
      anon_sym_COLON,
    ACTIONS(4571), 1,
      anon_sym_RBRACE,
    STATE(2663), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115729] = 4,
    ACTIONS(4190), 1,
      sym__newline,
    ACTIONS(4192), 1,
      sym__indent,
    STATE(820), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115743] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4573), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115757] = 4,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    ACTIONS(4575), 1,
      anon_sym_in,
    STATE(2486), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115771] = 4,
    ACTIONS(2054), 1,
      anon_sym_RPAREN,
    ACTIONS(4577), 1,
      anon_sym_COMMA,
    STATE(2506), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3528), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115803] = 3,
    ACTIONS(4579), 1,
      sym_integer,
    ACTIONS(4581), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115814] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4205), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4583), 2,
      sym__newline,
      anon_sym_SEMI,
  [115832] = 3,
    ACTIONS(4585), 1,
      sym_integer,
    ACTIONS(4587), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 2,
      sym__newline,
      anon_sym_SEMI,
  [115852] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4589), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115861] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4591), 2,
      sym__dedent,
      anon_sym_case,
  [115870] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4593), 2,
      sym__newline,
      anon_sym_SEMI,
  [115879] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4427), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115888] = 3,
    ACTIONS(4595), 1,
      sym_integer,
    ACTIONS(4597), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4599), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115917] = 3,
    ACTIONS(4601), 1,
      anon_sym_COLON,
    ACTIONS(4603), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115928] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4605), 2,
      sym__dedent,
      anon_sym_case,
  [115937] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4607), 2,
      sym__dedent,
      anon_sym_case,
  [115946] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1728), 2,
      sym__dedent,
      anon_sym_case,
  [115955] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4609), 2,
      anon_sym__,
      sym_identifier,
  [115964] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4611), 2,
      sym__dedent,
      anon_sym_case,
  [115973] = 3,
    ACTIONS(4613), 1,
      sym_integer,
    ACTIONS(4615), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4617), 2,
      anon_sym__,
      sym_identifier,
  [115993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4619), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116002] = 3,
    ACTIONS(4621), 1,
      sym_integer,
    ACTIONS(4623), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4619), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116022] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4625), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116031] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4627), 2,
      sym__dedent,
      anon_sym_case,
  [116040] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4629), 2,
      sym__dedent,
      anon_sym_case,
  [116049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4205), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116067] = 3,
    ACTIONS(4631), 1,
      sym_integer,
    ACTIONS(4633), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116078] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [116087] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4635), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116096] = 3,
    ACTIONS(4637), 1,
      sym_integer,
    ACTIONS(4639), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116107] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4625), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3195), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4641), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116143] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4342), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116152] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4643), 2,
      sym__dedent,
      anon_sym_case,
  [116161] = 3,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2588), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116172] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4645), 2,
      sym__dedent,
      anon_sym_case,
  [116181] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2898), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116190] = 3,
    ACTIONS(4647), 1,
      sym_integer,
    ACTIONS(4649), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116201] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4461), 2,
      sym__newline,
      anon_sym_SEMI,
  [116210] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4651), 2,
      sym__newline,
      anon_sym_SEMI,
  [116219] = 3,
    ACTIONS(4653), 1,
      anon_sym_COMMA,
    STATE(1963), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116230] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4011), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116239] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3385), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116248] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4655), 2,
      sym__newline,
      anon_sym_SEMI,
  [116257] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4657), 2,
      anon_sym__,
      sym_identifier,
  [116266] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4659), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [116275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4342), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116284] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4661), 2,
      sym__newline,
      anon_sym_SEMI,
  [116293] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4663), 2,
      sym__dedent,
      anon_sym_case,
  [116302] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3315), 2,
      sym__newline,
      anon_sym_SEMI,
  [116311] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 2,
      sym__dedent,
      anon_sym_case,
  [116320] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4665), 2,
      sym__newline,
      anon_sym_SEMI,
  [116329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4619), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116338] = 3,
    ACTIONS(4667), 1,
      anon_sym_COLON,
    ACTIONS(4669), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4671), 2,
      sym__dedent,
      anon_sym_case,
  [116358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4673), 2,
      sym__dedent,
      anon_sym_case,
  [116367] = 3,
    ACTIONS(4675), 1,
      sym_integer,
    ACTIONS(4677), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4679), 2,
      sym__dedent,
      anon_sym_case,
  [116387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4681), 2,
      sym__newline,
      anon_sym_SEMI,
  [116396] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4683), 2,
      sym__newline,
      anon_sym_SEMI,
  [116405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4625), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4685), 2,
      anon_sym__,
      sym_identifier,
  [116432] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4687), 2,
      sym__dedent,
      anon_sym_case,
  [116441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4689), 2,
      sym__newline,
      anon_sym_SEMI,
  [116450] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3560), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116459] = 3,
    ACTIONS(4691), 1,
      anon_sym_COLON,
    ACTIONS(4693), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116470] = 3,
    ACTIONS(4695), 1,
      anon_sym_COLON,
    ACTIONS(4697), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116481] = 3,
    ACTIONS(4699), 1,
      anon_sym_COLON,
    ACTIONS(4701), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116492] = 3,
    ACTIONS(4703), 1,
      anon_sym_COLON,
    ACTIONS(4705), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116503] = 3,
    ACTIONS(4707), 1,
      anon_sym_COLON,
    ACTIONS(4709), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116514] = 3,
    ACTIONS(4711), 1,
      sym_integer,
    ACTIONS(4713), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116525] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3317), 2,
      sym__newline,
      anon_sym_SEMI,
  [116534] = 3,
    ACTIONS(4715), 1,
      sym_integer,
    ACTIONS(4717), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 2,
      sym__dedent,
      anon_sym_case,
  [116554] = 3,
    ACTIONS(4719), 1,
      sym_integer,
    ACTIONS(4721), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116565] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4723), 2,
      sym__newline,
      anon_sym_SEMI,
  [116574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116583] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116592] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4725), 2,
      sym__newline,
      anon_sym_SEMI,
  [116601] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2904), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116610] = 3,
    ACTIONS(4727), 1,
      anon_sym_COLON,
    ACTIONS(4729), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116621] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2904), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116630] = 3,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2572), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 2,
      sym__dedent,
      anon_sym_case,
  [116650] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3066), 2,
      sym__newline,
      anon_sym_SEMI,
  [116659] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1720), 2,
      sym__dedent,
      anon_sym_case,
  [116668] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4017), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116677] = 3,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2587), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4731), 2,
      sym__newline,
      anon_sym_SEMI,
  [116697] = 3,
    ACTIONS(3969), 1,
      anon_sym_LPAREN,
    STATE(2589), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4635), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [116717] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116726] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2889), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [116735] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4733), 2,
      sym__newline,
      anon_sym_SEMI,
  [116744] = 2,
    ACTIONS(4735), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116752] = 2,
    ACTIONS(4737), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116760] = 2,
    ACTIONS(4739), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116768] = 2,
    ACTIONS(4741), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116776] = 2,
    ACTIONS(4743), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116784] = 2,
    ACTIONS(3407), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116792] = 2,
    ACTIONS(4745), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116800] = 2,
    ACTIONS(4747), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116808] = 2,
    ACTIONS(4749), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116816] = 2,
    ACTIONS(4751), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116824] = 2,
    ACTIONS(4753), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116832] = 2,
    ACTIONS(4755), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116840] = 2,
    ACTIONS(4757), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116848] = 2,
    ACTIONS(4759), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116856] = 2,
    ACTIONS(4761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116864] = 2,
    ACTIONS(4763), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116872] = 2,
    ACTIONS(4765), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116880] = 2,
    ACTIONS(4767), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116888] = 2,
    ACTIONS(4769), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116896] = 2,
    ACTIONS(4771), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116904] = 2,
    ACTIONS(4773), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116912] = 2,
    ACTIONS(4775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116920] = 2,
    ACTIONS(3144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116928] = 2,
    ACTIONS(4777), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116936] = 2,
    ACTIONS(4779), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116944] = 2,
    ACTIONS(4781), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116952] = 2,
    ACTIONS(4783), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116960] = 2,
    ACTIONS(4785), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116968] = 2,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116976] = 2,
    ACTIONS(4787), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116984] = 2,
    ACTIONS(4789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116992] = 2,
    ACTIONS(4791), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117000] = 2,
    ACTIONS(4793), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117008] = 2,
    ACTIONS(4795), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117016] = 2,
    ACTIONS(3457), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117024] = 2,
    ACTIONS(4797), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117032] = 2,
    ACTIONS(4799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117040] = 2,
    ACTIONS(4801), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117048] = 2,
    ACTIONS(4803), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117056] = 2,
    ACTIONS(1467), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117064] = 2,
    ACTIONS(4805), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117072] = 2,
    ACTIONS(4807), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117080] = 2,
    ACTIONS(4809), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117088] = 2,
    ACTIONS(4811), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117096] = 2,
    ACTIONS(4813), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117104] = 2,
    ACTIONS(4815), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117112] = 2,
    ACTIONS(4817), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117120] = 2,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117128] = 2,
    ACTIONS(4821), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117136] = 2,
    ACTIONS(4823), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117144] = 2,
    ACTIONS(4825), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117152] = 2,
    ACTIONS(4827), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117160] = 2,
    ACTIONS(4829), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117168] = 2,
    ACTIONS(4831), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117176] = 2,
    ACTIONS(4833), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117184] = 2,
    ACTIONS(4835), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117192] = 2,
    ACTIONS(4837), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117200] = 2,
    ACTIONS(3403), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117208] = 2,
    ACTIONS(4839), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117216] = 2,
    ACTIONS(4841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117224] = 2,
    ACTIONS(4843), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117232] = 2,
    ACTIONS(4845), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117240] = 2,
    ACTIONS(4847), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117248] = 2,
    ACTIONS(4849), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117256] = 2,
    ACTIONS(4851), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117264] = 2,
    ACTIONS(4853), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117272] = 2,
    ACTIONS(4855), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117280] = 2,
    ACTIONS(1473), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117288] = 2,
    ACTIONS(4857), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117296] = 2,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117304] = 2,
    ACTIONS(4859), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117312] = 2,
    ACTIONS(4861), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117320] = 2,
    ACTIONS(4863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117328] = 2,
    ACTIONS(4865), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117336] = 2,
    ACTIONS(4867), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117344] = 2,
    ACTIONS(4869), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117352] = 2,
    ACTIONS(4871), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117360] = 2,
    ACTIONS(4873), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117368] = 2,
    ACTIONS(4875), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117376] = 2,
    ACTIONS(4877), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117384] = 2,
    ACTIONS(4879), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117392] = 2,
    ACTIONS(4881), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117400] = 2,
    ACTIONS(4883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117408] = 2,
    ACTIONS(4885), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117416] = 2,
    ACTIONS(4887), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117424] = 2,
    ACTIONS(4889), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117432] = 2,
    ACTIONS(4510), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117440] = 2,
    ACTIONS(4891), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117448] = 2,
    ACTIONS(3356), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117456] = 2,
    ACTIONS(4893), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117464] = 2,
    ACTIONS(4895), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117472] = 2,
    ACTIONS(4897), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117480] = 2,
    ACTIONS(4899), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117488] = 2,
    ACTIONS(4901), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117496] = 2,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117504] = 2,
    ACTIONS(4512), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117512] = 2,
    ACTIONS(4903), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117520] = 2,
    ACTIONS(3362), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117528] = 2,
    ACTIONS(4905), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117536] = 2,
    ACTIONS(4907), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117544] = 2,
    ACTIONS(4075), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117552] = 2,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117560] = 2,
    ACTIONS(4909), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117568] = 2,
    ACTIONS(4911), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117576] = 2,
    ACTIONS(4913), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117584] = 2,
    ACTIONS(4915), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117592] = 2,
    ACTIONS(4917), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117600] = 2,
    ACTIONS(4919), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117608] = 2,
    ACTIONS(4921), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117616] = 2,
    ACTIONS(4923), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117624] = 2,
    ACTIONS(4925), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117632] = 2,
    ACTIONS(3383), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117640] = 2,
    ACTIONS(4927), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117648] = 2,
    ACTIONS(4929), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117656] = 2,
    ACTIONS(4931), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117664] = 2,
    ACTIONS(4933), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117672] = 2,
    ACTIONS(4935), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117680] = 2,
    ACTIONS(3420), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117688] = 2,
    ACTIONS(4937), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117696] = 2,
    ACTIONS(4939), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117704] = 2,
    ACTIONS(4534), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117712] = 2,
    ACTIONS(4941), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117720] = 2,
    ACTIONS(4536), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117728] = 2,
    ACTIONS(4943), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117736] = 2,
    ACTIONS(4945), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117744] = 2,
    ACTIONS(4947), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117752] = 2,
    ACTIONS(4949), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117760] = 2,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117768] = 2,
    ACTIONS(4953), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117776] = 2,
    ACTIONS(4955), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117784] = 2,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117792] = 2,
    ACTIONS(4959), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117800] = 2,
    ACTIONS(4961), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117808] = 2,
    ACTIONS(4963), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117816] = 2,
    ACTIONS(4965), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117824] = 2,
    ACTIONS(4967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117832] = 2,
    ACTIONS(4969), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117840] = 2,
    ACTIONS(4971), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117848] = 2,
    ACTIONS(4973), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117856] = 2,
    ACTIONS(4975), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117864] = 2,
    ACTIONS(4977), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117872] = 2,
    ACTIONS(4979), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117880] = 2,
    ACTIONS(4981), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117888] = 2,
    ACTIONS(4983), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117896] = 2,
    ACTIONS(4985), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117904] = 2,
    ACTIONS(4987), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117912] = 2,
    ACTIONS(3399), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117920] = 2,
    ACTIONS(4989), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117928] = 2,
    ACTIONS(4991), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117936] = 2,
    ACTIONS(4993), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117944] = 2,
    ACTIONS(4995), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117952] = 2,
    ACTIONS(4997), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117960] = 2,
    ACTIONS(4999), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117968] = 2,
    ACTIONS(5001), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117976] = 2,
    ACTIONS(5003), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117984] = 2,
    ACTIONS(5005), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117992] = 2,
    ACTIONS(3058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118000] = 2,
    ACTIONS(5007), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118008] = 2,
    ACTIONS(5009), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118016] = 2,
    ACTIONS(5011), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118024] = 2,
    ACTIONS(5013), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118032] = 2,
    ACTIONS(4555), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118040] = 2,
    ACTIONS(5015), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118048] = 2,
    ACTIONS(3409), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118056] = 2,
    ACTIONS(5017), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118064] = 2,
    ACTIONS(3370), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118072] = 2,
    ACTIONS(3028), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118080] = 2,
    ACTIONS(5019), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118088] = 2,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118096] = 2,
    ACTIONS(4159), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118104] = 2,
    ACTIONS(5021), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118112] = 2,
    ACTIONS(3435), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118120] = 2,
    ACTIONS(5023), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118128] = 2,
    ACTIONS(5025), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118136] = 2,
    ACTIONS(5027), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118144] = 2,
    ACTIONS(5029), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118152] = 2,
    ACTIONS(5031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118160] = 2,
    ACTIONS(5033), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118168] = 2,
    ACTIONS(5035), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118176] = 2,
    ACTIONS(5037), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118184] = 2,
    ACTIONS(5039), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118192] = 2,
    ACTIONS(4115), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118200] = 2,
    ACTIONS(5041), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118208] = 2,
    ACTIONS(5043), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118216] = 2,
    ACTIONS(5045), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118224] = 2,
    ACTIONS(5047), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118232] = 2,
    ACTIONS(4573), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118240] = 2,
    ACTIONS(1491), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118248] = 2,
    ACTIONS(5049), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118256] = 2,
    ACTIONS(5051), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118264] = 2,
    ACTIONS(4575), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118272] = 2,
    ACTIONS(5053), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118280] = 2,
    ACTIONS(5055), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118288] = 2,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [118296] = 2,
    ACTIONS(5057), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(190)] = 0,
  [SMALL_STATE(191)] = 124,
  [SMALL_STATE(192)] = 250,
  [SMALL_STATE(193)] = 374,
  [SMALL_STATE(194)] = 498,
  [SMALL_STATE(195)] = 622,
  [SMALL_STATE(196)] = 748,
  [SMALL_STATE(197)] = 872,
  [SMALL_STATE(198)] = 996,
  [SMALL_STATE(199)] = 1124,
  [SMALL_STATE(200)] = 1252,
  [SMALL_STATE(201)] = 1378,
  [SMALL_STATE(202)] = 1502,
  [SMALL_STATE(203)] = 1626,
  [SMALL_STATE(204)] = 1752,
  [SMALL_STATE(205)] = 1876,
  [SMALL_STATE(206)] = 2000,
  [SMALL_STATE(207)] = 2124,
  [SMALL_STATE(208)] = 2250,
  [SMALL_STATE(209)] = 2374,
  [SMALL_STATE(210)] = 2498,
  [SMALL_STATE(211)] = 2624,
  [SMALL_STATE(212)] = 2750,
  [SMALL_STATE(213)] = 2870,
  [SMALL_STATE(214)] = 2996,
  [SMALL_STATE(215)] = 3120,
  [SMALL_STATE(216)] = 3244,
  [SMALL_STATE(217)] = 3368,
  [SMALL_STATE(218)] = 3488,
  [SMALL_STATE(219)] = 3608,
  [SMALL_STATE(220)] = 3734,
  [SMALL_STATE(221)] = 3858,
  [SMALL_STATE(222)] = 3982,
  [SMALL_STATE(223)] = 4106,
  [SMALL_STATE(224)] = 4213,
  [SMALL_STATE(225)] = 4320,
  [SMALL_STATE(226)] = 4436,
  [SMALL_STATE(227)] = 4552,
  [SMALL_STATE(228)] = 4668,
  [SMALL_STATE(229)] = 4784,
  [SMALL_STATE(230)] = 4900,
  [SMALL_STATE(231)] = 5016,
  [SMALL_STATE(232)] = 5132,
  [SMALL_STATE(233)] = 5248,
  [SMALL_STATE(234)] = 5364,
  [SMALL_STATE(235)] = 5480,
  [SMALL_STATE(236)] = 5593,
  [SMALL_STATE(237)] = 5706,
  [SMALL_STATE(238)] = 5819,
  [SMALL_STATE(239)] = 5932,
  [SMALL_STATE(240)] = 6049,
  [SMALL_STATE(241)] = 6162,
  [SMALL_STATE(242)] = 6275,
  [SMALL_STATE(243)] = 6388,
  [SMALL_STATE(244)] = 6501,
  [SMALL_STATE(245)] = 6616,
  [SMALL_STATE(246)] = 6727,
  [SMALL_STATE(247)] = 6842,
  [SMALL_STATE(248)] = 6957,
  [SMALL_STATE(249)] = 7070,
  [SMALL_STATE(250)] = 7175,
  [SMALL_STATE(251)] = 7290,
  [SMALL_STATE(252)] = 7403,
  [SMALL_STATE(253)] = 7518,
  [SMALL_STATE(254)] = 7631,
  [SMALL_STATE(255)] = 7744,
  [SMALL_STATE(256)] = 7857,
  [SMALL_STATE(257)] = 7972,
  [SMALL_STATE(258)] = 8085,
  [SMALL_STATE(259)] = 8198,
  [SMALL_STATE(260)] = 8313,
  [SMALL_STATE(261)] = 8426,
  [SMALL_STATE(262)] = 8539,
  [SMALL_STATE(263)] = 8654,
  [SMALL_STATE(264)] = 8767,
  [SMALL_STATE(265)] = 8882,
  [SMALL_STATE(266)] = 8995,
  [SMALL_STATE(267)] = 9108,
  [SMALL_STATE(268)] = 9221,
  [SMALL_STATE(269)] = 9326,
  [SMALL_STATE(270)] = 9439,
  [SMALL_STATE(271)] = 9552,
  [SMALL_STATE(272)] = 9665,
  [SMALL_STATE(273)] = 9778,
  [SMALL_STATE(274)] = 9890,
  [SMALL_STATE(275)] = 10006,
  [SMALL_STATE(276)] = 10118,
  [SMALL_STATE(277)] = 10230,
  [SMALL_STATE(278)] = 10346,
  [SMALL_STATE(279)] = 10458,
  [SMALL_STATE(280)] = 10570,
  [SMALL_STATE(281)] = 10682,
  [SMALL_STATE(282)] = 10794,
  [SMALL_STATE(283)] = 10906,
  [SMALL_STATE(284)] = 11018,
  [SMALL_STATE(285)] = 11132,
  [SMALL_STATE(286)] = 11244,
  [SMALL_STATE(287)] = 11360,
  [SMALL_STATE(288)] = 11472,
  [SMALL_STATE(289)] = 11584,
  [SMALL_STATE(290)] = 11696,
  [SMALL_STATE(291)] = 11808,
  [SMALL_STATE(292)] = 11920,
  [SMALL_STATE(293)] = 12032,
  [SMALL_STATE(294)] = 12144,
  [SMALL_STATE(295)] = 12256,
  [SMALL_STATE(296)] = 12370,
  [SMALL_STATE(297)] = 12484,
  [SMALL_STATE(298)] = 12596,
  [SMALL_STATE(299)] = 12708,
  [SMALL_STATE(300)] = 12820,
  [SMALL_STATE(301)] = 12932,
  [SMALL_STATE(302)] = 13044,
  [SMALL_STATE(303)] = 13156,
  [SMALL_STATE(304)] = 13268,
  [SMALL_STATE(305)] = 13380,
  [SMALL_STATE(306)] = 13494,
  [SMALL_STATE(307)] = 13606,
  [SMALL_STATE(308)] = 13720,
  [SMALL_STATE(309)] = 13832,
  [SMALL_STATE(310)] = 13948,
  [SMALL_STATE(311)] = 14062,
  [SMALL_STATE(312)] = 14174,
  [SMALL_STATE(313)] = 14286,
  [SMALL_STATE(314)] = 14398,
  [SMALL_STATE(315)] = 14510,
  [SMALL_STATE(316)] = 14622,
  [SMALL_STATE(317)] = 14738,
  [SMALL_STATE(318)] = 14854,
  [SMALL_STATE(319)] = 14966,
  [SMALL_STATE(320)] = 15078,
  [SMALL_STATE(321)] = 15192,
  [SMALL_STATE(322)] = 15304,
  [SMALL_STATE(323)] = 15416,
  [SMALL_STATE(324)] = 15528,
  [SMALL_STATE(325)] = 15640,
  [SMALL_STATE(326)] = 15754,
  [SMALL_STATE(327)] = 15866,
  [SMALL_STATE(328)] = 15975,
  [SMALL_STATE(329)] = 16084,
  [SMALL_STATE(330)] = 16193,
  [SMALL_STATE(331)] = 16302,
  [SMALL_STATE(332)] = 16411,
  [SMALL_STATE(333)] = 16520,
  [SMALL_STATE(334)] = 16625,
  [SMALL_STATE(335)] = 16734,
  [SMALL_STATE(336)] = 16843,
  [SMALL_STATE(337)] = 16952,
  [SMALL_STATE(338)] = 17061,
  [SMALL_STATE(339)] = 17170,
  [SMALL_STATE(340)] = 17279,
  [SMALL_STATE(341)] = 17384,
  [SMALL_STATE(342)] = 17493,
  [SMALL_STATE(343)] = 17602,
  [SMALL_STATE(344)] = 17711,
  [SMALL_STATE(345)] = 17820,
  [SMALL_STATE(346)] = 17929,
  [SMALL_STATE(347)] = 18038,
  [SMALL_STATE(348)] = 18135,
  [SMALL_STATE(349)] = 18244,
  [SMALL_STATE(350)] = 18350,
  [SMALL_STATE(351)] = 18458,
  [SMALL_STATE(352)] = 18566,
  [SMALL_STATE(353)] = 18674,
  [SMALL_STATE(354)] = 18782,
  [SMALL_STATE(355)] = 18890,
  [SMALL_STATE(356)] = 18998,
  [SMALL_STATE(357)] = 19106,
  [SMALL_STATE(358)] = 19214,
  [SMALL_STATE(359)] = 19322,
  [SMALL_STATE(360)] = 19430,
  [SMALL_STATE(361)] = 19538,
  [SMALL_STATE(362)] = 19646,
  [SMALL_STATE(363)] = 19754,
  [SMALL_STATE(364)] = 19862,
  [SMALL_STATE(365)] = 19968,
  [SMALL_STATE(366)] = 20076,
  [SMALL_STATE(367)] = 20184,
  [SMALL_STATE(368)] = 20292,
  [SMALL_STATE(369)] = 20400,
  [SMALL_STATE(370)] = 20508,
  [SMALL_STATE(371)] = 20616,
  [SMALL_STATE(372)] = 20722,
  [SMALL_STATE(373)] = 20817,
  [SMALL_STATE(374)] = 20924,
  [SMALL_STATE(375)] = 21031,
  [SMALL_STATE(376)] = 21138,
  [SMALL_STATE(377)] = 21243,
  [SMALL_STATE(378)] = 21350,
  [SMALL_STATE(379)] = 21457,
  [SMALL_STATE(380)] = 21564,
  [SMALL_STATE(381)] = 21669,
  [SMALL_STATE(382)] = 21776,
  [SMALL_STATE(383)] = 21883,
  [SMALL_STATE(384)] = 21990,
  [SMALL_STATE(385)] = 22097,
  [SMALL_STATE(386)] = 22204,
  [SMALL_STATE(387)] = 22311,
  [SMALL_STATE(388)] = 22418,
  [SMALL_STATE(389)] = 22525,
  [SMALL_STATE(390)] = 22632,
  [SMALL_STATE(391)] = 22739,
  [SMALL_STATE(392)] = 22846,
  [SMALL_STATE(393)] = 22953,
  [SMALL_STATE(394)] = 23060,
  [SMALL_STATE(395)] = 23167,
  [SMALL_STATE(396)] = 23274,
  [SMALL_STATE(397)] = 23381,
  [SMALL_STATE(398)] = 23486,
  [SMALL_STATE(399)] = 23593,
  [SMALL_STATE(400)] = 23698,
  [SMALL_STATE(401)] = 23805,
  [SMALL_STATE(402)] = 23912,
  [SMALL_STATE(403)] = 24017,
  [SMALL_STATE(404)] = 24122,
  [SMALL_STATE(405)] = 24229,
  [SMALL_STATE(406)] = 24336,
  [SMALL_STATE(407)] = 24443,
  [SMALL_STATE(408)] = 24538,
  [SMALL_STATE(409)] = 24645,
  [SMALL_STATE(410)] = 24752,
  [SMALL_STATE(411)] = 24856,
  [SMALL_STATE(412)] = 24958,
  [SMALL_STATE(413)] = 25060,
  [SMALL_STATE(414)] = 25162,
  [SMALL_STATE(415)] = 25264,
  [SMALL_STATE(416)] = 25366,
  [SMALL_STATE(417)] = 25460,
  [SMALL_STATE(418)] = 25554,
  [SMALL_STATE(419)] = 25656,
  [SMALL_STATE(420)] = 25758,
  [SMALL_STATE(421)] = 25862,
  [SMALL_STATE(422)] = 25966,
  [SMALL_STATE(423)] = 26068,
  [SMALL_STATE(424)] = 26172,
  [SMALL_STATE(425)] = 26274,
  [SMALL_STATE(426)] = 26376,
  [SMALL_STATE(427)] = 26478,
  [SMALL_STATE(428)] = 26580,
  [SMALL_STATE(429)] = 26682,
  [SMALL_STATE(430)] = 26786,
  [SMALL_STATE(431)] = 26888,
  [SMALL_STATE(432)] = 26990,
  [SMALL_STATE(433)] = 27094,
  [SMALL_STATE(434)] = 27196,
  [SMALL_STATE(435)] = 27300,
  [SMALL_STATE(436)] = 27402,
  [SMALL_STATE(437)] = 27496,
  [SMALL_STATE(438)] = 27600,
  [SMALL_STATE(439)] = 27702,
  [SMALL_STATE(440)] = 27798,
  [SMALL_STATE(441)] = 27900,
  [SMALL_STATE(442)] = 28002,
  [SMALL_STATE(443)] = 28104,
  [SMALL_STATE(444)] = 28206,
  [SMALL_STATE(445)] = 28308,
  [SMALL_STATE(446)] = 28410,
  [SMALL_STATE(447)] = 28512,
  [SMALL_STATE(448)] = 28614,
  [SMALL_STATE(449)] = 28716,
  [SMALL_STATE(450)] = 28810,
  [SMALL_STATE(451)] = 28914,
  [SMALL_STATE(452)] = 29018,
  [SMALL_STATE(453)] = 29122,
  [SMALL_STATE(454)] = 29226,
  [SMALL_STATE(455)] = 29330,
  [SMALL_STATE(456)] = 29434,
  [SMALL_STATE(457)] = 29538,
  [SMALL_STATE(458)] = 29642,
  [SMALL_STATE(459)] = 29746,
  [SMALL_STATE(460)] = 29850,
  [SMALL_STATE(461)] = 29954,
  [SMALL_STATE(462)] = 30056,
  [SMALL_STATE(463)] = 30131,
  [SMALL_STATE(464)] = 30232,
  [SMALL_STATE(465)] = 30333,
  [SMALL_STATE(466)] = 30434,
  [SMALL_STATE(467)] = 30535,
  [SMALL_STATE(468)] = 30636,
  [SMALL_STATE(469)] = 30737,
  [SMALL_STATE(470)] = 30838,
  [SMALL_STATE(471)] = 30939,
  [SMALL_STATE(472)] = 31014,
  [SMALL_STATE(473)] = 31115,
  [SMALL_STATE(474)] = 31216,
  [SMALL_STATE(475)] = 31317,
  [SMALL_STATE(476)] = 31418,
  [SMALL_STATE(477)] = 31495,
  [SMALL_STATE(478)] = 31570,
  [SMALL_STATE(479)] = 31671,
  [SMALL_STATE(480)] = 31772,
  [SMALL_STATE(481)] = 31873,
  [SMALL_STATE(482)] = 31971,
  [SMALL_STATE(483)] = 32069,
  [SMALL_STATE(484)] = 32167,
  [SMALL_STATE(485)] = 32265,
  [SMALL_STATE(486)] = 32363,
  [SMALL_STATE(487)] = 32461,
  [SMALL_STATE(488)] = 32559,
  [SMALL_STATE(489)] = 32657,
  [SMALL_STATE(490)] = 32755,
  [SMALL_STATE(491)] = 32853,
  [SMALL_STATE(492)] = 32951,
  [SMALL_STATE(493)] = 33049,
  [SMALL_STATE(494)] = 33147,
  [SMALL_STATE(495)] = 33245,
  [SMALL_STATE(496)] = 33317,
  [SMALL_STATE(497)] = 33415,
  [SMALL_STATE(498)] = 33513,
  [SMALL_STATE(499)] = 33611,
  [SMALL_STATE(500)] = 33709,
  [SMALL_STATE(501)] = 33807,
  [SMALL_STATE(502)] = 33905,
  [SMALL_STATE(503)] = 34003,
  [SMALL_STATE(504)] = 34075,
  [SMALL_STATE(505)] = 34173,
  [SMALL_STATE(506)] = 34271,
  [SMALL_STATE(507)] = 34369,
  [SMALL_STATE(508)] = 34467,
  [SMALL_STATE(509)] = 34565,
  [SMALL_STATE(510)] = 34663,
  [SMALL_STATE(511)] = 34761,
  [SMALL_STATE(512)] = 34859,
  [SMALL_STATE(513)] = 34957,
  [SMALL_STATE(514)] = 35057,
  [SMALL_STATE(515)] = 35155,
  [SMALL_STATE(516)] = 35253,
  [SMALL_STATE(517)] = 35351,
  [SMALL_STATE(518)] = 35449,
  [SMALL_STATE(519)] = 35547,
  [SMALL_STATE(520)] = 35645,
  [SMALL_STATE(521)] = 35743,
  [SMALL_STATE(522)] = 35841,
  [SMALL_STATE(523)] = 35939,
  [SMALL_STATE(524)] = 36037,
  [SMALL_STATE(525)] = 36135,
  [SMALL_STATE(526)] = 36235,
  [SMALL_STATE(527)] = 36333,
  [SMALL_STATE(528)] = 36431,
  [SMALL_STATE(529)] = 36529,
  [SMALL_STATE(530)] = 36627,
  [SMALL_STATE(531)] = 36725,
  [SMALL_STATE(532)] = 36823,
  [SMALL_STATE(533)] = 36921,
  [SMALL_STATE(534)] = 37019,
  [SMALL_STATE(535)] = 37117,
  [SMALL_STATE(536)] = 37215,
  [SMALL_STATE(537)] = 37313,
  [SMALL_STATE(538)] = 37411,
  [SMALL_STATE(539)] = 37509,
  [SMALL_STATE(540)] = 37607,
  [SMALL_STATE(541)] = 37705,
  [SMALL_STATE(542)] = 37803,
  [SMALL_STATE(543)] = 37901,
  [SMALL_STATE(544)] = 37999,
  [SMALL_STATE(545)] = 38097,
  [SMALL_STATE(546)] = 38197,
  [SMALL_STATE(547)] = 38295,
  [SMALL_STATE(548)] = 38393,
  [SMALL_STATE(549)] = 38491,
  [SMALL_STATE(550)] = 38589,
  [SMALL_STATE(551)] = 38687,
  [SMALL_STATE(552)] = 38785,
  [SMALL_STATE(553)] = 38883,
  [SMALL_STATE(554)] = 38981,
  [SMALL_STATE(555)] = 39079,
  [SMALL_STATE(556)] = 39177,
  [SMALL_STATE(557)] = 39275,
  [SMALL_STATE(558)] = 39373,
  [SMALL_STATE(559)] = 39473,
  [SMALL_STATE(560)] = 39571,
  [SMALL_STATE(561)] = 39669,
  [SMALL_STATE(562)] = 39767,
  [SMALL_STATE(563)] = 39865,
  [SMALL_STATE(564)] = 39963,
  [SMALL_STATE(565)] = 40061,
  [SMALL_STATE(566)] = 40161,
  [SMALL_STATE(567)] = 40261,
  [SMALL_STATE(568)] = 40359,
  [SMALL_STATE(569)] = 40457,
  [SMALL_STATE(570)] = 40557,
  [SMALL_STATE(571)] = 40655,
  [SMALL_STATE(572)] = 40753,
  [SMALL_STATE(573)] = 40825,
  [SMALL_STATE(574)] = 40897,
  [SMALL_STATE(575)] = 40995,
  [SMALL_STATE(576)] = 41093,
  [SMALL_STATE(577)] = 41191,
  [SMALL_STATE(578)] = 41289,
  [SMALL_STATE(579)] = 41387,
  [SMALL_STATE(580)] = 41485,
  [SMALL_STATE(581)] = 41583,
  [SMALL_STATE(582)] = 41681,
  [SMALL_STATE(583)] = 41779,
  [SMALL_STATE(584)] = 41877,
  [SMALL_STATE(585)] = 41975,
  [SMALL_STATE(586)] = 42073,
  [SMALL_STATE(587)] = 42171,
  [SMALL_STATE(588)] = 42269,
  [SMALL_STATE(589)] = 42341,
  [SMALL_STATE(590)] = 42413,
  [SMALL_STATE(591)] = 42511,
  [SMALL_STATE(592)] = 42609,
  [SMALL_STATE(593)] = 42707,
  [SMALL_STATE(594)] = 42805,
  [SMALL_STATE(595)] = 42903,
  [SMALL_STATE(596)] = 43001,
  [SMALL_STATE(597)] = 43099,
  [SMALL_STATE(598)] = 43197,
  [SMALL_STATE(599)] = 43295,
  [SMALL_STATE(600)] = 43393,
  [SMALL_STATE(601)] = 43491,
  [SMALL_STATE(602)] = 43589,
  [SMALL_STATE(603)] = 43687,
  [SMALL_STATE(604)] = 43785,
  [SMALL_STATE(605)] = 43883,
  [SMALL_STATE(606)] = 43981,
  [SMALL_STATE(607)] = 44079,
  [SMALL_STATE(608)] = 44151,
  [SMALL_STATE(609)] = 44223,
  [SMALL_STATE(610)] = 44321,
  [SMALL_STATE(611)] = 44419,
  [SMALL_STATE(612)] = 44492,
  [SMALL_STATE(613)] = 44558,
  [SMALL_STATE(614)] = 44620,
  [SMALL_STATE(615)] = 44688,
  [SMALL_STATE(616)] = 44756,
  [SMALL_STATE(617)] = 44822,
  [SMALL_STATE(618)] = 44890,
  [SMALL_STATE(619)] = 44958,
  [SMALL_STATE(620)] = 45026,
  [SMALL_STATE(621)] = 45094,
  [SMALL_STATE(622)] = 45162,
  [SMALL_STATE(623)] = 45230,
  [SMALL_STATE(624)] = 45298,
  [SMALL_STATE(625)] = 45364,
  [SMALL_STATE(626)] = 45432,
  [SMALL_STATE(627)] = 45494,
  [SMALL_STATE(628)] = 45556,
  [SMALL_STATE(629)] = 45618,
  [SMALL_STATE(630)] = 45681,
  [SMALL_STATE(631)] = 45744,
  [SMALL_STATE(632)] = 45805,
  [SMALL_STATE(633)] = 45866,
  [SMALL_STATE(634)] = 45929,
  [SMALL_STATE(635)] = 45986,
  [SMALL_STATE(636)] = 46043,
  [SMALL_STATE(637)] = 46100,
  [SMALL_STATE(638)] = 46157,
  [SMALL_STATE(639)] = 46220,
  [SMALL_STATE(640)] = 46281,
  [SMALL_STATE(641)] = 46344,
  [SMALL_STATE(642)] = 46407,
  [SMALL_STATE(643)] = 46464,
  [SMALL_STATE(644)] = 46529,
  [SMALL_STATE(645)] = 46592,
  [SMALL_STATE(646)] = 46655,
  [SMALL_STATE(647)] = 46718,
  [SMALL_STATE(648)] = 46781,
  [SMALL_STATE(649)] = 46838,
  [SMALL_STATE(650)] = 46895,
  [SMALL_STATE(651)] = 46951,
  [SMALL_STATE(652)] = 47007,
  [SMALL_STATE(653)] = 47099,
  [SMALL_STATE(654)] = 47155,
  [SMALL_STATE(655)] = 47211,
  [SMALL_STATE(656)] = 47267,
  [SMALL_STATE(657)] = 47323,
  [SMALL_STATE(658)] = 47379,
  [SMALL_STATE(659)] = 47435,
  [SMALL_STATE(660)] = 47491,
  [SMALL_STATE(661)] = 47547,
  [SMALL_STATE(662)] = 47603,
  [SMALL_STATE(663)] = 47659,
  [SMALL_STATE(664)] = 47715,
  [SMALL_STATE(665)] = 47771,
  [SMALL_STATE(666)] = 47827,
  [SMALL_STATE(667)] = 47883,
  [SMALL_STATE(668)] = 47939,
  [SMALL_STATE(669)] = 47995,
  [SMALL_STATE(670)] = 48051,
  [SMALL_STATE(671)] = 48107,
  [SMALL_STATE(672)] = 48163,
  [SMALL_STATE(673)] = 48219,
  [SMALL_STATE(674)] = 48275,
  [SMALL_STATE(675)] = 48331,
  [SMALL_STATE(676)] = 48387,
  [SMALL_STATE(677)] = 48443,
  [SMALL_STATE(678)] = 48499,
  [SMALL_STATE(679)] = 48555,
  [SMALL_STATE(680)] = 48611,
  [SMALL_STATE(681)] = 48667,
  [SMALL_STATE(682)] = 48723,
  [SMALL_STATE(683)] = 48779,
  [SMALL_STATE(684)] = 48835,
  [SMALL_STATE(685)] = 48891,
  [SMALL_STATE(686)] = 48983,
  [SMALL_STATE(687)] = 49039,
  [SMALL_STATE(688)] = 49095,
  [SMALL_STATE(689)] = 49151,
  [SMALL_STATE(690)] = 49207,
  [SMALL_STATE(691)] = 49263,
  [SMALL_STATE(692)] = 49319,
  [SMALL_STATE(693)] = 49375,
  [SMALL_STATE(694)] = 49431,
  [SMALL_STATE(695)] = 49487,
  [SMALL_STATE(696)] = 49543,
  [SMALL_STATE(697)] = 49599,
  [SMALL_STATE(698)] = 49655,
  [SMALL_STATE(699)] = 49711,
  [SMALL_STATE(700)] = 49767,
  [SMALL_STATE(701)] = 49823,
  [SMALL_STATE(702)] = 49879,
  [SMALL_STATE(703)] = 49934,
  [SMALL_STATE(704)] = 49993,
  [SMALL_STATE(705)] = 50052,
  [SMALL_STATE(706)] = 50111,
  [SMALL_STATE(707)] = 50170,
  [SMALL_STATE(708)] = 50229,
  [SMALL_STATE(709)] = 50288,
  [SMALL_STATE(710)] = 50347,
  [SMALL_STATE(711)] = 50406,
  [SMALL_STATE(712)] = 50465,
  [SMALL_STATE(713)] = 50524,
  [SMALL_STATE(714)] = 50579,
  [SMALL_STATE(715)] = 50638,
  [SMALL_STATE(716)] = 50697,
  [SMALL_STATE(717)] = 50752,
  [SMALL_STATE(718)] = 50807,
  [SMALL_STATE(719)] = 50866,
  [SMALL_STATE(720)] = 50921,
  [SMALL_STATE(721)] = 50980,
  [SMALL_STATE(722)] = 51039,
  [SMALL_STATE(723)] = 51094,
  [SMALL_STATE(724)] = 51153,
  [SMALL_STATE(725)] = 51207,
  [SMALL_STATE(726)] = 51261,
  [SMALL_STATE(727)] = 51315,
  [SMALL_STATE(728)] = 51407,
  [SMALL_STATE(729)] = 51499,
  [SMALL_STATE(730)] = 51553,
  [SMALL_STATE(731)] = 51606,
  [SMALL_STATE(732)] = 51659,
  [SMALL_STATE(733)] = 51712,
  [SMALL_STATE(734)] = 51765,
  [SMALL_STATE(735)] = 51818,
  [SMALL_STATE(736)] = 51871,
  [SMALL_STATE(737)] = 51924,
  [SMALL_STATE(738)] = 51977,
  [SMALL_STATE(739)] = 52030,
  [SMALL_STATE(740)] = 52083,
  [SMALL_STATE(741)] = 52136,
  [SMALL_STATE(742)] = 52189,
  [SMALL_STATE(743)] = 52278,
  [SMALL_STATE(744)] = 52331,
  [SMALL_STATE(745)] = 52384,
  [SMALL_STATE(746)] = 52437,
  [SMALL_STATE(747)] = 52490,
  [SMALL_STATE(748)] = 52543,
  [SMALL_STATE(749)] = 52596,
  [SMALL_STATE(750)] = 52649,
  [SMALL_STATE(751)] = 52702,
  [SMALL_STATE(752)] = 52755,
  [SMALL_STATE(753)] = 52808,
  [SMALL_STATE(754)] = 52861,
  [SMALL_STATE(755)] = 52914,
  [SMALL_STATE(756)] = 52967,
  [SMALL_STATE(757)] = 53020,
  [SMALL_STATE(758)] = 53073,
  [SMALL_STATE(759)] = 53126,
  [SMALL_STATE(760)] = 53179,
  [SMALL_STATE(761)] = 53232,
  [SMALL_STATE(762)] = 53285,
  [SMALL_STATE(763)] = 53338,
  [SMALL_STATE(764)] = 53391,
  [SMALL_STATE(765)] = 53444,
  [SMALL_STATE(766)] = 53497,
  [SMALL_STATE(767)] = 53550,
  [SMALL_STATE(768)] = 53603,
  [SMALL_STATE(769)] = 53656,
  [SMALL_STATE(770)] = 53745,
  [SMALL_STATE(771)] = 53798,
  [SMALL_STATE(772)] = 53887,
  [SMALL_STATE(773)] = 53940,
  [SMALL_STATE(774)] = 53993,
  [SMALL_STATE(775)] = 54046,
  [SMALL_STATE(776)] = 54099,
  [SMALL_STATE(777)] = 54152,
  [SMALL_STATE(778)] = 54205,
  [SMALL_STATE(779)] = 54258,
  [SMALL_STATE(780)] = 54311,
  [SMALL_STATE(781)] = 54364,
  [SMALL_STATE(782)] = 54417,
  [SMALL_STATE(783)] = 54470,
  [SMALL_STATE(784)] = 54523,
  [SMALL_STATE(785)] = 54576,
  [SMALL_STATE(786)] = 54629,
  [SMALL_STATE(787)] = 54682,
  [SMALL_STATE(788)] = 54735,
  [SMALL_STATE(789)] = 54788,
  [SMALL_STATE(790)] = 54841,
  [SMALL_STATE(791)] = 54894,
  [SMALL_STATE(792)] = 54947,
  [SMALL_STATE(793)] = 55000,
  [SMALL_STATE(794)] = 55053,
  [SMALL_STATE(795)] = 55106,
  [SMALL_STATE(796)] = 55195,
  [SMALL_STATE(797)] = 55248,
  [SMALL_STATE(798)] = 55301,
  [SMALL_STATE(799)] = 55354,
  [SMALL_STATE(800)] = 55407,
  [SMALL_STATE(801)] = 55460,
  [SMALL_STATE(802)] = 55513,
  [SMALL_STATE(803)] = 55566,
  [SMALL_STATE(804)] = 55619,
  [SMALL_STATE(805)] = 55708,
  [SMALL_STATE(806)] = 55761,
  [SMALL_STATE(807)] = 55814,
  [SMALL_STATE(808)] = 55867,
  [SMALL_STATE(809)] = 55956,
  [SMALL_STATE(810)] = 56009,
  [SMALL_STATE(811)] = 56098,
  [SMALL_STATE(812)] = 56151,
  [SMALL_STATE(813)] = 56204,
  [SMALL_STATE(814)] = 56257,
  [SMALL_STATE(815)] = 56310,
  [SMALL_STATE(816)] = 56363,
  [SMALL_STATE(817)] = 56416,
  [SMALL_STATE(818)] = 56469,
  [SMALL_STATE(819)] = 56522,
  [SMALL_STATE(820)] = 56575,
  [SMALL_STATE(821)] = 56628,
  [SMALL_STATE(822)] = 56681,
  [SMALL_STATE(823)] = 56734,
  [SMALL_STATE(824)] = 56787,
  [SMALL_STATE(825)] = 56840,
  [SMALL_STATE(826)] = 56893,
  [SMALL_STATE(827)] = 56946,
  [SMALL_STATE(828)] = 56999,
  [SMALL_STATE(829)] = 57088,
  [SMALL_STATE(830)] = 57141,
  [SMALL_STATE(831)] = 57194,
  [SMALL_STATE(832)] = 57247,
  [SMALL_STATE(833)] = 57300,
  [SMALL_STATE(834)] = 57353,
  [SMALL_STATE(835)] = 57406,
  [SMALL_STATE(836)] = 57459,
  [SMALL_STATE(837)] = 57512,
  [SMALL_STATE(838)] = 57601,
  [SMALL_STATE(839)] = 57654,
  [SMALL_STATE(840)] = 57707,
  [SMALL_STATE(841)] = 57796,
  [SMALL_STATE(842)] = 57885,
  [SMALL_STATE(843)] = 57974,
  [SMALL_STATE(844)] = 58027,
  [SMALL_STATE(845)] = 58080,
  [SMALL_STATE(846)] = 58133,
  [SMALL_STATE(847)] = 58186,
  [SMALL_STATE(848)] = 58239,
  [SMALL_STATE(849)] = 58292,
  [SMALL_STATE(850)] = 58345,
  [SMALL_STATE(851)] = 58434,
  [SMALL_STATE(852)] = 58523,
  [SMALL_STATE(853)] = 58612,
  [SMALL_STATE(854)] = 58701,
  [SMALL_STATE(855)] = 58787,
  [SMALL_STATE(856)] = 58873,
  [SMALL_STATE(857)] = 58959,
  [SMALL_STATE(858)] = 59045,
  [SMALL_STATE(859)] = 59131,
  [SMALL_STATE(860)] = 59217,
  [SMALL_STATE(861)] = 59300,
  [SMALL_STATE(862)] = 59383,
  [SMALL_STATE(863)] = 59461,
  [SMALL_STATE(864)] = 59539,
  [SMALL_STATE(865)] = 59617,
  [SMALL_STATE(866)] = 59695,
  [SMALL_STATE(867)] = 59773,
  [SMALL_STATE(868)] = 59851,
  [SMALL_STATE(869)] = 59929,
  [SMALL_STATE(870)] = 60007,
  [SMALL_STATE(871)] = 60093,
  [SMALL_STATE(872)] = 60168,
  [SMALL_STATE(873)] = 60243,
  [SMALL_STATE(874)] = 60318,
  [SMALL_STATE(875)] = 60393,
  [SMALL_STATE(876)] = 60468,
  [SMALL_STATE(877)] = 60543,
  [SMALL_STATE(878)] = 60618,
  [SMALL_STATE(879)] = 60693,
  [SMALL_STATE(880)] = 60768,
  [SMALL_STATE(881)] = 60843,
  [SMALL_STATE(882)] = 60918,
  [SMALL_STATE(883)] = 60993,
  [SMALL_STATE(884)] = 61068,
  [SMALL_STATE(885)] = 61143,
  [SMALL_STATE(886)] = 61218,
  [SMALL_STATE(887)] = 61293,
  [SMALL_STATE(888)] = 61368,
  [SMALL_STATE(889)] = 61443,
  [SMALL_STATE(890)] = 61522,
  [SMALL_STATE(891)] = 61601,
  [SMALL_STATE(892)] = 61676,
  [SMALL_STATE(893)] = 61751,
  [SMALL_STATE(894)] = 61826,
  [SMALL_STATE(895)] = 61901,
  [SMALL_STATE(896)] = 61976,
  [SMALL_STATE(897)] = 62055,
  [SMALL_STATE(898)] = 62130,
  [SMALL_STATE(899)] = 62205,
  [SMALL_STATE(900)] = 62284,
  [SMALL_STATE(901)] = 62359,
  [SMALL_STATE(902)] = 62434,
  [SMALL_STATE(903)] = 62509,
  [SMALL_STATE(904)] = 62584,
  [SMALL_STATE(905)] = 62659,
  [SMALL_STATE(906)] = 62734,
  [SMALL_STATE(907)] = 62809,
  [SMALL_STATE(908)] = 62884,
  [SMALL_STATE(909)] = 62959,
  [SMALL_STATE(910)] = 63034,
  [SMALL_STATE(911)] = 63113,
  [SMALL_STATE(912)] = 63188,
  [SMALL_STATE(913)] = 63267,
  [SMALL_STATE(914)] = 63346,
  [SMALL_STATE(915)] = 63425,
  [SMALL_STATE(916)] = 63504,
  [SMALL_STATE(917)] = 63579,
  [SMALL_STATE(918)] = 63654,
  [SMALL_STATE(919)] = 63729,
  [SMALL_STATE(920)] = 63804,
  [SMALL_STATE(921)] = 63879,
  [SMALL_STATE(922)] = 63954,
  [SMALL_STATE(923)] = 64029,
  [SMALL_STATE(924)] = 64104,
  [SMALL_STATE(925)] = 64179,
  [SMALL_STATE(926)] = 64258,
  [SMALL_STATE(927)] = 64337,
  [SMALL_STATE(928)] = 64422,
  [SMALL_STATE(929)] = 64507,
  [SMALL_STATE(930)] = 64582,
  [SMALL_STATE(931)] = 64661,
  [SMALL_STATE(932)] = 64736,
  [SMALL_STATE(933)] = 64811,
  [SMALL_STATE(934)] = 64886,
  [SMALL_STATE(935)] = 64961,
  [SMALL_STATE(936)] = 65036,
  [SMALL_STATE(937)] = 65111,
  [SMALL_STATE(938)] = 65186,
  [SMALL_STATE(939)] = 65265,
  [SMALL_STATE(940)] = 65340,
  [SMALL_STATE(941)] = 65415,
  [SMALL_STATE(942)] = 65490,
  [SMALL_STATE(943)] = 65565,
  [SMALL_STATE(944)] = 65640,
  [SMALL_STATE(945)] = 65715,
  [SMALL_STATE(946)] = 65790,
  [SMALL_STATE(947)] = 65865,
  [SMALL_STATE(948)] = 65944,
  [SMALL_STATE(949)] = 66019,
  [SMALL_STATE(950)] = 66094,
  [SMALL_STATE(951)] = 66173,
  [SMALL_STATE(952)] = 66248,
  [SMALL_STATE(953)] = 66327,
  [SMALL_STATE(954)] = 66402,
  [SMALL_STATE(955)] = 66477,
  [SMALL_STATE(956)] = 66552,
  [SMALL_STATE(957)] = 66627,
  [SMALL_STATE(958)] = 66702,
  [SMALL_STATE(959)] = 66781,
  [SMALL_STATE(960)] = 66860,
  [SMALL_STATE(961)] = 66939,
  [SMALL_STATE(962)] = 67014,
  [SMALL_STATE(963)] = 67093,
  [SMALL_STATE(964)] = 67168,
  [SMALL_STATE(965)] = 67253,
  [SMALL_STATE(966)] = 67328,
  [SMALL_STATE(967)] = 67380,
  [SMALL_STATE(968)] = 67464,
  [SMALL_STATE(969)] = 67546,
  [SMALL_STATE(970)] = 67598,
  [SMALL_STATE(971)] = 67650,
  [SMALL_STATE(972)] = 67734,
  [SMALL_STATE(973)] = 67818,
  [SMALL_STATE(974)] = 67875,
  [SMALL_STATE(975)] = 67940,
  [SMALL_STATE(976)] = 67997,
  [SMALL_STATE(977)] = 68054,
  [SMALL_STATE(978)] = 68105,
  [SMALL_STATE(979)] = 68156,
  [SMALL_STATE(980)] = 68207,
  [SMALL_STATE(981)] = 68258,
  [SMALL_STATE(982)] = 68309,
  [SMALL_STATE(983)] = 68360,
  [SMALL_STATE(984)] = 68411,
  [SMALL_STATE(985)] = 68462,
  [SMALL_STATE(986)] = 68513,
  [SMALL_STATE(987)] = 68570,
  [SMALL_STATE(988)] = 68633,
  [SMALL_STATE(989)] = 68704,
  [SMALL_STATE(990)] = 68765,
  [SMALL_STATE(991)] = 68834,
  [SMALL_STATE(992)] = 68901,
  [SMALL_STATE(993)] = 68982,
  [SMALL_STATE(994)] = 69038,
  [SMALL_STATE(995)] = 69088,
  [SMALL_STATE(996)] = 69138,
  [SMALL_STATE(997)] = 69190,
  [SMALL_STATE(998)] = 69242,
  [SMALL_STATE(999)] = 69298,
  [SMALL_STATE(1000)] = 69354,
  [SMALL_STATE(1001)] = 69402,
  [SMALL_STATE(1002)] = 69448,
  [SMALL_STATE(1003)] = 69504,
  [SMALL_STATE(1004)] = 69566,
  [SMALL_STATE(1005)] = 69636,
  [SMALL_STATE(1006)] = 69692,
  [SMALL_STATE(1007)] = 69752,
  [SMALL_STATE(1008)] = 69820,
  [SMALL_STATE(1009)] = 69886,
  [SMALL_STATE(1010)] = 69950,
  [SMALL_STATE(1011)] = 70006,
  [SMALL_STATE(1012)] = 70062,
  [SMALL_STATE(1013)] = 70110,
  [SMALL_STATE(1014)] = 70166,
  [SMALL_STATE(1015)] = 70222,
  [SMALL_STATE(1016)] = 70268,
  [SMALL_STATE(1017)] = 70314,
  [SMALL_STATE(1018)] = 70378,
  [SMALL_STATE(1019)] = 70440,
  [SMALL_STATE(1020)] = 70510,
  [SMALL_STATE(1021)] = 70560,
  [SMALL_STATE(1022)] = 70620,
  [SMALL_STATE(1023)] = 70688,
  [SMALL_STATE(1024)] = 70754,
  [SMALL_STATE(1025)] = 70818,
  [SMALL_STATE(1026)] = 70868,
  [SMALL_STATE(1027)] = 70916,
  [SMALL_STATE(1028)] = 70962,
  [SMALL_STATE(1029)] = 71008,
  [SMALL_STATE(1030)] = 71054,
  [SMALL_STATE(1031)] = 71100,
  [SMALL_STATE(1032)] = 71146,
  [SMALL_STATE(1033)] = 71192,
  [SMALL_STATE(1034)] = 71272,
  [SMALL_STATE(1035)] = 71322,
  [SMALL_STATE(1036)] = 71372,
  [SMALL_STATE(1037)] = 71422,
  [SMALL_STATE(1038)] = 71502,
  [SMALL_STATE(1039)] = 71558,
  [SMALL_STATE(1040)] = 71620,
  [SMALL_STATE(1041)] = 71690,
  [SMALL_STATE(1042)] = 71746,
  [SMALL_STATE(1043)] = 71806,
  [SMALL_STATE(1044)] = 71874,
  [SMALL_STATE(1045)] = 71924,
  [SMALL_STATE(1046)] = 71990,
  [SMALL_STATE(1047)] = 72040,
  [SMALL_STATE(1048)] = 72120,
  [SMALL_STATE(1049)] = 72176,
  [SMALL_STATE(1050)] = 72221,
  [SMALL_STATE(1051)] = 72266,
  [SMALL_STATE(1052)] = 72313,
  [SMALL_STATE(1053)] = 72368,
  [SMALL_STATE(1054)] = 72423,
  [SMALL_STATE(1055)] = 72468,
  [SMALL_STATE(1056)] = 72527,
  [SMALL_STATE(1057)] = 72578,
  [SMALL_STATE(1058)] = 72629,
  [SMALL_STATE(1059)] = 72680,
  [SMALL_STATE(1060)] = 72725,
  [SMALL_STATE(1061)] = 72780,
  [SMALL_STATE(1062)] = 72841,
  [SMALL_STATE(1063)] = 72910,
  [SMALL_STATE(1064)] = 72965,
  [SMALL_STATE(1065)] = 73024,
  [SMALL_STATE(1066)] = 73069,
  [SMALL_STATE(1067)] = 73116,
  [SMALL_STATE(1068)] = 73163,
  [SMALL_STATE(1069)] = 73210,
  [SMALL_STATE(1070)] = 73277,
  [SMALL_STATE(1071)] = 73342,
  [SMALL_STATE(1072)] = 73411,
  [SMALL_STATE(1073)] = 73474,
  [SMALL_STATE(1074)] = 73519,
  [SMALL_STATE(1075)] = 73564,
  [SMALL_STATE(1076)] = 73609,
  [SMALL_STATE(1077)] = 73654,
  [SMALL_STATE(1078)] = 73699,
  [SMALL_STATE(1079)] = 73744,
  [SMALL_STATE(1080)] = 73789,
  [SMALL_STATE(1081)] = 73834,
  [SMALL_STATE(1082)] = 73879,
  [SMALL_STATE(1083)] = 73928,
  [SMALL_STATE(1084)] = 73973,
  [SMALL_STATE(1085)] = 74018,
  [SMALL_STATE(1086)] = 74067,
  [SMALL_STATE(1087)] = 74118,
  [SMALL_STATE(1088)] = 74169,
  [SMALL_STATE(1089)] = 74236,
  [SMALL_STATE(1090)] = 74281,
  [SMALL_STATE(1091)] = 74346,
  [SMALL_STATE(1092)] = 74391,
  [SMALL_STATE(1093)] = 74436,
  [SMALL_STATE(1094)] = 74481,
  [SMALL_STATE(1095)] = 74526,
  [SMALL_STATE(1096)] = 74571,
  [SMALL_STATE(1097)] = 74626,
  [SMALL_STATE(1098)] = 74681,
  [SMALL_STATE(1099)] = 74726,
  [SMALL_STATE(1100)] = 74771,
  [SMALL_STATE(1101)] = 74826,
  [SMALL_STATE(1102)] = 74881,
  [SMALL_STATE(1103)] = 74950,
  [SMALL_STATE(1104)] = 75005,
  [SMALL_STATE(1105)] = 75064,
  [SMALL_STATE(1106)] = 75131,
  [SMALL_STATE(1107)] = 75196,
  [SMALL_STATE(1108)] = 75259,
  [SMALL_STATE(1109)] = 75304,
  [SMALL_STATE(1110)] = 75349,
  [SMALL_STATE(1111)] = 75398,
  [SMALL_STATE(1112)] = 75445,
  [SMALL_STATE(1113)] = 75492,
  [SMALL_STATE(1114)] = 75539,
  [SMALL_STATE(1115)] = 75584,
  [SMALL_STATE(1116)] = 75629,
  [SMALL_STATE(1117)] = 75678,
  [SMALL_STATE(1118)] = 75727,
  [SMALL_STATE(1119)] = 75772,
  [SMALL_STATE(1120)] = 75817,
  [SMALL_STATE(1121)] = 75862,
  [SMALL_STATE(1122)] = 75907,
  [SMALL_STATE(1123)] = 75956,
  [SMALL_STATE(1124)] = 76005,
  [SMALL_STATE(1125)] = 76054,
  [SMALL_STATE(1126)] = 76117,
  [SMALL_STATE(1127)] = 76162,
  [SMALL_STATE(1128)] = 76217,
  [SMALL_STATE(1129)] = 76270,
  [SMALL_STATE(1130)] = 76319,
  [SMALL_STATE(1131)] = 76368,
  [SMALL_STATE(1132)] = 76417,
  [SMALL_STATE(1133)] = 76462,
  [SMALL_STATE(1134)] = 76523,
  [SMALL_STATE(1135)] = 76568,
  [SMALL_STATE(1136)] = 76613,
  [SMALL_STATE(1137)] = 76664,
  [SMALL_STATE(1138)] = 76715,
  [SMALL_STATE(1139)] = 76770,
  [SMALL_STATE(1140)] = 76825,
  [SMALL_STATE(1141)] = 76874,
  [SMALL_STATE(1142)] = 76925,
  [SMALL_STATE(1143)] = 76976,
  [SMALL_STATE(1144)] = 77021,
  [SMALL_STATE(1145)] = 77068,
  [SMALL_STATE(1146)] = 77113,
  [SMALL_STATE(1147)] = 77160,
  [SMALL_STATE(1148)] = 77205,
  [SMALL_STATE(1149)] = 77266,
  [SMALL_STATE(1150)] = 77314,
  [SMALL_STATE(1151)] = 77358,
  [SMALL_STATE(1152)] = 77402,
  [SMALL_STATE(1153)] = 77446,
  [SMALL_STATE(1154)] = 77492,
  [SMALL_STATE(1155)] = 77538,
  [SMALL_STATE(1156)] = 77584,
  [SMALL_STATE(1157)] = 77632,
  [SMALL_STATE(1158)] = 77680,
  [SMALL_STATE(1159)] = 77726,
  [SMALL_STATE(1160)] = 77772,
  [SMALL_STATE(1161)] = 77818,
  [SMALL_STATE(1162)] = 77864,
  [SMALL_STATE(1163)] = 77910,
  [SMALL_STATE(1164)] = 77954,
  [SMALL_STATE(1165)] = 77998,
  [SMALL_STATE(1166)] = 78042,
  [SMALL_STATE(1167)] = 78086,
  [SMALL_STATE(1168)] = 78130,
  [SMALL_STATE(1169)] = 78178,
  [SMALL_STATE(1170)] = 78226,
  [SMALL_STATE(1171)] = 78274,
  [SMALL_STATE(1172)] = 78318,
  [SMALL_STATE(1173)] = 78362,
  [SMALL_STATE(1174)] = 78406,
  [SMALL_STATE(1175)] = 78450,
  [SMALL_STATE(1176)] = 78494,
  [SMALL_STATE(1177)] = 78538,
  [SMALL_STATE(1178)] = 78582,
  [SMALL_STATE(1179)] = 78626,
  [SMALL_STATE(1180)] = 78670,
  [SMALL_STATE(1181)] = 78714,
  [SMALL_STATE(1182)] = 78758,
  [SMALL_STATE(1183)] = 78802,
  [SMALL_STATE(1184)] = 78846,
  [SMALL_STATE(1185)] = 78890,
  [SMALL_STATE(1186)] = 78934,
  [SMALL_STATE(1187)] = 78978,
  [SMALL_STATE(1188)] = 79022,
  [SMALL_STATE(1189)] = 79066,
  [SMALL_STATE(1190)] = 79110,
  [SMALL_STATE(1191)] = 79154,
  [SMALL_STATE(1192)] = 79198,
  [SMALL_STATE(1193)] = 79242,
  [SMALL_STATE(1194)] = 79286,
  [SMALL_STATE(1195)] = 79330,
  [SMALL_STATE(1196)] = 79374,
  [SMALL_STATE(1197)] = 79418,
  [SMALL_STATE(1198)] = 79462,
  [SMALL_STATE(1199)] = 79506,
  [SMALL_STATE(1200)] = 79552,
  [SMALL_STATE(1201)] = 79596,
  [SMALL_STATE(1202)] = 79644,
  [SMALL_STATE(1203)] = 79688,
  [SMALL_STATE(1204)] = 79732,
  [SMALL_STATE(1205)] = 79776,
  [SMALL_STATE(1206)] = 79820,
  [SMALL_STATE(1207)] = 79864,
  [SMALL_STATE(1208)] = 79908,
  [SMALL_STATE(1209)] = 79952,
  [SMALL_STATE(1210)] = 79996,
  [SMALL_STATE(1211)] = 80040,
  [SMALL_STATE(1212)] = 80084,
  [SMALL_STATE(1213)] = 80128,
  [SMALL_STATE(1214)] = 80172,
  [SMALL_STATE(1215)] = 80216,
  [SMALL_STATE(1216)] = 80260,
  [SMALL_STATE(1217)] = 80304,
  [SMALL_STATE(1218)] = 80348,
  [SMALL_STATE(1219)] = 80392,
  [SMALL_STATE(1220)] = 80436,
  [SMALL_STATE(1221)] = 80480,
  [SMALL_STATE(1222)] = 80524,
  [SMALL_STATE(1223)] = 80568,
  [SMALL_STATE(1224)] = 80612,
  [SMALL_STATE(1225)] = 80656,
  [SMALL_STATE(1226)] = 80700,
  [SMALL_STATE(1227)] = 80744,
  [SMALL_STATE(1228)] = 80788,
  [SMALL_STATE(1229)] = 80832,
  [SMALL_STATE(1230)] = 80876,
  [SMALL_STATE(1231)] = 80920,
  [SMALL_STATE(1232)] = 80964,
  [SMALL_STATE(1233)] = 81010,
  [SMALL_STATE(1234)] = 81054,
  [SMALL_STATE(1235)] = 81100,
  [SMALL_STATE(1236)] = 81146,
  [SMALL_STATE(1237)] = 81190,
  [SMALL_STATE(1238)] = 81234,
  [SMALL_STATE(1239)] = 81284,
  [SMALL_STATE(1240)] = 81328,
  [SMALL_STATE(1241)] = 81372,
  [SMALL_STATE(1242)] = 81416,
  [SMALL_STATE(1243)] = 81460,
  [SMALL_STATE(1244)] = 81504,
  [SMALL_STATE(1245)] = 81548,
  [SMALL_STATE(1246)] = 81592,
  [SMALL_STATE(1247)] = 81642,
  [SMALL_STATE(1248)] = 81686,
  [SMALL_STATE(1249)] = 81734,
  [SMALL_STATE(1250)] = 81778,
  [SMALL_STATE(1251)] = 81822,
  [SMALL_STATE(1252)] = 81876,
  [SMALL_STATE(1253)] = 81930,
  [SMALL_STATE(1254)] = 81974,
  [SMALL_STATE(1255)] = 82018,
  [SMALL_STATE(1256)] = 82062,
  [SMALL_STATE(1257)] = 82116,
  [SMALL_STATE(1258)] = 82176,
  [SMALL_STATE(1259)] = 82244,
  [SMALL_STATE(1260)] = 82298,
  [SMALL_STATE(1261)] = 82356,
  [SMALL_STATE(1262)] = 82422,
  [SMALL_STATE(1263)] = 82486,
  [SMALL_STATE(1264)] = 82548,
  [SMALL_STATE(1265)] = 82596,
  [SMALL_STATE(1266)] = 82644,
  [SMALL_STATE(1267)] = 82692,
  [SMALL_STATE(1268)] = 82740,
  [SMALL_STATE(1269)] = 82788,
  [SMALL_STATE(1270)] = 82836,
  [SMALL_STATE(1271)] = 82880,
  [SMALL_STATE(1272)] = 82924,
  [SMALL_STATE(1273)] = 82968,
  [SMALL_STATE(1274)] = 83012,
  [SMALL_STATE(1275)] = 83056,
  [SMALL_STATE(1276)] = 83100,
  [SMALL_STATE(1277)] = 83144,
  [SMALL_STATE(1278)] = 83192,
  [SMALL_STATE(1279)] = 83240,
  [SMALL_STATE(1280)] = 83288,
  [SMALL_STATE(1281)] = 83332,
  [SMALL_STATE(1282)] = 83380,
  [SMALL_STATE(1283)] = 83424,
  [SMALL_STATE(1284)] = 83470,
  [SMALL_STATE(1285)] = 83516,
  [SMALL_STATE(1286)] = 83562,
  [SMALL_STATE(1287)] = 83606,
  [SMALL_STATE(1288)] = 83650,
  [SMALL_STATE(1289)] = 83694,
  [SMALL_STATE(1290)] = 83738,
  [SMALL_STATE(1291)] = 83782,
  [SMALL_STATE(1292)] = 83826,
  [SMALL_STATE(1293)] = 83874,
  [SMALL_STATE(1294)] = 83918,
  [SMALL_STATE(1295)] = 83962,
  [SMALL_STATE(1296)] = 84006,
  [SMALL_STATE(1297)] = 84050,
  [SMALL_STATE(1298)] = 84100,
  [SMALL_STATE(1299)] = 84150,
  [SMALL_STATE(1300)] = 84194,
  [SMALL_STATE(1301)] = 84238,
  [SMALL_STATE(1302)] = 84282,
  [SMALL_STATE(1303)] = 84325,
  [SMALL_STATE(1304)] = 84370,
  [SMALL_STATE(1305)] = 84417,
  [SMALL_STATE(1306)] = 84464,
  [SMALL_STATE(1307)] = 84509,
  [SMALL_STATE(1308)] = 84554,
  [SMALL_STATE(1309)] = 84599,
  [SMALL_STATE(1310)] = 84642,
  [SMALL_STATE(1311)] = 84685,
  [SMALL_STATE(1312)] = 84728,
  [SMALL_STATE(1313)] = 84771,
  [SMALL_STATE(1314)] = 84814,
  [SMALL_STATE(1315)] = 84857,
  [SMALL_STATE(1316)] = 84900,
  [SMALL_STATE(1317)] = 84943,
  [SMALL_STATE(1318)] = 84986,
  [SMALL_STATE(1319)] = 85029,
  [SMALL_STATE(1320)] = 85072,
  [SMALL_STATE(1321)] = 85115,
  [SMALL_STATE(1322)] = 85158,
  [SMALL_STATE(1323)] = 85205,
  [SMALL_STATE(1324)] = 85248,
  [SMALL_STATE(1325)] = 85295,
  [SMALL_STATE(1326)] = 85338,
  [SMALL_STATE(1327)] = 85383,
  [SMALL_STATE(1328)] = 85426,
  [SMALL_STATE(1329)] = 85469,
  [SMALL_STATE(1330)] = 85512,
  [SMALL_STATE(1331)] = 85555,
  [SMALL_STATE(1332)] = 85598,
  [SMALL_STATE(1333)] = 85641,
  [SMALL_STATE(1334)] = 85684,
  [SMALL_STATE(1335)] = 85727,
  [SMALL_STATE(1336)] = 85770,
  [SMALL_STATE(1337)] = 85813,
  [SMALL_STATE(1338)] = 85856,
  [SMALL_STATE(1339)] = 85899,
  [SMALL_STATE(1340)] = 85942,
  [SMALL_STATE(1341)] = 85987,
  [SMALL_STATE(1342)] = 86032,
  [SMALL_STATE(1343)] = 86075,
  [SMALL_STATE(1344)] = 86118,
  [SMALL_STATE(1345)] = 86161,
  [SMALL_STATE(1346)] = 86204,
  [SMALL_STATE(1347)] = 86247,
  [SMALL_STATE(1348)] = 86290,
  [SMALL_STATE(1349)] = 86333,
  [SMALL_STATE(1350)] = 86376,
  [SMALL_STATE(1351)] = 86419,
  [SMALL_STATE(1352)] = 86462,
  [SMALL_STATE(1353)] = 86505,
  [SMALL_STATE(1354)] = 86548,
  [SMALL_STATE(1355)] = 86591,
  [SMALL_STATE(1356)] = 86634,
  [SMALL_STATE(1357)] = 86677,
  [SMALL_STATE(1358)] = 86720,
  [SMALL_STATE(1359)] = 86763,
  [SMALL_STATE(1360)] = 86806,
  [SMALL_STATE(1361)] = 86853,
  [SMALL_STATE(1362)] = 86896,
  [SMALL_STATE(1363)] = 86939,
  [SMALL_STATE(1364)] = 86982,
  [SMALL_STATE(1365)] = 87025,
  [SMALL_STATE(1366)] = 87068,
  [SMALL_STATE(1367)] = 87111,
  [SMALL_STATE(1368)] = 87154,
  [SMALL_STATE(1369)] = 87201,
  [SMALL_STATE(1370)] = 87244,
  [SMALL_STATE(1371)] = 87289,
  [SMALL_STATE(1372)] = 87334,
  [SMALL_STATE(1373)] = 87379,
  [SMALL_STATE(1374)] = 87422,
  [SMALL_STATE(1375)] = 87469,
  [SMALL_STATE(1376)] = 87514,
  [SMALL_STATE(1377)] = 87557,
  [SMALL_STATE(1378)] = 87600,
  [SMALL_STATE(1379)] = 87643,
  [SMALL_STATE(1380)] = 87686,
  [SMALL_STATE(1381)] = 87729,
  [SMALL_STATE(1382)] = 87780,
  [SMALL_STATE(1383)] = 87823,
  [SMALL_STATE(1384)] = 87866,
  [SMALL_STATE(1385)] = 87909,
  [SMALL_STATE(1386)] = 87952,
  [SMALL_STATE(1387)] = 87995,
  [SMALL_STATE(1388)] = 88038,
  [SMALL_STATE(1389)] = 88081,
  [SMALL_STATE(1390)] = 88124,
  [SMALL_STATE(1391)] = 88167,
  [SMALL_STATE(1392)] = 88212,
  [SMALL_STATE(1393)] = 88255,
  [SMALL_STATE(1394)] = 88300,
  [SMALL_STATE(1395)] = 88343,
  [SMALL_STATE(1396)] = 88386,
  [SMALL_STATE(1397)] = 88431,
  [SMALL_STATE(1398)] = 88474,
  [SMALL_STATE(1399)] = 88521,
  [SMALL_STATE(1400)] = 88568,
  [SMALL_STATE(1401)] = 88613,
  [SMALL_STATE(1402)] = 88656,
  [SMALL_STATE(1403)] = 88703,
  [SMALL_STATE(1404)] = 88746,
  [SMALL_STATE(1405)] = 88791,
  [SMALL_STATE(1406)] = 88834,
  [SMALL_STATE(1407)] = 88877,
  [SMALL_STATE(1408)] = 88920,
  [SMALL_STATE(1409)] = 88963,
  [SMALL_STATE(1410)] = 89006,
  [SMALL_STATE(1411)] = 89049,
  [SMALL_STATE(1412)] = 89092,
  [SMALL_STATE(1413)] = 89135,
  [SMALL_STATE(1414)] = 89178,
  [SMALL_STATE(1415)] = 89221,
  [SMALL_STATE(1416)] = 89264,
  [SMALL_STATE(1417)] = 89309,
  [SMALL_STATE(1418)] = 89352,
  [SMALL_STATE(1419)] = 89395,
  [SMALL_STATE(1420)] = 89446,
  [SMALL_STATE(1421)] = 89489,
  [SMALL_STATE(1422)] = 89532,
  [SMALL_STATE(1423)] = 89575,
  [SMALL_STATE(1424)] = 89620,
  [SMALL_STATE(1425)] = 89663,
  [SMALL_STATE(1426)] = 89710,
  [SMALL_STATE(1427)] = 89757,
  [SMALL_STATE(1428)] = 89800,
  [SMALL_STATE(1429)] = 89842,
  [SMALL_STATE(1430)] = 89884,
  [SMALL_STATE(1431)] = 89926,
  [SMALL_STATE(1432)] = 89968,
  [SMALL_STATE(1433)] = 90010,
  [SMALL_STATE(1434)] = 90058,
  [SMALL_STATE(1435)] = 90100,
  [SMALL_STATE(1436)] = 90146,
  [SMALL_STATE(1437)] = 90188,
  [SMALL_STATE(1438)] = 90230,
  [SMALL_STATE(1439)] = 90280,
  [SMALL_STATE(1440)] = 90324,
  [SMALL_STATE(1441)] = 90366,
  [SMALL_STATE(1442)] = 90410,
  [SMALL_STATE(1443)] = 90452,
  [SMALL_STATE(1444)] = 90494,
  [SMALL_STATE(1445)] = 90536,
  [SMALL_STATE(1446)] = 90578,
  [SMALL_STATE(1447)] = 90620,
  [SMALL_STATE(1448)] = 90662,
  [SMALL_STATE(1449)] = 90706,
  [SMALL_STATE(1450)] = 90750,
  [SMALL_STATE(1451)] = 90794,
  [SMALL_STATE(1452)] = 90836,
  [SMALL_STATE(1453)] = 90880,
  [SMALL_STATE(1454)] = 90922,
  [SMALL_STATE(1455)] = 90964,
  [SMALL_STATE(1456)] = 91008,
  [SMALL_STATE(1457)] = 91050,
  [SMALL_STATE(1458)] = 91092,
  [SMALL_STATE(1459)] = 91134,
  [SMALL_STATE(1460)] = 91176,
  [SMALL_STATE(1461)] = 91218,
  [SMALL_STATE(1462)] = 91262,
  [SMALL_STATE(1463)] = 91304,
  [SMALL_STATE(1464)] = 91348,
  [SMALL_STATE(1465)] = 91390,
  [SMALL_STATE(1466)] = 91432,
  [SMALL_STATE(1467)] = 91474,
  [SMALL_STATE(1468)] = 91516,
  [SMALL_STATE(1469)] = 91558,
  [SMALL_STATE(1470)] = 91604,
  [SMALL_STATE(1471)] = 91650,
  [SMALL_STATE(1472)] = 91692,
  [SMALL_STATE(1473)] = 91734,
  [SMALL_STATE(1474)] = 91776,
  [SMALL_STATE(1475)] = 91818,
  [SMALL_STATE(1476)] = 91861,
  [SMALL_STATE(1477)] = 91902,
  [SMALL_STATE(1478)] = 91943,
  [SMALL_STATE(1479)] = 91984,
  [SMALL_STATE(1480)] = 92027,
  [SMALL_STATE(1481)] = 92070,
  [SMALL_STATE(1482)] = 92111,
  [SMALL_STATE(1483)] = 92152,
  [SMALL_STATE(1484)] = 92193,
  [SMALL_STATE(1485)] = 92236,
  [SMALL_STATE(1486)] = 92277,
  [SMALL_STATE(1487)] = 92318,
  [SMALL_STATE(1488)] = 92359,
  [SMALL_STATE(1489)] = 92402,
  [SMALL_STATE(1490)] = 92445,
  [SMALL_STATE(1491)] = 92488,
  [SMALL_STATE(1492)] = 92531,
  [SMALL_STATE(1493)] = 92572,
  [SMALL_STATE(1494)] = 92615,
  [SMALL_STATE(1495)] = 92689,
  [SMALL_STATE(1496)] = 92763,
  [SMALL_STATE(1497)] = 92831,
  [SMALL_STATE(1498)] = 92899,
  [SMALL_STATE(1499)] = 92967,
  [SMALL_STATE(1500)] = 93035,
  [SMALL_STATE(1501)] = 93103,
  [SMALL_STATE(1502)] = 93171,
  [SMALL_STATE(1503)] = 93239,
  [SMALL_STATE(1504)] = 93307,
  [SMALL_STATE(1505)] = 93375,
  [SMALL_STATE(1506)] = 93443,
  [SMALL_STATE(1507)] = 93511,
  [SMALL_STATE(1508)] = 93579,
  [SMALL_STATE(1509)] = 93647,
  [SMALL_STATE(1510)] = 93715,
  [SMALL_STATE(1511)] = 93783,
  [SMALL_STATE(1512)] = 93851,
  [SMALL_STATE(1513)] = 93919,
  [SMALL_STATE(1514)] = 93987,
  [SMALL_STATE(1515)] = 94055,
  [SMALL_STATE(1516)] = 94123,
  [SMALL_STATE(1517)] = 94191,
  [SMALL_STATE(1518)] = 94259,
  [SMALL_STATE(1519)] = 94327,
  [SMALL_STATE(1520)] = 94395,
  [SMALL_STATE(1521)] = 94463,
  [SMALL_STATE(1522)] = 94531,
  [SMALL_STATE(1523)] = 94599,
  [SMALL_STATE(1524)] = 94667,
  [SMALL_STATE(1525)] = 94735,
  [SMALL_STATE(1526)] = 94803,
  [SMALL_STATE(1527)] = 94871,
  [SMALL_STATE(1528)] = 94939,
  [SMALL_STATE(1529)] = 95007,
  [SMALL_STATE(1530)] = 95075,
  [SMALL_STATE(1531)] = 95143,
  [SMALL_STATE(1532)] = 95211,
  [SMALL_STATE(1533)] = 95276,
  [SMALL_STATE(1534)] = 95341,
  [SMALL_STATE(1535)] = 95406,
  [SMALL_STATE(1536)] = 95471,
  [SMALL_STATE(1537)] = 95536,
  [SMALL_STATE(1538)] = 95602,
  [SMALL_STATE(1539)] = 95668,
  [SMALL_STATE(1540)] = 95734,
  [SMALL_STATE(1541)] = 95800,
  [SMALL_STATE(1542)] = 95866,
  [SMALL_STATE(1543)] = 95932,
  [SMALL_STATE(1544)] = 95998,
  [SMALL_STATE(1545)] = 96064,
  [SMALL_STATE(1546)] = 96130,
  [SMALL_STATE(1547)] = 96196,
  [SMALL_STATE(1548)] = 96262,
  [SMALL_STATE(1549)] = 96328,
  [SMALL_STATE(1550)] = 96394,
  [SMALL_STATE(1551)] = 96460,
  [SMALL_STATE(1552)] = 96526,
  [SMALL_STATE(1553)] = 96592,
  [SMALL_STATE(1554)] = 96658,
  [SMALL_STATE(1555)] = 96724,
  [SMALL_STATE(1556)] = 96790,
  [SMALL_STATE(1557)] = 96856,
  [SMALL_STATE(1558)] = 96919,
  [SMALL_STATE(1559)] = 96977,
  [SMALL_STATE(1560)] = 97035,
  [SMALL_STATE(1561)] = 97093,
  [SMALL_STATE(1562)] = 97151,
  [SMALL_STATE(1563)] = 97209,
  [SMALL_STATE(1564)] = 97267,
  [SMALL_STATE(1565)] = 97313,
  [SMALL_STATE(1566)] = 97371,
  [SMALL_STATE(1567)] = 97429,
  [SMALL_STATE(1568)] = 97475,
  [SMALL_STATE(1569)] = 97520,
  [SMALL_STATE(1570)] = 97565,
  [SMALL_STATE(1571)] = 97609,
  [SMALL_STATE(1572)] = 97653,
  [SMALL_STATE(1573)] = 97697,
  [SMALL_STATE(1574)] = 97741,
  [SMALL_STATE(1575)] = 97784,
  [SMALL_STATE(1576)] = 97827,
  [SMALL_STATE(1577)] = 97870,
  [SMALL_STATE(1578)] = 97913,
  [SMALL_STATE(1579)] = 97954,
  [SMALL_STATE(1580)] = 97995,
  [SMALL_STATE(1581)] = 98037,
  [SMALL_STATE(1582)] = 98067,
  [SMALL_STATE(1583)] = 98099,
  [SMALL_STATE(1584)] = 98131,
  [SMALL_STATE(1585)] = 98163,
  [SMALL_STATE(1586)] = 98195,
  [SMALL_STATE(1587)] = 98227,
  [SMALL_STATE(1588)] = 98259,
  [SMALL_STATE(1589)] = 98289,
  [SMALL_STATE(1590)] = 98331,
  [SMALL_STATE(1591)] = 98361,
  [SMALL_STATE(1592)] = 98391,
  [SMALL_STATE(1593)] = 98421,
  [SMALL_STATE(1594)] = 98451,
  [SMALL_STATE(1595)] = 98481,
  [SMALL_STATE(1596)] = 98511,
  [SMALL_STATE(1597)] = 98541,
  [SMALL_STATE(1598)] = 98571,
  [SMALL_STATE(1599)] = 98600,
  [SMALL_STATE(1600)] = 98629,
  [SMALL_STATE(1601)] = 98658,
  [SMALL_STATE(1602)] = 98687,
  [SMALL_STATE(1603)] = 98716,
  [SMALL_STATE(1604)] = 98745,
  [SMALL_STATE(1605)] = 98774,
  [SMALL_STATE(1606)] = 98803,
  [SMALL_STATE(1607)] = 98832,
  [SMALL_STATE(1608)] = 98861,
  [SMALL_STATE(1609)] = 98890,
  [SMALL_STATE(1610)] = 98919,
  [SMALL_STATE(1611)] = 98948,
  [SMALL_STATE(1612)] = 98977,
  [SMALL_STATE(1613)] = 99006,
  [SMALL_STATE(1614)] = 99035,
  [SMALL_STATE(1615)] = 99060,
  [SMALL_STATE(1616)] = 99089,
  [SMALL_STATE(1617)] = 99136,
  [SMALL_STATE(1618)] = 99161,
  [SMALL_STATE(1619)] = 99190,
  [SMALL_STATE(1620)] = 99219,
  [SMALL_STATE(1621)] = 99248,
  [SMALL_STATE(1622)] = 99277,
  [SMALL_STATE(1623)] = 99324,
  [SMALL_STATE(1624)] = 99371,
  [SMALL_STATE(1625)] = 99418,
  [SMALL_STATE(1626)] = 99465,
  [SMALL_STATE(1627)] = 99512,
  [SMALL_STATE(1628)] = 99559,
  [SMALL_STATE(1629)] = 99584,
  [SMALL_STATE(1630)] = 99631,
  [SMALL_STATE(1631)] = 99660,
  [SMALL_STATE(1632)] = 99707,
  [SMALL_STATE(1633)] = 99754,
  [SMALL_STATE(1634)] = 99783,
  [SMALL_STATE(1635)] = 99808,
  [SMALL_STATE(1636)] = 99837,
  [SMALL_STATE(1637)] = 99883,
  [SMALL_STATE(1638)] = 99929,
  [SMALL_STATE(1639)] = 99953,
  [SMALL_STATE(1640)] = 99999,
  [SMALL_STATE(1641)] = 100023,
  [SMALL_STATE(1642)] = 100053,
  [SMALL_STATE(1643)] = 100099,
  [SMALL_STATE(1644)] = 100127,
  [SMALL_STATE(1645)] = 100173,
  [SMALL_STATE(1646)] = 100219,
  [SMALL_STATE(1647)] = 100243,
  [SMALL_STATE(1648)] = 100289,
  [SMALL_STATE(1649)] = 100335,
  [SMALL_STATE(1650)] = 100381,
  [SMALL_STATE(1651)] = 100405,
  [SMALL_STATE(1652)] = 100437,
  [SMALL_STATE(1653)] = 100469,
  [SMALL_STATE(1654)] = 100497,
  [SMALL_STATE(1655)] = 100543,
  [SMALL_STATE(1656)] = 100589,
  [SMALL_STATE(1657)] = 100632,
  [SMALL_STATE(1658)] = 100672,
  [SMALL_STATE(1659)] = 100712,
  [SMALL_STATE(1660)] = 100752,
  [SMALL_STATE(1661)] = 100778,
  [SMALL_STATE(1662)] = 100818,
  [SMALL_STATE(1663)] = 100855,
  [SMALL_STATE(1664)] = 100894,
  [SMALL_STATE(1665)] = 100931,
  [SMALL_STATE(1666)] = 100972,
  [SMALL_STATE(1667)] = 100999,
  [SMALL_STATE(1668)] = 101040,
  [SMALL_STATE(1669)] = 101059,
  [SMALL_STATE(1670)] = 101082,
  [SMALL_STATE(1671)] = 101101,
  [SMALL_STATE(1672)] = 101142,
  [SMALL_STATE(1673)] = 101163,
  [SMALL_STATE(1674)] = 101204,
  [SMALL_STATE(1675)] = 101245,
  [SMALL_STATE(1676)] = 101286,
  [SMALL_STATE(1677)] = 101311,
  [SMALL_STATE(1678)] = 101338,
  [SMALL_STATE(1679)] = 101379,
  [SMALL_STATE(1680)] = 101398,
  [SMALL_STATE(1681)] = 101425,
  [SMALL_STATE(1682)] = 101466,
  [SMALL_STATE(1683)] = 101504,
  [SMALL_STATE(1684)] = 101534,
  [SMALL_STATE(1685)] = 101564,
  [SMALL_STATE(1686)] = 101602,
  [SMALL_STATE(1687)] = 101640,
  [SMALL_STATE(1688)] = 101670,
  [SMALL_STATE(1689)] = 101700,
  [SMALL_STATE(1690)] = 101732,
  [SMALL_STATE(1691)] = 101762,
  [SMALL_STATE(1692)] = 101792,
  [SMALL_STATE(1693)] = 101830,
  [SMALL_STATE(1694)] = 101868,
  [SMALL_STATE(1695)] = 101906,
  [SMALL_STATE(1696)] = 101926,
  [SMALL_STATE(1697)] = 101956,
  [SMALL_STATE(1698)] = 101986,
  [SMALL_STATE(1699)] = 102024,
  [SMALL_STATE(1700)] = 102062,
  [SMALL_STATE(1701)] = 102100,
  [SMALL_STATE(1702)] = 102130,
  [SMALL_STATE(1703)] = 102160,
  [SMALL_STATE(1704)] = 102198,
  [SMALL_STATE(1705)] = 102236,
  [SMALL_STATE(1706)] = 102256,
  [SMALL_STATE(1707)] = 102276,
  [SMALL_STATE(1708)] = 102306,
  [SMALL_STATE(1709)] = 102344,
  [SMALL_STATE(1710)] = 102374,
  [SMALL_STATE(1711)] = 102412,
  [SMALL_STATE(1712)] = 102442,
  [SMALL_STATE(1713)] = 102472,
  [SMALL_STATE(1714)] = 102510,
  [SMALL_STATE(1715)] = 102548,
  [SMALL_STATE(1716)] = 102578,
  [SMALL_STATE(1717)] = 102608,
  [SMALL_STATE(1718)] = 102646,
  [SMALL_STATE(1719)] = 102684,
  [SMALL_STATE(1720)] = 102714,
  [SMALL_STATE(1721)] = 102744,
  [SMALL_STATE(1722)] = 102782,
  [SMALL_STATE(1723)] = 102808,
  [SMALL_STATE(1724)] = 102846,
  [SMALL_STATE(1725)] = 102872,
  [SMALL_STATE(1726)] = 102910,
  [SMALL_STATE(1727)] = 102934,
  [SMALL_STATE(1728)] = 102972,
  [SMALL_STATE(1729)] = 103010,
  [SMALL_STATE(1730)] = 103032,
  [SMALL_STATE(1731)] = 103070,
  [SMALL_STATE(1732)] = 103108,
  [SMALL_STATE(1733)] = 103146,
  [SMALL_STATE(1734)] = 103172,
  [SMALL_STATE(1735)] = 103196,
  [SMALL_STATE(1736)] = 103226,
  [SMALL_STATE(1737)] = 103243,
  [SMALL_STATE(1738)] = 103272,
  [SMALL_STATE(1739)] = 103289,
  [SMALL_STATE(1740)] = 103312,
  [SMALL_STATE(1741)] = 103337,
  [SMALL_STATE(1742)] = 103362,
  [SMALL_STATE(1743)] = 103383,
  [SMALL_STATE(1744)] = 103400,
  [SMALL_STATE(1745)] = 103419,
  [SMALL_STATE(1746)] = 103440,
  [SMALL_STATE(1747)] = 103465,
  [SMALL_STATE(1748)] = 103482,
  [SMALL_STATE(1749)] = 103499,
  [SMALL_STATE(1750)] = 103516,
  [SMALL_STATE(1751)] = 103535,
  [SMALL_STATE(1752)] = 103560,
  [SMALL_STATE(1753)] = 103583,
  [SMALL_STATE(1754)] = 103608,
  [SMALL_STATE(1755)] = 103633,
  [SMALL_STATE(1756)] = 103658,
  [SMALL_STATE(1757)] = 103687,
  [SMALL_STATE(1758)] = 103712,
  [SMALL_STATE(1759)] = 103732,
  [SMALL_STATE(1760)] = 103750,
  [SMALL_STATE(1761)] = 103766,
  [SMALL_STATE(1762)] = 103784,
  [SMALL_STATE(1763)] = 103804,
  [SMALL_STATE(1764)] = 103828,
  [SMALL_STATE(1765)] = 103852,
  [SMALL_STATE(1766)] = 103876,
  [SMALL_STATE(1767)] = 103900,
  [SMALL_STATE(1768)] = 103924,
  [SMALL_STATE(1769)] = 103940,
  [SMALL_STATE(1770)] = 103964,
  [SMALL_STATE(1771)] = 103994,
  [SMALL_STATE(1772)] = 104010,
  [SMALL_STATE(1773)] = 104034,
  [SMALL_STATE(1774)] = 104050,
  [SMALL_STATE(1775)] = 104072,
  [SMALL_STATE(1776)] = 104096,
  [SMALL_STATE(1777)] = 104120,
  [SMALL_STATE(1778)] = 104142,
  [SMALL_STATE(1779)] = 104164,
  [SMALL_STATE(1780)] = 104184,
  [SMALL_STATE(1781)] = 104204,
  [SMALL_STATE(1782)] = 104228,
  [SMALL_STATE(1783)] = 104250,
  [SMALL_STATE(1784)] = 104266,
  [SMALL_STATE(1785)] = 104284,
  [SMALL_STATE(1786)] = 104304,
  [SMALL_STATE(1787)] = 104322,
  [SMALL_STATE(1788)] = 104340,
  [SMALL_STATE(1789)] = 104364,
  [SMALL_STATE(1790)] = 104384,
  [SMALL_STATE(1791)] = 104408,
  [SMALL_STATE(1792)] = 104424,
  [SMALL_STATE(1793)] = 104448,
  [SMALL_STATE(1794)] = 104470,
  [SMALL_STATE(1795)] = 104491,
  [SMALL_STATE(1796)] = 104520,
  [SMALL_STATE(1797)] = 104541,
  [SMALL_STATE(1798)] = 104564,
  [SMALL_STATE(1799)] = 104589,
  [SMALL_STATE(1800)] = 104616,
  [SMALL_STATE(1801)] = 104639,
  [SMALL_STATE(1802)] = 104668,
  [SMALL_STATE(1803)] = 104683,
  [SMALL_STATE(1804)] = 104706,
  [SMALL_STATE(1805)] = 104729,
  [SMALL_STATE(1806)] = 104756,
  [SMALL_STATE(1807)] = 104777,
  [SMALL_STATE(1808)] = 104802,
  [SMALL_STATE(1809)] = 104823,
  [SMALL_STATE(1810)] = 104844,
  [SMALL_STATE(1811)] = 104861,
  [SMALL_STATE(1812)] = 104890,
  [SMALL_STATE(1813)] = 104917,
  [SMALL_STATE(1814)] = 104938,
  [SMALL_STATE(1815)] = 104967,
  [SMALL_STATE(1816)] = 104988,
  [SMALL_STATE(1817)] = 105017,
  [SMALL_STATE(1818)] = 105046,
  [SMALL_STATE(1819)] = 105063,
  [SMALL_STATE(1820)] = 105092,
  [SMALL_STATE(1821)] = 105111,
  [SMALL_STATE(1822)] = 105136,
  [SMALL_STATE(1823)] = 105157,
  [SMALL_STATE(1824)] = 105182,
  [SMALL_STATE(1825)] = 105209,
  [SMALL_STATE(1826)] = 105232,
  [SMALL_STATE(1827)] = 105259,
  [SMALL_STATE(1828)] = 105286,
  [SMALL_STATE(1829)] = 105313,
  [SMALL_STATE(1830)] = 105338,
  [SMALL_STATE(1831)] = 105367,
  [SMALL_STATE(1832)] = 105388,
  [SMALL_STATE(1833)] = 105409,
  [SMALL_STATE(1834)] = 105438,
  [SMALL_STATE(1835)] = 105465,
  [SMALL_STATE(1836)] = 105488,
  [SMALL_STATE(1837)] = 105513,
  [SMALL_STATE(1838)] = 105534,
  [SMALL_STATE(1839)] = 105555,
  [SMALL_STATE(1840)] = 105576,
  [SMALL_STATE(1841)] = 105597,
  [SMALL_STATE(1842)] = 105614,
  [SMALL_STATE(1843)] = 105633,
  [SMALL_STATE(1844)] = 105656,
  [SMALL_STATE(1845)] = 105685,
  [SMALL_STATE(1846)] = 105707,
  [SMALL_STATE(1847)] = 105729,
  [SMALL_STATE(1848)] = 105755,
  [SMALL_STATE(1849)] = 105781,
  [SMALL_STATE(1850)] = 105807,
  [SMALL_STATE(1851)] = 105833,
  [SMALL_STATE(1852)] = 105859,
  [SMALL_STATE(1853)] = 105885,
  [SMALL_STATE(1854)] = 105903,
  [SMALL_STATE(1855)] = 105925,
  [SMALL_STATE(1856)] = 105947,
  [SMALL_STATE(1857)] = 105971,
  [SMALL_STATE(1858)] = 105997,
  [SMALL_STATE(1859)] = 106015,
  [SMALL_STATE(1860)] = 106033,
  [SMALL_STATE(1861)] = 106055,
  [SMALL_STATE(1862)] = 106079,
  [SMALL_STATE(1863)] = 106101,
  [SMALL_STATE(1864)] = 106127,
  [SMALL_STATE(1865)] = 106153,
  [SMALL_STATE(1866)] = 106179,
  [SMALL_STATE(1867)] = 106197,
  [SMALL_STATE(1868)] = 106221,
  [SMALL_STATE(1869)] = 106239,
  [SMALL_STATE(1870)] = 106265,
  [SMALL_STATE(1871)] = 106291,
  [SMALL_STATE(1872)] = 106317,
  [SMALL_STATE(1873)] = 106343,
  [SMALL_STATE(1874)] = 106363,
  [SMALL_STATE(1875)] = 106379,
  [SMALL_STATE(1876)] = 106397,
  [SMALL_STATE(1877)] = 106417,
  [SMALL_STATE(1878)] = 106435,
  [SMALL_STATE(1879)] = 106459,
  [SMALL_STATE(1880)] = 106485,
  [SMALL_STATE(1881)] = 106507,
  [SMALL_STATE(1882)] = 106527,
  [SMALL_STATE(1883)] = 106553,
  [SMALL_STATE(1884)] = 106571,
  [SMALL_STATE(1885)] = 106589,
  [SMALL_STATE(1886)] = 106607,
  [SMALL_STATE(1887)] = 106629,
  [SMALL_STATE(1888)] = 106651,
  [SMALL_STATE(1889)] = 106677,
  [SMALL_STATE(1890)] = 106703,
  [SMALL_STATE(1891)] = 106725,
  [SMALL_STATE(1892)] = 106741,
  [SMALL_STATE(1893)] = 106759,
  [SMALL_STATE(1894)] = 106781,
  [SMALL_STATE(1895)] = 106799,
  [SMALL_STATE(1896)] = 106814,
  [SMALL_STATE(1897)] = 106835,
  [SMALL_STATE(1898)] = 106852,
  [SMALL_STATE(1899)] = 106873,
  [SMALL_STATE(1900)] = 106894,
  [SMALL_STATE(1901)] = 106915,
  [SMALL_STATE(1902)] = 106932,
  [SMALL_STATE(1903)] = 106945,
  [SMALL_STATE(1904)] = 106960,
  [SMALL_STATE(1905)] = 106977,
  [SMALL_STATE(1906)] = 106992,
  [SMALL_STATE(1907)] = 107013,
  [SMALL_STATE(1908)] = 107028,
  [SMALL_STATE(1909)] = 107045,
  [SMALL_STATE(1910)] = 107058,
  [SMALL_STATE(1911)] = 107071,
  [SMALL_STATE(1912)] = 107094,
  [SMALL_STATE(1913)] = 107109,
  [SMALL_STATE(1914)] = 107132,
  [SMALL_STATE(1915)] = 107149,
  [SMALL_STATE(1916)] = 107170,
  [SMALL_STATE(1917)] = 107187,
  [SMALL_STATE(1918)] = 107200,
  [SMALL_STATE(1919)] = 107213,
  [SMALL_STATE(1920)] = 107226,
  [SMALL_STATE(1921)] = 107245,
  [SMALL_STATE(1922)] = 107262,
  [SMALL_STATE(1923)] = 107275,
  [SMALL_STATE(1924)] = 107288,
  [SMALL_STATE(1925)] = 107309,
  [SMALL_STATE(1926)] = 107326,
  [SMALL_STATE(1927)] = 107347,
  [SMALL_STATE(1928)] = 107368,
  [SMALL_STATE(1929)] = 107389,
  [SMALL_STATE(1930)] = 107406,
  [SMALL_STATE(1931)] = 107419,
  [SMALL_STATE(1932)] = 107440,
  [SMALL_STATE(1933)] = 107457,
  [SMALL_STATE(1934)] = 107474,
  [SMALL_STATE(1935)] = 107491,
  [SMALL_STATE(1936)] = 107504,
  [SMALL_STATE(1937)] = 107525,
  [SMALL_STATE(1938)] = 107540,
  [SMALL_STATE(1939)] = 107553,
  [SMALL_STATE(1940)] = 107574,
  [SMALL_STATE(1941)] = 107591,
  [SMALL_STATE(1942)] = 107612,
  [SMALL_STATE(1943)] = 107629,
  [SMALL_STATE(1944)] = 107652,
  [SMALL_STATE(1945)] = 107673,
  [SMALL_STATE(1946)] = 107690,
  [SMALL_STATE(1947)] = 107705,
  [SMALL_STATE(1948)] = 107718,
  [SMALL_STATE(1949)] = 107739,
  [SMALL_STATE(1950)] = 107760,
  [SMALL_STATE(1951)] = 107783,
  [SMALL_STATE(1952)] = 107800,
  [SMALL_STATE(1953)] = 107813,
  [SMALL_STATE(1954)] = 107834,
  [SMALL_STATE(1955)] = 107851,
  [SMALL_STATE(1956)] = 107868,
  [SMALL_STATE(1957)] = 107881,
  [SMALL_STATE(1958)] = 107898,
  [SMALL_STATE(1959)] = 107911,
  [SMALL_STATE(1960)] = 107930,
  [SMALL_STATE(1961)] = 107947,
  [SMALL_STATE(1962)] = 107964,
  [SMALL_STATE(1963)] = 107979,
  [SMALL_STATE(1964)] = 107996,
  [SMALL_STATE(1965)] = 108017,
  [SMALL_STATE(1966)] = 108034,
  [SMALL_STATE(1967)] = 108051,
  [SMALL_STATE(1968)] = 108064,
  [SMALL_STATE(1969)] = 108077,
  [SMALL_STATE(1970)] = 108094,
  [SMALL_STATE(1971)] = 108107,
  [SMALL_STATE(1972)] = 108128,
  [SMALL_STATE(1973)] = 108145,
  [SMALL_STATE(1974)] = 108162,
  [SMALL_STATE(1975)] = 108183,
  [SMALL_STATE(1976)] = 108206,
  [SMALL_STATE(1977)] = 108223,
  [SMALL_STATE(1978)] = 108246,
  [SMALL_STATE(1979)] = 108263,
  [SMALL_STATE(1980)] = 108280,
  [SMALL_STATE(1981)] = 108297,
  [SMALL_STATE(1982)] = 108318,
  [SMALL_STATE(1983)] = 108339,
  [SMALL_STATE(1984)] = 108352,
  [SMALL_STATE(1985)] = 108365,
  [SMALL_STATE(1986)] = 108386,
  [SMALL_STATE(1987)] = 108407,
  [SMALL_STATE(1988)] = 108428,
  [SMALL_STATE(1989)] = 108441,
  [SMALL_STATE(1990)] = 108454,
  [SMALL_STATE(1991)] = 108467,
  [SMALL_STATE(1992)] = 108488,
  [SMALL_STATE(1993)] = 108509,
  [SMALL_STATE(1994)] = 108526,
  [SMALL_STATE(1995)] = 108543,
  [SMALL_STATE(1996)] = 108560,
  [SMALL_STATE(1997)] = 108581,
  [SMALL_STATE(1998)] = 108602,
  [SMALL_STATE(1999)] = 108625,
  [SMALL_STATE(2000)] = 108646,
  [SMALL_STATE(2001)] = 108667,
  [SMALL_STATE(2002)] = 108684,
  [SMALL_STATE(2003)] = 108701,
  [SMALL_STATE(2004)] = 108714,
  [SMALL_STATE(2005)] = 108726,
  [SMALL_STATE(2006)] = 108746,
  [SMALL_STATE(2007)] = 108766,
  [SMALL_STATE(2008)] = 108778,
  [SMALL_STATE(2009)] = 108792,
  [SMALL_STATE(2010)] = 108808,
  [SMALL_STATE(2011)] = 108820,
  [SMALL_STATE(2012)] = 108832,
  [SMALL_STATE(2013)] = 108844,
  [SMALL_STATE(2014)] = 108864,
  [SMALL_STATE(2015)] = 108876,
  [SMALL_STATE(2016)] = 108888,
  [SMALL_STATE(2017)] = 108904,
  [SMALL_STATE(2018)] = 108920,
  [SMALL_STATE(2019)] = 108940,
  [SMALL_STATE(2020)] = 108952,
  [SMALL_STATE(2021)] = 108964,
  [SMALL_STATE(2022)] = 108982,
  [SMALL_STATE(2023)] = 108994,
  [SMALL_STATE(2024)] = 109010,
  [SMALL_STATE(2025)] = 109030,
  [SMALL_STATE(2026)] = 109042,
  [SMALL_STATE(2027)] = 109062,
  [SMALL_STATE(2028)] = 109074,
  [SMALL_STATE(2029)] = 109094,
  [SMALL_STATE(2030)] = 109106,
  [SMALL_STATE(2031)] = 109118,
  [SMALL_STATE(2032)] = 109130,
  [SMALL_STATE(2033)] = 109148,
  [SMALL_STATE(2034)] = 109168,
  [SMALL_STATE(2035)] = 109188,
  [SMALL_STATE(2036)] = 109200,
  [SMALL_STATE(2037)] = 109218,
  [SMALL_STATE(2038)] = 109236,
  [SMALL_STATE(2039)] = 109248,
  [SMALL_STATE(2040)] = 109268,
  [SMALL_STATE(2041)] = 109280,
  [SMALL_STATE(2042)] = 109292,
  [SMALL_STATE(2043)] = 109304,
  [SMALL_STATE(2044)] = 109316,
  [SMALL_STATE(2045)] = 109334,
  [SMALL_STATE(2046)] = 109346,
  [SMALL_STATE(2047)] = 109366,
  [SMALL_STATE(2048)] = 109378,
  [SMALL_STATE(2049)] = 109390,
  [SMALL_STATE(2050)] = 109402,
  [SMALL_STATE(2051)] = 109414,
  [SMALL_STATE(2052)] = 109434,
  [SMALL_STATE(2053)] = 109450,
  [SMALL_STATE(2054)] = 109470,
  [SMALL_STATE(2055)] = 109490,
  [SMALL_STATE(2056)] = 109502,
  [SMALL_STATE(2057)] = 109522,
  [SMALL_STATE(2058)] = 109542,
  [SMALL_STATE(2059)] = 109558,
  [SMALL_STATE(2060)] = 109572,
  [SMALL_STATE(2061)] = 109588,
  [SMALL_STATE(2062)] = 109600,
  [SMALL_STATE(2063)] = 109612,
  [SMALL_STATE(2064)] = 109628,
  [SMALL_STATE(2065)] = 109640,
  [SMALL_STATE(2066)] = 109660,
  [SMALL_STATE(2067)] = 109674,
  [SMALL_STATE(2068)] = 109694,
  [SMALL_STATE(2069)] = 109714,
  [SMALL_STATE(2070)] = 109728,
  [SMALL_STATE(2071)] = 109748,
  [SMALL_STATE(2072)] = 109768,
  [SMALL_STATE(2073)] = 109784,
  [SMALL_STATE(2074)] = 109796,
  [SMALL_STATE(2075)] = 109808,
  [SMALL_STATE(2076)] = 109828,
  [SMALL_STATE(2077)] = 109840,
  [SMALL_STATE(2078)] = 109852,
  [SMALL_STATE(2079)] = 109864,
  [SMALL_STATE(2080)] = 109882,
  [SMALL_STATE(2081)] = 109902,
  [SMALL_STATE(2082)] = 109914,
  [SMALL_STATE(2083)] = 109932,
  [SMALL_STATE(2084)] = 109944,
  [SMALL_STATE(2085)] = 109956,
  [SMALL_STATE(2086)] = 109970,
  [SMALL_STATE(2087)] = 109982,
  [SMALL_STATE(2088)] = 109998,
  [SMALL_STATE(2089)] = 110010,
  [SMALL_STATE(2090)] = 110030,
  [SMALL_STATE(2091)] = 110042,
  [SMALL_STATE(2092)] = 110062,
  [SMALL_STATE(2093)] = 110074,
  [SMALL_STATE(2094)] = 110090,
  [SMALL_STATE(2095)] = 110110,
  [SMALL_STATE(2096)] = 110122,
  [SMALL_STATE(2097)] = 110142,
  [SMALL_STATE(2098)] = 110154,
  [SMALL_STATE(2099)] = 110166,
  [SMALL_STATE(2100)] = 110182,
  [SMALL_STATE(2101)] = 110200,
  [SMALL_STATE(2102)] = 110218,
  [SMALL_STATE(2103)] = 110230,
  [SMALL_STATE(2104)] = 110250,
  [SMALL_STATE(2105)] = 110268,
  [SMALL_STATE(2106)] = 110284,
  [SMALL_STATE(2107)] = 110298,
  [SMALL_STATE(2108)] = 110310,
  [SMALL_STATE(2109)] = 110328,
  [SMALL_STATE(2110)] = 110346,
  [SMALL_STATE(2111)] = 110366,
  [SMALL_STATE(2112)] = 110382,
  [SMALL_STATE(2113)] = 110394,
  [SMALL_STATE(2114)] = 110406,
  [SMALL_STATE(2115)] = 110424,
  [SMALL_STATE(2116)] = 110436,
  [SMALL_STATE(2117)] = 110448,
  [SMALL_STATE(2118)] = 110468,
  [SMALL_STATE(2119)] = 110480,
  [SMALL_STATE(2120)] = 110492,
  [SMALL_STATE(2121)] = 110504,
  [SMALL_STATE(2122)] = 110520,
  [SMALL_STATE(2123)] = 110532,
  [SMALL_STATE(2124)] = 110552,
  [SMALL_STATE(2125)] = 110563,
  [SMALL_STATE(2126)] = 110574,
  [SMALL_STATE(2127)] = 110585,
  [SMALL_STATE(2128)] = 110596,
  [SMALL_STATE(2129)] = 110607,
  [SMALL_STATE(2130)] = 110618,
  [SMALL_STATE(2131)] = 110629,
  [SMALL_STATE(2132)] = 110646,
  [SMALL_STATE(2133)] = 110657,
  [SMALL_STATE(2134)] = 110668,
  [SMALL_STATE(2135)] = 110679,
  [SMALL_STATE(2136)] = 110690,
  [SMALL_STATE(2137)] = 110701,
  [SMALL_STATE(2138)] = 110712,
  [SMALL_STATE(2139)] = 110723,
  [SMALL_STATE(2140)] = 110734,
  [SMALL_STATE(2141)] = 110745,
  [SMALL_STATE(2142)] = 110756,
  [SMALL_STATE(2143)] = 110767,
  [SMALL_STATE(2144)] = 110778,
  [SMALL_STATE(2145)] = 110789,
  [SMALL_STATE(2146)] = 110800,
  [SMALL_STATE(2147)] = 110811,
  [SMALL_STATE(2148)] = 110822,
  [SMALL_STATE(2149)] = 110833,
  [SMALL_STATE(2150)] = 110844,
  [SMALL_STATE(2151)] = 110855,
  [SMALL_STATE(2152)] = 110866,
  [SMALL_STATE(2153)] = 110877,
  [SMALL_STATE(2154)] = 110894,
  [SMALL_STATE(2155)] = 110911,
  [SMALL_STATE(2156)] = 110926,
  [SMALL_STATE(2157)] = 110941,
  [SMALL_STATE(2158)] = 110956,
  [SMALL_STATE(2159)] = 110973,
  [SMALL_STATE(2160)] = 110988,
  [SMALL_STATE(2161)] = 111005,
  [SMALL_STATE(2162)] = 111018,
  [SMALL_STATE(2163)] = 111029,
  [SMALL_STATE(2164)] = 111046,
  [SMALL_STATE(2165)] = 111061,
  [SMALL_STATE(2166)] = 111072,
  [SMALL_STATE(2167)] = 111083,
  [SMALL_STATE(2168)] = 111094,
  [SMALL_STATE(2169)] = 111105,
  [SMALL_STATE(2170)] = 111116,
  [SMALL_STATE(2171)] = 111127,
  [SMALL_STATE(2172)] = 111138,
  [SMALL_STATE(2173)] = 111149,
  [SMALL_STATE(2174)] = 111164,
  [SMALL_STATE(2175)] = 111175,
  [SMALL_STATE(2176)] = 111190,
  [SMALL_STATE(2177)] = 111201,
  [SMALL_STATE(2178)] = 111212,
  [SMALL_STATE(2179)] = 111223,
  [SMALL_STATE(2180)] = 111234,
  [SMALL_STATE(2181)] = 111245,
  [SMALL_STATE(2182)] = 111256,
  [SMALL_STATE(2183)] = 111267,
  [SMALL_STATE(2184)] = 111278,
  [SMALL_STATE(2185)] = 111291,
  [SMALL_STATE(2186)] = 111302,
  [SMALL_STATE(2187)] = 111313,
  [SMALL_STATE(2188)] = 111324,
  [SMALL_STATE(2189)] = 111335,
  [SMALL_STATE(2190)] = 111346,
  [SMALL_STATE(2191)] = 111363,
  [SMALL_STATE(2192)] = 111380,
  [SMALL_STATE(2193)] = 111391,
  [SMALL_STATE(2194)] = 111402,
  [SMALL_STATE(2195)] = 111419,
  [SMALL_STATE(2196)] = 111436,
  [SMALL_STATE(2197)] = 111447,
  [SMALL_STATE(2198)] = 111462,
  [SMALL_STATE(2199)] = 111479,
  [SMALL_STATE(2200)] = 111494,
  [SMALL_STATE(2201)] = 111509,
  [SMALL_STATE(2202)] = 111526,
  [SMALL_STATE(2203)] = 111543,
  [SMALL_STATE(2204)] = 111560,
  [SMALL_STATE(2205)] = 111577,
  [SMALL_STATE(2206)] = 111594,
  [SMALL_STATE(2207)] = 111605,
  [SMALL_STATE(2208)] = 111622,
  [SMALL_STATE(2209)] = 111633,
  [SMALL_STATE(2210)] = 111648,
  [SMALL_STATE(2211)] = 111659,
  [SMALL_STATE(2212)] = 111670,
  [SMALL_STATE(2213)] = 111681,
  [SMALL_STATE(2214)] = 111692,
  [SMALL_STATE(2215)] = 111709,
  [SMALL_STATE(2216)] = 111726,
  [SMALL_STATE(2217)] = 111741,
  [SMALL_STATE(2218)] = 111756,
  [SMALL_STATE(2219)] = 111771,
  [SMALL_STATE(2220)] = 111782,
  [SMALL_STATE(2221)] = 111793,
  [SMALL_STATE(2222)] = 111804,
  [SMALL_STATE(2223)] = 111815,
  [SMALL_STATE(2224)] = 111826,
  [SMALL_STATE(2225)] = 111843,
  [SMALL_STATE(2226)] = 111854,
  [SMALL_STATE(2227)] = 111865,
  [SMALL_STATE(2228)] = 111880,
  [SMALL_STATE(2229)] = 111891,
  [SMALL_STATE(2230)] = 111904,
  [SMALL_STATE(2231)] = 111919,
  [SMALL_STATE(2232)] = 111936,
  [SMALL_STATE(2233)] = 111953,
  [SMALL_STATE(2234)] = 111964,
  [SMALL_STATE(2235)] = 111981,
  [SMALL_STATE(2236)] = 111992,
  [SMALL_STATE(2237)] = 112003,
  [SMALL_STATE(2238)] = 112020,
  [SMALL_STATE(2239)] = 112035,
  [SMALL_STATE(2240)] = 112050,
  [SMALL_STATE(2241)] = 112061,
  [SMALL_STATE(2242)] = 112078,
  [SMALL_STATE(2243)] = 112089,
  [SMALL_STATE(2244)] = 112100,
  [SMALL_STATE(2245)] = 112117,
  [SMALL_STATE(2246)] = 112132,
  [SMALL_STATE(2247)] = 112149,
  [SMALL_STATE(2248)] = 112166,
  [SMALL_STATE(2249)] = 112183,
  [SMALL_STATE(2250)] = 112200,
  [SMALL_STATE(2251)] = 112217,
  [SMALL_STATE(2252)] = 112234,
  [SMALL_STATE(2253)] = 112249,
  [SMALL_STATE(2254)] = 112263,
  [SMALL_STATE(2255)] = 112277,
  [SMALL_STATE(2256)] = 112291,
  [SMALL_STATE(2257)] = 112305,
  [SMALL_STATE(2258)] = 112319,
  [SMALL_STATE(2259)] = 112333,
  [SMALL_STATE(2260)] = 112347,
  [SMALL_STATE(2261)] = 112361,
  [SMALL_STATE(2262)] = 112375,
  [SMALL_STATE(2263)] = 112389,
  [SMALL_STATE(2264)] = 112403,
  [SMALL_STATE(2265)] = 112417,
  [SMALL_STATE(2266)] = 112431,
  [SMALL_STATE(2267)] = 112445,
  [SMALL_STATE(2268)] = 112459,
  [SMALL_STATE(2269)] = 112473,
  [SMALL_STATE(2270)] = 112487,
  [SMALL_STATE(2271)] = 112501,
  [SMALL_STATE(2272)] = 112515,
  [SMALL_STATE(2273)] = 112527,
  [SMALL_STATE(2274)] = 112541,
  [SMALL_STATE(2275)] = 112553,
  [SMALL_STATE(2276)] = 112567,
  [SMALL_STATE(2277)] = 112581,
  [SMALL_STATE(2278)] = 112595,
  [SMALL_STATE(2279)] = 112609,
  [SMALL_STATE(2280)] = 112623,
  [SMALL_STATE(2281)] = 112637,
  [SMALL_STATE(2282)] = 112651,
  [SMALL_STATE(2283)] = 112665,
  [SMALL_STATE(2284)] = 112679,
  [SMALL_STATE(2285)] = 112693,
  [SMALL_STATE(2286)] = 112707,
  [SMALL_STATE(2287)] = 112721,
  [SMALL_STATE(2288)] = 112735,
  [SMALL_STATE(2289)] = 112749,
  [SMALL_STATE(2290)] = 112763,
  [SMALL_STATE(2291)] = 112777,
  [SMALL_STATE(2292)] = 112791,
  [SMALL_STATE(2293)] = 112805,
  [SMALL_STATE(2294)] = 112819,
  [SMALL_STATE(2295)] = 112833,
  [SMALL_STATE(2296)] = 112843,
  [SMALL_STATE(2297)] = 112857,
  [SMALL_STATE(2298)] = 112867,
  [SMALL_STATE(2299)] = 112881,
  [SMALL_STATE(2300)] = 112895,
  [SMALL_STATE(2301)] = 112909,
  [SMALL_STATE(2302)] = 112923,
  [SMALL_STATE(2303)] = 112933,
  [SMALL_STATE(2304)] = 112947,
  [SMALL_STATE(2305)] = 112961,
  [SMALL_STATE(2306)] = 112975,
  [SMALL_STATE(2307)] = 112989,
  [SMALL_STATE(2308)] = 113003,
  [SMALL_STATE(2309)] = 113015,
  [SMALL_STATE(2310)] = 113029,
  [SMALL_STATE(2311)] = 113043,
  [SMALL_STATE(2312)] = 113057,
  [SMALL_STATE(2313)] = 113071,
  [SMALL_STATE(2314)] = 113085,
  [SMALL_STATE(2315)] = 113099,
  [SMALL_STATE(2316)] = 113113,
  [SMALL_STATE(2317)] = 113127,
  [SMALL_STATE(2318)] = 113141,
  [SMALL_STATE(2319)] = 113155,
  [SMALL_STATE(2320)] = 113169,
  [SMALL_STATE(2321)] = 113183,
  [SMALL_STATE(2322)] = 113197,
  [SMALL_STATE(2323)] = 113211,
  [SMALL_STATE(2324)] = 113225,
  [SMALL_STATE(2325)] = 113239,
  [SMALL_STATE(2326)] = 113251,
  [SMALL_STATE(2327)] = 113265,
  [SMALL_STATE(2328)] = 113277,
  [SMALL_STATE(2329)] = 113291,
  [SMALL_STATE(2330)] = 113305,
  [SMALL_STATE(2331)] = 113319,
  [SMALL_STATE(2332)] = 113333,
  [SMALL_STATE(2333)] = 113347,
  [SMALL_STATE(2334)] = 113361,
  [SMALL_STATE(2335)] = 113375,
  [SMALL_STATE(2336)] = 113389,
  [SMALL_STATE(2337)] = 113401,
  [SMALL_STATE(2338)] = 113413,
  [SMALL_STATE(2339)] = 113427,
  [SMALL_STATE(2340)] = 113439,
  [SMALL_STATE(2341)] = 113453,
  [SMALL_STATE(2342)] = 113467,
  [SMALL_STATE(2343)] = 113479,
  [SMALL_STATE(2344)] = 113491,
  [SMALL_STATE(2345)] = 113503,
  [SMALL_STATE(2346)] = 113517,
  [SMALL_STATE(2347)] = 113531,
  [SMALL_STATE(2348)] = 113545,
  [SMALL_STATE(2349)] = 113559,
  [SMALL_STATE(2350)] = 113573,
  [SMALL_STATE(2351)] = 113587,
  [SMALL_STATE(2352)] = 113601,
  [SMALL_STATE(2353)] = 113615,
  [SMALL_STATE(2354)] = 113629,
  [SMALL_STATE(2355)] = 113643,
  [SMALL_STATE(2356)] = 113657,
  [SMALL_STATE(2357)] = 113671,
  [SMALL_STATE(2358)] = 113685,
  [SMALL_STATE(2359)] = 113699,
  [SMALL_STATE(2360)] = 113713,
  [SMALL_STATE(2361)] = 113727,
  [SMALL_STATE(2362)] = 113741,
  [SMALL_STATE(2363)] = 113755,
  [SMALL_STATE(2364)] = 113769,
  [SMALL_STATE(2365)] = 113783,
  [SMALL_STATE(2366)] = 113797,
  [SMALL_STATE(2367)] = 113811,
  [SMALL_STATE(2368)] = 113821,
  [SMALL_STATE(2369)] = 113835,
  [SMALL_STATE(2370)] = 113847,
  [SMALL_STATE(2371)] = 113859,
  [SMALL_STATE(2372)] = 113869,
  [SMALL_STATE(2373)] = 113883,
  [SMALL_STATE(2374)] = 113897,
  [SMALL_STATE(2375)] = 113911,
  [SMALL_STATE(2376)] = 113925,
  [SMALL_STATE(2377)] = 113939,
  [SMALL_STATE(2378)] = 113953,
  [SMALL_STATE(2379)] = 113967,
  [SMALL_STATE(2380)] = 113981,
  [SMALL_STATE(2381)] = 113995,
  [SMALL_STATE(2382)] = 114009,
  [SMALL_STATE(2383)] = 114023,
  [SMALL_STATE(2384)] = 114037,
  [SMALL_STATE(2385)] = 114051,
  [SMALL_STATE(2386)] = 114065,
  [SMALL_STATE(2387)] = 114079,
  [SMALL_STATE(2388)] = 114093,
  [SMALL_STATE(2389)] = 114107,
  [SMALL_STATE(2390)] = 114121,
  [SMALL_STATE(2391)] = 114135,
  [SMALL_STATE(2392)] = 114149,
  [SMALL_STATE(2393)] = 114161,
  [SMALL_STATE(2394)] = 114175,
  [SMALL_STATE(2395)] = 114189,
  [SMALL_STATE(2396)] = 114203,
  [SMALL_STATE(2397)] = 114217,
  [SMALL_STATE(2398)] = 114231,
  [SMALL_STATE(2399)] = 114243,
  [SMALL_STATE(2400)] = 114255,
  [SMALL_STATE(2401)] = 114269,
  [SMALL_STATE(2402)] = 114283,
  [SMALL_STATE(2403)] = 114295,
  [SMALL_STATE(2404)] = 114309,
  [SMALL_STATE(2405)] = 114323,
  [SMALL_STATE(2406)] = 114337,
  [SMALL_STATE(2407)] = 114351,
  [SMALL_STATE(2408)] = 114365,
  [SMALL_STATE(2409)] = 114379,
  [SMALL_STATE(2410)] = 114393,
  [SMALL_STATE(2411)] = 114407,
  [SMALL_STATE(2412)] = 114421,
  [SMALL_STATE(2413)] = 114435,
  [SMALL_STATE(2414)] = 114449,
  [SMALL_STATE(2415)] = 114463,
  [SMALL_STATE(2416)] = 114477,
  [SMALL_STATE(2417)] = 114491,
  [SMALL_STATE(2418)] = 114505,
  [SMALL_STATE(2419)] = 114519,
  [SMALL_STATE(2420)] = 114531,
  [SMALL_STATE(2421)] = 114545,
  [SMALL_STATE(2422)] = 114559,
  [SMALL_STATE(2423)] = 114571,
  [SMALL_STATE(2424)] = 114585,
  [SMALL_STATE(2425)] = 114599,
  [SMALL_STATE(2426)] = 114613,
  [SMALL_STATE(2427)] = 114623,
  [SMALL_STATE(2428)] = 114635,
  [SMALL_STATE(2429)] = 114649,
  [SMALL_STATE(2430)] = 114663,
  [SMALL_STATE(2431)] = 114677,
  [SMALL_STATE(2432)] = 114691,
  [SMALL_STATE(2433)] = 114701,
  [SMALL_STATE(2434)] = 114715,
  [SMALL_STATE(2435)] = 114729,
  [SMALL_STATE(2436)] = 114743,
  [SMALL_STATE(2437)] = 114753,
  [SMALL_STATE(2438)] = 114767,
  [SMALL_STATE(2439)] = 114781,
  [SMALL_STATE(2440)] = 114795,
  [SMALL_STATE(2441)] = 114809,
  [SMALL_STATE(2442)] = 114823,
  [SMALL_STATE(2443)] = 114837,
  [SMALL_STATE(2444)] = 114851,
  [SMALL_STATE(2445)] = 114865,
  [SMALL_STATE(2446)] = 114879,
  [SMALL_STATE(2447)] = 114893,
  [SMALL_STATE(2448)] = 114907,
  [SMALL_STATE(2449)] = 114921,
  [SMALL_STATE(2450)] = 114935,
  [SMALL_STATE(2451)] = 114949,
  [SMALL_STATE(2452)] = 114963,
  [SMALL_STATE(2453)] = 114977,
  [SMALL_STATE(2454)] = 114991,
  [SMALL_STATE(2455)] = 115005,
  [SMALL_STATE(2456)] = 115017,
  [SMALL_STATE(2457)] = 115031,
  [SMALL_STATE(2458)] = 115045,
  [SMALL_STATE(2459)] = 115059,
  [SMALL_STATE(2460)] = 115073,
  [SMALL_STATE(2461)] = 115087,
  [SMALL_STATE(2462)] = 115097,
  [SMALL_STATE(2463)] = 115111,
  [SMALL_STATE(2464)] = 115125,
  [SMALL_STATE(2465)] = 115135,
  [SMALL_STATE(2466)] = 115147,
  [SMALL_STATE(2467)] = 115161,
  [SMALL_STATE(2468)] = 115175,
  [SMALL_STATE(2469)] = 115189,
  [SMALL_STATE(2470)] = 115203,
  [SMALL_STATE(2471)] = 115217,
  [SMALL_STATE(2472)] = 115231,
  [SMALL_STATE(2473)] = 115241,
  [SMALL_STATE(2474)] = 115255,
  [SMALL_STATE(2475)] = 115269,
  [SMALL_STATE(2476)] = 115283,
  [SMALL_STATE(2477)] = 115297,
  [SMALL_STATE(2478)] = 115311,
  [SMALL_STATE(2479)] = 115325,
  [SMALL_STATE(2480)] = 115339,
  [SMALL_STATE(2481)] = 115353,
  [SMALL_STATE(2482)] = 115367,
  [SMALL_STATE(2483)] = 115381,
  [SMALL_STATE(2484)] = 115395,
  [SMALL_STATE(2485)] = 115409,
  [SMALL_STATE(2486)] = 115423,
  [SMALL_STATE(2487)] = 115437,
  [SMALL_STATE(2488)] = 115449,
  [SMALL_STATE(2489)] = 115463,
  [SMALL_STATE(2490)] = 115477,
  [SMALL_STATE(2491)] = 115491,
  [SMALL_STATE(2492)] = 115505,
  [SMALL_STATE(2493)] = 115519,
  [SMALL_STATE(2494)] = 115529,
  [SMALL_STATE(2495)] = 115543,
  [SMALL_STATE(2496)] = 115553,
  [SMALL_STATE(2497)] = 115563,
  [SMALL_STATE(2498)] = 115577,
  [SMALL_STATE(2499)] = 115591,
  [SMALL_STATE(2500)] = 115605,
  [SMALL_STATE(2501)] = 115619,
  [SMALL_STATE(2502)] = 115633,
  [SMALL_STATE(2503)] = 115647,
  [SMALL_STATE(2504)] = 115661,
  [SMALL_STATE(2505)] = 115673,
  [SMALL_STATE(2506)] = 115687,
  [SMALL_STATE(2507)] = 115701,
  [SMALL_STATE(2508)] = 115715,
  [SMALL_STATE(2509)] = 115729,
  [SMALL_STATE(2510)] = 115743,
  [SMALL_STATE(2511)] = 115757,
  [SMALL_STATE(2512)] = 115771,
  [SMALL_STATE(2513)] = 115785,
  [SMALL_STATE(2514)] = 115794,
  [SMALL_STATE(2515)] = 115803,
  [SMALL_STATE(2516)] = 115814,
  [SMALL_STATE(2517)] = 115823,
  [SMALL_STATE(2518)] = 115832,
  [SMALL_STATE(2519)] = 115843,
  [SMALL_STATE(2520)] = 115852,
  [SMALL_STATE(2521)] = 115861,
  [SMALL_STATE(2522)] = 115870,
  [SMALL_STATE(2523)] = 115879,
  [SMALL_STATE(2524)] = 115888,
  [SMALL_STATE(2525)] = 115899,
  [SMALL_STATE(2526)] = 115908,
  [SMALL_STATE(2527)] = 115917,
  [SMALL_STATE(2528)] = 115928,
  [SMALL_STATE(2529)] = 115937,
  [SMALL_STATE(2530)] = 115946,
  [SMALL_STATE(2531)] = 115955,
  [SMALL_STATE(2532)] = 115964,
  [SMALL_STATE(2533)] = 115973,
  [SMALL_STATE(2534)] = 115984,
  [SMALL_STATE(2535)] = 115993,
  [SMALL_STATE(2536)] = 116002,
  [SMALL_STATE(2537)] = 116013,
  [SMALL_STATE(2538)] = 116022,
  [SMALL_STATE(2539)] = 116031,
  [SMALL_STATE(2540)] = 116040,
  [SMALL_STATE(2541)] = 116049,
  [SMALL_STATE(2542)] = 116058,
  [SMALL_STATE(2543)] = 116067,
  [SMALL_STATE(2544)] = 116078,
  [SMALL_STATE(2545)] = 116087,
  [SMALL_STATE(2546)] = 116096,
  [SMALL_STATE(2547)] = 116107,
  [SMALL_STATE(2548)] = 116116,
  [SMALL_STATE(2549)] = 116125,
  [SMALL_STATE(2550)] = 116134,
  [SMALL_STATE(2551)] = 116143,
  [SMALL_STATE(2552)] = 116152,
  [SMALL_STATE(2553)] = 116161,
  [SMALL_STATE(2554)] = 116172,
  [SMALL_STATE(2555)] = 116181,
  [SMALL_STATE(2556)] = 116190,
  [SMALL_STATE(2557)] = 116201,
  [SMALL_STATE(2558)] = 116210,
  [SMALL_STATE(2559)] = 116219,
  [SMALL_STATE(2560)] = 116230,
  [SMALL_STATE(2561)] = 116239,
  [SMALL_STATE(2562)] = 116248,
  [SMALL_STATE(2563)] = 116257,
  [SMALL_STATE(2564)] = 116266,
  [SMALL_STATE(2565)] = 116275,
  [SMALL_STATE(2566)] = 116284,
  [SMALL_STATE(2567)] = 116293,
  [SMALL_STATE(2568)] = 116302,
  [SMALL_STATE(2569)] = 116311,
  [SMALL_STATE(2570)] = 116320,
  [SMALL_STATE(2571)] = 116329,
  [SMALL_STATE(2572)] = 116338,
  [SMALL_STATE(2573)] = 116349,
  [SMALL_STATE(2574)] = 116358,
  [SMALL_STATE(2575)] = 116367,
  [SMALL_STATE(2576)] = 116378,
  [SMALL_STATE(2577)] = 116387,
  [SMALL_STATE(2578)] = 116396,
  [SMALL_STATE(2579)] = 116405,
  [SMALL_STATE(2580)] = 116414,
  [SMALL_STATE(2581)] = 116423,
  [SMALL_STATE(2582)] = 116432,
  [SMALL_STATE(2583)] = 116441,
  [SMALL_STATE(2584)] = 116450,
  [SMALL_STATE(2585)] = 116459,
  [SMALL_STATE(2586)] = 116470,
  [SMALL_STATE(2587)] = 116481,
  [SMALL_STATE(2588)] = 116492,
  [SMALL_STATE(2589)] = 116503,
  [SMALL_STATE(2590)] = 116514,
  [SMALL_STATE(2591)] = 116525,
  [SMALL_STATE(2592)] = 116534,
  [SMALL_STATE(2593)] = 116545,
  [SMALL_STATE(2594)] = 116554,
  [SMALL_STATE(2595)] = 116565,
  [SMALL_STATE(2596)] = 116574,
  [SMALL_STATE(2597)] = 116583,
  [SMALL_STATE(2598)] = 116592,
  [SMALL_STATE(2599)] = 116601,
  [SMALL_STATE(2600)] = 116610,
  [SMALL_STATE(2601)] = 116621,
  [SMALL_STATE(2602)] = 116630,
  [SMALL_STATE(2603)] = 116641,
  [SMALL_STATE(2604)] = 116650,
  [SMALL_STATE(2605)] = 116659,
  [SMALL_STATE(2606)] = 116668,
  [SMALL_STATE(2607)] = 116677,
  [SMALL_STATE(2608)] = 116688,
  [SMALL_STATE(2609)] = 116697,
  [SMALL_STATE(2610)] = 116708,
  [SMALL_STATE(2611)] = 116717,
  [SMALL_STATE(2612)] = 116726,
  [SMALL_STATE(2613)] = 116735,
  [SMALL_STATE(2614)] = 116744,
  [SMALL_STATE(2615)] = 116752,
  [SMALL_STATE(2616)] = 116760,
  [SMALL_STATE(2617)] = 116768,
  [SMALL_STATE(2618)] = 116776,
  [SMALL_STATE(2619)] = 116784,
  [SMALL_STATE(2620)] = 116792,
  [SMALL_STATE(2621)] = 116800,
  [SMALL_STATE(2622)] = 116808,
  [SMALL_STATE(2623)] = 116816,
  [SMALL_STATE(2624)] = 116824,
  [SMALL_STATE(2625)] = 116832,
  [SMALL_STATE(2626)] = 116840,
  [SMALL_STATE(2627)] = 116848,
  [SMALL_STATE(2628)] = 116856,
  [SMALL_STATE(2629)] = 116864,
  [SMALL_STATE(2630)] = 116872,
  [SMALL_STATE(2631)] = 116880,
  [SMALL_STATE(2632)] = 116888,
  [SMALL_STATE(2633)] = 116896,
  [SMALL_STATE(2634)] = 116904,
  [SMALL_STATE(2635)] = 116912,
  [SMALL_STATE(2636)] = 116920,
  [SMALL_STATE(2637)] = 116928,
  [SMALL_STATE(2638)] = 116936,
  [SMALL_STATE(2639)] = 116944,
  [SMALL_STATE(2640)] = 116952,
  [SMALL_STATE(2641)] = 116960,
  [SMALL_STATE(2642)] = 116968,
  [SMALL_STATE(2643)] = 116976,
  [SMALL_STATE(2644)] = 116984,
  [SMALL_STATE(2645)] = 116992,
  [SMALL_STATE(2646)] = 117000,
  [SMALL_STATE(2647)] = 117008,
  [SMALL_STATE(2648)] = 117016,
  [SMALL_STATE(2649)] = 117024,
  [SMALL_STATE(2650)] = 117032,
  [SMALL_STATE(2651)] = 117040,
  [SMALL_STATE(2652)] = 117048,
  [SMALL_STATE(2653)] = 117056,
  [SMALL_STATE(2654)] = 117064,
  [SMALL_STATE(2655)] = 117072,
  [SMALL_STATE(2656)] = 117080,
  [SMALL_STATE(2657)] = 117088,
  [SMALL_STATE(2658)] = 117096,
  [SMALL_STATE(2659)] = 117104,
  [SMALL_STATE(2660)] = 117112,
  [SMALL_STATE(2661)] = 117120,
  [SMALL_STATE(2662)] = 117128,
  [SMALL_STATE(2663)] = 117136,
  [SMALL_STATE(2664)] = 117144,
  [SMALL_STATE(2665)] = 117152,
  [SMALL_STATE(2666)] = 117160,
  [SMALL_STATE(2667)] = 117168,
  [SMALL_STATE(2668)] = 117176,
  [SMALL_STATE(2669)] = 117184,
  [SMALL_STATE(2670)] = 117192,
  [SMALL_STATE(2671)] = 117200,
  [SMALL_STATE(2672)] = 117208,
  [SMALL_STATE(2673)] = 117216,
  [SMALL_STATE(2674)] = 117224,
  [SMALL_STATE(2675)] = 117232,
  [SMALL_STATE(2676)] = 117240,
  [SMALL_STATE(2677)] = 117248,
  [SMALL_STATE(2678)] = 117256,
  [SMALL_STATE(2679)] = 117264,
  [SMALL_STATE(2680)] = 117272,
  [SMALL_STATE(2681)] = 117280,
  [SMALL_STATE(2682)] = 117288,
  [SMALL_STATE(2683)] = 117296,
  [SMALL_STATE(2684)] = 117304,
  [SMALL_STATE(2685)] = 117312,
  [SMALL_STATE(2686)] = 117320,
  [SMALL_STATE(2687)] = 117328,
  [SMALL_STATE(2688)] = 117336,
  [SMALL_STATE(2689)] = 117344,
  [SMALL_STATE(2690)] = 117352,
  [SMALL_STATE(2691)] = 117360,
  [SMALL_STATE(2692)] = 117368,
  [SMALL_STATE(2693)] = 117376,
  [SMALL_STATE(2694)] = 117384,
  [SMALL_STATE(2695)] = 117392,
  [SMALL_STATE(2696)] = 117400,
  [SMALL_STATE(2697)] = 117408,
  [SMALL_STATE(2698)] = 117416,
  [SMALL_STATE(2699)] = 117424,
  [SMALL_STATE(2700)] = 117432,
  [SMALL_STATE(2701)] = 117440,
  [SMALL_STATE(2702)] = 117448,
  [SMALL_STATE(2703)] = 117456,
  [SMALL_STATE(2704)] = 117464,
  [SMALL_STATE(2705)] = 117472,
  [SMALL_STATE(2706)] = 117480,
  [SMALL_STATE(2707)] = 117488,
  [SMALL_STATE(2708)] = 117496,
  [SMALL_STATE(2709)] = 117504,
  [SMALL_STATE(2710)] = 117512,
  [SMALL_STATE(2711)] = 117520,
  [SMALL_STATE(2712)] = 117528,
  [SMALL_STATE(2713)] = 117536,
  [SMALL_STATE(2714)] = 117544,
  [SMALL_STATE(2715)] = 117552,
  [SMALL_STATE(2716)] = 117560,
  [SMALL_STATE(2717)] = 117568,
  [SMALL_STATE(2718)] = 117576,
  [SMALL_STATE(2719)] = 117584,
  [SMALL_STATE(2720)] = 117592,
  [SMALL_STATE(2721)] = 117600,
  [SMALL_STATE(2722)] = 117608,
  [SMALL_STATE(2723)] = 117616,
  [SMALL_STATE(2724)] = 117624,
  [SMALL_STATE(2725)] = 117632,
  [SMALL_STATE(2726)] = 117640,
  [SMALL_STATE(2727)] = 117648,
  [SMALL_STATE(2728)] = 117656,
  [SMALL_STATE(2729)] = 117664,
  [SMALL_STATE(2730)] = 117672,
  [SMALL_STATE(2731)] = 117680,
  [SMALL_STATE(2732)] = 117688,
  [SMALL_STATE(2733)] = 117696,
  [SMALL_STATE(2734)] = 117704,
  [SMALL_STATE(2735)] = 117712,
  [SMALL_STATE(2736)] = 117720,
  [SMALL_STATE(2737)] = 117728,
  [SMALL_STATE(2738)] = 117736,
  [SMALL_STATE(2739)] = 117744,
  [SMALL_STATE(2740)] = 117752,
  [SMALL_STATE(2741)] = 117760,
  [SMALL_STATE(2742)] = 117768,
  [SMALL_STATE(2743)] = 117776,
  [SMALL_STATE(2744)] = 117784,
  [SMALL_STATE(2745)] = 117792,
  [SMALL_STATE(2746)] = 117800,
  [SMALL_STATE(2747)] = 117808,
  [SMALL_STATE(2748)] = 117816,
  [SMALL_STATE(2749)] = 117824,
  [SMALL_STATE(2750)] = 117832,
  [SMALL_STATE(2751)] = 117840,
  [SMALL_STATE(2752)] = 117848,
  [SMALL_STATE(2753)] = 117856,
  [SMALL_STATE(2754)] = 117864,
  [SMALL_STATE(2755)] = 117872,
  [SMALL_STATE(2756)] = 117880,
  [SMALL_STATE(2757)] = 117888,
  [SMALL_STATE(2758)] = 117896,
  [SMALL_STATE(2759)] = 117904,
  [SMALL_STATE(2760)] = 117912,
  [SMALL_STATE(2761)] = 117920,
  [SMALL_STATE(2762)] = 117928,
  [SMALL_STATE(2763)] = 117936,
  [SMALL_STATE(2764)] = 117944,
  [SMALL_STATE(2765)] = 117952,
  [SMALL_STATE(2766)] = 117960,
  [SMALL_STATE(2767)] = 117968,
  [SMALL_STATE(2768)] = 117976,
  [SMALL_STATE(2769)] = 117984,
  [SMALL_STATE(2770)] = 117992,
  [SMALL_STATE(2771)] = 118000,
  [SMALL_STATE(2772)] = 118008,
  [SMALL_STATE(2773)] = 118016,
  [SMALL_STATE(2774)] = 118024,
  [SMALL_STATE(2775)] = 118032,
  [SMALL_STATE(2776)] = 118040,
  [SMALL_STATE(2777)] = 118048,
  [SMALL_STATE(2778)] = 118056,
  [SMALL_STATE(2779)] = 118064,
  [SMALL_STATE(2780)] = 118072,
  [SMALL_STATE(2781)] = 118080,
  [SMALL_STATE(2782)] = 118088,
  [SMALL_STATE(2783)] = 118096,
  [SMALL_STATE(2784)] = 118104,
  [SMALL_STATE(2785)] = 118112,
  [SMALL_STATE(2786)] = 118120,
  [SMALL_STATE(2787)] = 118128,
  [SMALL_STATE(2788)] = 118136,
  [SMALL_STATE(2789)] = 118144,
  [SMALL_STATE(2790)] = 118152,
  [SMALL_STATE(2791)] = 118160,
  [SMALL_STATE(2792)] = 118168,
  [SMALL_STATE(2793)] = 118176,
  [SMALL_STATE(2794)] = 118184,
  [SMALL_STATE(2795)] = 118192,
  [SMALL_STATE(2796)] = 118200,
  [SMALL_STATE(2797)] = 118208,
  [SMALL_STATE(2798)] = 118216,
  [SMALL_STATE(2799)] = 118224,
  [SMALL_STATE(2800)] = 118232,
  [SMALL_STATE(2801)] = 118240,
  [SMALL_STATE(2802)] = 118248,
  [SMALL_STATE(2803)] = 118256,
  [SMALL_STATE(2804)] = 118264,
  [SMALL_STATE(2805)] = 118272,
  [SMALL_STATE(2806)] = 118280,
  [SMALL_STATE(2807)] = 118288,
  [SMALL_STATE(2808)] = 118296,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2250),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(616),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2250),
  [125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1856),
  [128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(912),
  [134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(84),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(537),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(376),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2577),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2517),
  [155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2598),
  [158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(477),
  [167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(852),
  [170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2797),
  [182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2631),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2803),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(74),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2774),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(563),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1647),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(350),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1081),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(559),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(828),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2697),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2688),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2669),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(296),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(947),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2741),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(917),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(544),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(294),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(307),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(913),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(308),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(931),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(563),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(896),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 109),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 109),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 44),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 44),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 6),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 14),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 15),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 62),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 62),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(571),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 55),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 55),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 56),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 56),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(479),
  [1620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(605),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(606),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 71),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 71),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 71),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 71),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(594),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 49),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 49),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 23),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 23),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 49),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 49),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [1718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 130),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 130),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 129),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 129),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 117),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 117),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 137),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 137),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 105),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 105),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 56),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 56),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 62),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 62),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 61),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 61),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 113),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 113),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 53),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 53),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 62),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 62),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 39),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 39),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 91),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 91),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 92),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 92),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 67),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 67),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 98),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 98),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 60),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 60),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 87),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 87),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 100),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 100),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 101),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 101),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 62),
  [1906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 62),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 107),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 107),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, 0, 108),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 108),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 78),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 78),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 64),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 64),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 89),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 89),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 90),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 90),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 115),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 115),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 116),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 116),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 118),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 118),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 119),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 119),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 126),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 126),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 127),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 127),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 63),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 63),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 54),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 54),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 57),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 57),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 131),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 131),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 42),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 42),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 136),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 136),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 65),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 65),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 58),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 58),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 82),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 82),
  [2026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 83),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 83),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 43),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 43),
  [2034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 84),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 84),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 45),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 45),
  [2062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 66),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 66),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 59),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 59),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [2162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1701),
  [2428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1735),
  [2431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1711),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [2466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1690),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [2482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1715),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 10),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 10),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1719),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [2580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(965),
  [2807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2728),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(862),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(965),
  [2818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(897),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(865),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(897),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(957),
  [2830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(866),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(957),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(904),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(869),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(904),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(954),
  [2848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(864),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(954),
  [2854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(932),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(863),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(932),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(945),
  [2866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(867),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(945),
  [2872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(876),
  [2875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(868),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(876),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__is_not, 2, 0, 0),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__is_not, 2, 0, 0),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_in, 2, 0, 0),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_in, 2, 0, 0),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [2891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [3017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [3019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18),
  [3021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(532),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 17),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 48),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7), SHIFT(338),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [3116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1797),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(486),
  [3157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(498),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(540),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2745),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [3226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(506),
  [3229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(552),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(490),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 8),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1800),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 46),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 6),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [3333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(577),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2735),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 70),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [3415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2765),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(519),
  [3425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2802),
  [3428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [3437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2614),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 6),
  [3442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [3448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(841),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [3459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(548),
  [3462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2805),
  [3465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(850),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 38),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 75),
  [3478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 75),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 94),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 18),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 44),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 97),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 96),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 51),
  [3546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 51),
  [3548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 16),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 36),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 52),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 52),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [3585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 109),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(448),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2808),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 1),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1566),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 69),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 19),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 18),
  [3671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(435),
  [3674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 47),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(583),
  [3696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 17),
  [3708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [3712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 120),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 13),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 4),
  [3768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [3771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 110),
  [3778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 122),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [3792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(523),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1558),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1560),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 48),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_statement, 4, 1, 44),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 110),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 4),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 120),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 122),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [3891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1561),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 14),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 15),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1535),
  [3945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(2173),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35),
  [3952] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35), SHIFT_REPEAT(562),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [3975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 8),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 13),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28),
  [4021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2256),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79), SHIFT_REPEAT(1532),
  [4027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [4043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2639),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [4068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(335),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 46),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 121), SHIFT_REPEAT(1557),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 121),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [4128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 72), SHIFT_REPEAT(432),
  [4131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 72),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [4178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(272),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [4207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(610),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1662),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 8),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [4323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(859),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2400),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(466),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [4344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(543),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(364),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 29),
  [4429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [4461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [4497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 50),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 50),
  [4501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40), SHIFT_REPEAT(484),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1534),
  [4531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(371),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(349),
  [4566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(855),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 123),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 3),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 110),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 132),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 133),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 134),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 33),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 135),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 111),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 33),
  [4643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 124),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 125),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 77),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 30),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 31),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 53),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 32),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [4671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 138),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 139),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 140),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 68),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 141),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 20),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 76),
  [4725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 21),
  [4733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [4773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4937] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[20][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [11] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [18] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [19] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
